<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.access.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//在新的框架中，JSP页面不做parameter的读取和处理，所有相关的操作都放到Action中
//JSP只需将View层的数据展现和交互做好
request.setAttribute(ParameterEnum.ACTION.toString(), IAccess.FUNCTION_VISITOR_DATA);
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);

EchartBean browserEchart = EchartBean.toEchartBean(request.getAttribute(IAccess.BROWSER));
EchartBean osEchart = EchartBean.toEchartBean(request.getAttribute(IAccess.OS));
EchartBean mobileEchart = EchartBean.toEchartBean(request.getAttribute(IAccess.MOBILE));
EchartBean countryEchart = EchartBean.toEchartBean(request.getAttribute(IAccess.COUNTRY));
EchartBean languageEchart = EchartBean.toEchartBean(request.getAttribute(IAccess.LANGUAGE));

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_access_visitor_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
    <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_access_visitor_label_1") %></div>
      <div class="panel-body">
        <p class="list_page_content">
        <button type="button" v="0" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_visitor_btn_1") %></button>
        <button type="button" v="-1" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_visitor_btn_2") %></button>
        <button type="button" v="7" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_visitor_btn_3") %></button>
        <button type="button" v="30" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_visitor_btn_4") %></button>
        </p>
      </div>
   	  
      <div class="container-fluid">
        <div class="row" class="back-user-top-large-window-li">
          <div class="col-sm-12 col-md-12 main panel panel-success">
            <div id="country" style="height:400px;"></div>
	      </div>
	      <div class="col-sm-6 col-md-6 main panel panel-success">
            <div id="os" style="height:400px;"></div>
	      </div>
	      <div class="col-sm-6 col-md-6 main panel panel-success">
            <div id="browser" style="height:400px;"></div>
	      </div>
	      <div class="col-sm-6 col-md-6 main panel panel-success">
            <div id="language" style="height:400px;"></div>
	      </div>
	      <div class="col-sm-6 col-md-6 main panel panel-success">
            <div id="mobile" style="height:400px;"></div>
	      </div>
        </div>
      </div>
    </div>  
   
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script src="../echarts/echarts-all.js"></script>
    <script src="../echarts/codemirror.js"></script>
    <script src="../echarts/javascript.js"></script>
    
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$("button").click(function(){
  		var url = "../access/visitor.jsp?<%=IAccess.PARAM_SOURCE_DATE_TYPE%>=" + $(this).attr("v");
  		window.location.href=url;
  	});
  	
  	var browserChart = echarts.init(document.getElementById('browser'));
    var browserOption = {
   		    title : {
   		        text: <%=browserEchart.getTitleText()%>,
   		        subtext: <%=browserEchart.getTitleSubtext()%>,
   		        x:'center'
   		    },
   		    tooltip : {
   		        trigger: 'item',
   		        formatter: "{a} <br/>{b} : {c} ({d}%)"
   		    },
   		    legend: {
   		        orient : 'vertical',
   		        x : 'left',
   		    	data:<%=browserEchart.getKeys() %>
   		    },
   		    toolbox: {
   		        show : true,
   		        feature : {
   		            mark : {show: true},
   		            dataView : {show: true, readOnly: false},
   		            magicType : {
   		                show: true, 
   		                type: ['pie', 'funnel'],
   		                option: {
   		                    funnel: {
   		                        x: '25%',
   		                        width: '50%',
   		                        funnelAlign: 'left',
   		                        max: <%=browserEchart.getMaxValue() %>
   		                    }
   		                }
   		            },
   		            restore : {show: true},
   		            saveAsImage : {show: true}
   		        }
   		    },
   		    calculable : true,
   		    series : [
   		        {
   		            name:<%=browserEchart.getSeriesName() %>,
   		            type:'pie',
   		            radius : '55%',
   		            center: ['50%', '60%'],
   		            data:<%=browserEchart.getKeyValue() %>
   		        }
   		    ]
   		};
    browserChart.setOption(browserOption);
    
    
    var osChart = echarts.init(document.getElementById('os'));
    var osOption = {
   		    title : {
   		        text: <%=osEchart.getTitleText()%>,
   		        subtext: <%=osEchart.getTitleSubtext()%>,
   		        x:'center'
   		    },
   		    tooltip : {
   		        trigger: 'item',
   		        formatter: "{a} <br/>{b} : {c} ({d}%)"
   		    },
   		    legend: {
   		        orient : 'vertical',
   		        x : 'left',
   		    	data:<%=osEchart.getKeys() %>
   		    },
   		    toolbox: {
   		        show : true,
   		        feature : {
   		            mark : {show: true},
   		            dataView : {show: true, readOnly: false},
   		            magicType : {
   		                show: true, 
   		                type: ['pie', 'funnel'],
   		                option: {
   		                    funnel: {
   		                        x: '25%',
   		                        width: '50%',
   		                        funnelAlign: 'left',
   		                        max: <%=osEchart.getMaxValue() %>
   		                    }
   		                }
   		            },
   		            restore : {show: true},
   		            saveAsImage : {show: true}
   		        }
   		    },
   		    calculable : true,
   		    series : [
   		        {
   		            name:<%=osEchart.getSeriesName() %>,
   		            type:'pie',
   		            radius : '55%',
   		            center: ['50%', '60%'],
   		            data:<%=osEchart.getKeyValue() %>
   		        }
   		    ]
   		};
    osChart.setOption(osOption);
    
    var countryChart = echarts.init(document.getElementById('country'));
    var countryOption = {
   		    title : {
   		        text: <%=countryEchart.getTitleText()%>,
   		        subtext: <%=countryEchart.getTitleSubtext()%>,
   		        x:'center'
   		    },
   		    tooltip : {
   		        trigger: 'item',
   		        formatter: "{a} <br/>{b} : {c} ({d}%)"
   		    },
   		    legend: {
   		        orient : 'vertical',
   		        x : 'left',
   		    	data:<%=countryEchart.getKeys() %>
   		    },
   		    toolbox: {
   		        show : true,
   		        feature : {
   		            mark : {show: true},
   		            dataView : {show: true, readOnly: false},
   		            magicType : {
   		                show: true, 
   		                type: ['pie', 'funnel'],
   		                option: {
   		                    funnel: {
   		                        x: '25%',
   		                        width: '50%',
   		                        funnelAlign: 'left',
   		                        max: <%=countryEchart.getMaxValue() %>
   		                    }
   		                }
   		            },
   		            restore : {show: true},
   		            saveAsImage : {show: true}
   		        }
   		    },
   		    calculable : true,
   		    series : [
   		        {
   		            name:<%=countryEchart.getSeriesName() %>,
   		            type:'pie',
   		            radius : '55%',
   		            center: ['50%', '60%'],
   		            data:<%=countryEchart.getKeyValue() %>
   		        }
   		    ]
   		};
    countryChart.setOption(countryOption);
    
    var languageChart = echarts.init(document.getElementById('language'));
    var languageOption = {
   		    title : {
   		        text: <%=languageEchart.getTitleText()%>,
   		        subtext: <%=languageEchart.getTitleSubtext()%>,
   		        x:'center'
   		    },
   		    tooltip : {
   		        trigger: 'item',
   		        formatter: "{a} <br/>{b} : {c} ({d}%)"
   		    },
   		    legend: {
   		        orient : 'vertical',
   		        x : 'left',
   		    	data:<%=languageEchart.getKeys() %>
   		    },
   		    toolbox: {
   		        show : true,
   		        feature : {
   		            mark : {show: true},
   		            dataView : {show: true, readOnly: false},
   		            magicType : {
   		                show: true, 
   		                type: ['pie', 'funnel'],
   		                option: {
   		                    funnel: {
   		                        x: '25%',
   		                        width: '50%',
   		                        funnelAlign: 'left',
   		                        max: <%=languageEchart.getMaxValue() %>
   		                    }
   		                }
   		            },
   		            restore : {show: true},
   		            saveAsImage : {show: true}
   		        }
   		    },
   		    calculable : true,
   		    series : [
   		        {
   		            name:<%=languageEchart.getSeriesName() %>,
   		            type:'pie',
   		            radius : '55%',
   		            center: ['50%', '60%'],
   		            data:<%=languageEchart.getKeyValue() %>
   		        }
   		    ]
   		};
    languageChart.setOption(languageOption);
    
    
    var mobileChart = echarts.init(document.getElementById('mobile'));
    var mobileOption = {
   		    title : {
   		        text: <%=mobileEchart.getTitleText()%>,
   		        subtext: <%=mobileEchart.getTitleSubtext()%>,
   		        x:'center'
   		    },
   		    tooltip : {
   		        trigger: 'item',
   		        formatter: "{a} <br/>{b} : {c} ({d}%)"
   		    },
   		    legend: {
   		        orient : 'vertical',
   		        x : 'left',
   		    	data:<%=mobileEchart.getKeys() %>
   		    },
   		    toolbox: {
   		        show : true,
   		        feature : {
   		            mark : {show: true},
   		            dataView : {show: true, readOnly: false},
   		            magicType : {
   		                show: true, 
   		                type: ['pie', 'funnel'],
   		                option: {
   		                    funnel: {
   		                        x: '25%',
   		                        width: '50%',
   		                        funnelAlign: 'left',
   		                        max: <%=mobileEchart.getMaxValue() %>
   		                    }
   		                }
   		            },
   		            restore : {show: true},
   		            saveAsImage : {show: true}
   		        }
   		    },
   		    calculable : true,
   		    series : [
   		        {
   		            name:<%=mobileEchart.getSeriesName() %>,
   		            type:'pie',
   		            radius : '55%',
   		            center: ['50%', '60%'],
   		            data:<%=mobileEchart.getKeyValue() %>
   		        }
   		    ]
   		};
    mobileChart.setOption(mobileOption);
    
    
  	</script>
  </body>
</html>