<%@ page language="java" import="java.net.*" %>
<%@ page language="java" import="java.io.*" %>
<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="java.lang.management.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.log.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
   
<%
LogProperties prop = LogProperties.getInstance();
File folder = new File(prop.getLogFolderPath());
File[] files = null;
if ( folder != null && folder.isDirectory() ) {
	files = folder.listFiles(new FilenameFilter(){
		public boolean accept(File dir, String name){
			return name.endsWith(".log");
		}
	});
}
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_server_logs_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
    <div class="panel panel-info">
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_logs_title") %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr>
			<td width="300"><%=LocaleToolkit.getLocaleString(request, "page_server_logs_label_1") %></td>
			<td width="150"><%=LocaleToolkit.getLocaleString(request, "page_server_logs_label_2") %></td>
			<td width="150"><%=LocaleToolkit.getLocaleString(request, "page_server_logs_label_3") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_logs_label_4") %></td>
          </tr>
          <%
            if ( files != null ) {
	          	String name = null;
	          	String[] attr = null;
	          	for ( File f : files ) { 
	          		name = f.getName();
	        	  	name = name.substring(0,name.length()-4);
	        		attr = name.split("_");
          %>
          <tr>
			<td><%=f.getName() %></td>
			<td><%=attr==null||attr.length<2?"":attr[0] %></td>
			<td><%=attr==null||attr.length<2?"":attr[1] %></td>
			<td>
			  <button type="button" name="show" filename="<%=f.getName() %>" id="show" class="btn btn-sm btn-info">
			  <%=LocaleToolkit.getLocaleString(request, "page_server_logs_btn_1") %>
			  </button>
              <button type="button" name="download" filename="<%=f.getName() %>" id="download" class="btn btn-sm btn-info">
			  <%=LocaleToolkit.getLocaleString(request, "page_server_logs_btn_2") %>
			  </button>
			</td>
          </tr>
          <%	} 
            }
          %>
        </tbody>
      </table>
    </div>
    

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$("button[name='show']").click(function(){
  		location.href = "log.jsp?f="+$(this).attr("filename");
  	});
  	$("button[name='download']").click(function(){
  		location.href = "downlog.jsp?f="+$(this).attr("filename");
  	});
  	</script>
  </body>
</html>