/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform;

/**
 * System constant
 * @author jack lee
 * @version 1.0
 * @date 2016-09-21
 */
public enum ParameterEnum {

	URL_ACTION("action"),
	URL_USER("sys/user.jsp"),
	URL_USERS("sys/users.jsp"),
	URL_ROLE("sys/role.jsp"),
	URL_ROLES("sys/roles.jsp"),
	URL_MENU("sys/menu.jsp"),
	URL_MENUS("sys/menus.jsp"),
	URL_USER_DETAIL("sys/user_detail.jsp"),
	URL_USERS_DETAIL("sys/users_detail.jsp"),
	URL_FUNCTION("sys/function.jsp"),
	URL_FUNCTIONS("sys/functions.jsp"),
	URL_RIGHT_SET("sys/rightset.jsp"),
	
	URL_LOGIN("login.jsp"),
	URL_BACK_INDEX("bindex.jsp"),
	URL_WELCOME("bwelcome.jsp"),
	ACTION("a"),
	TARGET_URL("url"),
	PAGE("p");

	private String name;
	
	private ParameterEnum(String name) {
	    this.name = name;
	}
	
	public String getName() {
	    return name;
	}
	
	public void setName(String name) {
	    this.name = name;
	}
	
	@Override
	public String toString() {
	    return this.name;
	}
	
}
