/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.access;

import java.util.List;

/**
 * POJO of Echart
 * @author jack lee
 * @version 1.0
 */
public class EchartBean {

	private String titleText;
	private String titleSubtext;
	
	private String legendData;
	private String xAxisData;
	private String yAxisFormatter;
	private List<EchartSeries> series;
	
	private int maxValue = 0;
	private String keys;
	private String keyValue;
	private String seriesName;
	
	/**
	 * @return the seriesName
	 */
	public String getSeriesName() {
		return "'"+seriesName+"'";
	}
	/**
	 * @param seriesName the seriesName to set
	 */
	public void setSeriesName(String seriesName) {
		this.seriesName = seriesName;
	}
	/**
	 * @return the maxValue
	 */
	public int getMaxValue() {
		return maxValue;
	}
	/**
	 * @param maxValue the maxValue to set
	 */
	public void setMaxValue(int maxValue) {
		this.maxValue = maxValue;
	}
	/**
	 * @return the keys
	 */
	public String getKeys() {
		return keys;
	}
	/**
	 * @param keys the keys to set
	 */
	public void setKeys(String keys) {
		this.keys = keys;
	}
	/**
	 * @return the keyValue
	 */
	public String getKeyValue() {
		return keyValue;
	}
	/**
	 * @param keyValue the keyValue to set
	 */
	public void setKeyValue(String keyValue) {
		this.keyValue = keyValue;
	}
	/**
	 * @return the titleText
	 */
	public String getTitleText() {
		return "'"+titleText+"'";
	}
	/**
	 * @param titleText the titleText to set
	 */
	public void setTitleText(String titleText) {
		this.titleText = titleText;
	}
	/**
	 * @return the titleSubtext
	 */
	public String getTitleSubtext() {
		return "'"+titleSubtext+"'";
	}
	/**
	 * @param titleSubtext the titleSubtext to set
	 */
	public void setTitleSubtext(String titleSubtext) {
		this.titleSubtext = titleSubtext;
	}
	/**
	 * @return the legendData
	 */
	public String getLegendData() {
		return legendData;
	}
	/**
	 * @param legendData the legendData to set
	 */
	public void setLegendData(String legendData) {
		this.legendData = legendData;
	}
	/**
	 * @return the xAxisData
	 */
	public String getxAxisData() {
		return xAxisData;
	}
	/**
	 * @param xAxisData the xAxisData to set
	 */
	public void setxAxisData(String xAxisData) {
		this.xAxisData = xAxisData;
	}
	/**
	 * @return the yAxisFormatter
	 */
	public String getyAxisFormatter() {
		return "'"+yAxisFormatter+"'";
	}
	/**
	 * @param yAxisFormatter the yAxisFormatter to set
	 */
	public void setyAxisFormatter(String yAxisFormatter) {
		this.yAxisFormatter = yAxisFormatter;
	}
	/**
	 * @return the series
	 */
	public List<EchartSeries> getSeries() {
		return series;
	}
	/**
	 * @param series the series to set
	 */
	public void setSeries(List<EchartSeries> series) {
		this.series = series;
	}

	/**
	 * @param obj
	 * @return
	 */
	public static EchartBean toEchartBean(Object obj) {
		if ( obj == null ) {
			return new EchartBean();
		} else {
			return (EchartBean)obj;
		}
	}
}
