/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.i18n;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.event.ItemListener;
import java.util.HashMap;
import java.util.Map;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * @author jack lee
 * @version 1.0
 */
public class ComboxPanel extends JPanel{

	private static final long serialVersionUID = 1L;
	public JLabel label = null;
	public JComboBox<String> box = null;
	public JButton btn = null;
	private double lableSzie = 0.35d;
	private int defaultWidth = 240;
	private int defaultHeight = 24;
	private Font font = null;
	private Font txtFont = null;
	private int bordersize = 3;
	public Map<String,String> map;
	
	
	public ComboxPanel(String labelName,String defaultText,String defaultBtn){
		this.setSize(this.defaultWidth, this.defaultHeight);
		font = new Font("宋体",Font.PLAIN,14);
		txtFont  = new Font("宋体",Font.PLAIN,14);
		label = new JLabel(" " + labelName);
		label.setFont(font);
		label.setPreferredSize(new Dimension(Double.valueOf(this.defaultWidth * this.lableSzie).intValue(),
				this.defaultHeight));
		box = new JComboBox<String>();
		box.setEditable(false);
		box.setFont(txtFont);	
		
		this.setLayout(new BorderLayout());
		this.add(label,BorderLayout.WEST);
		this.add(box,BorderLayout.CENTER);
		this.setBorder(BorderFactory.createEmptyBorder(bordersize, bordersize, bordersize, bordersize));
	
		map = new HashMap<String,String>();
	}

	/**
	 * @param listener
	 */
	public void addListener(ItemListener listener){
		box.addItemListener(listener);
	}
	
	/**
	 * @param item
	 * @param value
	 */
	public void setSelectedIndex(int index){
		box.setSelectedIndex(index);
	}
	
	/**
	 * @param item
	 * @param value
	 */
	public void addItem(String item, String value){
		box.addItem(item);
		map.put(item, value);
	}
	
	/**
	 * @return
	 */
	public String getValue(){
		return map.get(box.getSelectedItem());
	}
	
	public void clear(){
		box.removeAllItems();
	}
}
