/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.safe.ipblacklist;

import java.util.Set;

import com.nonesole.web.platform.safe.ISafe;

/**
 * BlackIP Interface
 * @author jack lee
 * @version 1.0
 */
public interface IBlackList extends ISafe<BlackIP> {

	public final static String PARAM_QUERY_KEY_WORD = "ip";
	public final static String PAGE_QUERY = "blacklist.jsp";
	public final static String PAGE_QUERY_2 = "safe/blacklist.jsp";
	public final static String DAO_METHOD_GET_RESULTS = "queryBlackIP";
	public final static String DAO_METHOD_GET_TOTAL_ROWS = "getBlackIPAllRows";
	
	/**
	 * Find black list of ip which has been started
	 * @return
	 * @throws Exception
	 */
	public Set<String> findStartedBlackList() throws Exception;

	public static final String PAGE_BLACK_LIST = "safe/blacklist.jsp";
	public static final String PARAM_BLACK_IPS = "blackips";
	public static final String PARAM_QUERY_BLACK_IP = "blackip01";
	public static final String PARAM_ADD = "blackip02";
	public static final String PARAM_DELETE = "blackip03";
	public static final String PARAM_OPEN = "blackip04";
	public static final String PARAM_CLOSE = "blackip05";
	public static final int INTEGER_OPEN_BLACK_IP = 1;
	public static final int INTEGER_CLOSE_BLACK_IP = 0;
	public static final String FIELD_IP = "ip";
	public static final String FIELD_ID = "id";
	public static final String MAP_KEY_IP = "#ip#";
	public static final String MAP_KEY_STATUS = "status";
	public static final String MAP_KEY_CONDITION = "#condition";
	public static final String DAO_SET_STATUS = "setStatusForBlackIP";
	public static final String DAO_QUERY_BLACK_IP = "queryBlackIP";
	public static final String DAO_GET_ALL_ROWS = "getBlackIPAllRows";
	public static final String DAO_FIND_STARTED_BLACK_LIST = "findStartedBlackList";
	public static final String ATTR_PAGES = "attr_pages";
	
}
