/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.safe.wordblacklist;

import java.util.Set;

import com.nonesole.web.platform.safe.ISafe;

/**
 * BlackWord interface
 * @author jack lee
 * @version 1.0
 */
public interface IWordBlackList extends ISafe<BlackWord> {
	
	public final static String PARAM_QUERY_KEY_WORD = "condition";
	public final static String DAO_PARAM_WORD = "word";
	public final static String PAGE_QUERY = "wordblacklist.jsp";
	public final static String PAGE_QUERY_2 = "safe/wordblacklist.jsp";
	public final static String DAO_METHOD_GET_RESULTS = "queryBlackWord";
	public final static String DAO_METHOD_GET_TOTAL_ROWS = "getBlackWordAllRows";
	public static final String PAGE_BLACK_LIST = "safe/wordblacklist.jsp";
	public static final String PARAM_BLACK_WORDS = "blackwords";
	public static final String PARAM_QUERY_BLACK_WORD = "blackword01";
	public static final String PARAM_ADD = "blackword02";
	public static final String PARAM_DELETE = "blackword03";
	public static final String PARAM_OPEN = "blackword04";
	public static final String PARAM_CLOSE = "blackword05";
	public static final int INTEGER_OPEN_BLACK_WORD = 1;
	public static final int INTEGER_CLOSE_BLACK_WORD = 0;
	public static final String FIELD_WORD = "word";
	public static final String FIELD_ID = "id";
	public static final String MAP_KEY_WORD = "#word#";
	public static final String MAP_KEY_STATUS = "status";
	public static final String MAP_KEY_CONDITION = "#condition";
	public static final String DAO_SET_STATUS = "setStatusForBlackWord";
	public static final String DAO_QUERY_BLACK_WORD = "queryBlackWord";
	public static final String DAO_GET_ALL_ROWS = "getBlackWordAllRows";
	public static final String DAO_FIND_STARTED_WORD_BLACK_LIST = "findStartedWordBlackList";
	public static final String ATTR_PAGES = "attr_pages";
	
	/**
	 * Find the started black list of word
	 * @return
	 * @throws Exception
	 */
	public Set<String> findStartedWordBlackList() throws Exception;
	
}
