/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.function;

import com.nonesole.persistence2.config.CommonTools;
import com.nonesole.web.platform.basic.IPojo;


/**
 * Function POJO
 * @author jack lee
 * @version 1.0
 * @date 2016-10-09
 */
public class Function  implements IPojo {

	private int id;
	private String name;
	private String interface_name;
	private String class_name;
	private String method_name;
	private String parameter_name;
	private String page_url;
	
	/**
	 * @return the page_url
	 */
	public String getPage_url() {
		return page_url==null?"":page_url;
	}
	/**
	 * @param page_url the page_url to set
	 */
	public void setPage_url(String page_url) {
		this.page_url = page_url;
	}
	/**
	 * @return the interface_name
	 */
	public String getInterface_name() {
		return interface_name;
	}
	/**
	 * @param interface_name the interface_name to set
	 */
	public void setInterface_name(String interface_name) {
		this.interface_name = interface_name;
	}
	/**
	 * @return the class_name
	 */
	public String getClass_name() {
		return class_name;
	}
	/**
	 * @param class_name the class_name to set
	 */
	public void setClass_name(String class_name) {
		this.class_name = class_name;
	}
	/**
	 * @return the method_name
	 */
	public String getMethod_name() {
		return method_name;
	}
	/**
	 * @param method_name the method_name to set
	 */
	public void setMethod_name(String method_name) {
		this.method_name = method_name;
	}
	/**
	 * @return the parameter_name
	 */
	public String getParameter_name() {
		return parameter_name;
	}
	/**
	 * @param parameter_name the parameter_name to set
	 */
	public void setParameter_name(String parameter_name) {
		this.parameter_name = parameter_name;
	}
	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * @return
	 */
	public boolean validate(int action){
		if ( action == INSERT ) {
			return !CommonTools.isNull(this.name);
		} else if ( action == UPDATE ) {
			if ( id < 1 && CommonTools.isNull(this.name) ) {
				return false;
			}
		} else if ( action == DELETE ) {
			if ( id < 1 ) {
				return false;
			}
		} else if ( action == SYS_LOAD ) {
			if ( CommonTools.isNull(this.class_name) ||
					CommonTools.isNull(this.method_name) ||
					CommonTools.isNull(this.parameter_name) ||
					CommonTools.isNull(this.name)) {
				return false;
			}
		} 
		return true;
	}
	
	public static final int INSERT = 1;
	public static final int UPDATE = 2;
	public static final int DELETE = 3;
	public static final int SYS_LOAD = 4;

	@Override
	public int getObjectId() {
		return id;
	}
	
}
