/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.menu;

/**
 * Menu constant
 * @author jack lee
 * @version 1.0 
 * @date 2016-10-09
 */
public enum MenuEnum {

	ACTION_MENU("menu_action"),

	FUNC_ADD("m01"), 
	FUNC_UPDATE("m02"), 
	FUNC_DELETE("m03"), 
	FUNC_FIND("m04"), 
	FUNC_GET_MENU_DETAIL("m05"),
	FUNC_GET_MENU_TREE("m06"),

	METHOD_ADD("add"), 
	METHOD_UPDATE("update"), 
	METHOD_DELETE("delete"), 
	METHOD_QUERY("query"), 
	METHOD_GET_MENU_DETAIL("getMenuDetail"), 
	METHOD_GET_MENU_TREE("getMenuTree"), 

	DAO_ADD_MENU("addMenu"), 
	DAO_UPDATE_MENU("updateMenu"), 
	DAO_FIND_MENUS("findMenus"), 
	DAO_GET_ALL_ROWS("getMenuAllRows"),
	DAO_GET_MENU_DETAILS("getMenuDetail"),
	DAO_LINK_ROLES("linkRoles"), 
	DAO_LINK_FUNCTIONS("linkFunctions"),

	ATTR_PAGES_MENU("attrPagesMenu"), 
	ATTR_MENU_TREE("attrMenuTree"), 
	ATTR_MENU_DETAIL("attrMenuDetail"),
	ATTR_CONDITIONS("conditions"),
	ATTR_CONDITION("condition"),
	ATTR_STATUS("status"),
	
	URL_MENUS("./sys/menus.jsp"),
	URL_SYS_MENUS("menus.jsp"),
	
	PARAM_START_INDEX("start_index"), 
	PARAM_PAGE_SIZE("page_size"), 
	PARAM_MENU_ID("id"), 
	PARAM_CONDITION_MENU_ID("#id"), 
	PARAM_MENU_NAME("name"), 
	PARAM_MENU_PID("pid"), 
	PARAM_MENU_LEVEL("level"), 
	PARAM_MENU_URL("url"), 
	PARAM_MENU_LEAF("leaf"), 
	PARAM_MENU_ICO("ico"), 
	PARAM_CONDITION("#condition");

	private String name;

	private MenuEnum(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return this.name;
	}

}
