/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.rightset;

/**
 * RightSet constant
 * @author jack lee
 * @version 1.0
 * @date 2016-10-15
 */
public enum RightSetEnum {

	ACTION_RIGHT_SET("right_set_action"),

	FUNC_FIND_USER_ROLE_BY_USER_ID("rs01"), 
	FUNC_FIND_USER_ROLE_BY_ROLE_ID("rs02"), 
	FUNC_FIND_ROLE_MENU_BY_ROLE_ID("rs03"), 
	FUNC_FIND_ROLE_MENU_BY_MENU_ID("rs04"), 
	FUNC_FIND_MENU_FUNCTION_BY_MENU_ID("rs05"), 
	FUNC_FIND_MENU_FUNCTION_BY_FUNCTION_ID("rs06"), 
	FUNC_UPDATE_USER_ROLE_FOR_USER("rs07"), 
	FUNC_UPDATE_USER_ROLE_FOR_ROLE("rs08"), 
	FUNC_UPDATE_ROLE_MENU_FOR_ROLE("rs09"), 
	FUNC_UPDATE_ROLE_MENU_FOR_MENU("rs10"), 
	FUNC_UPDATE_MENU_FUNCTION_FOR_MENU("rs11"), 
	FUNC_UPDATE_MENU_FUNCTION_FOR_FUNCTION("rs12"),
	FUNC_GET_FUNCTION_PAGE_URL("rs13"),
	
	METHOD_FIND_USER_ROLE_BY_USER_ID("findUserRoleByUserId"), 
	METHOD_FIND_USER_ROLE_BY_ROLE_ID("findUserRoleByRoleId"), 
	METHOD_FIND_ROLE_MENU_BY_ROLE_ID("findRoleMenuByRoleId"), 
	METHOD_FIND_ROLE_MENU_BY_MENU_ID("findRoleMenuByMenuId"), 
	METHOD_FIND_MENU_FUNCTION_BY_MENU_ID("findMenuFunctionByMenuId"), 
	METHOD_FIND_MENU_FUNCTION_BY_FUNCTION_ID("findMenuFunctionByFunctionId"), 
	METHOD_UPDATE_USER_ROLE_FOR_USER("updateUserRoleForUser"), 
	METHOD_UPDATE_USER_ROLE_FOR_ROLE("updateUserRoleForRole"), 
	METHOD_UPDATE_ROLE_MENU_FOR_ROLE("updateRoleMenuForRole"), 
	METHOD_UPDATE_ROLE_MENU_FOR_MENU("updateRoleMenuForMenu"), 
	METHOD_UPDATE_MENU_FUNCTION_FOR_MENU("updateMenuFunctionForMenu"), 
	METHOD_UPDATE_MENU_FUNCTION_FOR_FUNCTION("updateMenuFunctionForFunction"), 

	DAO_FIND_ROLES_BY_USER_ID("findRolesByUserId"), 
	DAO_FIND_ALL_ROLES("findAllRoles"), 
	DAO_DELETE_USER_ROLE_BY_USER_ID("deleteUserRoleByUserId"), 
	
	DAO_FIND_USERS_BY_ROLE_ID("findUsersByRoleId"), 
	DAO_FIND_ALL_USERS("findAllUsers"), 
	DAO_DELETE_USER_ROLE_BY_ROLE_ID("deleteUserRoleByRoleId"), 
	
	DAO_FIND_MENUS_BY_ROLE_ID("findMenusByRoleId"), 
	DAO_FIND_ALL_MENUS("findAllMenus"), 
	DAO_DELETE_ROLE_MENU_BY_ROLE_ID("deleteRoleMenuByRoleId"), 
	
	DAO_FIND_ROLES_BY_MENU_ID("findRolesByMenuId"), 
	DAO_DELETE_ROLE_MENU_BY_MENU_ID("deleteRoleMenuByMenuId"), 
	
	DAO_FIND_FUNCTIONS_BY_MENU_ID("findFunctionsByMenuId"), 
	DAO_FIND_ALL_FUNCTIONS("findAllFunctions"), 
	DAO_DELETE_MENU_FUNCTION_BY_MENU_ID("deleteMenuFunctionByMenuId"), 
	
	DAO_FIND_MENUS_BY_FUNCTION_ID("findMenusByFunctionId"), 
	DAO_DELETE_MENU_FUNCTION_BY_FUNCTION_ID("deleteMenuFunctionByFunctionId"), 
	
	DAO_GET_URL_2_ROLE_ID_RELATION("getUrl2RoleIdRelation"), 
	DAO_GET_ACTION_PARAMETER_2_ROLE_ID_RELATION("getActionParameter2RoleIdRelation"), 
	DAO_GET_ALL_ROLE_MENU("getAllRoleMenu"), 
	
	DAO_GET_FUNCTION_PAGE_URL_FOR_MENU_ITEM("getFunctionPageUrlForMenuItem"), 
	
	ATTR_ROLES("attrRoles"), 
	ATTR_USERS("attrUsers"), 
	ATTR_MENUS("attrMenus"), 
	ATTR_FUNCTIONS("attrFunctions"), 
	ATTR_ID("id"), 
	ATTR_NAME("name"), 
	ATTR_RIGHT_SET_VIEW("right_set_view"),
	
	ATTR_ROLE_DETAIL("attrRoleDetail"),
	ATTR_CONDITIONS("conditions"),
	ATTR_CONDITION("condition"),
	ATTR_STATUS("status"),
	
	ATTR_MENU_ID("attrMenuId"),
	ATTR_FUNCTION_PAGE_URL("attrFunctionPageUrl"),
	
	URL_ROLES("../sys/roles.jsp"),
	URL_SYS_ROLES("roles.jsp"),
	
	NAME_USER("用户"),
	NAME_ROLE("角色"),
	NAME_MENU("菜单"),
	NAME_FUNCTION("功能"),
	
	PARAM_USER_ID("user_id"),
	PARAM_ROLE_ID("role_id"),
	PARAM_ID_ARRAY("id"),
	PARAM_ID("id"), 
	PARAM_CONDITION_ID("#id"), 
	PARAM_FROM_ID("fromid"),
	PARAM_TARGET_ID("targetid"),
	PARAM_NAME("name"),
	PARAM_URL("url");

	private String name;

	private RightSetEnum(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return this.name;
	}

}
