/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.rightset;

import javax.servlet.http.HttpServletRequest;

import com.nonesole.web.platform.i18n.LocaleToolkit;

/**
 * RightSetView POJO
 * @author jack lee
 * @version 1.0
 * @date 2016-10-16
 */
public class RightSetView {

	private String actionName;
	private String fromObjectTypeName;
	private String targetObjectTypeName;
	private String fromObjectsName;
	private String fromObjectsId;
	private String treeNodes;
	private String sourceUrl;
	
	public String getSourceUrl() {
		return sourceUrl;
	}
	public void setSourceUrl(String sourceUrl) {
		this.sourceUrl = sourceUrl;
	}
	/**
	 * @return the treeNodes
	 */
	public String getTreeNodes() {
		return treeNodes;
	}
	/**
	 * @param treeNodes the treeNodes to set
	 */
	public void setTreeNodes(String treeNodes) {
		this.treeNodes = treeNodes;
	}
	/**
	 * @return the actionName
	 */
	public String getActionName() {
		return actionName;
	}
	/**
	 * @param actionName the actionName to set
	 */
	public void setActionName(String actionName) {
		this.actionName = actionName;
	}
	/**
	 * @return the fromObjectTypeName
	 */
	public String getFromObjectTypeName() {
		return fromObjectTypeName;
	}
	/**
	 * @param fromObjectTypeName the fromObjectTypeName to set
	 */
	public void setFromObjectTypeName(String fromObjectTypeName) {
		this.fromObjectTypeName = fromObjectTypeName;
	}
	/**
	 * @return the targetObjectTypeName
	 */
	public String getTargetObjectTypeName() {
		return targetObjectTypeName;
	}
	/**
	 * @param targetObjectTypeName the targetObjectTypeName to set
	 */
	public void setTargetObjectTypeName(String targetObjectTypeName) {
		this.targetObjectTypeName = targetObjectTypeName;
	}
	/**
	 * @return the fromObjectsName
	 */
	public String getFromObjectsName() {
		return fromObjectsName;
	}
	/**
	 * @param fromObjectsName the fromObjectsName to set
	 */
	public void setFromObjectsName(String fromObjectsName) {
		this.fromObjectsName = fromObjectsName;
	}
	/**
	 * @return the fromObjectsId
	 */
	public String getFromObjectsId() {
		return fromObjectsId;
	}
	/**
	 * @param fromObjectsId the fromObjectsId to set
	 */
	public void setFromObjectsId(String fromObjectsId) {
		this.fromObjectsId = fromObjectsId;
	}
	
	/**
	 * @return
	 */
	public String getTitle(HttpServletRequest request){
		StringBuilder sb = new StringBuilder();
		sb.append(this.fromObjectTypeName)
		  .append(LocaleToolkit.getLocaleString(request, "com.nonesole.web.platform.sys.rightset.RightSetView_info_1"))
		  .append(this.targetObjectTypeName);
		return sb.toString();
	}
}
