/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.role;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.nonesole.web.platform.IAction;
import com.nonesole.web.platform.sys.CoreException;


/**
 * Role interface
 * @author jack lee
 * @version 1.0
 * @date 2016-10-09
 */
public interface IRole extends IAction<Role> {

	public final static String PARAM_QUERY_KEY_WORD = "condition";
	public final static String DAO_PARAM_NAME = "name";
	public final static String DAO_METHOD_FIND_OBJECT_BY_ID = "getRoleDetail";
	public final static String PAGE_QUERY = "roles.jsp";
	public final static String DAO_METHOD_GET_RESULTS = "findRoles";
	public final static String DAO_METHOD_GET_TOTAL_ROWS = "getRoleAllRows";
	
	/**
	 * Get role detail
	 * @param session
	 * @param request
	 * @param response
	 * @throws CoreException
	 */
	public void getRoleDetail(HttpSession session,
			HttpServletRequest request,
			HttpServletResponse response) throws CoreException;
	
}
