/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.role;

/**
 * Role constant
 * @author jack lee
 * @version 1.0 
 * @date 2016-10-09
 */
public enum RoleEnum {

	ACTION_ROLE("role_action"),

	FUNC_ADD("r01"), 
	FUNC_UPDATE("r02"), 
	FUNC_DELETE("r03"), 
	FUNC_FIND("r04"), 
	FUNC_GET_ROLE_DETAIL("r05"),

	METHOD_ADD("add"), 
	METHOD_UPDATE("update"), 
	METHOD_DELETE("delete"), 
	METHOD_QUERY("query"), 
	METHOD_GET_ROLE_DETAIL("getRoleDetail"), 

	DAO_FIND_ROLES("findRoles"), 
	DAO_GET_ALL_ROWS("getRoleAllRows"),
	DAO_GET_ROLE_DETAILS("getRoleDetail"),
	DAO_PARAM_CONDITION("#condition"),
	
	ATTR_PAGES_ROLE("attrPagesRole"), 
	ATTR_ROLE_DETAIL("attrRoleDetail"),
	ATTR_CONDITIONS("conditions"),
	ATTR_CONDITION("condition"),
	ATTR_STATUS("status"),
	
	URL_ROLES("./sys/roles.jsp"),
	URL_SYS_ROLES("roles.jsp"),
	
	PARAM_START_INDEX("start_index"), 
	PARAM_PAGE_SIZE("page_size"), 
	PARAM_ROLE_ID("id"), 
	PARAM_ROLE_NAME("name"), 
	PARAM_CONDITION("condition");

	private String name;

	private RoleEnum(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return this.name;
	}

}
