/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.user;

/**
 * User constant
 * @author jack lee
 * @version 1.0
 * @date 2016-09-16
 */
public enum UserEnum {
	
	USER_ACTION("user_action"),
	
	ADD_FUNC("u01"),
	UPDATE_FUNC("u02"),
	DELETE_FUNC("u03"),
	FIND_FUNC("u04"),
	LOCK_FUNC("u05"),
	UNLOCK_FUNC("u06"),
	GET_USER_DETAIL_FUNC("u07"),
	UPDATE_PWD_FUNC("u08"),
	
	ADD_METHOD("add"),
	UPDATE_METHOD("update"),
	DELETE_METHOD("delete"),
	QUERY_METHOD("query"),
	LOCK_METHOD("lock"),
	UNLOCK_METHOD("unlock"),
	GET_USER_DETAIL_METHOD("getUserDetail"),
	UPDATE_USER_METHOD("updateUser"),
	UPDATE_PWD_METHOD("updateUserPwd"),
		
	FIND_USERS("findUsers"),
	GET_ALL_ROWS("getUserAllRows"),
	GET_USER_DETAILS("getUserDetail"),
	DAO_GET_USER_BY_EMAIL("getUserByEmail"),
	DAO_GET_USER_BY_USER_NAME("getUserByUserName"),
	DAO_GET_USER_BY_CELL_PHONE_NUMBER("getUserByCellPhoneNumber"),
	DAO_FIND_SAME_USER("findSameUser"),
	DAO_FIND_SAME_USER_FOR_UPDATE("findSameUserForUpdate"),
	DAO_GET_USER_BY_COOKIES("getUserByCookies"),
	
	ATTR_PAGES_USER("attrPagesUser"),
	ATTR_USER_DETAIL("attrUserDetail"),
	ATTR_CONDITIONS("conditions"),
	ATTR_CONDITION("condition"),
	ATTR_STATUS("status"),
	ATTR_SESSION_USER("user_object"),
	ATTR_SESSION_USER_ROLES("user_roles"),
	
	URL_USERS("sys/users.jsp"),
	URL_SYS_USERS("users.jsp"),
	
	PARAM_DEFAULT_LOGIN_KEY("1"),
	PARAM_MESSAGE("message"),
	PARAM_START_INDEX("start_index"),
	PARAM_PAGE_SIZE("page_size"),
	PARAM_USER_ID("id"),
	PARAM_LOGIN_NAME("login_name"),
	PARAM_LOGIN_EMAIL("login_email"),
	PARAM_LOGIN_CELL_PHONE_NUMBER("login_cell_phone_number"),
	PARAM_STATUS("status"),
	PARAM_LOGIN_KEY("login_key"),
	PARAM_REMEMBER_ME("remember_me"),
	PARAM_VALUE_REMEMBER_ME("1"),
	PARAM_CONDITION("condition");
	
    private String name;

    private UserEnum(String name) {
        this.name = name;
    }
    
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return this.name;
    }
    
}
