/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 * 
 * Roya是一个基于MVC设计的微内核Web应用集成平台，其基于Persistence2框架构建，并内置了简单易用的权限管理
 * 功能，可以满足一般应用快速开发和部署的需求。
 * 
 * MIT开源协议 
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * 特此授权任何获得本软件和相关文档文件（“软件”）副本的人免费处理本软件，包括但不限于使用，复制，修改，合并的权利 ，
 * 发布，分发，再授权和/或出售本软件的副本，并允许提供本软件的人员遵守以下条件：
 * 上述版权声明和本许可声明应包含在本软件的所有副本或主要部分。
 * 该软件“按原样”提供，不附带任何明示或暗示的保证，包括但不限于适销性，适用于特定用途和不侵权的保证。 在任何情况下，
 * 作者或版权所有者均不对任何索赔，损害或其他责任负责，无论是否因与本软件或本软件的使用或其他交易相关的任何合同，软
 * 件中的侵权行为或其他方面的行为。
 */
package com.nonesole.web.platform.sys.userdetail;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.nonesole.web.platform.IAction;
import com.nonesole.web.platform.sys.CoreException;
import com.nonesole.web.platform.sys.user.User;

/**
 * UserDetail interface
 * @author jack lee
 * @version 1.0
 * @date 2016-09-13
 */
public interface IUserDetail extends IAction<User> {

	public final static String PARAM_QUERY_KEY_WORD = "#condition";
	public final static String DAO_PARAM_LOGIN_NAME = "login_name";
	public final static String DAO_PARAM_EMAIL = "email";
	public final static String DAO_PARAM_NICK_NAME = "nick_name";
	public final static String DAO_PARAM_QQ = "qq_number";
	public final static String DAO_PARAM_ADDRESS = "address";
	public final static String DAO_PARAM_WECHAT = "wechat_name";
	public final static String DAO_PARAM_CELL_PHONE = "cell_phone_number";
	public final static String DAO_METHOD_FIND_OBJECT_BY_ID = "findUserDetail";
	public final static String PAGE_QUERY = "sys/users_detail.jsp";
	public final static String PAGE_QUERY_2 = "users_detail.jsp";
	public final static String DAO_METHOD_GET_RESULTS = "findUsersDetail";
	public final static String DAO_METHOD_GET_TOTAL_ROWS = "getAllRowsOfUser";
	
	/**
	 * Find user detail
	 * @param session
	 * @param request
	 * @param response
	 * @throws CoreException
	 */
	public void findUserDetail(HttpSession session,
			HttpServletRequest request,
			HttpServletResponse response) throws CoreException;
	
}
