/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.userdetail;

import com.nonesole.persistence2.config.CommonTools;
import com.nonesole.web.platform.basic.IPojo;
import com.nonesole.web.platform.sys.PlatformTools;


/**
 * UserDetail POJO
 * @author jack lee
 * @version 1.0
 * @date 2016-09-26
 */
public class UserDetail extends ExtensionUserDetail implements IPojo{

	private int id;
	
	private String nick_name;
	private long birthday;
	private int age;
	private String email;
	private String cell_phone_number;
	private String address;
	private String tel;
	private String tax;
	private String qq_number;
	private String wechat_name;
	private String weibo_url;
	
	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return the nick_name
	 */
	public String getNick_name() {
		return nick_name==null?"":nick_name;
	}
	/**
	 * @param nick_name the nick_name to set
	 */
	public void setNick_name(String nick_name) {
		this.nick_name = nick_name;
	}
	/**
	 * @return the birthday
	 */
	public long getBirthday() {
		return birthday;
	}
	/**
	 * @param birthday the birthday to set
	 */
	public void setBirthday(long birthday) {
		this.birthday = birthday;
	}
	/**
	 * @return the age
	 */
	public int getAge() {
		return age;
	}
	/**
	 * @param age the age to set
	 */
	public void setAge(int age) {
		this.age = age;
	}
	/**
	 * @return the email
	 */
	public String getEmail() {
		return email==null?"":email;
	}
	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	/**
	 * @return the cell_phone_number
	 */
	public String getCell_phone_number() {
		return cell_phone_number==null?"":cell_phone_number;
	}
	/**
	 * @param cell_phone_number the cell_phone_number to set
	 */
	public void setCell_phone_number(String cell_phone_number) {
		this.cell_phone_number = cell_phone_number;
	}
	/**
	 * @return the address
	 */
	public String getAddress() {
		return address==null?"":address;
	}
	/**
	 * @param address the address to set
	 */
	public void setAddress(String address) {
		this.address = address;
	}
	/**
	 * @return the tel
	 */
	public String getTel() {
		return tel==null?"":tel;
	}
	/**
	 * @param tel the tel to set
	 */
	public void setTel(String tel) {
		this.tel = tel;
	}
	/**
	 * @return the tax
	 */
	public String getTax() {
		return tax==null?"":tax;
	}
	/**
	 * @param tax the tax to set
	 */
	public void setTax(String tax) {
		this.tax = tax;
	}
	/**
	 * @return the qq_number
	 */
	public String getQq_number() {
		return qq_number==null?"":qq_number;
	}
	/**
	 * @param qq_number the qq_number to set
	 */
	public void setQq_number(String qq_number) {
		this.qq_number = qq_number;
	}
	/**
	 * @return the wechat_name
	 */
	public String getWechat_name() {
		return wechat_name==null?"":wechat_name;
	}
	/**
	 * @param wechat_name the wechat_name to set
	 */
	public void setWechat_name(String wechat_name) {
		this.wechat_name = wechat_name;
	}
	/**
	 * @return the weibo_url
	 */
	public String getWeibo_url() {
		return weibo_url==null?"":weibo_url;
	}
	/**
	 * @param weibo_url the weibo_url to set
	 */
	public void setWeibo_url(String weibo_url) {
		this.weibo_url = weibo_url;
	}
	/**
	 * @return the login_name
	 */
	public String getLogin_name() {
		return login_name==null?"":login_name;
	}
	/**
	 * @param login_name the login_name to set
	 */
	public void setLogin_name(String login_name) {
		this.login_name = login_name;
	}
	/**
	 * @return String
	 */
	public String toString(){
		return String.valueOf(id);
	}
	
	/**
	 * @return
	 */
	public boolean validate(int action){
		if ( action == INSERT ) {
		} else if ( action == UPDATE ) {
			if ( this.id < 1 ) {
				return false;
			}
		}
		
		String regex = "^\\s*\\w+(?:\\.{0,1}[\\w-]+)*@[a-zA-Z0-9]+(?:[-.][a-zA-Z0-9]+)*\\.[a-zA-Z]+\\s*$";
		if ( !PlatformTools.isNull(this.email) && !CommonTools.matchValueRule(this.email,regex) ) {
			return false;
		}
		return true;
	}
	
	public static final int INSERT = 1;
	public static final int UPDATE = 2;

	@Override
	public int getObjectId() {
		return id;
	}
}
