/**
 * Roya is a micro-core web-application platform which is designed with MVC. 
 * It has easy-use functions for authority management which is based on 
 * platform. This platform is build with Persistence2 framework and could 
 * meet developer’s need of software quick-development and publish.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.web.platform.sys.userdetail;

/**
 * UserDetail POJO
 * @author jack lee
 * @version 1.0
 * @date 2016-09-16
 */
public enum UserDetailEnum {

	ACTION_USER_DETAIL("user_detail_action"), 
	
	FUNC_UPDATE("ud01"), 
	FUNC_FIND("ud02"),
	FUNC_FIND_DETAIL("ud03"),
	
	METHOD_UPDATE("update"), 
	METHOD_FIND("query"), 
	METHOD_FIND_DETAIL("findUserDetail"),
	
	DAO_FIND_USERS("findUsersDetail"), 
	DAO_FIND_USER("findUserDetail"), 
	DAO_UPDATE_USER("updateUserDetail") ,
	DAO_GET_ALL_ROWS_OF_USER("getAllRowsOfUser") ,
	
	ATTR_PAGES_USER("attrPagesUser"), 
	ATTR_USER_DETAIL("attrUserDetail"), 
	ATTR_CONDITIONS("conditions"),
	ATTR_CONDITION("condition"),
	ATTR_STATUS("status"),
	
	URL_USERS("sys/users_detail.jsp"), 
	URL_SYS_USERS("users_detail.jsp"),
	
	TIME_FORMAT("yyyy-MM-dd hh:mm") ,
	PARAM_STRING_BIRTHDAY("string_birthday"),
	
	PARAM_CONDITION("#condition"),
	PARAM_USER_ID("id"), 
	PARAM_NICK_NAME("nick_name"),
	PARAM_BIRTHDAY("birthday"),
	PARAM_AGE("age"),
	PARAM_EMAIL("email"),
	PARAM_CELL_PHONE_NUMBER("cell_phone_number"),
	PARAM_ADDRESS("address"),
	PARAM_TEL("tel"),
	PARAM_TAX("tax"),
	PARAM_QQ("qq_number"),
	PARAM_WECHAT("wechat_name"),
	PARAM_WEIBO("weibo_url"),
	PARAM_START_INDEX("start_index"),
	PARAM_PAGE_SIZE("page_size")
	;

	private String name;

	private UserDetailEnum(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return this.name;
	}

}
