# Roya(nonesole.com) for MySQL 5.6.24
# ---------------------------------------
# URL : jdbc:mysql://localhost:3306/platform
# Backup time: 2017-05-04 12:12:38:073


#SET FOREIGN_KEY_CHECKS=0;

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#DROP DATABASE IF EXISTS platform;
#CREATE DATABASE platform
#    CHARACTER SET 'utf8'
#    COLLATE 'utf8_general_ci';

USE platform;

#
# Structure for the `access_info` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists access_info;

create table if not exists access_info(
  id INTEGER  primary key  comment '',
  ip VARCHAR(15)  comment '',
  vtime BIGINT  comment '访问时间',
  source_url VARCHAR(2000)  not null  comment '来路链接',
  target_url VARCHAR(2000)  not null  comment '访问链接',
  country VARCHAR(20)  not null  comment '国家和地区',
  source_domain VARCHAR(100)  not null  comment '来路域名',
  target_domain VARCHAR(100)  not null  comment '访问域名',
  browser VARCHAR(200)  not null  comment '浏览器',
  language VARCHAR(200)  not null  comment '客户端使用语言',
  os VARCHAR(20)  not null  comment '客户端操作系统',
  session_id VARCHAR(50)  not null  comment 'Cookie默认期限为1年',
  user_id INTEGER  not null  comment '登录用户记录该ID',
  user_agent VARCHAR(200)  not null  comment 'user-agent',
  ltime BIGINT  not null  comment '跳出页面时间',
  new_visitor INTEGER  not null  comment '1表示新访客，0表示老访客',
  mobile INTEGER  not null  comment '1表示移动终端，0表示PC终端',
  source_type INTEGER  not null  comment '来源类型，0表示直接访问，1表示外部链接，2表示搜索引擎',
  search_engine VARCHAR(20)  not null  comment '搜索引擎名称'
) charset=utf8 comment='此表用来记录指定类型资源的访问情况';

#
# Structure for the `safe_ip_black_list` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists safe_ip_black_list;

create table if not exists safe_ip_black_list(
  id INTEGER  primary key  comment '',
  ip VARCHAR(20)  comment '需要被屏蔽的IP地址，可以使用通配符',
  status INTEGER  comment '0为不启用当前配置，1为启用当前配置'
) charset=utf8 comment='IP黑名单';

#
# Structure for the `safe_ip_white_list` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists safe_ip_white_list;

create table if not exists safe_ip_white_list(
  id INTEGER  primary key  comment '',
  ip VARCHAR(20)  comment 'IP白名单用于系统维护和管理员入口管制',
  status INTEGER  not null  comment '0为不启用当前配置，1为启用当前配置'
) charset=utf8 comment='IP白名单，白名单优先级要高于黑名单';

#
# Structure for the `safe_redirect` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists safe_redirect;

create table if not exists safe_redirect(
  id INTEGER  primary key  comment '',
  source_url VARCHAR(1000)  comment '入口URL，需要被隐藏起来的URL',
  target_url VARCHAR(1000)  comment '真正对外显示的URL',
  status INTEGER  comment '0为不启用当前配置，1为启用当前配置'
) charset=utf8 comment='对指定网址进行保护，访问受保护地址将提示错误';

#
# Structure for the `safe_verification_code` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists safe_verification_code;

create table if not exists safe_verification_code(
  id INTEGER  primary key  comment '',
  level INTEGER  comment '验证码级别，用于衡量验证码的复杂度',
  max_failed_login INTEGER  comment '启用验证码的登录失败次数',
  status INTEGER  comment '0为不启用当前配置，1为启用当前配置'
) charset=utf8 comment='验证码配置参数';

#
# Structure for the `safe_word_black_list` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists safe_word_black_list;

create table if not exists safe_word_black_list(
  id INTEGER  primary key  comment '',
  word VARCHAR(20)  comment '被屏蔽的敏感词，不允许提交',
  status INTEGER  not null  comment '0为不启用当前配置，1为启用当前配置'
) charset=utf8 comment='屏蔽词';

#
# Structure for the `src_cms_files` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_files;

create table if not exists src_cms_files(
  id INTEGER  primary key  comment '',
  name VARCHAR(50)  comment '文件名',
  path VARCHAR(1000)  comment '文件路径',
  user_id INTEGER  comment '上传用户',
  user_name VARCHAR(20)  comment '上传用户名',
  up_time BIGINT  comment '上传时间',
  status INTEGER  comment '数据状态，0为正常状态，1为删除状态。'
) charset=utf8 comment='上传文件管理';

#
# Structure for the `src_cms_log` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_log;

create table if not exists src_cms_log(
  id INTEGER  primary key  comment '',
  action_name VARCHAR(20)  comment '用户的操作内容',
  action_time BIGINT  comment '执行Action的时间',
  user_id INTEGER  comment '执行Action的用户ID',
  user_name VARCHAR(20)  comment '执行Action的用户名',
  table_name VARCHAR(50)  comment 'Action影响的某条数据的表名',
  data_id INTEGER  comment 'Action影响的某条数据的ID'
) charset=utf8 comment='开源网站业务日志';

#
# Structure for the `src_cms_page` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_page;

create table if not exists src_cms_page(
  id INTEGER  primary key  comment '',
  name VARCHAR(20)  comment '系统中可读的页面名称',
  description VARCHAR(500)  not null  comment '页面描述',
  target_folder VARCHAR(1000)  not null  comment '生成页面存放的目录',
  target_file VARCHAR(50)  not null  comment '生成目标文件的名称',
  template_name VARCHAR(100)  not null  comment '生成页面采用的模板名称',
  template_id INTEGER  not null  comment '模板ID',
  status INTEGER  comment '页面状态，0为正常状态，1为删除状态。',
  is_private INTEGER  comment '是否为私有页面，0为公共页面，1为私有页面',
  code VARCHAR(20)  not null  comment '用于国际化不同语言同一内容之间的关联'
) charset=utf8 comment='页面表，存储生成前台页面的数据';

#
# Structure for the `src_cms_page_text` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_page_text;

create table if not exists src_cms_page_text(
  page_id INTEGER  comment '',
  text_id INTEGER  comment '',
  text_index INTEGER  comment '一个页面内可显示多个文本，这个字段代表文本的顺序',
  text_type INTEGER  comment '0为启用description字段，1为启用text字段'
) charset=utf8 comment='页面与内容的关联关系，包括内容在页面中的显示排序以及显示的内容类型（摘要、正文）';

#
# Structure for the `src_cms_project` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_project;

create table if not exists src_cms_project(
  id INTEGER  primary key  comment '',
  name VARCHAR(20)  comment '项目名称',
  description VARCHAR(500)  not null  comment '项目描述',
  status INTEGER  comment '页面状态，0为正常状态，1为删除状态。',
  code VARCHAR(20)  comment '用于国际化不同语言同一内容之间的关联'
) charset=utf8 comment='开源网站CMS管理系统:项目表';

#
# Structure for the `src_cms_project_page` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_project_page;

create table if not exists src_cms_project_page(
  project_id INTEGER  primary key  comment '',
  page_id INTEGER  primary key  comment '',
  page_index INTEGER  comment '页面在项目中的序号'
) charset=utf8 comment='项目与页面的关联关系，包括页面显示排序';

#
# Structure for the `src_cms_template` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_template;

create table if not exists src_cms_template(
  id INTEGER  primary key  comment '',
  name VARCHAR(20)  comment '模板名称',
  text varchar  comment '模板内容',
  status INTEGER  comment '页面状态，0为正常状态，1为删除状态。',
  is_private INTEGER  comment '是否为私有页面，0为公共页面，1为私有页面'
) charset=utf8 comment='模板';

#
# Structure for the `src_cms_text` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_text;

create table if not exists src_cms_text(
  id INTEGER  primary key  comment '',
  title VARCHAR(50)  comment '标题',
  summary VARCHAR(1000)  not null  comment '摘要，1000字符以下的内容归入摘要',
  text varchar  not null  comment '正文',
  code VARCHAR(20)  not null  comment '用户可读标记，用于模板中调用，起到ID的作用，全局唯一',
  status INTEGER  comment '逻辑删除的状态，0代表非删除，1代表删除。',
  is_private INTEGER  comment '是否为私有页面，0为公共页面，1为私有页面'
) charset=utf8 comment='所有的动态图文都归到内容表';

#
# Structure for the `src_cms_user_project` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists src_cms_user_project;

create table if not exists src_cms_user_project(
  user_id INTEGER  primary key  comment '',
  project_id INTEGER  primary key  comment ''
) charset=utf8 comment='用户与项目的关联关系，支持多对多。';

#
# Structure for the `sys_functions` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_functions;

create table if not exists sys_functions(
  id INTEGER  primary key  comment '',
  name VARCHAR(50)  comment '功能名称，用于缓存映射的KEY，之后的字段是VALUE。',
  interface_name VARCHAR(100)  not null  comment '接口名，用于反射调用',
  class_name VARCHAR(100)  not null  comment '接口实现类名，用于反射调用',
  method_name VARCHAR(100)  not null  comment '接口中的方法名，用于反射调用',
  parameter_name VARCHAR(100)  not null  comment '全局唯一，提交数据时用于识别Action的参数名',
  page_url VARCHAR(500)  not null  comment '功能页面，可以为空。'
) charset=utf8 comment='功能表，属于系统表，用于系统可访问功能的管理';

#
# Structure for the `sys_menu` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_menu;

create table if not exists sys_menu(
  id INTEGER  primary key  comment '',
  name VARCHAR(20)  comment '',
  url VARCHAR(500)  not null  comment '',
  pid INTEGER  comment 'parent node id',
  ico VARCHAR(500)  not null  comment ''
) charset=utf8 comment='菜单表，属于系统表，用于用户菜单的配置';

#
# Structure for the `sys_menu_functions` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_menu_functions;

create table if not exists sys_menu_functions(
  menu_id INTEGER  comment '',
  function_id INTEGER  comment ''
) charset=utf8 comment='菜单功能关联表，属于系统表，用于记录菜单和功能的关联关系';

#
# Structure for the `sys_roles` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_roles;

create table if not exists sys_roles(
  id INTEGER  primary key  comment '',
  name VARCHAR(20)  comment ''
) charset=utf8 comment='角色表，属于系统表，用于用户的分组管理';

#
# Structure for the `sys_roles_menu` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_roles_menu;

create table if not exists sys_roles_menu(
  role_id INTEGER  comment '',
  menu_id INTEGER  comment ''
) charset=utf8 comment='角色菜单关联表，属于系统表，用于记录角色和菜单的关联关系';

#
# Structure for the `sys_users_info` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_users_info;

create table if not exists sys_users_info(
  id INTEGER  primary key  comment '',
  nick_name VARCHAR(20)  not null  comment '',
  birthday BIGINT  not null  comment '',
  age INTEGER  not null  comment '',
  email VARCHAR(50)  not null  comment '',
  cell_phone_number VARCHAR(20)  not null  comment '',
  address VARCHAR(100)  not null  comment '',
  tel VARCHAR(20)  not null  comment '',
  tax VARCHAR(20)  not null  comment '',
  qq_number VARCHAR(20)  not null  comment '',
  wechat_name VARCHAR(20)  not null  comment '',
  weibo_url VARCHAR(50)  not null  comment ''
) charset=utf8 comment='用户明细表，属于系统表，用于记录用户的详细信息。属于从表';

#
# Structure for the `sys_users_login` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_users_login;

create table if not exists sys_users_login(
  id INTEGER  primary key  comment '',
  login_name VARCHAR(20)  comment '',
  login_email VARCHAR(30)  comment '',
  login_cell_phone_number VARCHAR(20)  comment '',
  login_key VARCHAR(50)  comment '',
  status INTEGER  comment '0,common;1,locked;2,deleted;'
) charset=utf8 comment='用户登录信息表，属于系统表，用于用户的登录管理。属于主表';

#
# Structure for the `sys_users_roles` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists sys_users_roles;

create table if not exists sys_users_roles(
  user_id INTEGER  comment '',
  role_id INTEGER  comment ''
) charset=utf8 comment='用户角色关联表，属于系统表，用于记录用户和角色的关联关系';

#
# Structure for the `tmp` table :
#

为了安全，DROP操作被屏蔽，需要时可以去掉井号启用该SQL
#drop table if exists tmp;

create table if not exists tmp(
  id INTEGER  not null  comment ''
) charset=utf8 comment='';

#
# Data for the `access_info` table
#

insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (236,'127.0.0.1',1486130680601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130688466,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (237,'127.0.0.1',1486130688920,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130699377,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (238,'127.0.0.1',1486131677451,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (239,'127.0.0.1',1486131677499,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486131685841,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (240,'127.0.0.1',1486131688060,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (241,'127.0.0.1',1486131690460,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (242,'127.0.0.1',1486173550019,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (243,'127.0.0.1',1486173550155,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173553742,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (244,'127.0.0.1',1486173554092,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173985926,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (225,'127.0.0.1',1486130149682,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130151725,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (226,'127.0.0.1',1486130150113,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130151596,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (227,'127.0.0.1',1486130165388,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130188931,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (228,'127.0.0.1',1486130189360,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130200306,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (229,'127.0.0.1',1486130200748,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (230,'127.0.0.1',1486130255989,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (231,'127.0.0.1',1486130256042,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','12222',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130259386,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (232,'127.0.0.1',1486130259834,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','11111','11111','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130344458,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (233,'127.0.0.1',1486130260251,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','11111','1111111','傲游','zh','Windows','12222',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130344319,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (293,'127.0.0.1',1486873737107,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (234,'127.0.0.1',1486130673826,'','/bindex.jsp','本机地址','www.xxxx.com','http://localhost:9080/','傲游','zh','Windows','3333',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130688447,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (235,'127.0.0.1',1486130674316,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130680108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (211,'127.0.0.1',1486126880382,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486126881651,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (245,'127.0.0.1',1486173554494,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173555456,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (246,'127.0.0.1',1486173555943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173557834,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (247,'127.0.0.1',1486173558087,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173558803,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (248,'127.0.0.1',1486173559185,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173564195,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (249,'127.0.0.1',1486173564446,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173567152,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (250,'127.0.0.1',1486173567511,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173585073,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (251,'127.0.0.1',1486173585381,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173612712,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2,'127.0.0.1',1486173612979,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173620452,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (252,'127.0.0.1',1486173620797,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=2','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173639412,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (253,'127.0.0.1',1486173639642,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173653983,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (254,'127.0.0.1',1486173654224,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173737076,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (16,'127.0.0.1',1486173737348,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173744438,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (255,'127.0.0.1',1486173744716,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=16','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173985881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (256,'127.0.0.1',1486173986228,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (257,'127.0.0.1',1486173986293,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173990055,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (258,'127.0.0.1',1486173990444,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (259,'127.0.0.1',1486173990728,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173992927,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (260,'127.0.0.1',1486173993309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174113474,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (261,'127.0.0.1',1486174113766,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174115597,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (262,'127.0.0.1',1486174115923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174118023,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (263,'127.0.0.1',1486174118321,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174119925,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (264,'127.0.0.1',1486174120233,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174121314,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (265,'127.0.0.1',1486174121606,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174127528,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (266,'127.0.0.1',1486174127803,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174278044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (267,'127.0.0.1',1486174137799,'','/sys/users.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174315862,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (268,'127.0.0.1',1486174278366,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174279021,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (269,'127.0.0.1',1486174279314,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174280249,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (270,'127.0.0.1',1486174280516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174542688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (271,'127.0.0.1',1486174287489,'','/sys/roles.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174314779,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (272,'127.0.0.1',1486174466757,'','/sys/users.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174531035,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (273,'127.0.0.1',1486174531361,'','/sys/users.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174538613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (274,'127.0.0.1',1486174542969,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174544276,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (275,'127.0.0.1',1486174544536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174546447,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (276,'127.0.0.1',1486174546725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (277,'127.0.0.1',1486191530874,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (278,'127.0.0.1',1486191531187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486191537892,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (279,'127.0.0.1',1486191542820,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194585079,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (280,'127.0.0.1',1486191544421,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486191546774,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (281,'127.0.0.1',1486191548691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194585026,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (282,'127.0.0.1',1486194586588,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194591733,0,0,2,'百度');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (283,'127.0.0.1',1486194593199,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (284,'127.0.0.1',1486194594235,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194595758,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (285,'127.0.0.1',1486194596205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194598413,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (286,'127.0.0.1',1486194602618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194965128,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (287,'127.0.0.1',1486194965701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194983043,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (288,'127.0.0.1',1486194984971,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486195068749,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (289,'127.0.0.1',1486195070530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486195104970,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (290,'127.0.0.1',1486195106858,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486195206106,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (291,'127.0.0.1',1486195207799,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486197775954,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (292,'127.0.0.1',1486197776619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (294,'127.0.0.1',1486873737408,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873740644,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (295,'127.0.0.1',1486873741774,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (296,'127.0.0.1',1486873889143,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873933403,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (297,'127.0.0.1',1486873891363,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873896250,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (298,'127.0.0.1',1486873897450,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873934177,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (299,'127.0.0.1',1486873935466,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873938945,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (300,'127.0.0.1',1486873940056,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874008109,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (301,'127.0.0.1',1486873941126,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873942417,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (302,'127.0.0.1',1486873943497,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873951376,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (303,'127.0.0.1',1486873952532,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873966355,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (304,'127.0.0.1',1486873967603,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873973976,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (10,'127.0.0.1',1486873974757,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873979365,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (11,'127.0.0.1',1486873987781,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874003677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (305,'127.0.0.1',1486874004804,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=11','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874008149,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (306,'127.0.0.1',1486874009186,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874012361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (307,'127.0.0.1',1486874013435,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876456123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (308,'127.0.0.1',1486874014487,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874016120,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (309,'127.0.0.1',1486874017358,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876456133,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (310,'127.0.0.1',1486876457249,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (311,'127.0.0.1',1486876457319,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876460150,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (312,'127.0.0.1',1486876461220,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876735969,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (313,'127.0.0.1',1486876462271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876465463,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (314,'127.0.0.1',1486876466598,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876735953,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (315,'127.0.0.1',1486876737051,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (316,'127.0.0.1',1486876748871,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876754010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (317,'127.0.0.1',1486876765961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486877018514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (318,'127.0.0.1',1486876767240,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876792802,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (319,'127.0.0.1',1486876794849,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (320,'127.0.0.1',1486877019813,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (321,'127.0.0.1',1486877022709,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486877028642,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (322,'127.0.0.1',1486877047117,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886195916,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (323,'127.0.0.1',1486877049658,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486884303334,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (324,'127.0.0.1',1486877055401,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (325,'127.0.0.1',1486884306225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (326,'127.0.0.1',1486886198476,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (327,'127.0.0.1',1486886208627,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886221230,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (328,'127.0.0.1',1486886265029,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (329,'127.0.0.1',1486886266193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886276501,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (330,'127.0.0.1',1486886277642,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886362447,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (331,'127.0.0.1',1486886553473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886569483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (332,'127.0.0.1',1486886581812,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886904583,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (333,'127.0.0.1',1486886905849,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (334,'127.0.0.1',1486889202605,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (335,'127.0.0.1',1486889202695,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (336,'127.0.0.1',1486889318778,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (337,'127.0.0.1',1486889318849,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486889322182,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (338,'127.0.0.1',1486889535387,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890159869,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (339,'127.0.0.1',1486889536513,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486889539169,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (340,'127.0.0.1',1486889540380,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (341,'127.0.0.1',1486890161001,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (342,'127.0.0.1',1486890161086,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890169401,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (343,'127.0.0.1',1486890170727,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890360468,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (344,'127.0.0.1',1486890171889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890173907,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (345,'127.0.0.1',1486890175037,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890360487,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (346,'127.0.0.1',1486890361628,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (347,'127.0.0.1',1486890361701,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890364635,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (348,'127.0.0.1',1486890365733,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890460914,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (349,'127.0.0.1',1486890366845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890368720,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (350,'127.0.0.1',1486890369870,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890385720,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (351,'127.0.0.1',1486890386834,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890460850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (352,'127.0.0.1',1486890462010,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (353,'127.0.0.1',1486890462077,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890465859,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (354,'127.0.0.1',1486890467005,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890611238,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (355,'127.0.0.1',1486890468168,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890470437,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (356,'127.0.0.1',1486890471559,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890611224,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (357,'127.0.0.1',1486890612373,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (358,'127.0.0.1',1486890612437,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890637444,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (359,'127.0.0.1',1486890638565,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892337764,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (360,'127.0.0.1',1486890640659,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890641905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (361,'127.0.0.1',1486890644115,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892338632,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (362,'127.0.0.1',1486892339815,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (363,'127.0.0.1',1486892339896,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892348191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (364,'127.0.0.1',1486892349366,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486894128343,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (365,'127.0.0.1',1486892350481,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892361336,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (366,'127.0.0.1',1486892362508,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486893984504,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (367,'127.0.0.1',1486894129480,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (368,'127.0.0.1',1486894129554,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486894143121,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (369,'127.0.0.1',1486894144253,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896250594,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (370,'127.0.0.1',1486894145370,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486894147989,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (371,'127.0.0.1',1486894149126,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896250561,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (372,'127.0.0.1',1486896003512,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (373,'127.0.0.1',1486896237747,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896248141,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (374,'127.0.0.1',1486896249264,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896259963,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (375,'127.0.0.1',1486896250418,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896259904,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (376,'127.0.0.1',1486896255022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (377,'127.0.0.1',1486896261074,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486897608719,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (378,'127.0.0.1',1486897617471,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486897622317,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (379,'127.0.0.1',1486897676767,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898119982,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (380,'127.0.0.1',1486898943397,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (381,'127.0.0.1',1486898943467,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898946494,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (382,'127.0.0.1',1486898947683,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898949829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (383,'127.0.0.1',1486898948844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898949766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (384,'127.0.0.1',1486898952430,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898958001,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (385,'127.0.0.1',1486898998589,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (386,'127.0.0.1',1486899521200,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (387,'127.0.0.1',1486899521269,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486899524316,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (388,'127.0.0.1',1486899529786,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486900065699,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (389,'127.0.0.1',1486899530961,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486900065644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (390,'127.0.0.1',1486899534265,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486899596548,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (391,'127.0.0.1',1486899612856,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (392,'127.0.0.1',1486900066891,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (393,'127.0.0.1',1486900066986,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486900071319,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (394,'127.0.0.1',1486900072581,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486902407644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (395,'127.0.0.1',1486900073868,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486902407533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (396,'127.0.0.1',1486900077428,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (397,'127.0.0.1',1486902408954,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (398,'127.0.0.1',1486902409033,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486902412160,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (399,'127.0.0.1',1486902413336,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903321482,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (400,'127.0.0.1',1486902414520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903321426,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (401,'127.0.0.1',1486902418265,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903332986,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (402,'127.0.0.1',1486903324654,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (403,'127.0.0.1',1486903324793,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903334791,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (404,'127.0.0.1',1486903336730,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903405393,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (405,'127.0.0.1',1486903338657,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903405230,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (406,'127.0.0.1',1486903340927,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (407,'127.0.0.1',1486903408062,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (408,'127.0.0.1',1486903408467,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903416271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (409,'127.0.0.1',1486903418337,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903734644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (410,'127.0.0.1',1486903420370,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903734516,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (411,'127.0.0.1',1486903425421,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (412,'127.0.0.1',1486903736661,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (413,'127.0.0.1',1486903736815,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903742472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (414,'127.0.0.1',1486903744998,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904754226,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (415,'127.0.0.1',1486903748540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904754871,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (416,'127.0.0.1',1486903752047,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904726075,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (417,'127.0.0.1',1486904757797,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (418,'127.0.0.1',1486904758043,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904761475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (419,'127.0.0.1',1486904766178,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906386996,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (420,'127.0.0.1',1486904769854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906388189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (421,'127.0.0.1',1486904775664,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486905235709,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (422,'127.0.0.1',1486905245055,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486905290001,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (423,'127.0.0.1',1486905299405,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486905381630,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (424,'127.0.0.1',1486905400416,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (425,'127.0.0.1',1486906375927,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (426,'127.0.0.1',1486906383483,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906410054,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (427,'127.0.0.1',1486906390607,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (428,'127.0.0.1',1486906390747,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906400587,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (429,'127.0.0.1',1486906404941,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907228430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (430,'127.0.0.1',1486906407539,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906416773,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (431,'127.0.0.1',1486906419449,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907219351,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (432,'127.0.0.1',1486906503205,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907242101,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (433,'127.0.0.1',1486907231008,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (434,'127.0.0.1',1486907231144,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907235941,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (435,'127.0.0.1',1486907237290,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909120804,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (436,'127.0.0.1',1486907239012,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909120247,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (437,'127.0.0.1',1486907247657,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909175878,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (438,'127.0.0.1',1486909122726,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (439,'127.0.0.1',1486909122911,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909127087,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (440,'127.0.0.1',1486909128928,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (441,'127.0.0.1',1486909130921,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909402485,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (442,'127.0.0.1',1486909177727,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909422108,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (443,'127.0.0.1',1486909406842,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (444,'127.0.0.1',1486909407235,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909412061,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (445,'127.0.0.1',1486909415272,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909622116,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (446,'127.0.0.1',1486909417285,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909619728,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (447,'127.0.0.1',1486909424541,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909500783,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (448,'127.0.0.1',1486909504460,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909659492,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (449,'127.0.0.1',1486909624309,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (450,'127.0.0.1',1486909624522,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909628518,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (451,'127.0.0.1',1486909632052,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909817189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (452,'127.0.0.1',1486909635908,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909817688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (453,'127.0.0.1',1486909661644,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (454,'127.0.0.1',1486909822558,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (455,'127.0.0.1',1486909823056,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909833335,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (456,'127.0.0.1',1486909837218,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909905023,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (457,'127.0.0.1',1486909839403,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909902592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (458,'127.0.0.1',1486909849160,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909948565,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (459,'127.0.0.1',1486909907602,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (460,'127.0.0.1',1486909908211,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909935518,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (461,'127.0.0.1',1486909938532,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910139431,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (462,'127.0.0.1',1486909941469,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910137740,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (463,'127.0.0.1',1486909951238,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909962011,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (464,'127.0.0.1',1486909978386,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909981441,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (465,'127.0.0.1',1486909985809,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910168971,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (466,'127.0.0.1',1486910146619,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (467,'127.0.0.1',1486910146801,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910150615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (468,'127.0.0.1',1486910155181,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912247111,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (469,'127.0.0.1',1486910158649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912245982,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (470,'127.0.0.1',1486910172367,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910353638,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (471,'127.0.0.1',1486910358234,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912257291,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (472,'127.0.0.1',1486912252849,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (473,'127.0.0.1',1486912253601,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912257353,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (474,'127.0.0.1',1486912258637,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912482078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (475,'127.0.0.1',1486912259904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912482029,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (476,'127.0.0.1',1486912264180,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912510288,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (477,'127.0.0.1',1486912483327,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (478,'127.0.0.1',1486912483402,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912490688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (479,'127.0.0.1',1486912491940,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912935618,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (480,'127.0.0.1',1486912493165,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912935557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (481,'127.0.0.1',1486912512842,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912943282,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (482,'127.0.0.1',1486912936845,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (483,'127.0.0.1',1486912936949,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912939951,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (484,'127.0.0.1',1486912941181,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913302671,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (485,'127.0.0.1',1486912942415,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913302613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (486,'127.0.0.1',1486912945481,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912956943,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (487,'127.0.0.1',1486913049282,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913124097,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (488,'127.0.0.1',1486913128211,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913291955,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (489,'127.0.0.1',1486913303885,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (490,'127.0.0.1',1486913303947,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913306844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (491,'127.0.0.1',1486913308072,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913951898,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (492,'127.0.0.1',1486913309324,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913951889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (493,'127.0.0.1',1486913313737,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913960953,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (494,'127.0.0.1',1486913953167,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (495,'127.0.0.1',1486913953219,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913955829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (496,'127.0.0.1',1486913957050,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914586339,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (497,'127.0.0.1',1486913958247,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914586263,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (498,'127.0.0.1',1486913962216,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914596818,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (499,'127.0.0.1',1486914587560,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (500,'127.0.0.1',1486914587644,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914591670,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (501,'127.0.0.1',1486914593133,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914824987,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (502,'127.0.0.1',1486914595053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914824689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (503,'127.0.0.1',1486914598069,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (504,'127.0.0.1',1486914826919,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (505,'127.0.0.1',1486914827065,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914830984,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (506,'127.0.0.1',1486914834364,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (507,'127.0.0.1',1486914838417,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (508,'127.0.0.1',1486914844356,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (509,'127.0.0.1',1488295409549,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (510,'127.0.0.1',1488295410016,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295419231,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (511,'127.0.0.1',1488295419807,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295603891,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (512,'127.0.0.1',1488295420427,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295421615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (513,'127.0.0.1',1488295422191,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295460398,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (514,'127.0.0.1',1488295460928,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295514718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (515,'127.0.0.1',1488295515389,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295524588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (516,'127.0.0.1',1488295524978,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295535342,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (27,'127.0.0.1',1488295535805,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295558525,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (517,'127.0.0.1',1488295559080,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295561303,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (518,'127.0.0.1',1488295561665,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295567985,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (12,'127.0.0.1',1488295568371,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295579071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (519,'127.0.0.1',1488295579486,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295599973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (520,'127.0.0.1',1488295602915,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295603953,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (521,'127.0.0.1',1488295604388,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295607828,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (522,'127.0.0.1',1488295608301,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295929456,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (523,'127.0.0.1',1488295608771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295612553,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (524,'127.0.0.1',1488295613059,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295927561,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (525,'127.0.0.1',1488295640472,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295691361,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (526,'127.0.0.1',1488295691843,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295696039,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (527,'127.0.0.1',1488295696898,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295706649,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (528,'127.0.0.1',1488295707107,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295724254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (529,'127.0.0.1',1488295724742,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295735275,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (530,'127.0.0.1',1488295735741,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295738421,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (531,'127.0.0.1',1488295738901,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295741184,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (532,'127.0.0.1',1488295741657,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295803416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (533,'127.0.0.1',1488295804045,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295964621,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (534,'127.0.0.1',1488295929967,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (535,'127.0.0.1',1488295932637,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295938142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (536,'127.0.0.1',1488295938545,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297095507,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (537,'127.0.0.1',1488295938962,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295942006,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (538,'127.0.0.1',1488295942497,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297087203,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (539,'127.0.0.1',1488295965055,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295975027,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (540,'127.0.0.1',1488295975462,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488296317189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (541,'127.0.0.1',1488296317717,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488296321512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (542,'127.0.0.1',1488296322925,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297108476,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (543,'127.0.0.1',1488297095961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (544,'127.0.0.1',1488297096043,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297100084,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (545,'127.0.0.1',1488297100490,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297504451,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (546,'127.0.0.1',1488297100904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297103573,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (547,'127.0.0.1',1488297104058,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297504447,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (548,'127.0.0.1',1488297108924,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297111398,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (549,'127.0.0.1',1488297111833,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297118307,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (550,'127.0.0.1',1488297118822,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297125601,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (551,'127.0.0.1',1488297126049,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297146226,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (552,'127.0.0.1',1488297146672,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297149105,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (553,'127.0.0.1',1488297149523,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297152255,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (554,'127.0.0.1',1488297152713,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297158472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (555,'127.0.0.1',1488297158900,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297182468,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (556,'127.0.0.1',1488297182943,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297193489,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (557,'127.0.0.1',1488297193918,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297207781,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (558,'127.0.0.1',1488297208202,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297259612,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (559,'127.0.0.1',1488297260059,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297320658,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (560,'127.0.0.1',1488297321132,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (561,'127.0.0.1',1488297504915,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (562,'127.0.0.1',1488297505007,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297508615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (563,'127.0.0.1',1488297509037,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297656307,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (564,'127.0.0.1',1488297509446,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297512010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (565,'127.0.0.1',1488297512473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297515083,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (566,'127.0.0.1',1488297516340,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297521743,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (567,'127.0.0.1',1488297522166,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297533766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (568,'127.0.0.1',1488297553924,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297562953,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (569,'127.0.0.1',1488297563298,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (570,'127.0.0.1',1488297656757,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (571,'127.0.0.1',1488297656836,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297660286,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (572,'127.0.0.1',1488297660737,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297884149,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (573,'127.0.0.1',1488297661158,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297664550,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (574,'127.0.0.1',1488297665022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297669669,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (575,'127.0.0.1',1488297670070,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297674594,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (576,'127.0.0.1',1488297675006,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297685680,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (577,'127.0.0.1',1488297702665,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297871733,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (578,'127.0.0.1',1488297743550,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297957746,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (579,'127.0.0.1',1488297884594,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (580,'127.0.0.1',1488297884686,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297888231,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (581,'127.0.0.1',1488297888688,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298370790,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (582,'127.0.0.1',1488297889100,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297891405,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (583,'127.0.0.1',1488297891890,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297894246,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (584,'127.0.0.1',1488297895636,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297902485,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (585,'127.0.0.1',1488297902863,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298370762,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (586,'127.0.0.1',1488297965592,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297967871,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (587,'127.0.0.1',1488297968318,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298066199,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (588,'127.0.0.1',1488298066708,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (589,'127.0.0.1',1488298371277,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (590,'127.0.0.1',1488298371355,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298378114,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (591,'127.0.0.1',1488298378579,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298488755,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (592,'127.0.0.1',1488298379022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298381502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (593,'127.0.0.1',1488298381983,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298385253,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (594,'127.0.0.1',1488298385691,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298411761,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (595,'127.0.0.1',1488298420353,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298436848,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (596,'127.0.0.1',1488298437254,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298488752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (597,'127.0.0.1',1488298489213,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (598,'127.0.0.1',1488298489287,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298492675,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (599,'127.0.0.1',1488298493151,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299010612,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (600,'127.0.0.1',1488298493587,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298496321,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (601,'127.0.0.1',1488298496842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298498536,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (602,'127.0.0.1',1488298498956,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298503383,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (603,'127.0.0.1',1488298503800,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298586886,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (604,'127.0.0.1',1488298587331,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298649963,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (605,'127.0.0.1',1488298650376,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298660520,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (606,'127.0.0.1',1488298660906,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298996104,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (607,'127.0.0.1',1488298996497,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299010586,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (608,'127.0.0.1',1488299011038,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (609,'127.0.0.1',1488299011149,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299014545,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (610,'127.0.0.1',1488299015068,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299062719,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (611,'127.0.0.1',1488299015586,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299018596,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (612,'127.0.0.1',1488299019132,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299021143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (613,'127.0.0.1',1488299021621,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299062768,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (614,'127.0.0.1',1488299063227,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (615,'127.0.0.1',1488299063345,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299070509,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (616,'127.0.0.1',1488299071012,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299204290,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (617,'127.0.0.1',1488299071468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299074108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (618,'127.0.0.1',1488299074670,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299076676,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (619,'127.0.0.1',1488299077129,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299081845,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (620,'127.0.0.1',1488299082322,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299204313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (621,'127.0.0.1',1488299204763,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (622,'127.0.0.1',1488299204871,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299207801,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (623,'127.0.0.1',1488299208318,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299287949,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (624,'127.0.0.1',1488299208798,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299209978,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (625,'127.0.0.1',1488299210491,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299211880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (626,'127.0.0.1',1488299217392,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299219549,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (627,'127.0.0.1',1488299220007,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299226939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (628,'127.0.0.1',1488299227421,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299287920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (629,'127.0.0.1',1488299289925,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (630,'127.0.0.1',1488299290030,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299293246,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (631,'127.0.0.1',1488299293819,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299599020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (632,'127.0.0.1',1488299294269,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299296103,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (633,'127.0.0.1',1488299296700,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299298520,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (634,'127.0.0.1',1488299298978,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299301832,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (635,'127.0.0.1',1488299302302,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299420738,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (636,'127.0.0.1',1488299421279,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299599038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (637,'127.0.0.1',1488299599497,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (638,'127.0.0.1',1488299599588,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299602526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (639,'127.0.0.1',1488299602974,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299675472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (640,'127.0.0.1',1488299603389,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299605223,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (641,'127.0.0.1',1488299605738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299675461,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (642,'127.0.0.1',1488299675938,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (643,'127.0.0.1',1488299676031,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299678619,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (644,'127.0.0.1',1488299679129,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (645,'127.0.0.1',1488299679532,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299681722,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (646,'127.0.0.1',1488299682205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (647,'127.0.0.1',1488337410058,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (648,'127.0.0.1',1488337410167,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337413835,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (649,'127.0.0.1',1488337414487,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337692315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (650,'127.0.0.1',1488337415101,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337417684,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (651,'127.0.0.1',1488337418297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337429783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (652,'127.0.0.1',1488337430353,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337692368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (653,'127.0.0.1',1488337697498,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (654,'127.0.0.1',1488337697580,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337700951,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (655,'127.0.0.1',1488337701557,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337821481,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (656,'127.0.0.1',1488337702144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337704783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (657,'127.0.0.1',1488337705414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337711017,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (658,'127.0.0.1',1488337711529,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337712706,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (659,'127.0.0.1',1488337713202,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337715315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (660,'127.0.0.1',1488337715857,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337738062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (661,'127.0.0.1',1488337738598,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337821490,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (662,'127.0.0.1',1488337822103,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (663,'127.0.0.1',1488337822223,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337829276,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (664,'127.0.0.1',1488337829844,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338099281,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (665,'127.0.0.1',1488337830375,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337836028,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (666,'127.0.0.1',1488337836601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337838298,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (667,'127.0.0.1',1488337838846,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337845442,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (668,'127.0.0.1',1488337845981,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338099262,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (669,'127.0.0.1',1488338099853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (670,'127.0.0.1',1488338099946,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338102838,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (671,'127.0.0.1',1488338103411,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338857183,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (672,'127.0.0.1',1488338103999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338105726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (673,'127.0.0.1',1488338106345,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338110643,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (674,'127.0.0.1',1488338111239,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338123718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (675,'127.0.0.1',1488338124197,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (676,'127.0.0.1',1488338857781,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (677,'127.0.0.1',1488338857890,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338861885,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (678,'127.0.0.1',1488338862439,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339847673,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (679,'127.0.0.1',1488338862962,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338865866,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (680,'127.0.0.1',1488338866465,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338868099,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (681,'127.0.0.1',1488338868621,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338891174,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (682,'127.0.0.1',1488338905455,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338977527,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (683,'127.0.0.1',1488338978077,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338985337,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (684,'127.0.0.1',1488338985791,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338993689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (685,'127.0.0.1',1488338994167,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339078197,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (686,'127.0.0.1',1488339078692,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (687,'127.0.0.1',1488339848214,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (688,'127.0.0.1',1488339848311,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339851485,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (689,'127.0.0.1',1488339852025,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339900854,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (690,'127.0.0.1',1488339852626,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339854514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (691,'127.0.0.1',1488339855159,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339871301,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (692,'127.0.0.1',1488339871818,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339877788,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (693,'127.0.0.1',1488339878265,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (694,'127.0.0.1',1488339903068,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (695,'127.0.0.1',1488339903142,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339907207,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (696,'127.0.0.1',1488339907746,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340115011,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (697,'127.0.0.1',1488339908277,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339910055,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (698,'127.0.0.1',1488339910618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339924838,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (699,'127.0.0.1',1488339925354,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339953826,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (700,'127.0.0.1',1488339961759,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339976342,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (701,'127.0.0.1',1488339976921,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340011937,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (702,'127.0.0.1',1488340012431,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (703,'127.0.0.1',1488340115576,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (704,'127.0.0.1',1488340115667,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340118548,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (705,'127.0.0.1',1488340119143,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (706,'127.0.0.1',1488340119660,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340121754,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (707,'127.0.0.1',1488340122351,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340132285,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (708,'127.0.0.1',1488340132812,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340137162,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (709,'127.0.0.1',1488340137647,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340140458,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (710,'127.0.0.1',1488340140985,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340197870,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (711,'127.0.0.1',1488340198473,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (712,'127.0.0.1',1488340198591,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340202042,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (713,'127.0.0.1',1488340202670,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352900628,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (714,'127.0.0.1',1488340203180,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340204810,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (715,'127.0.0.1',1488340205443,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340396105,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (716,'127.0.0.1',1488340396630,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340398845,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (717,'127.0.0.1',1488340400725,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340405632,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (718,'127.0.0.1',1488340406155,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340409252,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (719,'127.0.0.1',1488340409816,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=7','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340778905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (720,'127.0.0.1',1488340779511,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340840192,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (721,'127.0.0.1',1488340840696,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340907139,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (722,'127.0.0.1',1488340907588,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488341379800,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (723,'127.0.0.1',1488341380318,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488341416618,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (724,'127.0.0.1',1488341417158,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488341504572,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (725,'127.0.0.1',1488341505117,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352900625,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (726,'127.0.0.1',1488352901194,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (727,'127.0.0.1',1488352901303,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352904730,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (728,'127.0.0.1',1488352905361,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354869224,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (729,'127.0.0.1',1488352905951,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352908060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (730,'127.0.0.1',1488352908644,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352968760,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (731,'127.0.0.1',1488352970282,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353053597,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (732,'127.0.0.1',1488353054451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353071326,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (733,'127.0.0.1',1488353072181,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353081530,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (734,'127.0.0.1',1488353082362,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353098805,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (735,'127.0.0.1',1488353099650,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353210379,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (736,'127.0.0.1',1488353211210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353296197,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (737,'127.0.0.1',1488353296962,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353530608,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (738,'127.0.0.1',1488353531455,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353540308,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (739,'127.0.0.1',1488353541071,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353583038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (740,'127.0.0.1',1488353583558,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1&resname=jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353590481,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (741,'127.0.0.1',1488353590988,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354172887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (742,'127.0.0.1',1488354173515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354178348,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (743,'127.0.0.1',1488354179078,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354186447,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (744,'127.0.0.1',1488354186970,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354252010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (745,'127.0.0.1',1488354252569,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354254936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (746,'127.0.0.1',1488354255533,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354276569,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (747,'127.0.0.1',1488354277386,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354280727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (748,'127.0.0.1',1488354281424,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354285586,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (749,'127.0.0.1',1488354286077,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=zip','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354286942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (750,'127.0.0.1',1488354287434,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354291557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (751,'127.0.0.1',1488354292050,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=30&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354295310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (752,'127.0.0.1',1488354295802,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=30&resname=zip','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (753,'127.0.0.1',1488354870148,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (754,'127.0.0.1',1488354870211,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354894811,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (755,'127.0.0.1',1488354895437,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366045575,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (756,'127.0.0.1',1488354895999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354898892,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (757,'127.0.0.1',1488354899557,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355074045,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (758,'127.0.0.1',1488355074636,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355181483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (759,'127.0.0.1',1488355185720,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355197636,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (760,'127.0.0.1',1488355198173,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355208754,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (761,'127.0.0.1',1488355209342,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355216024,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (762,'127.0.0.1',1488355216544,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355218859,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (763,'127.0.0.1',1488355219390,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355219648,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (764,'127.0.0.1',1488355220157,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355221807,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (765,'127.0.0.1',1488355222309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366045524,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (766,'127.0.0.1',1488366046241,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (767,'127.0.0.1',1488366046348,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366050052,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (768,'127.0.0.1',1488366050847,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367793291,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (769,'127.0.0.1',1488366051468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366053614,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (770,'127.0.0.1',1488366054328,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366334366,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (771,'127.0.0.1',1488366335380,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367793178,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (772,'127.0.0.1',1488367793973,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (773,'127.0.0.1',1488367794110,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367799271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (774,'127.0.0.1',1488367799961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (775,'127.0.0.1',1488367800596,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367811141,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (776,'127.0.0.1',1488367811856,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367824886,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (777,'127.0.0.1',1488367825603,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367853595,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (778,'127.0.0.1',1488367854295,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367892093,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (779,'127.0.0.1',1488367892795,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367895040,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (780,'127.0.0.1',1488367895632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367896350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (781,'127.0.0.1',1488367897014,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367897090,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (782,'127.0.0.1',1488367897756,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (783,'127.0.0.1',1488456345013,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (784,'127.0.0.1',1488456345602,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456352253,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (785,'127.0.0.1',1488456353753,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456487109,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (786,'127.0.0.1',1488456355564,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456362283,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (787,'127.0.0.1',1488456364444,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456369953,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (788,'127.0.0.1',1488456370339,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456371436,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (789,'127.0.0.1',1488456371763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456376514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (790,'127.0.0.1',1488456376877,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456408014,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (791,'127.0.0.1',1488456408350,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456454152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (792,'127.0.0.1',1488456454634,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456458879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (793,'127.0.0.1',1488456459140,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456459912,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (794,'127.0.0.1',1488456460187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456466540,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (795,'127.0.0.1',1488456466845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456468973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (13,'127.0.0.1',1488456469296,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456471878,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (796,'127.0.0.1',1488456472220,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456488354,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (797,'127.0.0.1',1488456488621,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456491578,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (798,'127.0.0.1',1488456491946,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456816319,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (799,'127.0.0.1',1488456492248,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456494942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (800,'127.0.0.1',1488456495325,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456815176,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (801,'127.0.0.1',1488456519148,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456828483,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (802,'127.0.0.1',1488456816659,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (803,'127.0.0.1',1488456816727,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456819525,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (804,'127.0.0.1',1488456819894,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457125060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (805,'127.0.0.1',1488456820207,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456822742,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (806,'127.0.0.1',1488456823150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457124317,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (807,'127.0.0.1',1488456828814,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457134897,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (808,'127.0.0.1',1488457125408,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (809,'127.0.0.1',1488457125474,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457127803,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (810,'127.0.0.1',1488457128128,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457169763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (811,'127.0.0.1',1488457128460,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457130792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (812,'127.0.0.1',1488457131189,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457169797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (813,'127.0.0.1',1488457135275,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457199937,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (814,'127.0.0.1',1488457170146,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (815,'127.0.0.1',1488457170223,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457172564,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (816,'127.0.0.1',1488457172916,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458191221,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (817,'127.0.0.1',1488457173245,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457175037,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (818,'127.0.0.1',1488457175423,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458191249,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (819,'127.0.0.1',1488457200298,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457289812,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (820,'127.0.0.1',1488457290978,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457305671,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (821,'127.0.0.1',1488457306162,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457398613,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (822,'127.0.0.1',1488457399120,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457434857,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (823,'127.0.0.1',1488457435371,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457485220,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (824,'127.0.0.1',1488457485689,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457499889,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (825,'127.0.0.1',1488457500357,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457513700,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (826,'127.0.0.1',1488457514209,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458259327,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (827,'127.0.0.1',1488458191562,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (828,'127.0.0.1',1488458191631,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458194657,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (829,'127.0.0.1',1488458195002,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458764735,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (830,'127.0.0.1',1488458195335,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458197246,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (831,'127.0.0.1',1488458197605,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458311580,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (832,'127.0.0.1',1488458259887,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458303728,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (833,'127.0.0.1',1488458304234,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458412487,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (834,'127.0.0.1',1488458312778,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458470876,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (835,'127.0.0.1',1488458413027,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458417341,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (836,'127.0.0.1',1488458417978,'http://localhost:9080/persistence2-web-example/access/visitor.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458420908,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (837,'127.0.0.1',1488458421293,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=-1','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458426399,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (838,'127.0.0.1',1488458426772,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=7','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458469284,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (839,'127.0.0.1',1488458471164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458764545,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (840,'127.0.0.1',1488458777788,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (841,'127.0.0.1',1488458778152,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458782995,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (842,'127.0.0.1',1488458784616,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458835078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (843,'127.0.0.1',1488458786597,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458789830,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (844,'127.0.0.1',1488458791799,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458797635,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (845,'127.0.0.1',1488458799105,'http://localhost:9080/persistence2-web-example/access/visitor.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458802725,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (846,'127.0.0.1',1488458803917,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=-1','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458808536,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (847,'127.0.0.1',1488458809743,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=7','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458835701,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (848,'127.0.0.1',1488458837011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (849,'127.0.0.1',1488595664906,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (850,'127.0.0.1',1488595664982,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595668190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (851,'127.0.0.1',1488595668740,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596131507,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (852,'127.0.0.1',1488595669259,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595717951,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (853,'127.0.0.1',1488595672392,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595709689,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (854,'127.0.0.1',1488595710245,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595765203,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (855,'127.0.0.1',1488595718562,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595729349,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (856,'127.0.0.1',1488595729848,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595864727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (857,'127.0.0.1',1488595766574,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595800991,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (858,'127.0.0.1',1488595801651,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600506161,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (859,'127.0.0.1',1488595865419,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596131531,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (860,'127.0.0.1',1488596132048,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (861,'127.0.0.1',1488596132131,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596134730,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (862,'127.0.0.1',1488596135315,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600426633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (863,'127.0.0.1',1488596135866,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596137385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (864,'127.0.0.1',1488596137954,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596171805,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (865,'127.0.0.1',1488596173060,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596176391,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (866,'127.0.0.1',1488596176925,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596179099,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (867,'127.0.0.1',1488596179681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596194605,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (868,'127.0.0.1',1488596195182,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596196493,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (869,'127.0.0.1',1488596197034,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596197507,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (870,'127.0.0.1',1488596198058,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600426652,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (871,'127.0.0.1',1488600427198,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (872,'127.0.0.1',1488600427276,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600430698,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (873,'127.0.0.1',1488600431253,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (874,'127.0.0.1',1488600431782,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600434606,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (875,'127.0.0.1',1488600435201,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600441707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (876,'127.0.0.1',1488600447497,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (877,'127.0.0.1',1488600506934,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600520732,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (878,'127.0.0.1',1488600606522,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600609639,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (879,'127.0.0.1',1488600610236,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600658946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (880,'127.0.0.1',1488600610817,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600612559,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (881,'127.0.0.1',1488600613182,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600623455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (882,'127.0.0.1',1488600624075,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600654311,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (883,'127.0.0.1',1488600654884,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600659027,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (884,'127.0.0.1',1488600659533,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600662507,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (885,'127.0.0.1',1488600663059,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602359145,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (886,'127.0.0.1',1488600663617,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600665639,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (887,'127.0.0.1',1488600666246,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600671615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (888,'127.0.0.1',1488600860105,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600876931,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (889,'127.0.0.1',1488600877497,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601090242,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (890,'127.0.0.1',1488600878056,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600880909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (891,'127.0.0.1',1488600881538,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601090276,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (892,'127.0.0.1',1488601090830,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (893,'127.0.0.1',1488601090897,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601093861,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (894,'127.0.0.1',1488601094407,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601137777,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (895,'127.0.0.1',1488601094944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601096752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (896,'127.0.0.1',1488601097358,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601107690,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (897,'127.0.0.1',1488601136168,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601137831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (898,'127.0.0.1',1488601138307,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (899,'127.0.0.1',1488601138340,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601143027,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (900,'127.0.0.1',1488601143598,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601151598,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (901,'127.0.0.1',1488601144144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (902,'127.0.0.1',1488601149975,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (903,'127.0.0.1',1488601150010,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601151639,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (904,'127.0.0.1',1488601152147,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (905,'127.0.0.1',1488601152173,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601161523,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (906,'127.0.0.1',1488601162097,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601324291,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (907,'127.0.0.1',1488601162616,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601164057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (908,'127.0.0.1',1488601164699,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601171861,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (909,'127.0.0.1',1488601322451,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601324328,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (910,'127.0.0.1',1488601324837,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (911,'127.0.0.1',1488601324851,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (912,'127.0.0.1',1488601337380,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601397358,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (913,'127.0.0.1',1488601337975,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601342482,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (914,'127.0.0.1',1488601343057,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601349089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (915,'127.0.0.1',1488601397918,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (916,'127.0.0.1',1488601397965,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601400749,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (917,'127.0.0.1',1488601401306,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (918,'127.0.0.1',1488601401836,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601408484,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (919,'127.0.0.1',1488601409102,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601467482,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (920,'127.0.0.1',1488601684992,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (921,'127.0.0.1',1488601690040,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601699131,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (922,'127.0.0.1',1488601705510,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601970729,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (923,'127.0.0.1',1488601711901,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601716744,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (924,'127.0.0.1',1488601720498,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601726690,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (925,'127.0.0.1',1488601977142,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (926,'127.0.0.1',1488601977200,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601982609,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (927,'127.0.0.1',1488601983206,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602063028,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (928,'127.0.0.1',1488601983742,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601988863,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (929,'127.0.0.1',1488601989472,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601997468,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (930,'127.0.0.1',1488601997963,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602060877,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (931,'127.0.0.1',1488602061391,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (932,'127.0.0.1',1488602061422,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602063092,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (933,'127.0.0.1',1488602063614,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (934,'127.0.0.1',1488602063633,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602071997,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (935,'127.0.0.1',1488602072567,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (936,'127.0.0.1',1488602073087,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602075003,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (937,'127.0.0.1',1488602075642,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602080007,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (938,'127.0.0.1',1488602080501,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (939,'127.0.0.1',1488602359726,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (940,'127.0.0.1',1488602359794,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602362600,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (941,'127.0.0.1',1488602363151,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602459943,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (942,'127.0.0.1',1488602363674,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602365657,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (943,'127.0.0.1',1488602366250,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602372996,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (944,'127.0.0.1',1488602373515,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602459963,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (945,'127.0.0.1',1488602455783,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (946,'127.0.0.1',1488602460485,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602464965,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (947,'127.0.0.1',1488602474024,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602777707,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (948,'127.0.0.1',1488602474563,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602476885,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (949,'127.0.0.1',1488602477481,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602489577,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (950,'127.0.0.1',1488602490107,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602692633,0,0,2,'必应');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (951,'127.0.0.1',1488602778259,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (952,'127.0.0.1',1488602778325,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602782163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (953,'127.0.0.1',1488602782748,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602849149,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (954,'127.0.0.1',1488602783319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602785235,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (955,'127.0.0.1',1488602785826,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602799404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (956,'127.0.0.1',1488602799945,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602849202,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (957,'127.0.0.1',1488602849715,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (958,'127.0.0.1',1488602849777,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602852651,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (959,'127.0.0.1',1488602853212,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604631541,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (960,'127.0.0.1',1488602853736,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602856001,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (961,'127.0.0.1',1488602856608,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602858866,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (962,'127.0.0.1',1488602859379,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604631566,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (963,'127.0.0.1',1488604632106,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (964,'127.0.0.1',1488604632168,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604634842,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (965,'127.0.0.1',1488604635409,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605067277,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (966,'127.0.0.1',1488604635958,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604637624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (967,'127.0.0.1',1488604638226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604644594,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (968,'127.0.0.1',1488604645128,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604889588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (969,'127.0.0.1',1488604890092,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605003775,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (970,'127.0.0.1',1488605005018,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605006967,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (971,'127.0.0.1',1488605007530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605009302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (972,'127.0.0.1',1488605009844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605014355,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (973,'127.0.0.1',1488605014886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605025610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (974,'127.0.0.1',1488605026226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605030429,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (975,'127.0.0.1',1488605030999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605031881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (976,'127.0.0.1',1488605032402,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605033484,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (977,'127.0.0.1',1488605034024,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605034692,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (978,'127.0.0.1',1488605035204,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605040737,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (979,'127.0.0.1',1488605041279,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605061085,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (980,'127.0.0.1',1488605065343,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (981,'127.0.0.1',1488605065420,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605067324,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (982,'127.0.0.1',1488605067838,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (983,'127.0.0.1',1488605067846,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605072459,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (984,'127.0.0.1',1488605073036,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (985,'127.0.0.1',1488605073580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605075256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (986,'127.0.0.1',1489289004446,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (987,'127.0.0.1',1489289004684,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289034338,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (988,'127.0.0.1',1489289034794,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289113976,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (989,'127.0.0.1',1489289035237,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289036352,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (990,'127.0.0.1',1489289036839,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289038637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (991,'127.0.0.1',1489289039057,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289048179,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (992,'127.0.0.1',1489289048563,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289088365,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (993,'127.0.0.1',1489289095207,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289102506,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (994,'127.0.0.1',1489289102817,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289104850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (995,'127.0.0.1',1489289105375,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=15','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289114020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (996,'127.0.0.1',1489289114356,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289117072,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (997,'127.0.0.1',1489289117446,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289126220,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (998,'127.0.0.1',1489289117822,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289126137,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (999,'127.0.0.1',1489289126584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289129400,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1000,'127.0.0.1',1489289129792,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289190394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1001,'127.0.0.1',1489289130183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289133661,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1002,'127.0.0.1',1489289134071,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289142370,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1003,'127.0.0.1',1489289142750,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289172475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1004,'127.0.0.1',1489289173933,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289190460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1005,'127.0.0.1',1489289190782,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289193756,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1006,'127.0.0.1',1489289194157,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289365372,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1007,'127.0.0.1',1489289194502,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289197812,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1008,'127.0.0.1',1489289198234,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1009,'127.0.0.1',1489289198234,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1010,'127.0.0.1',1489289215200,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1011,'127.0.0.1',1489289215200,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1012,'127.0.0.1',1489289338744,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1013,'127.0.0.1',1489289338744,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1014,'127.0.0.1',1489289356025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1015,'127.0.0.1',1489289356025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1016,'127.0.0.1',1489289365738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289368844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1017,'127.0.0.1',1489289369252,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290691219,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1018,'127.0.0.1',1489289369614,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289371646,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1019,'127.0.0.1',1489289372050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1020,'127.0.0.1',1489289372050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1021,'127.0.0.1',1489289427651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1022,'127.0.0.1',1489289427651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1023,'127.0.0.1',1489289481334,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289513313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1024,'127.0.0.1',1489289481334,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289513313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1025,'127.0.0.1',1489289513882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289524237,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1026,'127.0.0.1',1489289513882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289524237,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1027,'127.0.0.1',1489289524771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289580096,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1028,'127.0.0.1',1489289524771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289580096,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1029,'127.0.0.1',1489289580622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289632297,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1030,'127.0.0.1',1489289580622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289632297,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1031,'127.0.0.1',1489289632832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289692742,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1032,'127.0.0.1',1489289632832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289692742,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1033,'127.0.0.1',1489289693288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289757141,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1034,'127.0.0.1',1489289693288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289757141,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1035,'127.0.0.1',1489289757689,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289759159,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1036,'127.0.0.1',1489289757689,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289759159,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1037,'127.0.0.1',1489289759632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289805991,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1038,'127.0.0.1',1489289759632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289805991,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1039,'127.0.0.1',1489289806337,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289849939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1040,'127.0.0.1',1489289806337,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289849939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1041,'127.0.0.1',1489289850435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289909699,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1042,'127.0.0.1',1489289850435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289909699,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1043,'127.0.0.1',1489289910131,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289911984,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1044,'127.0.0.1',1489289910131,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289911984,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1045,'127.0.0.1',1489289912470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290199143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1046,'127.0.0.1',1489289912470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290199143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1047,'127.0.0.1',1489289919647,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290047775,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1048,'127.0.0.1',1489289919647,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290047775,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1049,'127.0.0.1',1489290048179,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290062270,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1050,'127.0.0.1',1489290048179,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290062270,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1051,'127.0.0.1',1489290062819,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290139081,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1052,'127.0.0.1',1489290062819,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290139081,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1053,'127.0.0.1',1489290139640,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290173012,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1054,'127.0.0.1',1489290139640,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290173012,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1055,'127.0.0.1',1489290173501,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290186262,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1056,'127.0.0.1',1489290173501,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290186262,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1057,'127.0.0.1',1489290186675,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290804307,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1058,'127.0.0.1',1489290186675,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290804307,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1059,'127.0.0.1',1489290199520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290237299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1060,'127.0.0.1',1489290199520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290237299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1061,'127.0.0.1',1489290237638,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290266361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1062,'127.0.0.1',1489290270583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290299411,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1063,'127.0.0.1',1489290270583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290299411,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1064,'127.0.0.1',1489290299743,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290353312,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1065,'127.0.0.1',1489290299743,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290353312,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1066,'127.0.0.1',1489290353789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290366031,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1067,'127.0.0.1',1489290353789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290366031,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1068,'127.0.0.1',1489290366448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290431345,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1069,'127.0.0.1',1489290366448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290431345,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1070,'127.0.0.1',1489290431880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290548030,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1071,'127.0.0.1',1489290431880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290548030,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1072,'127.0.0.1',1489290548494,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290565858,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1073,'127.0.0.1',1489290548494,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290565858,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1074,'127.0.0.1',1489290566297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290613990,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1075,'127.0.0.1',1489290566297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290613990,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1076,'127.0.0.1',1489290614477,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290639723,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1077,'127.0.0.1',1489290614477,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290639723,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1078,'127.0.0.1',1489290640106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290650896,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1079,'127.0.0.1',1489290640106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290650896,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1080,'127.0.0.1',1489290651367,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290691128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1081,'127.0.0.1',1489290651367,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290691128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1082,'127.0.0.1',1489290691581,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290695202,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1083,'127.0.0.1',1489290695598,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290741038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1084,'127.0.0.1',1489290695974,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290698499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1085,'127.0.0.1',1489290698917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290707323,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1086,'127.0.0.1',1489290707689,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290714565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1087,'127.0.0.1',1489290714932,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290716736,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1088,'127.0.0.1',1489290717094,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290724535,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1089,'127.0.0.1',1489290724860,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290729590,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1090,'127.0.0.1',1489290729885,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290733455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1091,'127.0.0.1',1489290733839,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290741109,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1092,'127.0.0.1',1489290741424,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290749973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1093,'127.0.0.1',1489290750375,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290809445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1094,'127.0.0.1',1489290750713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290754225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1095,'127.0.0.1',1489290754684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290809452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1096,'127.0.0.1',1489290754684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290809452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1097,'127.0.0.1',1489290804802,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290811956,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1098,'127.0.0.1',1489290804802,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290811956,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1099,'127.0.0.1',1489290809779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290817370,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1100,'127.0.0.1',1489290812322,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1101,'127.0.0.1',1489290812322,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1102,'127.0.0.1',1489290812337,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290821774,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1103,'127.0.0.1',1489290817781,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291385478,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1104,'127.0.0.1',1489290818169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290826168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1105,'127.0.0.1',1489290822100,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290823692,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1106,'127.0.0.1',1489290826600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290840872,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1107,'127.0.0.1',1489290826600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290840872,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1108,'127.0.0.1',1489291393752,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1109,'127.0.0.1',1489291397025,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291407560,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1110,'127.0.0.1',1489291407946,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291434346,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1111,'127.0.0.1',1489291408312,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291412510,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1112,'127.0.0.1',1489291412943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291417206,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1113,'127.0.0.1',1489291417557,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291420031,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1114,'127.0.0.1',1489291420447,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291425569,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1115,'127.0.0.1',1489291425876,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291434390,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1116,'127.0.0.1',1489291438090,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291441398,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1117,'127.0.0.1',1489291441766,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299699249,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1118,'127.0.0.1',1489291442150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291449196,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1119,'127.0.0.1',1489291591635,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299699286,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1120,'127.0.0.1',1489291591635,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299699286,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1121,'127.0.0.1',1489299704496,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1122,'127.0.0.1',1489299704562,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299708519,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1123,'127.0.0.1',1489299708952,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300127228,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1124,'127.0.0.1',1489299709440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299717423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1125,'127.0.0.1',1489299804470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1126,'127.0.0.1',1489299804470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1127,'127.0.0.1',1489299807490,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300127319,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1128,'127.0.0.1',1489300127723,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1129,'127.0.0.1',1489300127761,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300131980,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1130,'127.0.0.1',1489300132442,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300146712,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1131,'127.0.0.1',1489300262183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300275784,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1132,'127.0.0.1',1489300276457,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300294071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1133,'127.0.0.1',1489306741085,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1134,'127.0.0.1',1489306741232,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489306758026,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1135,'127.0.0.1',1489306758619,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1136,'127.0.0.1',1489306758640,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489307474217,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1137,'127.0.0.1',1489307474690,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1138,'127.0.0.1',1489307510694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1139,'127.0.0.1',1489989916146,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1140,'127.0.0.1',1489989916353,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990037284,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1141,'127.0.0.1',1489990037602,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990047666,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1142,'127.0.0.1',1489990038061,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990039647,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1143,'127.0.0.1',1489990039783,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990047797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1144,'127.0.0.1',1489990048055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990050485,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1145,'127.0.0.1',1489990050742,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990064787,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1146,'127.0.0.1',1489990051098,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990054371,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1147,'127.0.0.1',1489990054492,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990056662,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1148,'127.0.0.1',1489990056845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1149,'127.0.0.1',1489990056845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1150,'127.0.0.1',1489990056922,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990064819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1151,'127.0.0.1',1489990064996,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990068104,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1152,'127.0.0.1',1489990068307,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990347943,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1153,'127.0.0.1',1489990068638,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990072142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1154,'127.0.0.1',1489990072272,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990074800,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1155,'127.0.0.1',1489990074988,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990080552,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1156,'127.0.0.1',1489990081834,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990086677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1157,'127.0.0.1',1489990086924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990091389,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1158,'127.0.0.1',1489990091501,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990093923,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1159,'127.0.0.1',1489990094050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990342356,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1160,'127.0.0.1',1489990342517,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990344645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1161,'127.0.0.1',1489990344820,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990347978,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1162,'127.0.0.1',1489990348162,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990352423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1163,'127.0.0.1',1489990352638,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490004906958,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1164,'127.0.0.1',1489990352911,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990355321,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1165,'127.0.0.1',1489990355437,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490004906980,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1166,'127.0.0.1',1489990355437,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490004906980,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1167,'127.0.0.1',1490004907162,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1168,'127.0.0.1',1490004907170,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005180974,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1169,'127.0.0.1',1490005181397,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006196773,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1170,'127.0.0.1',1490005181787,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005190483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1171,'127.0.0.1',1490005190619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005284252,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1172,'127.0.0.1',1490005190619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005284252,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1173,'127.0.0.1',1490005284581,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005538494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1174,'127.0.0.1',1490005284581,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005538494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1175,'127.0.0.1',1490005538763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005782069,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1176,'127.0.0.1',1490005538763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005782069,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1177,'127.0.0.1',1490005782407,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006196687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1178,'127.0.0.1',1490005782407,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006196687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1179,'127.0.0.1',1490006197065,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1180,'127.0.0.1',1490006197106,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006199895,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1181,'127.0.0.1',1490006200162,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006457234,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1182,'127.0.0.1',1490006200516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006202624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1183,'127.0.0.1',1490006202776,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006248726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1184,'127.0.0.1',1490006202776,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006248726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1185,'127.0.0.1',1490006248860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006456483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1186,'127.0.0.1',1490006248860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006456483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1187,'127.0.0.1',1490006362569,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1188,'127.0.0.1',1490006362569,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1189,'127.0.0.1',1490006459822,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1190,'127.0.0.1',1490006459882,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006462688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1191,'127.0.0.1',1490006462926,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009828438,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1192,'127.0.0.1',1490006463206,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006465225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1193,'127.0.0.1',1490006465352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007374752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1194,'127.0.0.1',1490006465352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007374752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1195,'127.0.0.1',1490007374889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007390718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1196,'127.0.0.1',1490007374889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007390718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1197,'127.0.0.1',1490007392100,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007407225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1198,'127.0.0.1',1490007392100,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007407225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1199,'127.0.0.1',1490007407399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007444059,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1200,'127.0.0.1',1490007407399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007444059,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1201,'127.0.0.1',1490007444649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008005469,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1202,'127.0.0.1',1490007444649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008005469,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1203,'127.0.0.1',1490008005939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008249491,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1204,'127.0.0.1',1490008005939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008249491,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1205,'127.0.0.1',1490008252768,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009360696,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1206,'127.0.0.1',1490008252768,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009360696,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1207,'127.0.0.1',1490009360854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009362404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1208,'127.0.0.1',1490009360854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009362404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1209,'127.0.0.1',1490009826336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1210,'127.0.0.1',1490009826336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1211,'127.0.0.1',1490009826506,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009828398,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1212,'127.0.0.1',1490009828678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009831821,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1213,'127.0.0.1',1490009832481,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010013101,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1214,'127.0.0.1',1490009833449,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009835156,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1215,'127.0.0.1',1490009835305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009849728,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1216,'127.0.0.1',1490009835305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009849728,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1217,'127.0.0.1',1490010011701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1218,'127.0.0.1',1490010011701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1219,'127.0.0.1',1490010011808,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010013632,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1220,'127.0.0.1',1490010014228,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010017152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1221,'127.0.0.1',1490010017925,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010145956,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1222,'127.0.0.1',1490010018429,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010021347,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1223,'127.0.0.1',1490010021510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010060630,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1224,'127.0.0.1',1490010021510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010060630,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1225,'127.0.0.1',1490010146572,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1226,'127.0.0.1',1490010147000,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010149430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1227,'127.0.0.1',1490010149737,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010555367,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1228,'127.0.0.1',1490010150207,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010152512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1229,'127.0.0.1',1490010152678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010154413,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1230,'127.0.0.1',1490010152678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010154413,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1231,'127.0.0.1',1490010468336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010555394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1232,'127.0.0.1',1490010468336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010555394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1233,'127.0.0.1',1490010475000,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022945888,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1234,'127.0.0.1',1490010475000,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022945888,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1235,'127.0.0.1',1490010555688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010559088,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1236,'127.0.0.1',1490010559468,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010975640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1237,'127.0.0.1',1490010559995,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010563481,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1238,'127.0.0.1',1490010563649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010565581,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1239,'127.0.0.1',1490010563649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010565581,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1240,'127.0.0.1',1490010976006,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1241,'127.0.0.1',1490010976089,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010978492,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1242,'127.0.0.1',1490010978812,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011482148,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1243,'127.0.0.1',1490010979249,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010981505,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1244,'127.0.0.1',1490010981706,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010982875,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1245,'127.0.0.1',1490010981706,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010982875,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1246,'127.0.0.1',1490011482843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1247,'127.0.0.1',1490011482952,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011485755,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1248,'127.0.0.1',1490011486130,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011763057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1249,'127.0.0.1',1490011486541,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011488498,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1250,'127.0.0.1',1490011488715,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011491656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1251,'127.0.0.1',1490011488715,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011491656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1252,'127.0.0.1',1490011492491,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011732034,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1253,'127.0.0.1',1490011492491,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011732034,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1254,'127.0.0.1',1490011732210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011733272,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1255,'127.0.0.1',1490011732210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011733272,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1256,'127.0.0.1',1490011735699,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011750988,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1257,'127.0.0.1',1490011735699,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011750988,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1258,'127.0.0.1',1490011751110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011763080,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1259,'127.0.0.1',1490011751110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011763080,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1260,'127.0.0.1',1490011764649,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1261,'127.0.0.1',1490011764747,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011767494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1262,'127.0.0.1',1490011767843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013612775,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1263,'127.0.0.1',1490011768276,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011770205,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1264,'127.0.0.1',1490011770362,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011771765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1265,'127.0.0.1',1490011770362,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011771765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1266,'127.0.0.1',1490011771914,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011773461,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1267,'127.0.0.1',1490011771914,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011773461,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1268,'127.0.0.1',1490011773858,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013612440,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1269,'127.0.0.1',1490011773858,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013612440,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1270,'127.0.0.1',1490013613406,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1271,'127.0.0.1',1490013613535,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013616556,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1272,'127.0.0.1',1490013616850,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013925113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1273,'127.0.0.1',1490013617213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013619599,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1274,'127.0.0.1',1490013619753,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013624401,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1275,'127.0.0.1',1490013619753,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013624401,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1276,'127.0.0.1',1490013624594,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013628335,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1277,'127.0.0.1',1490013624594,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013628335,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1278,'127.0.0.1',1490013628515,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013648182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1279,'127.0.0.1',1490013628515,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013648182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1280,'127.0.0.1',1490013648323,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013881044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1281,'127.0.0.1',1490013648323,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013881044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1282,'127.0.0.1',1490013881194,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013925132,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1283,'127.0.0.1',1490013881194,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013925132,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1284,'127.0.0.1',1490013964237,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1285,'127.0.0.1',1490013964345,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013969060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1286,'127.0.0.1',1490013969746,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015682650,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1287,'127.0.0.1',1490013971242,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013973159,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1288,'127.0.0.1',1490013973712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013976522,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1289,'127.0.0.1',1490013973712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013976522,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1290,'127.0.0.1',1490013976913,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013993020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1291,'127.0.0.1',1490013976913,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013993020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1292,'127.0.0.1',1490013993485,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014030687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1293,'127.0.0.1',1490013993485,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014030687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1294,'127.0.0.1',1490014030827,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014036780,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1295,'127.0.0.1',1490014030827,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014036780,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1296,'127.0.0.1',1490014092832,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015665269,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1297,'127.0.0.1',1490015683411,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1298,'127.0.0.1',1490015683483,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015685896,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1299,'127.0.0.1',1490015686465,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016144221,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1300,'127.0.0.1',1490015686870,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015689405,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1301,'127.0.0.1',1490015689551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015707424,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1302,'127.0.0.1',1490015708076,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016143946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1303,'127.0.0.1',1490016144560,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1304,'127.0.0.1',1490016144622,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016147194,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1305,'127.0.0.1',1490016147537,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016352839,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1306,'127.0.0.1',1490016148025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016152683,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1307,'127.0.0.1',1490016150850,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1308,'127.0.0.1',1490016152853,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016161437,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1309,'127.0.0.1',1490016176761,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016352693,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1310,'127.0.0.1',1490016353164,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1311,'127.0.0.1',1490016353238,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016355610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1312,'127.0.0.1',1490016355924,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016377901,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1313,'127.0.0.1',1490016356313,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016359344,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1314,'127.0.0.1',1490016359484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016366360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1315,'127.0.0.1',1490016367094,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1316,'127.0.0.1',1490016367148,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016377954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1317,'127.0.0.1',1490016378191,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016419972,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1318,'127.0.0.1',1490016420544,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1319,'127.0.0.1',1490016448895,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016473368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1320,'127.0.0.1',1490016449373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016463785,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1321,'127.0.0.1',1490016464031,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016471056,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1322,'127.0.0.1',1490016471725,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1323,'127.0.0.1',1490016471789,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016473492,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1324,'127.0.0.1',1490016473659,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1325,'127.0.0.1',1490016473670,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016685369,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1326,'127.0.0.1',1490016685640,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016759158,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1327,'127.0.0.1',1490016686037,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016688165,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1328,'127.0.0.1',1490016688297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016695189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1329,'127.0.0.1',1490016695841,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016701231,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1330,'127.0.0.1',1490016701670,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016722695,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1331,'127.0.0.1',1490016723021,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016759030,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1332,'127.0.0.1',1490016759461,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1333,'127.0.0.1',1490016759539,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016762194,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1334,'127.0.0.1',1490016762538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016817891,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1335,'127.0.0.1',1490016762924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016764751,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1336,'127.0.0.1',1490016764906,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1337,'127.0.0.1',1490016821008,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1338,'127.0.0.1',1490016821376,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016824735,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1339,'127.0.0.1',1490016825425,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016912339,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1340,'127.0.0.1',1490016825830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016829640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1341,'127.0.0.1',1490016829791,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1342,'127.0.0.1',1490016912609,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1343,'127.0.0.1',1490016912663,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016915569,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1344,'127.0.0.1',1490016915797,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017516232,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1345,'127.0.0.1',1490016916123,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016917916,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1346,'127.0.0.1',1490016918077,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017516020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1347,'127.0.0.1',1490017516464,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1348,'127.0.0.1',1490017516548,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017518866,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1349,'127.0.0.1',1490017519140,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017572335,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1350,'127.0.0.1',1490017519551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017520876,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1351,'127.0.0.1',1490017521020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017572344,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1352,'127.0.0.1',1490017572594,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1353,'127.0.0.1',1490017572682,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017575254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1354,'127.0.0.1',1490017575495,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017931934,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1355,'127.0.0.1',1490017575897,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017577443,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1356,'127.0.0.1',1490017577568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017931917,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1357,'127.0.0.1',1490017932183,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018012929,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1358,'127.0.0.1',1490017932640,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017934955,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1359,'127.0.0.1',1490017935203,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018012994,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1360,'127.0.0.1',1490018017342,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1361,'127.0.0.1',1490018017435,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018025302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1362,'127.0.0.1',1490018025554,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018616792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1363,'127.0.0.1',1490018025924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018027385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1364,'127.0.0.1',1490018027533,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018031498,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1365,'127.0.0.1',1490018031741,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018034113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1366,'127.0.0.1',1490018034278,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018037063,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1367,'127.0.0.1',1490018037174,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018045382,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1368,'127.0.0.1',1490018045525,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=4','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018055246,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1369,'127.0.0.1',1490018055401,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018365431,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1370,'127.0.0.1',1490018365601,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018616829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1371,'127.0.0.1',1490018617445,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019415316,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1372,'127.0.0.1',1490018618923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018621333,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1373,'127.0.0.1',1490018621510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019108729,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1374,'127.0.0.1',1490019108939,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1375,'127.0.0.1',1490019418640,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1376,'127.0.0.1',1490019418730,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019421856,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1377,'127.0.0.1',1490019422163,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019554049,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1378,'127.0.0.1',1490019422568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019424277,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1379,'127.0.0.1',1490019424409,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019429369,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1380,'127.0.0.1',1490019429762,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019439147,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1381,'127.0.0.1',1490019439708,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019553579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1382,'127.0.0.1',1490019556496,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1383,'127.0.0.1',1490019556591,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019559252,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1384,'127.0.0.1',1490019559526,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019681764,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1385,'127.0.0.1',1490019559840,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019561603,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1386,'127.0.0.1',1490019561746,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019567346,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1387,'127.0.0.1',1490019567486,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019681770,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1388,'127.0.0.1',1490019681953,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020105423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1389,'127.0.0.1',1490019682312,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020105493,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1390,'127.0.0.1',1490020105893,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1391,'127.0.0.1',1490020106296,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020110321,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1392,'127.0.0.1',1490020111137,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020446089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1393,'127.0.0.1',1490020111568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020114332,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1394,'127.0.0.1',1490020114502,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020119074,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1395,'127.0.0.1',1490020122001,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020126820,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1396,'127.0.0.1',1490020127093,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020445700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1397,'127.0.0.1',1490020449629,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1398,'127.0.0.1',1490020449722,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020453185,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1399,'127.0.0.1',1490020453465,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020507084,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1400,'127.0.0.1',1490020453886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020455735,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1401,'127.0.0.1',1490020455880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020505936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1402,'127.0.0.1',1490020510647,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1403,'127.0.0.1',1490020511015,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020513527,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1404,'127.0.0.1',1490020514240,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020642088,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1405,'127.0.0.1',1490020514639,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020516046,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1406,'127.0.0.1',1490020516190,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020522901,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1407,'127.0.0.1',1490020523081,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020529091,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1408,'127.0.0.1',1490020529274,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020554007,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1409,'127.0.0.1',1490020554541,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020559803,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1410,'127.0.0.1',1490020559962,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020628211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1411,'127.0.0.1',1490020628367,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020642114,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1412,'127.0.0.1',1490020642390,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021014304,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1413,'127.0.0.1',1490021015030,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021103476,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1414,'127.0.0.1',1490021015578,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021017095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1415,'127.0.0.1',1490021017319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021035884,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1416,'127.0.0.1',1490021046476,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1417,'127.0.0.1',1490021107121,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1418,'127.0.0.1',1490021107210,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021110020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1419,'127.0.0.1',1490021110628,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021354020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1420,'127.0.0.1',1490021110990,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021112459,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1421,'127.0.0.1',1490021112618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021118635,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1422,'127.0.0.1',1490021118897,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021134592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1423,'127.0.0.1',1490021134981,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021139060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1424,'127.0.0.1',1490021139236,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021353645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1425,'127.0.0.1',1490021354315,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1426,'127.0.0.1',1490021354393,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021356909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1427,'127.0.0.1',1490021357207,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021413699,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1428,'127.0.0.1',1490021358399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021360492,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1429,'127.0.0.1',1490021360969,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021366311,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1430,'127.0.0.1',1490021366521,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021413513,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1431,'127.0.0.1',1490021414179,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021416690,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1432,'127.0.0.1',1490021417024,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021501704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1433,'127.0.0.1',1490021417547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021418863,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1434,'127.0.0.1',1490021418999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021425615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1435,'127.0.0.1',1490021425863,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021501742,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1436,'127.0.0.1',1490021504529,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1437,'127.0.0.1',1490021504845,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021508652,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1438,'127.0.0.1',1490021509397,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021828667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1439,'127.0.0.1',1490021509822,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021511743,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1440,'127.0.0.1',1490021511913,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021515205,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1441,'127.0.0.1',1490021515859,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021523911,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1442,'127.0.0.1',1490021524056,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021533207,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1443,'127.0.0.1',1490021533362,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021538492,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1444,'127.0.0.1',1490021538665,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021828294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1445,'127.0.0.1',1490021829354,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1446,'127.0.0.1',1490021829846,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021833506,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1447,'127.0.0.1',1490021834220,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021907167,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1448,'127.0.0.1',1490021834489,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021847514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1449,'127.0.0.1',1490021847644,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021859392,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1450,'127.0.0.1',1490021859536,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021865067,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1451,'127.0.0.1',1490021865207,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021907198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1452,'127.0.0.1',1490021907389,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1453,'127.0.0.1',1490021907430,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021910368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1454,'127.0.0.1',1490021910589,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021959688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1455,'127.0.0.1',1490021910845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021912763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1456,'127.0.0.1',1490021912902,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021917311,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1457,'127.0.0.1',1490021917444,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021952923,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1458,'127.0.0.1',1490021953081,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021956226,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1459,'127.0.0.1',1490021957173,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021959678,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1460,'127.0.0.1',1490021959885,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021980460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1461,'127.0.0.1',1490021960150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021962239,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1462,'127.0.0.1',1490021962352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021965541,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1463,'127.0.0.1',1490021965679,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021980443,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1464,'127.0.0.1',1490021980666,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1465,'127.0.0.1',1490021980733,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021983503,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1466,'127.0.0.1',1490021983716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022139258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1467,'127.0.0.1',1490021983981,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021985564,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1468,'127.0.0.1',1490021985688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021988516,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1469,'127.0.0.1',1490021988659,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022002389,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1470,'127.0.0.1',1490022002597,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022012071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1471,'127.0.0.1',1490022012201,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022032104,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1472,'127.0.0.1',1490022032226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022036452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1473,'127.0.0.1',1490022037437,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022040415,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1474,'127.0.0.1',1490022040544,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022042668,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1475,'127.0.0.1',1490022042790,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022046724,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1476,'127.0.0.1',1490022046868,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&ip=1','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022050050,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1477,'127.0.0.1',1490022050196,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022054248,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1478,'127.0.0.1',1490022054391,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022133566,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1479,'127.0.0.1',1490022056173,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022059948,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1480,'127.0.0.1',1490022139462,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1481,'127.0.0.1',1490022139810,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1482,'127.0.0.1',1490022148757,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022151079,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1483,'127.0.0.1',1490022151337,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022284552,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1484,'127.0.0.1',1490022151601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022153814,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1485,'127.0.0.1',1490022153931,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022173044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1486,'127.0.0.1',1490022173189,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022284537,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1487,'127.0.0.1',1490022284781,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1488,'127.0.0.1',1490022284843,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022292808,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1489,'127.0.0.1',1490022293048,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022397320,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1490,'127.0.0.1',1490022293313,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022295529,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1491,'127.0.0.1',1490022295653,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022303394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1492,'127.0.0.1',1490022303529,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022307637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1493,'127.0.0.1',1490022307768,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022313453,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1494,'127.0.0.1',1490022313608,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&os=Windows&browser=%E5%82%B2%E6%B8%B8&ip=127','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022325470,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1495,'127.0.0.1',1490022325589,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022352859,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1496,'127.0.0.1',1490022352997,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&os=Windows&browser=%E5%82%B2%E6%B8%B8&ip=127','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022358368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1497,'127.0.0.1',1490022358526,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022397328,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1498,'127.0.0.1',1490022397527,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022399917,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1499,'127.0.0.1',1490022400329,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022437370,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1500,'127.0.0.1',1490022400643,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022401954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1501,'127.0.0.1',1490022402055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022403751,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1502,'127.0.0.1',1490022403968,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022411122,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1503,'127.0.0.1',1490022411279,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022413253,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1504,'127.0.0.1',1490022414167,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022427696,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1505,'127.0.0.1',1490022427783,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022428676,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1506,'127.0.0.1',1490022428858,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022429525,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1507,'127.0.0.1',1490022429696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022430965,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1508,'127.0.0.1',1490022431129,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022432950,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1509,'127.0.0.1',1490022433130,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022437361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1510,'127.0.0.1',1490022437570,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022440238,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1511,'127.0.0.1',1490022440454,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022854399,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1512,'127.0.0.1',1490022440725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022442985,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1513,'127.0.0.1',1490022443106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022854396,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1514,'127.0.0.1',1490022854612,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1515,'127.0.0.1',1490022854655,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022856955,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1516,'127.0.0.1',1490022857177,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023038430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1517,'127.0.0.1',1490022857438,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022859181,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1518,'127.0.0.1',1490022859315,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022863065,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1519,'127.0.0.1',1490022863194,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022866373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1520,'127.0.0.1',1490022866516,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022947969,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1521,'127.0.0.1',1490022948139,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022956244,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1522,'127.0.0.1',1490022956369,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022963089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1523,'127.0.0.1',1490022963252,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022967879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1524,'127.0.0.1',1490022967983,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&mobile=PC%E7%AB%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022971261,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1525,'127.0.0.1',1490022971407,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&mobile=PC%C3%A7%C2%AB%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022976956,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1526,'127.0.0.1',1490022977081,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=4&mobile=PC%C3%83%C2%A7%C3%82%C2%AB%C3%82%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022990937,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1527,'127.0.0.1',1490022991128,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&mobile=PC%C3%83%C2%83%C3%82%C2%A7%C3%83%C2%82%C3%82%C2%AB%C3%83%C2%82%C3%82%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023003488,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1528,'127.0.0.1',1490023003617,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&mobile=PC%C3%83%C2%83%C3%82%C2%83%C3%83%C2%82%C3%82%C2%A7%C3%83%C2%83%C3%82%C2%82%C3%83%C2%82%C3%82%C2%AB%C3%83%C2%83%C3%82%C2%82%C3%83%C2%82%C3%82%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023008141,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1529,'127.0.0.1',1490023008251,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023038417,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1530,'127.0.0.1',1490023038650,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1531,'127.0.0.1',1490023038695,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023043491,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1532,'127.0.0.1',1490023043725,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023371738,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1533,'127.0.0.1',1490023043986,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023045693,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1534,'127.0.0.1',1490023045828,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023051868,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1535,'127.0.0.1',1490023061719,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023069500,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1536,'127.0.0.1',1490023078232,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023083305,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1537,'127.0.0.1',1490023110479,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023144045,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1538,'127.0.0.1',1490023251458,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1539,'127.0.0.1',1490023371946,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1540,'127.0.0.1',1490023371991,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023374549,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1541,'127.0.0.1',1490023374776,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023475619,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1542,'127.0.0.1',1490023375065,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023376568,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1543,'127.0.0.1',1490023376696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023380731,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1544,'127.0.0.1',1490023380865,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023386128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1545,'127.0.0.1',1490023394199,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023475645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1546,'127.0.0.1',1490023476527,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1547,'127.0.0.1',1490023476600,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023479142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1548,'127.0.0.1',1490023479349,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1549,'127.0.0.1',1490023479618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023481189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1550,'127.0.0.1',1490023481361,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023486179,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1551,'127.0.0.1',1490023489987,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023493790,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1552,'127.0.0.1',1490023497401,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023503420,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1553,'127.0.0.1',1490023509876,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023577178,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1554,'127.0.0.1',1490023526977,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1555,'127.0.0.1',1490023587091,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1556,'127.0.0.1',1490023693506,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023701444,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1557,'127.0.0.1',1490023718536,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023766800,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1558,'127.0.0.1',1490023724762,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1559,'127.0.0.1',1490023769739,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1560,'127.0.0.1',1490023839383,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1561,'127.0.0.1',1490063478304,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490063480996,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1562,'127.0.0.1',1490063481575,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064403649,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1563,'127.0.0.1',1490063481842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490063484365,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1564,'127.0.0.1',1490063484528,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064214177,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1565,'127.0.0.1',1490063536178,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064123370,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1566,'127.0.0.1',1490064123548,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064129831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1567,'127.0.0.1',1490064130162,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=135','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064131983,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1568,'127.0.0.1',1490064132135,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=134','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064138311,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1569,'127.0.0.1',1490064138483,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=133','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064382543,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1570,'127.0.0.1',1490064225219,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064229444,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1571,'127.0.0.1',1490064229791,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064233020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1572,'127.0.0.1',1490064233254,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064239855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1573,'127.0.0.1',1490064240024,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064266278,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1574,'127.0.0.1',1490064266532,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064268008,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1575,'127.0.0.1',1490064268159,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064269854,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1576,'127.0.0.1',1490064269940,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064270889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1577,'127.0.0.1',1490064271009,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064271677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1578,'127.0.0.1',1490064271904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064273163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1579,'127.0.0.1',1490064273271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064403675,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1580,'127.0.0.1',1490064382742,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=132','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1581,'127.0.0.1',1490064382824,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=132','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064793021,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1582,'127.0.0.1',1490064403897,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064406274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1583,'127.0.0.1',1490064406505,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065478350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1584,'127.0.0.1',1490064406712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064408850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1585,'127.0.0.1',1490064409009,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064586063,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1586,'127.0.0.1',1490064586193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064594580,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1587,'127.0.0.1',1490064595678,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064602931,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1588,'127.0.0.1',1490064603063,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064757759,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1589,'127.0.0.1',1490064757969,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064763122,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1590,'127.0.0.1',1490064763471,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065478374,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1591,'127.0.0.1',1490064793275,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065214635,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1592,'127.0.0.1',1490065214804,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065218081,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1593,'127.0.0.1',1490065218654,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065235029,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1594,'127.0.0.1',1490065235210,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065487095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1595,'127.0.0.1',1490065478556,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1596,'127.0.0.1',1490065478594,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065482173,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1597,'127.0.0.1',1490065482403,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066141238,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1598,'127.0.0.1',1490065482648,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066141256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1599,'127.0.0.1',1490065487276,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065492422,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1600,'127.0.0.1',1490065493413,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065583910,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1601,'127.0.0.1',1490065584086,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065591349,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1602,'127.0.0.1',1490065591816,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066151287,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1603,'127.0.0.1',1490066141442,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1604,'127.0.0.1',1490066141513,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066145528,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1605,'127.0.0.1',1490066145852,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066514891,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1606,'127.0.0.1',1490066146079,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066147767,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1607,'127.0.0.1',1490066147889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066514037,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1608,'127.0.0.1',1490066151460,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066155267,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1609,'127.0.0.1',1490066155421,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066158626,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1610,'127.0.0.1',1490066158795,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066162277,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1611,'127.0.0.1',1490066162452,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066165151,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1612,'127.0.0.1',1490066165310,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=4&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066168558,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1613,'127.0.0.1',1490066168724,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=6&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066170399,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1614,'127.0.0.1',1490066170559,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=5&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066173168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1615,'127.0.0.1',1490066173340,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066176096,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1616,'127.0.0.1',1490066176255,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066179198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1617,'127.0.0.1',1490066179349,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066192070,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1618,'127.0.0.1',1490066192235,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066523565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1619,'127.0.0.1',1490066515099,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1620,'127.0.0.1',1490066515169,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066517180,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1621,'127.0.0.1',1490066517376,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071521863,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1622,'127.0.0.1',1490066517611,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066519769,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1623,'127.0.0.1',1490066519868,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066573964,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1624,'127.0.0.1',1490066523769,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066527152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1625,'127.0.0.1',1490066527333,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066531384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1626,'127.0.0.1',1490066531589,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066535704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1627,'127.0.0.1',1490066535893,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066537912,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1628,'127.0.0.1',1490066538080,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071527456,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1629,'127.0.0.1',1490066575048,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066575934,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1630,'127.0.0.1',1490066576055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071521873,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1631,'127.0.0.1',1490071522041,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1632,'127.0.0.1',1490071522134,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071524863,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1633,'127.0.0.1',1490071525254,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074630595,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1634,'127.0.0.1',1490071525462,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074630581,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1635,'127.0.0.1',1490071527637,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071552318,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1636,'127.0.0.1',1490071552524,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071563352,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1637,'127.0.0.1',1490072452150,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=139&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072456139,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1638,'127.0.0.1',1490072456332,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=140&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072731019,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1639,'127.0.0.1',1490072731194,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=140&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072732975,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1640,'127.0.0.1',1490072733201,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=138&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072734959,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1641,'127.0.0.1',1490072735105,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074456095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1642,'127.0.0.1',1490074456324,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074486638,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1643,'127.0.0.1',1490074486990,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1644,'127.0.0.1',1490074630796,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074633395,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1645,'127.0.0.1',1490074633628,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075039593,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1646,'127.0.0.1',1490074633833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074635837,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1647,'127.0.0.1',1490074635974,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074644665,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1648,'127.0.0.1',1490074648497,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074655677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1649,'127.0.0.1',1490074657098,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074666483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1650,'127.0.0.1',1490074866558,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=139&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074872646,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1651,'127.0.0.1',1490074878481,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=138&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074886680,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1652,'127.0.0.1',1490074886887,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=135&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074941847,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1653,'127.0.0.1',1490074941995,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075036892,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1654,'127.0.0.1',1490074960056,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1655,'127.0.0.1',1490075039787,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1656,'127.0.0.1',1490075039855,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075042032,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1657,'127.0.0.1',1490075042221,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076598415,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1658,'127.0.0.1',1490075042417,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075044428,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1659,'127.0.0.1',1490075044583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075056023,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1660,'127.0.0.1',1490075062816,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075070550,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1661,'127.0.0.1',1490075070681,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=145','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075073059,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1662,'127.0.0.1',1490075073224,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075075871,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1663,'127.0.0.1',1490075076011,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075082218,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1664,'127.0.0.1',1490075082320,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=142&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075083954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1665,'127.0.0.1',1490075084116,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075085704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1666,'127.0.0.1',1490075085842,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=140&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075087412,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1667,'127.0.0.1',1490075087521,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=139&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075089293,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1668,'127.0.0.1',1490075089462,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=138&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075091056,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1669,'127.0.0.1',1490075091168,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075094664,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1670,'127.0.0.1',1490075094855,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=133&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075096209,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1671,'127.0.0.1',1490075096327,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=129&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1672,'127.0.0.1',1490076598630,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1673,'127.0.0.1',1490076598675,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076601960,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1674,'127.0.0.1',1490076602271,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093436235,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1675,'127.0.0.1',1490076602518,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076604863,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1676,'127.0.0.1',1490076605001,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490077468948,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1677,'127.0.0.1',1490076626384,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076808863,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1678,'127.0.0.1',1490076809080,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093958145,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1679,'127.0.0.1',1490077469904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093435930,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1680,'127.0.0.1',1490093436453,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1681,'127.0.0.1',1490093436495,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093439658,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1682,'127.0.0.1',1490093439913,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093880117,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1683,'127.0.0.1',1490093440160,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093442081,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1684,'127.0.0.1',1490093442205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093465354,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1685,'127.0.0.1',1490093466381,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093496172,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1686,'127.0.0.1',1490093496322,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093880131,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1687,'127.0.0.1',1490093880331,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094157080,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1688,'127.0.0.1',1490093880711,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093883009,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1689,'127.0.0.1',1490093883144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093930600,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1690,'127.0.0.1',1490093930881,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094157181,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1691,'127.0.0.1',1490093958579,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093964030,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1692,'127.0.0.1',1490093964204,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093971713,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1693,'127.0.0.1',1490093971914,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094045435,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1694,'127.0.0.1',1490093979420,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1695,'127.0.0.1',1490094045618,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094113894,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1696,'127.0.0.1',1490094114078,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094149346,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1697,'127.0.0.1',1490094149586,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094187038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1698,'127.0.0.1',1490094157365,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1699,'127.0.0.1',1490094157413,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094161132,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1700,'127.0.0.1',1490094161362,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094914509,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1701,'127.0.0.1',1490094161612,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094164416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1702,'127.0.0.1',1490094164540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094897745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1703,'127.0.0.1',1490094187232,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094226121,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1704,'127.0.0.1',1490094226317,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094787812,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1705,'127.0.0.1',1490094914712,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1706,'127.0.0.1',1490094914769,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094916959,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1707,'127.0.0.1',1490094917287,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095009482,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1708,'127.0.0.1',1490094917545,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095009494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1709,'127.0.0.1',1490094919358,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094944402,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1710,'127.0.0.1',1490094945478,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094963123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1711,'127.0.0.1',1490094963320,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095247635,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1712,'127.0.0.1',1490095009669,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1713,'127.0.0.1',1490095009749,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095012676,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1714,'127.0.0.1',1490095012881,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095065127,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1715,'127.0.0.1',1490095013137,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095016638,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1716,'127.0.0.1',1490095016765,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1717,'127.0.0.1',1490095065335,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1718,'127.0.0.1',1490095065381,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095067657,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1719,'127.0.0.1',1490095067881,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095228018,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1720,'127.0.0.1',1490095068143,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095069873,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1721,'127.0.0.1',1490095069997,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095085356,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1722,'127.0.0.1',1490095103791,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1723,'127.0.0.1',1490095228217,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1724,'127.0.0.1',1490095228259,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095230402,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1725,'127.0.0.1',1490095230592,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095669639,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1726,'127.0.0.1',1490095230844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095232519,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1727,'127.0.0.1',1490095232641,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095663626,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1728,'127.0.0.1',1490095247838,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095261427,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1729,'127.0.0.1',1490095263017,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095282891,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1730,'127.0.0.1',1490095341216,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095660028,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1731,'127.0.0.1',1490095353691,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095359018,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1732,'127.0.0.1',1490095669839,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1733,'127.0.0.1',1490095669883,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095672518,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1734,'127.0.0.1',1490095672724,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095738868,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1735,'127.0.0.1',1490095672966,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095674747,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1736,'127.0.0.1',1490095674881,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095738872,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1737,'127.0.0.1',1490095678222,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095687715,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1738,'127.0.0.1',1490095687892,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095745573,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1739,'127.0.0.1',1490095739056,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1740,'127.0.0.1',1490095739103,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095741254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1741,'127.0.0.1',1490095741432,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1742,'127.0.0.1',1490095741733,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095743300,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1743,'127.0.0.1',1490095743413,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095862550,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1744,'127.0.0.1',1490095745771,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095748710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1745,'127.0.0.1',1490095748900,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095753688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1746,'127.0.0.1',1490095753864,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095756034,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1747,'127.0.0.1',1490095756224,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=16&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095758359,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1748,'127.0.0.1',1490095758528,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=15&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095767278,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1749,'127.0.0.1',1490095767500,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=14&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095771926,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1750,'127.0.0.1',1490095862690,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095864105,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1751,'127.0.0.1',1490095864271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095865293,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1752,'127.0.0.1',1490095865482,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095866383,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1753,'127.0.0.1',1490095866513,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095877929,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1754,'127.0.0.1',1490095878072,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095878787,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1755,'127.0.0.1',1490095878923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095879945,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1756,'127.0.0.1',1490095880051,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095885842,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1757,'127.0.0.1',1490095885967,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095887321,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1758,'127.0.0.1',1490095887467,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095889000,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1759,'127.0.0.1',1490095889232,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095889797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1760,'127.0.0.1',1490095889994,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095890862,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1761,'127.0.0.1',1490095890968,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095891610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1762,'127.0.0.1',1490095891754,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1763,'127.0.0.1',1490344175230,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344177208,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1764,'127.0.0.1',1490344177746,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344182082,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1765,'127.0.0.1',1490344182506,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344187073,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1766,'127.0.0.1',1490344182843,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344187119,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1767,'127.0.0.1',1490344187366,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344190925,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1768,'127.0.0.1',1490344191130,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344228908,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1769,'127.0.0.1',1490344191376,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344193310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1770,'127.0.0.1',1490344195273,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344199693,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1771,'127.0.0.1',1490344199923,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344208752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1772,'127.0.0.1',1490344208960,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344216742,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1773,'127.0.0.1',1490344216893,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344248034,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1774,'127.0.0.1',1490344248205,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344254211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1775,'127.0.0.1',1490344254307,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344266783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1776,'127.0.0.1',1490344266960,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344270658,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1777,'127.0.0.1',1490344270815,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344292704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1778,'127.0.0.1',1490344292869,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344296881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1779,'127.0.0.1',1490344296992,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344337754,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1780,'127.0.0.1',1490344337920,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344342164,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1781,'127.0.0.1',1490344342257,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344360238,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1782,'127.0.0.1',1490344360446,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344368580,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1783,'127.0.0.1',1490344368692,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344373091,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1784,'127.0.0.1',1490344397848,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344433310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1785,'127.0.0.1',1490344433510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344438700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1786,'127.0.0.1',1490346664448,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346667134,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1787,'127.0.0.1',1490346667319,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346694620,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1788,'127.0.0.1',1490346667600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346669492,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1789,'127.0.0.1',1490346669624,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346683694,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1790,'127.0.0.1',1490346683819,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346685018,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1791,'127.0.0.1',1490346685145,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346688680,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1792,'127.0.0.1',1490346688935,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346691803,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1793,'127.0.0.1',1490346692169,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346694659,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1794,'127.0.0.1',1490346694810,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346697486,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1795,'127.0.0.1',1490346697853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346784638,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1796,'127.0.0.1',1490346698284,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346702367,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1797,'127.0.0.1',1490346702476,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1798,'127.0.0.1',1490346785026,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1799,'127.0.0.1',1490346785074,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346791867,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1800,'127.0.0.1',1490346792056,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346839718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1801,'127.0.0.1',1490346792288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346794122,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1802,'127.0.0.1',1490346794233,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1803,'127.0.0.1',1490346839912,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1804,'127.0.0.1',1490346839954,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346842541,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1805,'127.0.0.1',1490346842726,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347192861,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1806,'127.0.0.1',1490346842945,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346844196,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1807,'127.0.0.1',1490346844311,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346894029,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1808,'127.0.0.1',1490346894238,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346944351,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1809,'127.0.0.1',1490346944641,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346951826,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1810,'127.0.0.1',1490346951953,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346991404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1811,'127.0.0.1',1490346991560,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346994604,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1812,'127.0.0.1',1490346994711,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346997160,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1813,'127.0.0.1',1490346997507,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=16','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347001293,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1814,'127.0.0.1',1490347001419,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347031116,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1815,'127.0.0.1',1490347031267,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347034480,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1816,'127.0.0.1',1490347034610,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347157455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1817,'127.0.0.1',1490347157596,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347164483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1818,'127.0.0.1',1490347164616,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347189917,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1819,'127.0.0.1',1490347190110,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347192884,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1820,'127.0.0.1',1490347193041,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347196269,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1821,'127.0.0.1',1490347196455,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348547004,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1822,'127.0.0.1',1490347196681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347198507,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1823,'127.0.0.1',1490347198622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1824,'127.0.0.1',1490347249593,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1825,'127.0.0.1',1490348547207,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1826,'127.0.0.1',1490348547252,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348560128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1827,'127.0.0.1',1490348560367,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1828,'127.0.0.1',1490348560416,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348569498,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1829,'127.0.0.1',1490348569679,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348931830,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1830,'127.0.0.1',1490348569930,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348571713,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1831,'127.0.0.1',1490348571885,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1832,'127.0.0.1',1490348586691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1833,'127.0.0.1',1490348602085,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1834,'127.0.0.1',1490348718235,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1835,'127.0.0.1',1490348835768,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1836,'127.0.0.1',1490348932284,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1837,'127.0.0.1',1490348932339,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348934635,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1838,'127.0.0.1',1490348934843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349087875,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1839,'127.0.0.1',1490348935086,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348936531,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1840,'127.0.0.1',1490348936672,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348945662,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1841,'127.0.0.1',1490348946584,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1842,'127.0.0.1',1490348946676,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349087893,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1843,'127.0.0.1',1490349088051,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1844,'127.0.0.1',1490349088105,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349094708,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1845,'127.0.0.1',1490349094925,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349097134,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1846,'127.0.0.1',1490349095175,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349097039,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1847,'127.0.0.1',1490349096616,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1848,'127.0.0.1',1490349197781,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1849,'127.0.0.1',1490349197831,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349204615,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1850,'127.0.0.1',1490349204829,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349294240,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1851,'127.0.0.1',1490349205225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349207044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1852,'127.0.0.1',1490349207255,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349212254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1853,'127.0.0.1',1490349212492,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349239694,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1854,'127.0.0.1',1490349239847,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349294251,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1855,'127.0.0.1',1490349294491,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349297631,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1856,'127.0.0.1',1490349297818,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349378062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1857,'127.0.0.1',1490349298110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349300274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1858,'127.0.0.1',1490349300391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349301683,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1859,'127.0.0.1',1490349301831,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1860,'127.0.0.1',1490349301931,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349378095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1861,'127.0.0.1',1490349378284,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1862,'127.0.0.1',1490349378299,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349380725,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1863,'127.0.0.1',1490349381079,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349395293,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1864,'127.0.0.1',1490349381470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349383454,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1865,'127.0.0.1',1490349383580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349389296,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1866,'127.0.0.1',1490349386379,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1867,'127.0.0.1',1490349386449,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349389485,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1868,'127.0.0.1',1490349395544,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1869,'127.0.0.1',1490349395555,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349402174,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1870,'127.0.0.1',1490349402436,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350826782,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1871,'127.0.0.1',1490349402814,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350826831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1872,'127.0.0.1',1490349404546,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349410057,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1873,'127.0.0.1',1490349410255,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1874,'127.0.0.1',1490349410309,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1875,'127.0.0.1',1490350827458,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1876,'127.0.0.1',1490350827506,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350830441,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1877,'127.0.0.1',1490350831886,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351036705,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1878,'127.0.0.1',1490350832244,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350979666,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1879,'127.0.0.1',1490350979830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350983036,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1880,'127.0.0.1',1490350983173,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351033187,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1881,'127.0.0.1',1490351033369,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351036792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1882,'127.0.0.1',1490351036944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351040571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1883,'127.0.0.1',1490351040765,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351402055,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1884,'127.0.0.1',1490351041009,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351047384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1885,'127.0.0.1',1490351047503,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351048259,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1886,'127.0.0.1',1490351048377,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1887,'127.0.0.1',1490351048437,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351400477,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1888,'127.0.0.1',1490351400584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1889,'127.0.0.1',1490351400664,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351402061,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1890,'127.0.0.1',1490351402201,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1891,'127.0.0.1',1490351402212,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351404615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1892,'127.0.0.1',1490351404823,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351419821,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1893,'127.0.0.1',1490351405110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351407033,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1894,'127.0.0.1',1490351407169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1895,'127.0.0.1',1490351407256,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351419855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1896,'127.0.0.1',1490351420060,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351422322,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1897,'127.0.0.1',1490351422593,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351458313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1898,'127.0.0.1',1490351423857,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351425720,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1899,'127.0.0.1',1490351426225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351427718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1900,'127.0.0.1',1490351427961,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351429824,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1901,'127.0.0.1',1490351429979,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351443757,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1902,'127.0.0.1',1490351444326,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351448318,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1903,'127.0.0.1',1490351448492,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351454802,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1904,'127.0.0.1',1490351455839,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351458334,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1905,'127.0.0.1',1490351458854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351461833,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1906,'127.0.0.1',1490351462356,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354479453,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1907,'127.0.0.1',1490351463756,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351466044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1908,'127.0.0.1',1490351466528,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351467441,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1909,'127.0.0.1',1490351467573,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354479914,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1910,'127.0.0.1',1490354480213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354484701,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1911,'127.0.0.1',1490354485375,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1912,'127.0.0.1',1490354485724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354486620,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1913,'127.0.0.1',1490354486816,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354514143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1914,'127.0.0.1',1490354514342,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354519166,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1915,'127.0.0.1',1490354519348,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354520981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1916,'127.0.0.1',1490354521506,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354571136,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1917,'127.0.0.1',1490354571395,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354574858,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1918,'127.0.0.1',1490354575504,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354870613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1919,'127.0.0.1',1490354870790,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354875844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1920,'127.0.0.1',1490354876038,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1921,'127.0.0.1',1490370369344,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370375198,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1922,'127.0.0.1',1490370375449,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370378946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1923,'127.0.0.1',1490370375659,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370378882,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1924,'127.0.0.1',1490370379146,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370381336,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1925,'127.0.0.1',1490370381510,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370531605,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1926,'127.0.0.1',1490370381700,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370383953,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1927,'127.0.0.1',1490370384067,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370385665,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1928,'127.0.0.1',1490370385883,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370388408,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1929,'127.0.0.1',1490370389540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370398897,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1930,'127.0.0.1',1490370399019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370402196,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1931,'127.0.0.1',1490370402474,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370405431,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1932,'127.0.0.1',1490370405585,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370410289,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1933,'127.0.0.1',1490370410444,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=20','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370413216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1934,'127.0.0.1',1490370413307,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370414989,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1935,'127.0.0.1',1490370415122,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370422800,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1936,'127.0.0.1',1490370422936,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370427787,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1937,'127.0.0.1',1490370427947,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=16','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370529720,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1938,'127.0.0.1',1490370529849,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1939,'127.0.0.1',1490370529902,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370531627,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1940,'127.0.0.1',1490370531765,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1941,'127.0.0.1',1490370531777,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370534153,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1942,'127.0.0.1',1490370534355,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372941563,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1943,'127.0.0.1',1490370534556,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370535862,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1944,'127.0.0.1',1490370535993,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370538489,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1945,'127.0.0.1',1490370538616,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370544508,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1946,'127.0.0.1',1490370544707,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=20','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370548385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1947,'127.0.0.1',1490370548473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370569441,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1948,'127.0.0.1',1490370569585,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370607579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1949,'127.0.0.1',1490370607741,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372937981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1950,'127.0.0.1',1490370609514,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370611143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1951,'127.0.0.1',1490372941740,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1952,'127.0.0.1',1490372941782,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372945589,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1953,'127.0.0.1',1490372946008,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373200624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1954,'127.0.0.1',1490372946220,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372951201,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1955,'127.0.0.1',1490372951320,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372957214,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1956,'127.0.0.1',1490372957401,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372961857,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1957,'127.0.0.1',1490372962328,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372969185,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1958,'127.0.0.1',1490372969308,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1959,'127.0.0.1',1490373201186,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1960,'127.0.0.1',1490373201256,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373203986,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1961,'127.0.0.1',1490373204160,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373488682,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1962,'127.0.0.1',1490373204363,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373206023,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1963,'127.0.0.1',1490373206159,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373208078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1964,'127.0.0.1',1490373208216,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373211787,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1965,'127.0.0.1',1490373211937,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1966,'127.0.0.1',1490373245616,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373249584,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1967,'127.0.0.1',1490373249694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373252775,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1968,'127.0.0.1',1490373252901,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373488494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1969,'127.0.0.1',1490373488853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1970,'127.0.0.1',1490373488903,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373492424,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1971,'127.0.0.1',1490373492678,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1972,'127.0.0.1',1490373492921,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373494248,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1973,'127.0.0.1',1490373494373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373495427,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1974,'127.0.0.1',1490373495545,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373499449,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1975,'127.0.0.1',1490373499587,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373508575,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1976,'127.0.0.1',1490373508775,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=32','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373513706,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1977,'127.0.0.1',1490373513798,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373517113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1978,'127.0.0.1',1490373517326,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=32','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373523289,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1979,'127.0.0.1',1490373523387,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373526435,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1980,'127.0.0.1',1490373526637,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=32','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373584002,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1981,'127.0.0.1',1490373584114,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1982,'127.0.0.1',1490411042166,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411051470,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1983,'127.0.0.1',1490411051806,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411141228,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1984,'127.0.0.1',1490411052091,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411053530,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1985,'127.0.0.1',1490411053682,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411062767,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1986,'127.0.0.1',1490411062933,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411067831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1987,'127.0.0.1',1490411068047,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411071328,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1988,'127.0.0.1',1490411071458,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411077398,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1989,'127.0.0.1',1490411077573,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411085539,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1990,'127.0.0.1',1490411085663,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411089316,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1991,'127.0.0.1',1490411089484,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411093920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1992,'127.0.0.1',1490411094081,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411105457,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1993,'127.0.0.1',1490411105581,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1994,'127.0.0.1',1490411107703,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411111880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1995,'127.0.0.1',1490411112127,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411116350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1996,'127.0.0.1',1490411116469,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411119071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1997,'127.0.0.1',1490411119262,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411124258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1998,'127.0.0.1',1490411124365,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411128457,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (1999,'127.0.0.1',1490411128643,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411135614,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2000,'127.0.0.1',1490411135777,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411137553,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2001,'127.0.0.1',1490411137657,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411138556,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2002,'127.0.0.1',1490411138681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411141258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2003,'127.0.0.1',1490411141451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411144117,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2004,'127.0.0.1',1490411144310,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411148656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2005,'127.0.0.1',1490411144537,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411145709,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2006,'127.0.0.1',1490411145833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2007,'127.0.0.1',1490411145876,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411148695,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2008,'127.0.0.1',1490411148842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411151745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2009,'127.0.0.1',1490411151936,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2010,'127.0.0.1',1490411152136,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411156557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2011,'127.0.0.1',1490411156678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411160764,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2012,'127.0.0.1',1490411176883,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2013,'127.0.0.1',1490413013163,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2014,'127.0.0.1',1490413013213,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413021564,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2015,'127.0.0.1',1490413021767,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413113188,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2016,'127.0.0.1',1490413022001,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413025024,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2017,'127.0.0.1',1490413025169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413026855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2018,'127.0.0.1',1490413026954,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413032376,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2019,'127.0.0.1',1490413040074,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413113228,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2020,'127.0.0.1',1490413113435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413116874,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2021,'127.0.0.1',1490413117115,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413288613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2022,'127.0.0.1',1490413117361,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413125582,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2023,'127.0.0.1',1490413125696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413129574,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2024,'127.0.0.1',1490413139658,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413147610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2025,'127.0.0.1',1490413200628,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413210889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2026,'127.0.0.1',1490413211019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413212059,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2027,'127.0.0.1',1490413212160,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413236549,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2028,'127.0.0.1',1490413236690,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413288647,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2029,'127.0.0.1',1490413242141,'','/safe/blackip.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413249035,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2030,'127.0.0.1',1490413288822,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2031,'127.0.0.1',1490413288875,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413291496,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2032,'127.0.0.1',1490413291716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413296493,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2033,'127.0.0.1',1490413291972,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413296509,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2034,'127.0.0.1',1490413296682,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413298712,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2035,'127.0.0.1',1490413298890,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413347046,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2036,'127.0.0.1',1490413299102,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413300827,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2037,'127.0.0.1',1490413300952,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413302629,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2038,'127.0.0.1',1490413302749,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413342156,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2039,'127.0.0.1',1490413347243,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2040,'127.0.0.1',1490413347290,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413349873,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2041,'127.0.0.1',1490413350072,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413362114,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2042,'127.0.0.1',1490413350340,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413359778,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2043,'127.0.0.1',1490413353929,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413425136,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2044,'127.0.0.1',1490413359902,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2045,'127.0.0.1',1490413359957,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413362154,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2046,'127.0.0.1',1490413362281,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2047,'127.0.0.1',1490413362299,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413364651,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2048,'127.0.0.1',1490413364832,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413417385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2049,'127.0.0.1',1490413365057,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413369422,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2050,'127.0.0.1',1490413369560,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413370777,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2051,'127.0.0.1',1490413370887,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413374819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2052,'127.0.0.1',1490413374981,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413417420,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2053,'127.0.0.1',1490413418729,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2054,'127.0.0.1',1490413418815,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413421025,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2055,'127.0.0.1',1490413421241,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413562503,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2056,'127.0.0.1',1490413421493,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413562527,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2057,'127.0.0.1',1490413425320,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413527497,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2058,'127.0.0.1',1490413562716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2059,'127.0.0.1',1490413562755,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413565213,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2060,'127.0.0.1',1490413565430,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414968744,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2061,'127.0.0.1',1490413565674,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414968766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2062,'127.0.0.1',1490413568256,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417042729,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2063,'127.0.0.1',1490414972639,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2064,'127.0.0.1',1490414972769,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414975763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2065,'127.0.0.1',1490414976047,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415039743,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2066,'127.0.0.1',1490414976488,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414978688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2067,'127.0.0.1',1490414978860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414994282,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2068,'127.0.0.1',1490415025742,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2069,'127.0.0.1',1490415026083,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415039526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2070,'127.0.0.1',1490415039983,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2071,'127.0.0.1',1490415040000,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415081082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2072,'127.0.0.1',1490415081345,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415239724,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2073,'127.0.0.1',1490415081720,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415083184,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2074,'127.0.0.1',1490415083331,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415088557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2075,'127.0.0.1',1490415240010,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2076,'127.0.0.1',1490415240065,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415242313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2077,'127.0.0.1',1490415242576,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415419545,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2078,'127.0.0.1',1490415242890,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415244524,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2079,'127.0.0.1',1490415244675,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415247949,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2080,'127.0.0.1',1490415419818,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2081,'127.0.0.1',1490415419890,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415422113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2082,'127.0.0.1',1490415422379,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415432271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2083,'127.0.0.1',1490415422738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415424430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2084,'127.0.0.1',1490415424569,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2085,'127.0.0.1',1490415424649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2086,'127.0.0.1',1490415424671,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415432332,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2087,'127.0.0.1',1490415432536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415613607,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2088,'127.0.0.1',1490415617471,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415619727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2089,'127.0.0.1',1490415620103,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416729214,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2090,'127.0.0.1',1490415620551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415622151,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2091,'127.0.0.1',1490415622388,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415624683,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2092,'127.0.0.1',1490415627727,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416729274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2093,'127.0.0.1',1490416731841,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2094,'127.0.0.1',1490416731937,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416734795,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2095,'127.0.0.1',1490416735255,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417565447,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2096,'127.0.0.1',1490416735627,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416737291,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2097,'127.0.0.1',1490416737516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416739949,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2098,'127.0.0.1',1490416740565,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416746044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2099,'127.0.0.1',1490416746202,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2100,'127.0.0.1',1490417570196,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2101,'127.0.0.1',1490417570300,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417909935,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2102,'127.0.0.1',1490417910486,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419009232,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2103,'127.0.0.1',1490417911775,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417914109,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2104,'127.0.0.1',1490417914716,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417918234,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2105,'127.0.0.1',1490417918461,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417922714,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2106,'127.0.0.1',1490417922870,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417926262,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2107,'127.0.0.1',1490417926464,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419009752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2108,'127.0.0.1',1490419010037,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2109,'127.0.0.1',1490419010140,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419012661,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2110,'127.0.0.1',1490419013293,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419282148,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2111,'127.0.0.1',1490419014379,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419015877,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2112,'127.0.0.1',1490419016039,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419018273,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2113,'127.0.0.1',1490419282924,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2114,'127.0.0.1',1490419283000,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419285315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2115,'127.0.0.1',1490419285557,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423432461,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2116,'127.0.0.1',1490419285882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419287416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2117,'127.0.0.1',1490419287593,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419289861,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2118,'127.0.0.1',1490419297677,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423067928,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2119,'127.0.0.1',1490423365380,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423432287,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2120,'127.0.0.1',1490423432704,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2121,'127.0.0.1',1490423432828,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423435035,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2122,'127.0.0.1',1490423435304,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424054184,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2123,'127.0.0.1',1490423435686,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423437249,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2124,'127.0.0.1',1490423437381,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423439370,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2125,'127.0.0.1',1490423449521,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424054195,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2126,'127.0.0.1',1490424057460,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2127,'127.0.0.1',1490424057649,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424060306,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2128,'127.0.0.1',1490424060629,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425988447,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2129,'127.0.0.1',1490424060987,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424062578,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2130,'127.0.0.1',1490424062789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424065086,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2131,'127.0.0.1',1490424068885,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425988501,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2132,'127.0.0.1',1490425989120,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2133,'127.0.0.1',1490425989556,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425991793,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2134,'127.0.0.1',1490425992225,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426167603,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2135,'127.0.0.1',1490425992515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425994276,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2136,'127.0.0.1',1490425994393,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426002145,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2137,'127.0.0.1',1490426170921,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2138,'127.0.0.1',1490426171011,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426177290,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2139,'127.0.0.1',1490426177546,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427187548,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2140,'127.0.0.1',1490426177899,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426179274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2141,'127.0.0.1',1490426179442,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426183163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2142,'127.0.0.1',1490426183287,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426188429,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2143,'127.0.0.1',1490426188580,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426193672,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2144,'127.0.0.1',1490426194235,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427082245,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2145,'127.0.0.1',1490427082450,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427134063,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2146,'127.0.0.1',1490427134360,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427187633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2147,'127.0.0.1',1490427198480,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2148,'127.0.0.1',1490427198558,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427204249,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2149,'127.0.0.1',1490427204450,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427551801,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2150,'127.0.0.1',1490427204705,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427206671,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2151,'127.0.0.1',1490427206779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427211764,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2152,'127.0.0.1',1490427211954,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427551845,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2153,'127.0.0.1',1490427552012,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2154,'127.0.0.1',1490427552055,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427555071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2155,'127.0.0.1',1490427555269,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427784136,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2156,'127.0.0.1',1490427555528,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427557080,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2157,'127.0.0.1',1490427557197,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427559208,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2158,'127.0.0.1',1490427559394,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427784173,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2159,'127.0.0.1',1490427784362,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2160,'127.0.0.1',1490427784476,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427787224,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2161,'127.0.0.1',1490427787512,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427846090,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2162,'127.0.0.1',1490427787887,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427789654,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2163,'127.0.0.1',1490427789826,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427846117,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2164,'127.0.0.1',1490427846972,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2165,'127.0.0.1',1490427847126,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427863452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2166,'127.0.0.1',1490427865520,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427869769,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2167,'127.0.0.1',1490427866067,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2168,'127.0.0.1',1490427866145,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427870014,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2169,'127.0.0.1',1490427870249,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2170,'127.0.0.1',1490427870260,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427873524,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2171,'127.0.0.1',1490427873786,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428055126,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2172,'127.0.0.1',1490427874152,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427876182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2173,'127.0.0.1',1490427876345,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427878348,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2174,'127.0.0.1',1490427878560,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427954872,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2175,'127.0.0.1',1490428055408,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2176,'127.0.0.1',1490428055491,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428058072,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2177,'127.0.0.1',1490428058330,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428189835,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2178,'127.0.0.1',1490428058981,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428060186,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2179,'127.0.0.1',1490428060713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428062577,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2180,'127.0.0.1',1490428070381,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428076026,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2181,'127.0.0.1',1490428079511,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428189889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2182,'127.0.0.1',1490428190092,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428198886,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2183,'127.0.0.1',1490428190470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428192795,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2184,'127.0.0.1',1490428192944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428198494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2185,'127.0.0.1',1490428199488,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428202993,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2186,'127.0.0.1',1490428203752,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428386384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2187,'127.0.0.1',1490428204107,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428205008,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2188,'127.0.0.1',1490428205186,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428215747,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2189,'127.0.0.1',1490428240069,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428267636,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2190,'127.0.0.1',1490428284319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428291530,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2191,'127.0.0.1',1490428311051,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428357820,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2192,'127.0.0.1',1490428386679,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428389334,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2193,'127.0.0.1',1490428389667,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428469541,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2194,'127.0.0.1',1490428390053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428391850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2195,'127.0.0.1',1490428391971,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428396097,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2196,'127.0.0.1',1490428470019,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2197,'127.0.0.1',1490428470136,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428472761,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2198,'127.0.0.1',1490428473035,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428502939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2199,'127.0.0.1',1490428473414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428475356,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2200,'127.0.0.1',1490428475531,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428478449,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2201,'127.0.0.1',1490428507295,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2202,'127.0.0.1',1490428507829,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428511004,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2203,'127.0.0.1',1490428511858,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2204,'127.0.0.1',1490428512241,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428514326,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2205,'127.0.0.1',1490428514500,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428517191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2206,'127.0.0.1',1490428526325,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428566361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2207,'127.0.0.1',1490428592889,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2208,'127.0.0.1',1490429358369,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2209,'127.0.0.1',1490429358426,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429361465,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2210,'127.0.0.1',1490429386002,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429653396,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2211,'127.0.0.1',1490429386247,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429390545,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2212,'127.0.0.1',1490429390668,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429392599,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2213,'127.0.0.1',1490429486047,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429500306,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2214,'127.0.0.1',1490429653620,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2215,'127.0.0.1',1490429653669,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429659792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2216,'127.0.0.1',1490429660017,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429841071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2217,'127.0.0.1',1490429660266,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429662488,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2218,'127.0.0.1',1490429662601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429676722,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2219,'127.0.0.1',1490429752268,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429786977,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2220,'127.0.0.1',1490429790937,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429841092,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2221,'127.0.0.1',1490429841544,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2222,'127.0.0.1',1490429841616,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429844339,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2223,'127.0.0.1',1490429844601,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441303917,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2224,'127.0.0.1',1490429844833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429846627,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2225,'127.0.0.1',1490429846797,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429849344,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2226,'127.0.0.1',1490429859770,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429923747,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2227,'127.0.0.1',1490441298661,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2228,'127.0.0.1',1490441298682,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441303797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2229,'127.0.0.1',1490441304086,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2230,'127.0.0.1',1490441304099,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441307528,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2231,'127.0.0.1',1490441307721,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443270156,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2232,'127.0.0.1',1490441307937,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441309561,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2233,'127.0.0.1',1490441309701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441312588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2234,'127.0.0.1',1490441312768,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443270191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2235,'127.0.0.1',1490443270414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443272966,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2236,'127.0.0.1',1490443273390,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444624372,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2237,'127.0.0.1',1490443273741,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443274825,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2238,'127.0.0.1',1490443275019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443276360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2239,'127.0.0.1',1490443276536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443285154,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2240,'127.0.0.1',1490443285431,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443294316,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2241,'127.0.0.1',1490443294517,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443296431,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2242,'127.0.0.1',1490443296578,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444499837,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2243,'127.0.0.1',1490444500027,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444505247,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2244,'127.0.0.1',1490444505515,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=20','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444508192,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2245,'127.0.0.1',1490444508334,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444515366,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2246,'127.0.0.1',1490444515937,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=19','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444519415,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2247,'127.0.0.1',1490444519566,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444524512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2248,'127.0.0.1',1490444525077,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=18','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444527900,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2249,'127.0.0.1',1490444528055,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444533442,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2250,'127.0.0.1',1490444533990,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=17','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444539317,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2251,'127.0.0.1',1490444539466,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444543599,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2252,'127.0.0.1',1490444543814,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=16','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444624443,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2253,'127.0.0.1',1490444624642,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2254,'127.0.0.1',1490444624723,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444628690,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2255,'127.0.0.1',1490444628966,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446724136,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2256,'127.0.0.1',1490444629263,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444630256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2257,'127.0.0.1',1490444630409,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444634791,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2258,'127.0.0.1',1490444634948,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445114572,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2259,'127.0.0.1',1490445114944,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445471079,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2260,'127.0.0.1',1490445471469,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445496700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2261,'127.0.0.1',1490445497228,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445507147,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2262,'127.0.0.1',1490445507619,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445541398,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2263,'127.0.0.1',1490445541647,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446151116,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2264,'127.0.0.1',1490446151289,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446170722,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2265,'127.0.0.1',1490446171261,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446183089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2266,'127.0.0.1',1490446183575,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446203262,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2267,'127.0.0.1',1490446203525,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446212325,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2268,'127.0.0.1',1490446212470,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446217870,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2269,'127.0.0.1',1490446218123,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=21','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446724161,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2270,'127.0.0.1',1490446724416,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446727143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2271,'127.0.0.1',1490446727410,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446735212,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2272,'127.0.0.1',1490446727800,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446729294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2273,'127.0.0.1',1490446729451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446732322,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2274,'127.0.0.1',1490446735464,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446737769,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2275,'127.0.0.1',1490446738024,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446807273,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2276,'127.0.0.1',1490446738408,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446739747,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2277,'127.0.0.1',1490446740025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446744430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2278,'127.0.0.1',1490446745173,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446748306,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2279,'127.0.0.1',1490446748518,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446749460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2280,'127.0.0.1',1490446749824,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446754251,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2281,'127.0.0.1',1490446754415,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446757864,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2282,'127.0.0.1',1490446758602,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446760917,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2283,'127.0.0.1',1490446761094,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446771739,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2284,'127.0.0.1',1490446772277,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446782509,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2285,'127.0.0.1',1490446783031,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=33','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446785946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2286,'127.0.0.1',1490446786521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446790885,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2287,'127.0.0.1',1490446791034,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446794045,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2288,'127.0.0.1',1490446794647,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446797672,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2289,'127.0.0.1',1490446797802,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446801982,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2290,'127.0.0.1',1490446802563,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446807283,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2291,'127.0.0.1',1490446807527,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446810574,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2292,'127.0.0.1',1490446811068,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446992900,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2293,'127.0.0.1',1490446812398,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446813952,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2294,'127.0.0.1',1490446814424,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446815134,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2295,'127.0.0.1',1490446815304,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2296,'127.0.0.1',1490446995754,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2297,'127.0.0.1',1490446996101,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446999924,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2298,'127.0.0.1',1490447000622,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447089201,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2299,'127.0.0.1',1490447000987,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447002602,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2300,'127.0.0.1',1490447002747,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2301,'127.0.0.1',1490447094129,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2302,'127.0.0.1',1490447094273,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447097557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2303,'127.0.0.1',1490447097837,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447130642,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2304,'127.0.0.1',1490447098205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447099690,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2305,'127.0.0.1',1490447099863,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447101260,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2306,'127.0.0.1',1490447101857,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2307,'127.0.0.1',1490447130904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447133809,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2308,'127.0.0.1',1490447134436,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447272654,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2309,'127.0.0.1',1490447134818,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447135836,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2310,'127.0.0.1',1490447135973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447141231,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2311,'127.0.0.1',1490447141422,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447188123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2312,'127.0.0.1',1490447188311,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447272358,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2313,'127.0.0.1',1490447273242,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2314,'127.0.0.1',1490447273709,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447276045,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2315,'127.0.0.1',1490447276476,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457372782,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2316,'127.0.0.1',1490447276830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447278640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2317,'127.0.0.1',1490447278788,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447281543,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2318,'127.0.0.1',1490447281686,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447290881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2319,'127.0.0.1',1490447292382,'http://localhost:9080/persistence2-web-example/safe/whiteip.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447297476,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2320,'127.0.0.1',1490447297975,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447302341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2321,'127.0.0.1',1490447302469,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447308942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2322,'127.0.0.1',1490447309171,'http://localhost:9080/persistence2-web-example/safe/whiteip.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447313732,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2323,'127.0.0.1',1490447313847,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447318203,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2324,'127.0.0.1',1490447318429,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447328700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2325,'127.0.0.1',1490447328857,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457372527,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2326,'127.0.0.1',1490457373065,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2327,'127.0.0.1',1490457373122,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457375381,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2328,'127.0.0.1',1490457375621,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457376964,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2329,'127.0.0.1',1490457375874,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457376986,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2330,'127.0.0.1',1490457377150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457379439,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2331,'127.0.0.1',1490457379617,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457703054,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2332,'127.0.0.1',1490457379838,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457381083,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2333,'127.0.0.1',1490457381203,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457483158,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2334,'127.0.0.1',1490457483331,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457606895,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2335,'127.0.0.1',1490457607059,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457703082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2336,'127.0.0.1',1490457703249,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2337,'127.0.0.1',1490457703296,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457705810,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2338,'127.0.0.1',1490457706030,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458754472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2339,'127.0.0.1',1490457706283,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457707333,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2340,'127.0.0.1',1490457707448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457708998,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2341,'127.0.0.1',1490457709131,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457741334,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2342,'127.0.0.1',1490457741517,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457750624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2343,'127.0.0.1',1490457750776,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457778425,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2344,'127.0.0.1',1490457778603,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457782558,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2345,'127.0.0.1',1490457782666,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457800380,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2346,'127.0.0.1',1490457800547,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457805176,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2347,'127.0.0.1',1490457805264,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457823219,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2348,'127.0.0.1',1490457823401,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457825487,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2349,'127.0.0.1',1490457825577,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457857313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2350,'127.0.0.1',1490457857496,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457869356,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2351,'127.0.0.1',1490457869455,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457872151,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2352,'127.0.0.1',1490457872280,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457874624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2353,'127.0.0.1',1490457874735,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458754489,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2354,'127.0.0.1',1490458754688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458759926,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2355,'127.0.0.1',1490458760188,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458797928,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2356,'127.0.0.1',1490458760521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458761684,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2357,'127.0.0.1',1490458761811,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458765973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2358,'127.0.0.1',1490458766169,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458770076,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2359,'127.0.0.1',1490458770255,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458772757,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2360,'127.0.0.1',1490458772886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458777694,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2361,'127.0.0.1',1490458777814,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458780694,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2362,'127.0.0.1',1490458781037,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458783605,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2363,'127.0.0.1',1490458783721,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458790959,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2364,'127.0.0.1',1490458791078,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458795346,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2365,'127.0.0.1',1490458795602,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=34','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458797967,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2366,'127.0.0.1',1490458798148,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458800867,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2367,'127.0.0.1',1490458801111,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458958131,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2368,'127.0.0.1',1490458801440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458804455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2369,'127.0.0.1',1490458804565,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458809276,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2370,'127.0.0.1',1490458810293,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458814865,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2371,'127.0.0.1',1490458815014,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458821847,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2372,'127.0.0.1',1490458822010,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458958089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2373,'127.0.0.1',1490458958358,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2374,'127.0.0.1',1490458958408,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458960499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2375,'127.0.0.1',1490458960702,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2376,'127.0.0.1',1490458960966,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458962841,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2377,'127.0.0.1',1490458962952,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458971428,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2378,'127.0.0.1',1490458971545,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459019407,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2379,'127.0.0.1',1490459019547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459020652,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2380,'127.0.0.1',1490459021573,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459043834,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2381,'127.0.0.1',1490459044092,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459044996,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2382,'127.0.0.1',1490459045170,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459049780,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2383,'127.0.0.1',1490459050031,'http://localhost:9080/persistence2-web-example/safe/blackword.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459053887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2384,'127.0.0.1',1490459054047,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459058277,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2385,'127.0.0.1',1490459058428,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459061848,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2386,'127.0.0.1',1490459061996,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2387,'127.0.0.1',1490505036307,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505039562,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2388,'127.0.0.1',1490505039843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505353368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2389,'127.0.0.1',1490505040048,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505041239,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2390,'127.0.0.1',1490505041395,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505047617,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2391,'127.0.0.1',1490505047731,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505126430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2392,'127.0.0.1',1490505126613,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505129600,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2393,'127.0.0.1',1490505129722,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505157099,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2394,'127.0.0.1',1490505157276,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505160102,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2395,'127.0.0.1',1490505160223,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505184333,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2396,'127.0.0.1',1490505184495,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505186342,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2397,'127.0.0.1',1490505186461,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505188593,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2398,'127.0.0.1',1490505188704,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505191103,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2399,'127.0.0.1',1490505191195,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505252033,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2400,'127.0.0.1',1490505252236,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505255657,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2401,'127.0.0.1',1490505255778,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505272220,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2402,'127.0.0.1',1490505272393,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505274404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2403,'127.0.0.1',1490505274531,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505307252,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2404,'127.0.0.1',1490505307402,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505316961,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2405,'127.0.0.1',1490505317072,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505326337,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2406,'127.0.0.1',1490505326490,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505331320,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2407,'127.0.0.1',1490505331463,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505333939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2408,'127.0.0.1',1490505334167,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505337463,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2409,'127.0.0.1',1490505337566,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505339299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2410,'127.0.0.1',1490505339426,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505342499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2411,'127.0.0.1',1490505342658,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505345835,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2412,'127.0.0.1',1490505345957,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505353375,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2413,'127.0.0.1',1490505353556,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505356709,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2414,'127.0.0.1',1490505356919,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505822623,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2415,'127.0.0.1',1490505357127,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505358364,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2416,'127.0.0.1',1490505358475,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505359844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2417,'127.0.0.1',1490505359973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505792909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2418,'127.0.0.1',1490505369935,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505779597,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2419,'127.0.0.1',1490505779804,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505790233,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2420,'127.0.0.1',1490505793011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505801592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2421,'127.0.0.1',1490505801803,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505808236,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2422,'127.0.0.1',1490505808404,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=35','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505822647,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2423,'127.0.0.1',1490505822821,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505826356,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2424,'127.0.0.1',1490505826534,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505957753,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2425,'127.0.0.1',1490505826742,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505829096,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2426,'127.0.0.1',1490505829237,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505833670,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2427,'127.0.0.1',1490505834063,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505904275,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2428,'127.0.0.1',1490505904515,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505957777,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2429,'127.0.0.1',1490505958463,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2430,'127.0.0.1',1490505958541,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505961119,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2431,'127.0.0.1',1490505961317,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507318273,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2432,'127.0.0.1',1490505961542,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505964626,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2433,'127.0.0.1',1490505964746,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505970922,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2434,'127.0.0.1',1490505971076,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505977821,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2435,'127.0.0.1',1490505977963,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507318297,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2436,'127.0.0.1',1490507318473,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2437,'127.0.0.1',1490507318538,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507321133,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2438,'127.0.0.1',1490507321344,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512256325,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2439,'127.0.0.1',1490507321580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507323910,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2440,'127.0.0.1',1490507324045,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507331350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2441,'127.0.0.1',1490507331483,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507333817,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2442,'127.0.0.1',1490507333943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507444881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2443,'127.0.0.1',1490507445071,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512256364,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2444,'127.0.0.1',1490512256538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2445,'127.0.0.1',1490512256546,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512259850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2446,'127.0.0.1',1490512260191,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512467656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2447,'127.0.0.1',1490512260387,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512262671,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2448,'127.0.0.1',1490512262824,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512264953,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2449,'127.0.0.1',1490512265085,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512267653,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2450,'127.0.0.1',1490512267841,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512467687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2451,'127.0.0.1',1490512467870,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2452,'127.0.0.1',1490512467914,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512470865,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2453,'127.0.0.1',1490512471064,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512648825,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2454,'127.0.0.1',1490512471297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512473176,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2455,'127.0.0.1',1490512473302,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512475594,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2456,'127.0.0.1',1490512475783,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512479022,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2457,'127.0.0.1',1490512479173,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512488574,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2458,'127.0.0.1',1490512488730,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512492012,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2459,'127.0.0.1',1490512492113,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512500514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2460,'127.0.0.1',1490512500691,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512505079,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2461,'127.0.0.1',1490512505206,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512523032,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2462,'127.0.0.1',1490512523176,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512529915,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2463,'127.0.0.1',1490512530074,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512648859,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2464,'127.0.0.1',1490512649277,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2465,'127.0.0.1',1490512649355,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512651926,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2466,'127.0.0.1',1490512652134,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512726590,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2467,'127.0.0.1',1490512652348,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512654211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2468,'127.0.0.1',1490512654359,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512657264,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2469,'127.0.0.1',1490512658228,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2470,'127.0.0.1',1490512658289,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512726622,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2471,'127.0.0.1',1490512726796,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2472,'127.0.0.1',1490512726812,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513414077,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2473,'127.0.0.1',1490513414274,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513425426,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2474,'127.0.0.1',1490513414543,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513417363,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2475,'127.0.0.1',1490513417484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513420479,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2476,'127.0.0.1',1490513420598,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2477,'127.0.0.1',1490513420655,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513425510,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2478,'127.0.0.1',1490513425664,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513428188,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2479,'127.0.0.1',1490513428386,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513446137,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2480,'127.0.0.1',1490513428602,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513430120,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2481,'127.0.0.1',1490513430286,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513435761,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2482,'127.0.0.1',1490513435889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513440120,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2483,'127.0.0.1',1490513440257,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513446116,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2484,'127.0.0.1',1490513446330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513449925,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2485,'127.0.0.1',1490513450135,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513492899,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2486,'127.0.0.1',1490513450350,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513452125,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2487,'127.0.0.1',1490513452228,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513474583,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2488,'127.0.0.1',1490513461592,'','/safe/redirectlist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2489,'127.0.0.1',1490513474693,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2490,'127.0.0.1',1490513474756,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513492921,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2491,'127.0.0.1',1490513493102,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2492,'127.0.0.1',1490513493112,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513495210,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2493,'127.0.0.1',1490513495408,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514424294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2494,'127.0.0.1',1490513495639,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513497539,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2495,'127.0.0.1',1490513497693,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513500155,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2496,'127.0.0.1',1490513500475,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514424306,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2497,'127.0.0.1',1490514424500,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2498,'127.0.0.1',1490514424544,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514427299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2499,'127.0.0.1',1490514427552,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514474930,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2500,'127.0.0.1',1490514427789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514429668,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2501,'127.0.0.1',1490514429797,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514432891,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2502,'127.0.0.1',1490514433030,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514474950,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2503,'127.0.0.1',1490514475164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514477748,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2504,'127.0.0.1',1490514477958,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514562763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2505,'127.0.0.1',1490514478194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514479367,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2506,'127.0.0.1',1490514479498,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514562762,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2507,'127.0.0.1',1490514562973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514566012,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2508,'127.0.0.1',1490514566204,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514777048,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2509,'127.0.0.1',1490514566439,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514568413,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2510,'127.0.0.1',1490514568551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514576854,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2511,'127.0.0.1',1490514576989,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514777036,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2512,'127.0.0.1',1490514777259,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2513,'127.0.0.1',1490514777319,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514779809,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2514,'127.0.0.1',1490514780147,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515237092,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2515,'127.0.0.1',1490514780458,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514783105,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2516,'127.0.0.1',1490514783273,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514790944,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2517,'127.0.0.1',1490514791074,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514803853,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2518,'127.0.0.1',1490514938197,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2519,'127.0.0.1',1490515237547,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2520,'127.0.0.1',1490515237618,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515239868,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2521,'127.0.0.1',1490515240071,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515391171,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2522,'127.0.0.1',1490515240323,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515242211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2523,'127.0.0.1',1490515242328,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515244225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2524,'127.0.0.1',1490515244341,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515327708,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2525,'127.0.0.1',1490515327853,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515391111,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2526,'127.0.0.1',1490515392046,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2527,'127.0.0.1',1490515392129,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515394709,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2528,'127.0.0.1',1490515394918,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2529,'127.0.0.1',1490515395165,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515397127,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2530,'127.0.0.1',1490515397268,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515415969,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2531,'127.0.0.1',1490515416093,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515467096,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2532,'127.0.0.1',1490515639055,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515646073,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2533,'127.0.0.1',1490515873742,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2534,'127.0.0.1',1490516378867,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2535,'127.0.0.1',1490516378919,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2536,'127.0.0.1',1490516381472,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2537,'127.0.0.1',1490516394424,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490516485220,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2538,'127.0.0.1',1490516485487,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534329345,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2539,'127.0.0.1',1490516485822,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490516488797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2540,'127.0.0.1',1490516488914,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490516490886,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2541,'127.0.0.1',1490516490997,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534329387,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2542,'127.0.0.1',1490534329591,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2543,'127.0.0.1',1490534329614,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534331719,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2544,'127.0.0.1',1490534331968,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534464430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2545,'127.0.0.1',1490534332194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534333641,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2546,'127.0.0.1',1490534333767,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534337123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2547,'127.0.0.1',1490534337305,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534390542,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2548,'127.0.0.1',1490534390716,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534393576,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2549,'127.0.0.1',1490534393670,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534431294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2550,'127.0.0.1',1490534431474,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534434078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2551,'127.0.0.1',1490534434210,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534443294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2552,'127.0.0.1',1490534443448,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=37','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534445120,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2553,'127.0.0.1',1490534445213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534449880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2554,'127.0.0.1',1490534450068,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534453766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2555,'127.0.0.1',1490534454036,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534458351,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2556,'127.0.0.1',1490534458472,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534462328,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2557,'127.0.0.1',1490534462508,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=36','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534464448,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2558,'127.0.0.1',1490534464626,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534469734,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2559,'127.0.0.1',1490534469932,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534548011,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2560,'127.0.0.1',1490534470157,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534472367,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2561,'127.0.0.1',1490534472469,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2562,'127.0.0.1',1490534473142,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/safe/codeconfig.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2563,'127.0.0.1',1490534473150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534548053,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2564,'127.0.0.1',1490534548215,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2565,'127.0.0.1',1490534548261,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534551165,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2566,'127.0.0.1',1490534551358,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534562160,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2567,'127.0.0.1',1490534551598,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534553360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2568,'127.0.0.1',1490534553515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2569,'127.0.0.1',1490534553547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2570,'127.0.0.1',1490534553557,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534562201,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2571,'127.0.0.1',1490534562361,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534564509,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2572,'127.0.0.1',1490534564706,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534639784,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2573,'127.0.0.1',1490534564939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534566201,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2574,'127.0.0.1',1490534566308,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534639785,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2575,'127.0.0.1',1490534640010,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2576,'127.0.0.1',1490534640051,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534642223,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2577,'127.0.0.1',1490534642416,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535411774,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2578,'127.0.0.1',1490534642628,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534644882,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2579,'127.0.0.1',1490534645018,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534757205,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2580,'127.0.0.1',1490534757337,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534793260,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2581,'127.0.0.1',1490534794148,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534796564,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2582,'127.0.0.1',1490534796725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534924114,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2583,'127.0.0.1',1490534924245,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534952338,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2584,'127.0.0.1',1490534952607,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534953333,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2585,'127.0.0.1',1490534953477,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534976987,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2586,'127.0.0.1',1490534977108,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535001428,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2587,'127.0.0.1',1490535001749,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535039294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2588,'127.0.0.1',1490535039541,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535053310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2589,'127.0.0.1',1490535053541,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535054396,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2590,'127.0.0.1',1490535054542,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535137226,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2591,'127.0.0.1',1490535137349,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535138524,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2592,'127.0.0.1',1490535138640,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535139941,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2593,'127.0.0.1',1490535140163,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535140774,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2594,'127.0.0.1',1490535141037,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535142343,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2595,'127.0.0.1',1490535142535,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535143131,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2596,'127.0.0.1',1490535143400,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535144689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2597,'127.0.0.1',1490535144860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535146186,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2598,'127.0.0.1',1490535146303,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535149275,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2599,'127.0.0.1',1490535149529,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535177581,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2600,'127.0.0.1',1490535177742,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535411820,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2601,'127.0.0.1',1490535411978,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2602,'127.0.0.1',1490535412028,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535414663,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2603,'127.0.0.1',1490535414847,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535558939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2604,'127.0.0.1',1490535415081,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535417321,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2605,'127.0.0.1',1490535417444,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535422888,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2606,'127.0.0.1',1490535423809,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535442226,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2607,'127.0.0.1',1490535442373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535442819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2608,'127.0.0.1',1490535442948,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535448660,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2609,'127.0.0.1',1490535448815,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535451143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2610,'127.0.0.1',1490535451261,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535452068,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2611,'127.0.0.1',1490535452164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535452606,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2612,'127.0.0.1',1490535452734,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535455074,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2613,'127.0.0.1',1490535455245,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535487962,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2614,'127.0.0.1',1490535488061,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535499844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2615,'127.0.0.1',1490535500000,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535523642,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2616,'127.0.0.1',1490535523751,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535531808,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2617,'127.0.0.1',1490535532085,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535532948,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2618,'127.0.0.1',1490535533047,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535533633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2619,'127.0.0.1',1490535533792,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535535006,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2620,'127.0.0.1',1490535535171,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535536166,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2621,'127.0.0.1',1490535536260,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535542518,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2622,'127.0.0.1',1490535542676,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535543119,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2623,'127.0.0.1',1490535543215,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535544373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2624,'127.0.0.1',1490535544521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535544939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2625,'127.0.0.1',1490535545074,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535545789,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2626,'127.0.0.1',1490535545909,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535546712,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2627,'127.0.0.1',1490535546818,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535551064,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2628,'127.0.0.1',1490535551194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2629,'127.0.0.1',1490535551480,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535558980,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2630,'127.0.0.1',1490535559145,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535563216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2631,'127.0.0.1',1490535563444,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535594050,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2632,'127.0.0.1',1490535563680,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535564941,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2633,'127.0.0.1',1490535565054,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535569382,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2634,'127.0.0.1',1490535569519,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535575993,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2635,'127.0.0.1',1490535576232,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535584360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2636,'127.0.0.1',1490535584464,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535587139,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2637,'127.0.0.1',1490535587369,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535594076,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2638,'127.0.0.1',1490535594233,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535596619,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2639,'127.0.0.1',1490535596808,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535602533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2640,'127.0.0.1',1490535597026,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535599713,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2641,'127.0.0.1',1490535599835,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2642,'127.0.0.1',1490535599915,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535602566,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2643,'127.0.0.1',1490535602724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535613497,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2644,'127.0.0.1',1490535613699,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535757122,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2645,'127.0.0.1',1490535613917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535614929,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2646,'127.0.0.1',1490535615043,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535619618,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2647,'127.0.0.1',1490535619761,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535628078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2648,'127.0.0.1',1490535628193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535635082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2649,'127.0.0.1',1490535635202,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535637495,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2650,'127.0.0.1',1490535637654,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535639763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2651,'127.0.0.1',1490535639867,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535645758,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2652,'127.0.0.1',1490535645872,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535649158,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2653,'127.0.0.1',1490535649272,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535652548,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2654,'127.0.0.1',1490535652691,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535655965,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2655,'127.0.0.1',1490535656090,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535656768,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2656,'127.0.0.1',1490535656861,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535660414,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2657,'127.0.0.1',1490535660545,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535668368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2658,'127.0.0.1',1490535668478,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535669557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2659,'127.0.0.1',1490535669724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535673976,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2660,'127.0.0.1',1490535674103,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535682813,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2661,'127.0.0.1',1490535682924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535689035,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2662,'127.0.0.1',1490535689195,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535691131,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2663,'127.0.0.1',1490535691271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535694305,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2664,'127.0.0.1',1490535694410,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535707433,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2665,'127.0.0.1',1490535707613,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535711109,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2666,'127.0.0.1',1490535711262,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535712027,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2667,'127.0.0.1',1490535712144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535717276,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2668,'127.0.0.1',1490535717391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535718864,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2669,'127.0.0.1',1490535719020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535719596,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2670,'127.0.0.1',1490535719828,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535720730,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2671,'127.0.0.1',1490535720908,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535721679,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2672,'127.0.0.1',1490535721772,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535722512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2673,'127.0.0.1',1490535722648,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535723596,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2674,'127.0.0.1',1490535723721,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535731667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2675,'127.0.0.1',1490535731792,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535733061,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2676,'127.0.0.1',1490535733212,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535735652,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2677,'127.0.0.1',1490535735822,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535742416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2678,'127.0.0.1',1490535742536,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535746939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2679,'127.0.0.1',1490535747151,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535749474,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2680,'127.0.0.1',1490535749584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535752416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2681,'127.0.0.1',1490535752562,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535757142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2682,'127.0.0.1',1490535757334,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535768926,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2683,'127.0.0.1',1490535769154,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535773793,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2684,'127.0.0.1',1490535774017,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536347439,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2685,'127.0.0.1',1490535774271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535775881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2686,'127.0.0.1',1490535776011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535778167,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2687,'127.0.0.1',1490535778301,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536065062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2688,'127.0.0.1',1490536065206,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536068819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2689,'127.0.0.1',1490536068995,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536121475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2690,'127.0.0.1',1490536121589,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536139159,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2691,'127.0.0.1',1490536139353,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=13','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536142744,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2692,'127.0.0.1',1490536142837,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536149968,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2693,'127.0.0.1',1490536150076,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536155390,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2694,'127.0.0.1',1490536155589,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=12','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536157948,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2695,'127.0.0.1',1490536158050,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536163597,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2696,'127.0.0.1',1490536163766,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536173607,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2697,'127.0.0.1',1490536173772,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=11','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536185684,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2698,'127.0.0.1',1490536185787,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536193453,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2699,'127.0.0.1',1490536193587,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536196209,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2700,'127.0.0.1',1490536196341,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536212958,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2701,'127.0.0.1',1490536213102,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3&condition=access','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536215434,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2702,'127.0.0.1',1490536215542,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536238448,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2703,'127.0.0.1',1490536238566,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3&condition=access_action','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536253467,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2704,'127.0.0.1',1490536253685,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=15','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536255152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2705,'127.0.0.1',1490536255410,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536266939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2706,'127.0.0.1',1490536267080,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536269504,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2707,'127.0.0.1',1490536269633,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536320565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2708,'127.0.0.1',1490536320693,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536333136,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2709,'127.0.0.1',1490536333336,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=14','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536335373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2710,'127.0.0.1',1490536335475,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536347443,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2711,'127.0.0.1',1490536347652,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536351297,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2712,'127.0.0.1',1490536351495,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536367712,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2713,'127.0.0.1',1490536351686,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536353385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2714,'127.0.0.1',1490536353519,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536356289,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2715,'127.0.0.1',1490536356505,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536357327,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2716,'127.0.0.1',1490536357690,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536361350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2717,'127.0.0.1',1490536361489,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536363171,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2718,'127.0.0.1',1490536363317,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536367602,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2719,'127.0.0.1',1490536367905,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536370614,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2720,'127.0.0.1',1490536370818,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536632057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2721,'127.0.0.1',1490536371029,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536371902,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2722,'127.0.0.1',1490536372016,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536377255,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2723,'127.0.0.1',1490536377397,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536549768,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2724,'127.0.0.1',1490536549882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536585237,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2725,'127.0.0.1',1490536585383,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536610328,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2726,'127.0.0.1',1490536610506,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536616337,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2727,'127.0.0.1',1490536616468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536621060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2728,'127.0.0.1',1490536621172,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536623851,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2729,'127.0.0.1',1490536624031,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536626733,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2730,'127.0.0.1',1490536626828,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536630051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2731,'127.0.0.1',1490536630180,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536632039,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2732,'127.0.0.1',1490536632245,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536634558,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2733,'127.0.0.1',1490536634750,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536643828,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2734,'127.0.0.1',1490536634967,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536637223,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2735,'127.0.0.1',1490536637333,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536639286,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2736,'127.0.0.1',1490536639428,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2737,'127.0.0.1',1490536644012,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536645090,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2738,'127.0.0.1',1490667768367,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490667808153,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2739,'127.0.0.1',1490667809423,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668059037,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2740,'127.0.0.1',1490668059220,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668201515,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2741,'127.0.0.1',1490668201990,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668229564,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2742,'127.0.0.1',1490668202238,'http://localhost:9080/persistence2-web-example/login.jsp','/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2743,'127.0.0.1',1490668202362,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2744,'127.0.0.1',1490668229874,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668281344,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2745,'127.0.0.1',1490668230076,'http://localhost:9080/persistence2-web-example/login.jsp','/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2746,'127.0.0.1',1490668230176,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2747,'127.0.0.1',1490668281599,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668320427,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2748,'127.0.0.1',1490668281827,'http://localhost:9080/persistence2-web-example/login.jsp','/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2749,'127.0.0.1',1490668281940,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2750,'127.0.0.1',1490668320712,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668380481,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2751,'127.0.0.1',1490668320837,'http://localhost:9080/persistence2-web-example/login.jsp','/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2752,'127.0.0.1',1490668320856,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2753,'127.0.0.1',1490668380677,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668455991,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2754,'127.0.0.1',1490668456237,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668457163,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2755,'127.0.0.1',1490668457409,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668476718,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2756,'127.0.0.1',1490668476892,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668532084,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2757,'127.0.0.1',1490668477104,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2758,'127.0.0.1',1490668477319,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2759,'127.0.0.1',1490668532361,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490670701872,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2760,'127.0.0.1',1490668532538,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2761,'127.0.0.1',1490668532631,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2762,'127.0.0.1',1490668550019,'','/sys/makecode.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2763,'127.0.0.1',1490668550051,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668599921,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2764,'127.0.0.1',1490668550165,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2765,'127.0.0.1',1490668550231,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2766,'127.0.0.1',1490668600093,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668736478,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2767,'127.0.0.1',1490668600262,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2768,'127.0.0.1',1490668600345,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2769,'127.0.0.1',1490668736743,'','/safe/makecode.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2770,'127.0.0.1',1490668736853,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668820639,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2771,'127.0.0.1',1490668736974,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2772,'127.0.0.1',1490668737024,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2773,'127.0.0.1',1490668820789,'','/safe/makecode.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2774,'127.0.0.1',1490668820814,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490668867740,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2775,'127.0.0.1',1490668820928,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2776,'127.0.0.1',1490668820980,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2777,'127.0.0.1',1490670665460,'','/safe/makecode.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2778,'127.0.0.1',1490670668430,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490670683117,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2779,'127.0.0.1',1490670668569,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/makecode.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2780,'127.0.0.1',1490670668632,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2781,'127.0.0.1',1490670683324,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490670708087,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2782,'127.0.0.1',1490670702111,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490671497812,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2783,'127.0.0.1',1490670702412,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2784,'127.0.0.1',1490670702424,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2785,'127.0.0.1',1490670708994,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490670724828,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2786,'127.0.0.1',1490670725054,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490670737770,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2787,'127.0.0.1',1490670737956,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2788,'127.0.0.1',1490670851195,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2789,'127.0.0.1',1490671121170,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2790,'127.0.0.1',1490671200062,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2791,'127.0.0.1',1490671351412,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2792,'127.0.0.1',1490671412166,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2793,'127.0.0.1',1490671419084,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2794,'127.0.0.1',1490671422195,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2795,'127.0.0.1',1490671432219,'','/safe/codemaker.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2796,'127.0.0.1',1490671498185,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490671559730,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2797,'127.0.0.1',1490671498332,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2798,'127.0.0.1',1490671559940,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490671715621,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2799,'127.0.0.1',1490671560080,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2800,'127.0.0.1',1490671715857,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490671729566,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2801,'127.0.0.1',1490671716398,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2802,'127.0.0.1',1490671730161,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490671753000,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2803,'127.0.0.1',1490671730329,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2804,'127.0.0.1',1490671753228,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490671846042,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2805,'127.0.0.1',1490671754072,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2806,'127.0.0.1',1490671846942,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674414555,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2807,'127.0.0.1',1490671847184,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2808,'127.0.0.1',1490671851482,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2809,'127.0.0.1',1490671855925,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2810,'127.0.0.1',1490674414869,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674484739,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2811,'127.0.0.1',1490674485696,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674491736,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2812,'127.0.0.1',1490674491955,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674494615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2813,'127.0.0.1',1490674494807,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674498920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2814,'127.0.0.1',1490674499120,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674561992,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2815,'127.0.0.1',1490674562177,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674565671,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2816,'127.0.0.1',1490674565951,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674767256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2817,'127.0.0.1',1490674768609,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674771281,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2818,'127.0.0.1',1490674771536,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674774986,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2819,'127.0.0.1',1490674775172,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674779480,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2820,'127.0.0.1',1490674779669,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674797373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2821,'127.0.0.1',1490674797582,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674802276,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2822,'127.0.0.1',1490674802505,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674823177,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2823,'127.0.0.1',1490674823398,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674833801,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2824,'127.0.0.1',1490674833973,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674836980,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2825,'127.0.0.1',1490674897205,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674902934,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2826,'127.0.0.1',1490674903179,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674909744,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2827,'127.0.0.1',1490674909936,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674913571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2828,'127.0.0.1',1490674913767,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674942557,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2829,'127.0.0.1',1490674987113,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490674994517,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2830,'127.0.0.1',1490675008800,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490675033274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2831,'127.0.0.1',1490675065107,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2832,'127.0.0.1',1490684304633,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490684339545,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2833,'127.0.0.1',1490684339885,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490684347481,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2834,'127.0.0.1',1490684356761,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2835,'127.0.0.1',1490684647839,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490684651955,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2836,'127.0.0.1',1490684652236,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490684661481,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2837,'127.0.0.1',1490684661687,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2838,'127.0.0.1',1490688800569,'','/404.html','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2839,'127.0.0.1',1490688840401,'','/404.html','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490688845515,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2840,'127.0.0.1',1490689056744,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689067602,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2841,'127.0.0.1',1490689067833,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689083920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2842,'127.0.0.1',1490689068105,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689070754,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2843,'127.0.0.1',1490689070917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689077306,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2844,'127.0.0.1',1490689077514,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689081221,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2845,'127.0.0.1',1490689081379,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689083968,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2846,'127.0.0.1',1490689084130,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689105197,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2847,'127.0.0.1',1490689105440,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490689109473,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2848,'127.0.0.1',1490689109686,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490691955727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2849,'127.0.0.1',1490689109810,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2850,'127.0.0.1',1490689114873,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2851,'127.0.0.1',1490689118552,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2852,'127.0.0.1',1490691955930,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490691960216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2853,'127.0.0.1',1490691960605,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692043050,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2854,'127.0.0.1',1490692043218,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692050277,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2855,'127.0.0.1',1490692050517,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692056227,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2856,'127.0.0.1',1490692056440,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692171431,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2857,'127.0.0.1',1490692056553,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2858,'127.0.0.1',1490692181795,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692186669,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2859,'127.0.0.1',1490692186934,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692190700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2860,'127.0.0.1',1490692190882,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692279473,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2861,'127.0.0.1',1490692191007,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2862,'127.0.0.1',1490692279642,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692287247,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2863,'127.0.0.1',1490692287478,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692290765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2864,'127.0.0.1',1490692290959,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692306303,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2865,'127.0.0.1',1490692291083,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2866,'127.0.0.1',1490692295327,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2867,'127.0.0.1',1490692298628,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2868,'127.0.0.1',1490692306502,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692314653,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2869,'127.0.0.1',1490692306605,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2870,'127.0.0.1',1490692314835,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692328717,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2871,'127.0.0.1',1490692314956,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2872,'127.0.0.1',1490692322467,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2873,'127.0.0.1',1490692328902,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692338920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2874,'127.0.0.1',1490692329024,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2875,'127.0.0.1',1490692339109,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692350677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2876,'127.0.0.1',1490692339233,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2877,'127.0.0.1',1490692350869,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692382121,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2878,'127.0.0.1',1490692350994,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2879,'127.0.0.1',1490692382330,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692386080,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2880,'127.0.0.1',1490692398159,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692404211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2881,'127.0.0.1',1490692406101,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692418580,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2882,'127.0.0.1',1490692406237,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2883,'127.0.0.1',1490692484295,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692491135,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2884,'127.0.0.1',1490692491374,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692494865,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2885,'127.0.0.1',1490692495043,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692502483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2886,'127.0.0.1',1490692495169,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2887,'127.0.0.1',1490692502684,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692515494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2888,'127.0.0.1',1490692503006,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692507173,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2889,'127.0.0.1',1490692507309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692513561,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2890,'127.0.0.1',1490692513761,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692515552,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2891,'127.0.0.1',1490692515713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692536302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2892,'127.0.0.1',1490692536491,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692538706,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2893,'127.0.0.1',1490692539608,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692543478,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2894,'127.0.0.1',1490692543647,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692558962,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2895,'127.0.0.1',1490692543770,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2896,'127.0.0.1',1490692559156,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692601371,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2897,'127.0.0.1',1490692559424,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692562082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2898,'127.0.0.1',1490692562199,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692563211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2899,'127.0.0.1',1490692563371,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692563946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2900,'127.0.0.1',1490692564122,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692568051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2901,'127.0.0.1',1490692568231,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692570765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2902,'127.0.0.1',1490692570873,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692572355,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2903,'127.0.0.1',1490692572457,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692576648,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2904,'127.0.0.1',1490692576844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692591288,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2905,'127.0.0.1',1490692591498,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692601411,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2906,'127.0.0.1',1490692601576,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490692604469,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2907,'127.0.0.1',1490692604653,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693450038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2908,'127.0.0.1',1490693450257,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693462556,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2909,'127.0.0.1',1490693450696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693452556,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2910,'127.0.0.1',1490693452691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693458984,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2911,'127.0.0.1',1490693459111,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693462755,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2912,'127.0.0.1',1490693462980,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693490153,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2913,'127.0.0.1',1490693490383,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693492997,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2914,'127.0.0.1',1490693493234,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693688170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2915,'127.0.0.1',1490693493545,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693495210,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2916,'127.0.0.1',1490693495323,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693497905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2917,'127.0.0.1',1490693498061,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693521667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2918,'127.0.0.1',1490693536710,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693541888,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2919,'127.0.0.1',1490693553792,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693564829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2920,'127.0.0.1',1490693572864,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693576575,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2921,'127.0.0.1',1490693576722,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693580502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2922,'127.0.0.1',1490693580614,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693589299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2923,'127.0.0.1',1490693598725,'http://localhost:9080/persistence2-web-example/safe/whiteip.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693604030,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2924,'127.0.0.1',1490693618644,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693688195,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2925,'127.0.0.1',1490693688391,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2926,'127.0.0.1',1490693688440,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693690658,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2927,'127.0.0.1',1490693690876,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693881262,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2928,'127.0.0.1',1490693691135,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693692999,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2929,'127.0.0.1',1490693693126,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693693619,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2930,'127.0.0.1',1490693693790,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693701566,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2931,'127.0.0.1',1490693715081,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693723496,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2932,'127.0.0.1',1490693723649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693724494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2933,'127.0.0.1',1490693724631,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693728087,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2934,'127.0.0.1',1490693735934,'http://localhost:9080/persistence2-web-example/safe/blackword.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693739225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2935,'127.0.0.1',1490693739331,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693742450,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2936,'127.0.0.1',1490693744518,'http://localhost:9080/persistence2-web-example/safe/blackword.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693747710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2937,'127.0.0.1',1490693763359,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693768260,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2938,'127.0.0.1',1490693773099,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693881285,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2939,'127.0.0.1',1490693881493,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2940,'127.0.0.1',1490693881558,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693883629,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2941,'127.0.0.1',1490693883858,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694236597,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2942,'127.0.0.1',1490693884106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693885917,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2943,'127.0.0.1',1490693886042,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693887405,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2944,'127.0.0.1',1490693887537,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693889261,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2945,'127.0.0.1',1490693889400,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693890198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2946,'127.0.0.1',1490693890322,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693891182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2947,'127.0.0.1',1490693891310,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693891837,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2948,'127.0.0.1',1490693891972,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693893612,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2949,'127.0.0.1',1490693893770,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693898027,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2950,'127.0.0.1',1490693898152,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490693988348,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2951,'127.0.0.1',1490694015253,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694028677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2952,'127.0.0.1',1490694038130,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694043477,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2953,'127.0.0.1',1490694043591,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694046322,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2954,'127.0.0.1',1490694046478,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694062519,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2955,'127.0.0.1',1490694071107,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694236609,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2956,'127.0.0.1',1490694236825,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694252502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2957,'127.0.0.1',1490694261307,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694275568,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2958,'127.0.0.1',1490694261565,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694267330,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2959,'127.0.0.1',1490694267438,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694271710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2960,'127.0.0.1',1490694271900,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694275608,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2961,'127.0.0.1',1490694275779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694280055,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2962,'127.0.0.1',1490694301514,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694319445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2963,'127.0.0.1',1490694319701,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695847591,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2964,'127.0.0.1',1490694319959,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694322831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2965,'127.0.0.1',1490694322960,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694325372,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2966,'127.0.0.1',1490694325543,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694330559,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2967,'127.0.0.1',1490694330697,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490694336851,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2968,'127.0.0.1',1490694337073,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695177272,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2969,'127.0.0.1',1490695177378,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695180794,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2970,'127.0.0.1',1490695180989,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695314689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2971,'127.0.0.1',1490695375477,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695377879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2972,'127.0.0.1',1490695378054,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695379766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2973,'127.0.0.1',1490695380773,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695398364,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2974,'127.0.0.1',1490695427503,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp?a=redirect03&id=2&source_url=../sys/login.jsp&target_url=../404.xml&status=%E5%B7%B2%E5%90%AF%E5%8A%A8','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695433904,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2975,'127.0.0.1',1490695434004,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695434775,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2976,'127.0.0.1',1490695434902,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695437823,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2977,'127.0.0.1',1490695437961,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695528815,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2978,'127.0.0.1',1490695554183,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp?a=redirect03&id=2&source_url=../sys/login.jsp&target_url=../404.xml&status=%E5%B7%B2%E5%90%AF%E5%8A%A8','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695557166,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2979,'127.0.0.1',1490695557336,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695558834,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2980,'127.0.0.1',1490695617870,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp?a=redirect03&id=2&source_url=../sys/login.jsp&target_url=../404.xml&status=%E5%B7%B2%E5%90%AF%E5%8A%A8','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695621782,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2981,'127.0.0.1',1490695621924,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695622855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2982,'127.0.0.1',1490695847816,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2983,'127.0.0.1',1490695847875,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695850234,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2984,'127.0.0.1',1490695850423,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695926001,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2985,'127.0.0.1',1490695850622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695852760,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2986,'127.0.0.1',1490695852924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695854334,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2987,'127.0.0.1',1490695855391,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695877010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2988,'127.0.0.1',1490695877167,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695878701,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2989,'127.0.0.1',1490695879031,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695885007,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2990,'127.0.0.1',1490695891577,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp?a=redirect03&id=2&source_url=../sys/login.jsp&target_url=../404.xml&status=1','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490695926029,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2991,'127.0.0.1',1490695924533,'','/404.html','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2992,'127.0.0.1',1490696779933,'','/404.html','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2993,'127.0.0.1',1490698304639,'','/404.html','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2994,'127.0.0.1',1490698363866,'http://localhost:9080/persistence2-web-example/404.xml','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698383013,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2995,'127.0.0.1',1490698364111,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698367408,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2996,'127.0.0.1',1490698367582,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698369737,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2997,'127.0.0.1',1490698369873,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698370745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2998,'127.0.0.1',1490698370927,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698371429,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (2999,'127.0.0.1',1490698371543,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698372789,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3000,'127.0.0.1',1490698372919,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698373445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3001,'127.0.0.1',1490698373553,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698373905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3002,'127.0.0.1',1490698374032,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698383044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3003,'127.0.0.1',1490698383217,'http://localhost:9080/persistence2-web-example/bindex.jsp','/404.html','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3004,'127.0.0.1',1490698390869,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3005,'127.0.0.1',1490698420959,'http://localhost:9080/persistence2-web-example/404.xml','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698437266,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3006,'127.0.0.1',1490698421187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698423119,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3007,'127.0.0.1',1490698423268,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698424298,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3008,'127.0.0.1',1490698424434,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698424981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3009,'127.0.0.1',1490698425128,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698425506,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3010,'127.0.0.1',1490698425635,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698430337,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3011,'127.0.0.1',1490698430448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698435116,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3012,'127.0.0.1',1490698435299,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698437304,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3013,'127.0.0.1',1490698437473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698440107,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3014,'127.0.0.1',1490698440294,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698451422,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3015,'127.0.0.1',1490698440540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698441722,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3016,'127.0.0.1',1490698443004,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698444930,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3017,'127.0.0.1',1490698446425,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698446809,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3018,'127.0.0.1',1490698446938,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698447205,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3019,'127.0.0.1',1490698447325,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698447672,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3020,'127.0.0.1',1490698447824,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698448168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3021,'127.0.0.1',1490698448282,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698451426,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3022,'127.0.0.1',1490698451625,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698455051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3023,'127.0.0.1',1490698455234,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698468783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3024,'127.0.0.1',1490698455354,'http://localhost:9080/persistence2-web-example/login.jsp','/safe/codemaker.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3025,'127.0.0.1',1490698468953,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698489987,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3026,'127.0.0.1',1490698469204,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698471360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3027,'127.0.0.1',1490698471495,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698471887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3028,'127.0.0.1',1490698472037,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698472422,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3029,'127.0.0.1',1490698472577,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698473140,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3030,'127.0.0.1',1490698473271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698473571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3031,'127.0.0.1',1490698473694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698474093,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3032,'127.0.0.1',1490698474183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698477920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3033,'127.0.0.1',1490698478052,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698483604,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3034,'127.0.0.1',1490698483837,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698488638,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3035,'127.0.0.1',1490698488825,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698490037,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3036,'127.0.0.1',1490698490207,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698493335,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3037,'127.0.0.1',1490698493539,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698496285,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3038,'127.0.0.1',1490698493825,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698496307,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3039,'127.0.0.1',1490698496478,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698498885,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3040,'127.0.0.1',1490698499070,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698501956,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3041,'127.0.0.1',1490698502129,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698505332,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3042,'127.0.0.1',1490698505523,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698508389,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3043,'127.0.0.1',1490698508572,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698511809,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3044,'127.0.0.1',1490698511975,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698832437,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3045,'127.0.0.1',1490698832677,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702771275,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3046,'127.0.0.1',1490698832939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490698836252,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3047,'127.0.0.1',1490698836365,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702771258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3048,'127.0.0.1',1490702773261,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3049,'127.0.0.1',1490702773416,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702777973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3050,'127.0.0.1',1490702778591,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3051,'127.0.0.1',1490702778945,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702782652,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3052,'127.0.0.1',1490702782840,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702788727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3053,'127.0.0.1',1490702790180,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3054,'127.0.0.1',1490702807941,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702810957,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3055,'127.0.0.1',1490702811319,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703341535,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3056,'127.0.0.1',1490702811687,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490702815065,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3057,'127.0.0.1',1490702815345,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703341591,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3058,'127.0.0.1',1490703345041,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3059,'127.0.0.1',1490703345183,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703347894,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3060,'127.0.0.1',1490703348417,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703560579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3061,'127.0.0.1',1490703349568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703353503,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3062,'127.0.0.1',1490703353694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703404707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3063,'127.0.0.1',1490703404876,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703559003,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3064,'127.0.0.1',1490703559205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3065,'127.0.0.1',1490703559430,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490703561156,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3066,'127.0.0.1',1490703561369,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3067,'127.0.0.1',1490703561400,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704155350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3068,'127.0.0.1',1490704155636,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704158485,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3069,'127.0.0.1',1490704156128,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3070,'127.0.0.1',1490704156192,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704158773,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3071,'127.0.0.1',1490704158963,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3072,'127.0.0.1',1490704158977,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704161898,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3073,'127.0.0.1',1490704162374,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3074,'127.0.0.1',1490704163644,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704165020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3075,'127.0.0.1',1490704164692,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704167714,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3076,'127.0.0.1',1490704167966,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3077,'127.0.0.1',1490704186287,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3078,'127.0.0.1',1490704879329,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704889495,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3079,'127.0.0.1',1490704890194,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704893941,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3080,'127.0.0.1',1490704890612,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704893958,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3081,'127.0.0.1',1490704894506,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490704896324,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3082,'127.0.0.1',1490798658394,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490798664978,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3083,'127.0.0.1',1490798665272,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490799142258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3084,'127.0.0.1',1490798665507,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490798673729,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3085,'127.0.0.1',1490798667282,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490798669228,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3086,'127.0.0.1',1490798669401,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3087,'127.0.0.1',1490798688656,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490799157053,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3088,'127.0.0.1',1490798696083,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3089,'127.0.0.1',1490798781699,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3090,'127.0.0.1',1490799119739,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3091,'127.0.0.1',1490799157246,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803334728,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3092,'127.0.0.1',1490799157564,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803334660,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3093,'127.0.0.1',1490799158737,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3094,'127.0.0.1',1490799236350,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490799368296,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3095,'127.0.0.1',1490799368485,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3096,'127.0.0.1',1490799414917,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3097,'127.0.0.1',1490799433295,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3098,'127.0.0.1',1490799442752,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490799563853,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3099,'127.0.0.1',1490799564058,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490799591418,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3100,'127.0.0.1',1490799591752,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490799950990,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3101,'127.0.0.1',1490799607809,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3102,'127.0.0.1',1490799926924,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3103,'127.0.0.1',1490799951353,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490801425404,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3104,'127.0.0.1',1490801425611,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803332238,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3105,'127.0.0.1',1490803332557,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3106,'127.0.0.1',1490803332652,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803333682,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3107,'127.0.0.1',1490803334934,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3108,'127.0.0.1',1490803334940,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803337503,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3109,'127.0.0.1',1490803337692,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3110,'127.0.0.1',1490803337906,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803338958,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3111,'127.0.0.1',1490803339067,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803340462,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3112,'127.0.0.1',1490803340619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803469715,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3113,'127.0.0.1',1490803348875,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803660944,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3114,'127.0.0.1',1490803469853,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3115,'127.0.0.1',1490803661164,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490803721703,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3116,'127.0.0.1',1490803722146,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3117,'127.0.0.1',1490836673914,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836679241,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3118,'127.0.0.1',1490836679538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836956640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3119,'127.0.0.1',1490836679758,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836682022,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3120,'127.0.0.1',1490836682194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836701083,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3121,'127.0.0.1',1490836702053,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836717731,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3122,'127.0.0.1',1490836718217,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836722778,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3123,'127.0.0.1',1490836722904,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836727581,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3124,'127.0.0.1',1490836727681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836729764,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3125,'127.0.0.1',1490836729921,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836956621,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3126,'127.0.0.1',1490836956894,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836959440,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3127,'127.0.0.1',1490836959805,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490847925165,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3128,'127.0.0.1',1490836972391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490836975074,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3129,'127.0.0.1',1490836975234,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490837001640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3130,'127.0.0.1',1490837001822,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490837004182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3131,'127.0.0.1',1490847937757,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3132,'127.0.0.1',1490847937805,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490847941662,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3133,'127.0.0.1',1490847941990,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848053340,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3134,'127.0.0.1',1490847947856,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490847954191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3135,'127.0.0.1',1490847954313,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490847980553,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3136,'127.0.0.1',1490847980743,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490847983837,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3137,'127.0.0.1',1490848059568,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3138,'127.0.0.1',1490848059651,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848062983,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3139,'127.0.0.1',1490848063176,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848093855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3140,'127.0.0.1',1490848066727,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848095058,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3141,'127.0.0.1',1490848095279,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3142,'127.0.0.1',1490848095438,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848097225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3143,'127.0.0.1',1490848097382,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3144,'127.0.0.1',1490848097389,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848100145,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3145,'127.0.0.1',1490848100339,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851086154,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3146,'127.0.0.1',1490848100565,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848101948,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3147,'127.0.0.1',1490848102052,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848105445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3148,'127.0.0.1',1490848105649,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848111824,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3149,'127.0.0.1',1490848117431,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848122533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3150,'127.0.0.1',1490848122662,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848133829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3151,'127.0.0.1',1490848138263,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848144422,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3152,'127.0.0.1',1490848144508,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848190117,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3153,'127.0.0.1',1490848190289,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848205526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3154,'127.0.0.1',1490848205672,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490848208278,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3155,'127.0.0.1',1490851076558,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3156,'127.0.0.1',1490851076575,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851086189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3157,'127.0.0.1',1490851086331,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3158,'127.0.0.1',1490851086422,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851091965,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3159,'127.0.0.1',1490851092185,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851841478,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3160,'127.0.0.1',1490851092443,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851093805,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3161,'127.0.0.1',1490851093917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851098212,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3162,'127.0.0.1',1490851098361,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851100449,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3163,'127.0.0.1',1490851113986,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851157199,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3164,'127.0.0.1',1490851157313,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851161827,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3165,'127.0.0.1',1490851162099,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851230488,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3166,'127.0.0.1',1490851230637,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851235416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3167,'127.0.0.1',1490851235648,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851266217,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3168,'127.0.0.1',1490851266331,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851300383,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3169,'127.0.0.1',1490851300511,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851841502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3170,'127.0.0.1',1490851841728,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3171,'127.0.0.1',1490851841784,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851845379,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3172,'127.0.0.1',1490851845618,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852005781,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3173,'127.0.0.1',1490851845866,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851847486,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3174,'127.0.0.1',1490851847593,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851854674,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3175,'127.0.0.1',1490851855780,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490851859167,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3176,'127.0.0.1',1490851859317,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852005770,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3177,'127.0.0.1',1490852005994,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859146387,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3178,'127.0.0.1',1490852006225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852007023,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3179,'127.0.0.1',1490852007160,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852011731,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3180,'127.0.0.1',1490852012095,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852018404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3181,'127.0.0.1',1490852018536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852042099,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3182,'127.0.0.1',1490852042297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852045196,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3183,'127.0.0.1',1490852045522,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852047190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3184,'127.0.0.1',1490852047321,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852050113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3185,'127.0.0.1',1490852050272,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852052560,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3186,'127.0.0.1',1490852052697,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852058258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3187,'127.0.0.1',1490852058396,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852059951,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3188,'127.0.0.1',1490852060082,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852063197,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3189,'127.0.0.1',1490852063543,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852065014,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3190,'127.0.0.1',1490852065116,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852077305,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3191,'127.0.0.1',1490852077441,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852080674,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3192,'127.0.0.1',1490852080808,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852087193,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3193,'127.0.0.1',1490852087347,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852088352,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3194,'127.0.0.1',1490852088469,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852094867,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3195,'127.0.0.1',1490852094993,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852096435,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3196,'127.0.0.1',1490852096574,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852119140,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3197,'127.0.0.1',1490852119276,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852120682,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3198,'127.0.0.1',1490852120827,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852155928,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3199,'127.0.0.1',1490852156118,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852166613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3200,'127.0.0.1',1490852166816,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852187095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3201,'127.0.0.1',1490852187322,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852191512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3202,'127.0.0.1',1490852191603,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852196801,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3203,'127.0.0.1',1490852196927,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852200363,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3204,'127.0.0.1',1490852200484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852201637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3205,'127.0.0.1',1490852201771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852206163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3206,'127.0.0.1',1490852206302,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852210409,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3207,'127.0.0.1',1490852210547,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490852214254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3208,'127.0.0.1',1490852214350,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490853057966,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3209,'127.0.0.1',1490853058115,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490853063695,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3210,'127.0.0.1',1490853063913,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490853069385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3211,'127.0.0.1',1490853162342,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490853167629,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3212,'127.0.0.1',1490853167779,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490853170982,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3213,'127.0.0.1',1490853175263,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490853177772,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3214,'127.0.0.1',1490853177911,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854300662,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3215,'127.0.0.1',1490854301732,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854514864,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3216,'127.0.0.1',1490854308088,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855502485,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3217,'127.0.0.1',1490854515068,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854518892,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3218,'127.0.0.1',1490854519122,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854524879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3219,'127.0.0.1',1490854556924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854562592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3220,'127.0.0.1',1490854562735,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854609928,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3221,'127.0.0.1',1490854690558,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854692579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3222,'127.0.0.1',1490854692759,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854694645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3223,'127.0.0.1',1490854694771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854696851,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3224,'127.0.0.1',1490854697013,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854698783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3225,'127.0.0.1',1490854698884,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854700255,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3226,'127.0.0.1',1490854700377,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854702605,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3227,'127.0.0.1',1490854702715,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854704159,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3228,'127.0.0.1',1490854704292,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490854705836,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3229,'127.0.0.1',1490854705956,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859146392,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3230,'127.0.0.1',1490855502700,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855508907,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3231,'127.0.0.1',1490855509325,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855609286,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3232,'127.0.0.1',1490855559595,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855562219,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3233,'127.0.0.1',1490855612285,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855622700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3234,'127.0.0.1',1490855628042,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855661135,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3235,'127.0.0.1',1490855661475,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855711397,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3236,'127.0.0.1',1490855711727,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855792009,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3237,'127.0.0.1',1490855792218,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855806210,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3238,'127.0.0.1',1490855806554,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490855924448,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3239,'127.0.0.1',1490855924791,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490856058973,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3240,'127.0.0.1',1490856059295,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490856092509,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3241,'127.0.0.1',1490856092864,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490856096867,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3242,'127.0.0.1',1490856095942,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490856117977,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3243,'127.0.0.1',1490856124349,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490856139666,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3244,'127.0.0.1',1490856148947,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490856157994,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3245,'127.0.0.1',1490856159593,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859138898,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3246,'127.0.0.1',1490859139128,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3247,'127.0.0.1',1490859139147,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859143523,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3248,'127.0.0.1',1490859146594,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3249,'127.0.0.1',1490859146600,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859148406,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3250,'127.0.0.1',1490859148598,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859489048,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3251,'127.0.0.1',1490859148810,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859150998,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3252,'127.0.0.1',1490859151149,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859489041,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3253,'127.0.0.1',1490859153066,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859156959,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3254,'127.0.0.1',1490859157138,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859164732,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3255,'127.0.0.1',1490859355748,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859362755,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3256,'127.0.0.1',1490859362943,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859365262,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3257,'127.0.0.1',1490859489248,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3258,'127.0.0.1',1490859489308,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859491415,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3259,'127.0.0.1',1490859491602,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860114716,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3260,'127.0.0.1',1490859491867,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490859493101,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3261,'127.0.0.1',1490859493207,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860114722,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3262,'127.0.0.1',1490860114948,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3263,'127.0.0.1',1490860114997,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860117084,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3264,'127.0.0.1',1490860117269,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860384138,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3265,'127.0.0.1',1490860117509,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860384165,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3266,'127.0.0.1',1490860119412,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860123107,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3267,'127.0.0.1',1490860123297,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864810012,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3268,'127.0.0.1',1490860123534,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860125073,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3269,'127.0.0.1',1490860125190,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860130607,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3270,'127.0.0.1',1490860130808,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860134730,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3271,'127.0.0.1',1490860134831,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860135562,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3272,'127.0.0.1',1490860135704,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860139191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3273,'127.0.0.1',1490860139349,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860141498,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3274,'127.0.0.1',1490860225431,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860232272,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3275,'127.0.0.1',1490860232377,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864808306,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3276,'127.0.0.1',1490860384351,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3277,'127.0.0.1',1490860384408,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860386208,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3278,'127.0.0.1',1490860386404,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860701397,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3279,'127.0.0.1',1490860386642,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860387536,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3280,'127.0.0.1',1490860387655,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860390189,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3281,'127.0.0.1',1490860390356,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860392334,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3282,'127.0.0.1',1490860392544,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860440372,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3283,'127.0.0.1',1490860440479,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860461464,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3284,'127.0.0.1',1490860461736,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860701426,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3285,'127.0.0.1',1490860701615,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3286,'127.0.0.1',1490860701666,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860703291,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3287,'127.0.0.1',1490860703474,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860919040,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3288,'127.0.0.1',1490860703716,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860704601,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3289,'127.0.0.1',1490860704722,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860708371,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3290,'127.0.0.1',1490860708532,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860713819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3291,'127.0.0.1',1490860714032,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860738576,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3292,'127.0.0.1',1490860738693,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860745533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3293,'127.0.0.1',1490860745775,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860749602,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3294,'127.0.0.1',1490860749744,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860754271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3295,'127.0.0.1',1490860754375,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860758512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3296,'127.0.0.1',1490860758695,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860762263,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3297,'127.0.0.1',1490860762360,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860767918,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3298,'127.0.0.1',1490860768057,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860784403,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3299,'127.0.0.1',1490860784615,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860788547,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3300,'127.0.0.1',1490860788665,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860919062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3301,'127.0.0.1',1490860919544,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3302,'127.0.0.1',1490860919671,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860922025,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3303,'127.0.0.1',1490860922216,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861622965,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3304,'127.0.0.1',1490860927186,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860931408,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3305,'127.0.0.1',1490860931534,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860937763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3306,'127.0.0.1',1490860937913,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490860948620,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3307,'127.0.0.1',1490861627888,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3308,'127.0.0.1',1490861627940,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861629916,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3309,'127.0.0.1',1490861630125,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861877836,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3310,'127.0.0.1',1490861635053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861637812,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3311,'127.0.0.1',1490861637944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861641522,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3312,'127.0.0.1',1490861641663,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861647123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3313,'127.0.0.1',1490861681512,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861687021,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3314,'127.0.0.1',1490861687178,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861689341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3315,'127.0.0.1',1490861689444,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861693282,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3316,'127.0.0.1',1490861693473,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861700563,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3317,'127.0.0.1',1490861700772,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861705271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3318,'127.0.0.1',1490861705396,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861708731,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3319,'127.0.0.1',1490861708830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861711894,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3320,'127.0.0.1',1490861712056,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861716707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3321,'127.0.0.1',1490861716918,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861720233,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3322,'127.0.0.1',1490861720388,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861751065,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3323,'127.0.0.1',1490861751260,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861755248,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3324,'127.0.0.1',1490861755346,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861882546,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3325,'127.0.0.1',1490861882766,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3326,'127.0.0.1',1490861882805,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861884806,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3327,'127.0.0.1',1490861885016,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865010502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3328,'127.0.0.1',1490861885261,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861886190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3329,'127.0.0.1',1490861886306,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861889149,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3330,'127.0.0.1',1490861889308,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490861891092,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3331,'127.0.0.1',1490861891283,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865010526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3332,'127.0.0.1',1490864808423,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3333,'127.0.0.1',1490864808496,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864810015,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3334,'127.0.0.1',1490864810221,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3335,'127.0.0.1',1490864810234,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864814072,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3336,'127.0.0.1',1490864814265,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864885915,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3337,'127.0.0.1',1490864814502,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864815442,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3338,'127.0.0.1',1490864815542,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864822817,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3339,'127.0.0.1',1490864822979,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864844163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3340,'127.0.0.1',1490864844348,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864869699,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3341,'127.0.0.1',1490864869855,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864874758,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3342,'127.0.0.1',1490864874908,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864881274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3343,'127.0.0.1',1490864881495,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864884195,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3344,'127.0.0.1',1490864884286,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864885903,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3345,'127.0.0.1',1490864886112,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864889721,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3346,'127.0.0.1',1490864889928,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864898105,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3347,'127.0.0.1',1490864890169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864898135,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3348,'127.0.0.1',1490864898323,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864902394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3349,'127.0.0.1',1490864902582,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864978610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3350,'127.0.0.1',1490864902820,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864904483,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3351,'127.0.0.1',1490864904608,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864907074,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3352,'127.0.0.1',1490864907218,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864908717,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3353,'127.0.0.1',1490864908922,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864910987,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3354,'127.0.0.1',1490864911086,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864916191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3355,'127.0.0.1',1490864916336,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864917924,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3356,'127.0.0.1',1490864918058,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864919373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3357,'127.0.0.1',1490864919510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864941601,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3358,'127.0.0.1',1490864941746,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864947784,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3359,'127.0.0.1',1490864947958,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864952210,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3360,'127.0.0.1',1490864952309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864956234,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3361,'127.0.0.1',1490864956366,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864961404,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3362,'127.0.0.1',1490864961638,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864968360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3363,'127.0.0.1',1490864968450,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864970469,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3364,'127.0.0.1',1490864970610,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864978599,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3365,'127.0.0.1',1490864978804,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864981163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3366,'127.0.0.1',1490864981357,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864986215,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3367,'127.0.0.1',1490864981596,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864986235,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3368,'127.0.0.1',1490864986435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864992662,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3369,'127.0.0.1',1490864992850,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865033853,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3370,'127.0.0.1',1490864993084,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864994912,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3371,'127.0.0.1',1490864995027,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864995686,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3372,'127.0.0.1',1490864995832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490864998670,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3373,'127.0.0.1',1490864998839,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865000740,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3374,'127.0.0.1',1490865000850,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865001323,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3375,'127.0.0.1',1490865001445,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865002033,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3376,'127.0.0.1',1490865002165,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865004247,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3377,'127.0.0.1',1490865004398,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865006853,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3378,'127.0.0.1',1490865007063,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865032194,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3379,'127.0.0.1',1490865010682,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865012920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3380,'127.0.0.1',1490865013122,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865038198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3381,'127.0.0.1',1490865013349,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865038209,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3382,'127.0.0.1',1490865032326,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3383,'127.0.0.1',1490865032364,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865033889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3384,'127.0.0.1',1490865034025,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3385,'127.0.0.1',1490865034035,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865036263,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3386,'127.0.0.1',1490865036482,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865655318,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3387,'127.0.0.1',1490865036710,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865039630,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3388,'127.0.0.1',1490865039751,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865041112,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3389,'127.0.0.1',1490865041253,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865635375,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3390,'127.0.0.1',1490865635493,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865637540,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3391,'127.0.0.1',1490865637803,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865639019,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3392,'127.0.0.1',1490865639135,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865642565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3393,'127.0.0.1',1490865642697,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865647091,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3394,'127.0.0.1',1490865647306,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865649690,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3395,'127.0.0.1',1490865649779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865655310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3396,'127.0.0.1',1490865655519,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865658424,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3397,'127.0.0.1',1490865658619,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865668361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3398,'127.0.0.1',1490865658863,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865668379,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3399,'127.0.0.1',1490865668567,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865673753,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3400,'127.0.0.1',1490865673945,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867782051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3401,'127.0.0.1',1490865674176,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865676980,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3402,'127.0.0.1',1490865677101,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865677981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3403,'127.0.0.1',1490865678091,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865679216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3404,'127.0.0.1',1490865679389,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865690432,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3405,'127.0.0.1',1490865690549,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865693083,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3406,'127.0.0.1',1490865693213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865696725,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3407,'127.0.0.1',1490865696873,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865700903,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3408,'127.0.0.1',1490865701016,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865715593,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3409,'127.0.0.1',1490865715720,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865718382,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3410,'127.0.0.1',1490865718510,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865720667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3411,'127.0.0.1',1490865720799,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=4','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865725061,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3412,'127.0.0.1',1490865725224,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865732656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3413,'127.0.0.1',1490865732809,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865736591,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3414,'127.0.0.1',1490865736688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865770685,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3415,'127.0.0.1',1490865770812,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865773347,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3416,'127.0.0.1',1490865773465,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865794854,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3417,'127.0.0.1',1490865795003,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865798751,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3418,'127.0.0.1',1490865798871,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865803110,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3419,'127.0.0.1',1490865803250,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865804968,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3420,'127.0.0.1',1490865805113,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865807821,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3421,'127.0.0.1',1490865807935,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865812140,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3422,'127.0.0.1',1490865812317,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865819310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3423,'127.0.0.1',1490865819399,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490865834674,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3424,'127.0.0.1',1490865834877,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867182735,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3425,'127.0.0.1',1490867182853,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867184983,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3426,'127.0.0.1',1490867185144,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867187957,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3427,'127.0.0.1',1490867188078,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867189592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3428,'127.0.0.1',1490867189735,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867782042,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3429,'127.0.0.1',1490867782265,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3430,'127.0.0.1',1490867782321,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867784324,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3431,'127.0.0.1',1490867784513,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867910454,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3432,'127.0.0.1',1490867784734,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867786057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3433,'127.0.0.1',1490867786179,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867787241,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3434,'127.0.0.1',1490867787491,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867792471,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3435,'127.0.0.1',1490867792589,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867795750,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3436,'127.0.0.1',1490867795975,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867813076,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3437,'127.0.0.1',1490867813182,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867910443,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3438,'127.0.0.1',1490867910655,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3439,'127.0.0.1',1490867910695,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867912797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3440,'127.0.0.1',1490867912983,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868182975,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3441,'127.0.0.1',1490867913187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867914295,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3442,'127.0.0.1',1490867914419,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867917173,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3443,'127.0.0.1',1490867917328,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490867920142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3444,'127.0.0.1',1490867920357,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868182997,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3445,'127.0.0.1',1490868183191,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868677094,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3446,'127.0.0.1',1490868183380,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868184211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3447,'127.0.0.1',1490868184356,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868295504,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3448,'127.0.0.1',1490868296503,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868299969,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3449,'127.0.0.1',1490868300354,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868302294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3450,'127.0.0.1',1490868302410,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868392712,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3451,'127.0.0.1',1490868392855,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868398474,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3452,'127.0.0.1',1490868398636,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868564837,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3453,'127.0.0.1',1490868564980,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868568828,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3454,'127.0.0.1',1490868569252,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868578484,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3455,'127.0.0.1',1490868578623,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868635570,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3456,'127.0.0.1',1490868635703,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868676909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3457,'127.0.0.1',1490868677283,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868888017,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3458,'127.0.0.1',1490868677517,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868678216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3459,'127.0.0.1',1490868678370,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868693622,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3460,'127.0.0.1',1490868693903,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868698208,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3461,'127.0.0.1',1490868698483,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868716094,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3462,'127.0.0.1',1490868716241,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868718548,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3463,'127.0.0.1',1490868718688,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868720679,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3464,'127.0.0.1',1490868720839,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868728452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3465,'127.0.0.1',1490868728631,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868730668,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3466,'127.0.0.1',1490868730773,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868734376,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3467,'127.0.0.1',1490868734516,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868838579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3468,'127.0.0.1',1490868838728,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868842588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3469,'127.0.0.1',1490868842732,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868888068,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3470,'127.0.0.1',1490868883774,'','/sys/rightset.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3471,'127.0.0.1',1490868888237,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870357596,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3472,'127.0.0.1',1490868888467,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868890013,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3473,'127.0.0.1',1490868890142,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868931668,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3474,'127.0.0.1',1490868931811,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868950865,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3475,'127.0.0.1',1490868936278,'','/sys/rightset.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3476,'127.0.0.1',1490868951010,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868954735,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3477,'127.0.0.1',1490868954846,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868956649,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3478,'127.0.0.1',1490868956763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490868957242,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3479,'127.0.0.1',1490868957377,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869040879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3480,'127.0.0.1',1490869041004,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869047946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3481,'127.0.0.1',1490869048237,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869051774,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3482,'127.0.0.1',1490869051965,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869056144,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3483,'127.0.0.1',1490869056242,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869059423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3484,'127.0.0.1',1490869059530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869062232,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3485,'127.0.0.1',1490869062377,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869065203,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3486,'127.0.0.1',1490869065305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869068392,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3487,'127.0.0.1',1490869068552,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869077592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3488,'127.0.0.1',1490869077775,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869082996,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3489,'127.0.0.1',1490869083151,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869091098,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3490,'127.0.0.1',1490869091261,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869097352,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3491,'127.0.0.1',1490869097461,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869101353,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3492,'127.0.0.1',1490869101524,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869105536,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3493,'127.0.0.1',1490869105661,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869107685,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3494,'127.0.0.1',1490869107812,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869114200,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3495,'127.0.0.1',1490869114321,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869116530,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3496,'127.0.0.1',1490869116634,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869120086,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3497,'127.0.0.1',1490869120240,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869123948,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3498,'127.0.0.1',1490869124072,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869127779,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3499,'127.0.0.1',1490869127912,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869138534,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3500,'127.0.0.1',1490869138716,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869142125,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3501,'127.0.0.1',1490869142208,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869144046,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3502,'127.0.0.1',1490869144179,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869147321,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3503,'127.0.0.1',1490869147430,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869150499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3504,'127.0.0.1',1490869150668,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869156141,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3505,'127.0.0.1',1490869156262,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869198062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3506,'127.0.0.1',1490869198210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869203194,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3507,'127.0.0.1',1490869203422,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869207542,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3508,'127.0.0.1',1490869207658,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869212718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3509,'127.0.0.1',1490869212880,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869215537,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3510,'127.0.0.1',1490869215693,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869218619,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3511,'127.0.0.1',1490869218722,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869221057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3512,'127.0.0.1',1490869221212,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869223887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3513,'127.0.0.1',1490869224015,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869226032,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3514,'127.0.0.1',1490869226167,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869229855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3515,'127.0.0.1',1490869229981,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869232014,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3516,'127.0.0.1',1490869232152,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869236079,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3517,'127.0.0.1',1490869236213,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869238400,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3518,'127.0.0.1',1490869238531,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869245556,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3519,'127.0.0.1',1490869245692,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869261161,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3520,'127.0.0.1',1490869261335,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869314972,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3521,'127.0.0.1',1490869315071,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869317327,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3522,'127.0.0.1',1490869317468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869320885,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3523,'127.0.0.1',1490869321023,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490869322698,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3524,'127.0.0.1',1490869322793,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870130702,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3525,'127.0.0.1',1490870130858,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870133469,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3526,'127.0.0.1',1490870133597,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870133955,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3527,'127.0.0.1',1490870134131,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870137529,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3528,'127.0.0.1',1490870137651,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870142315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3529,'127.0.0.1',1490870142490,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870145258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3530,'127.0.0.1',1490870145347,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870148930,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3531,'127.0.0.1',1490870149052,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870151084,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3532,'127.0.0.1',1490870151213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870154644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3533,'127.0.0.1',1490870154768,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870156352,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3534,'127.0.0.1',1490870156486,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870157880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3535,'127.0.0.1',1490870158022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870159325,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3536,'127.0.0.1',1490870159463,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870161838,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3537,'127.0.0.1',1490870162021,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870164708,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3538,'127.0.0.1',1490870164802,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870172302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3539,'127.0.0.1',1490870172451,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870175313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3540,'127.0.0.1',1490870175491,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870177256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3541,'127.0.0.1',1490870177343,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870180149,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3542,'127.0.0.1',1490870180314,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870198402,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3543,'127.0.0.1',1490870198565,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870357645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3544,'127.0.0.1',1490870357816,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3545,'127.0.0.1',1490870357879,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870360438,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3546,'127.0.0.1',1490870360644,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871185706,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3547,'127.0.0.1',1490870360840,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870372206,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3548,'127.0.0.1',1490870372344,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870375110,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3549,'127.0.0.1',1490870375251,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870386477,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3550,'127.0.0.1',1490870465376,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870474846,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3551,'127.0.0.1',1490870474967,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870478931,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3552,'127.0.0.1',1490870537254,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870551211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3553,'127.0.0.1',1490870551341,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870555410,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3554,'127.0.0.1',1490870595339,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870611641,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3555,'127.0.0.1',1490870611780,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870615209,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3556,'127.0.0.1',1490870659219,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870707693,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3557,'127.0.0.1',1490870707829,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870712219,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3558,'127.0.0.1',1490870736560,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870779146,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3559,'127.0.0.1',1490870779269,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870783147,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3560,'127.0.0.1',1490870792148,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870812044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3561,'127.0.0.1',1490870812186,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490870815459,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3562,'127.0.0.1',1490871185903,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3563,'127.0.0.1',1490871185945,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871187974,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3564,'127.0.0.1',1490871188169,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871625852,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3565,'127.0.0.1',1490871188372,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871189316,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3566,'127.0.0.1',1490871189462,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871192281,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3567,'127.0.0.1',1490871192423,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871196797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3568,'127.0.0.1',1490871197008,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871200688,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3569,'127.0.0.1',1490871200776,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871203855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3570,'127.0.0.1',1490871204012,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871206170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3571,'127.0.0.1',1490871206313,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871209441,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3572,'127.0.0.1',1490871209725,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871213689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3573,'127.0.0.1',1490871213787,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871215949,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3574,'127.0.0.1',1490871216098,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871225545,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3575,'127.0.0.1',1490871225734,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871231182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3576,'127.0.0.1',1490871231365,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871235971,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3577,'127.0.0.1',1490871236080,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871238651,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3578,'127.0.0.1',1490871238790,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871240962,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3579,'127.0.0.1',1490871241116,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871244256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3580,'127.0.0.1',1490871244399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871246417,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3581,'127.0.0.1',1490871246535,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871255475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3582,'127.0.0.1',1490871255601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871259678,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3583,'127.0.0.1',1490871259832,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871262166,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3584,'127.0.0.1',1490871262300,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871264707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3585,'127.0.0.1',1490871264823,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871267070,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3586,'127.0.0.1',1490871267222,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871268520,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3587,'127.0.0.1',1490871268634,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871625831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3588,'127.0.0.1',1490871626063,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3589,'127.0.0.1',1490871626126,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871628288,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3590,'127.0.0.1',1490871628465,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872331053,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3591,'127.0.0.1',1490871628684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871629595,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3592,'127.0.0.1',1490871629735,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871634796,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3593,'127.0.0.1',1490871634927,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871639687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3594,'127.0.0.1',1490871639898,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871644004,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3595,'127.0.0.1',1490871644133,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871647259,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3596,'127.0.0.1',1490871647373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871649899,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3597,'127.0.0.1',1490871650032,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871652960,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3598,'127.0.0.1',1490871653197,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871657310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3599,'127.0.0.1',1490871657416,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871661027,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3600,'127.0.0.1',1490871661173,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871663296,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3601,'127.0.0.1',1490871663422,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871664488,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3602,'127.0.0.1',1490871664602,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871669562,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3603,'127.0.0.1',1490871669691,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871671460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3604,'127.0.0.1',1490871671641,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871674301,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3605,'127.0.0.1',1490871674440,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490871675499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3606,'127.0.0.1',1490871675664,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872331073,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3607,'127.0.0.1',1490872331270,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3608,'127.0.0.1',1490872331353,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872335394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3609,'127.0.0.1',1490872335601,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872394318,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3610,'127.0.0.1',1490872335846,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872370627,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3611,'127.0.0.1',1490872370805,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872394246,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3612,'127.0.0.1',1490872394546,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872398355,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3613,'127.0.0.1',1490872398533,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490875093904,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3614,'127.0.0.1',1490872398750,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872400875,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3615,'127.0.0.1',1490872400991,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872403793,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3616,'127.0.0.1',1490872403984,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490872405825,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3617,'127.0.0.1',1490872422632,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=39','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490875093921,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3618,'127.0.0.1',1490875094722,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3619,'127.0.0.1',1490875094810,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490875097308,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3620,'127.0.0.1',1490875097639,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3621,'127.0.0.1',1490875097878,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3622,'127.0.0.1',1490886477851,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886482011,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3623,'127.0.0.1',1490886482450,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886546729,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3624,'127.0.0.1',1490886482684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886483822,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3625,'127.0.0.1',1490886483983,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886491800,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3626,'127.0.0.1',1490886491983,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886503627,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3627,'127.0.0.1',1490886503850,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886506732,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3628,'127.0.0.1',1490886506828,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886512890,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3629,'127.0.0.1',1490886513181,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886518257,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3630,'127.0.0.1',1490886518439,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886523071,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3631,'127.0.0.1',1490886523214,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886531942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3632,'127.0.0.1',1490886532162,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886535880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3633,'127.0.0.1',1490886536013,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886538091,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3634,'127.0.0.1',1490886538176,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886541648,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3635,'127.0.0.1',1490886541823,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886544690,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3636,'127.0.0.1',1490886544924,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=12','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886546783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3637,'127.0.0.1',1490886546939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886549315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3638,'127.0.0.1',1490886549511,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886712378,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3639,'127.0.0.1',1490886549698,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886556211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3640,'127.0.0.1',1490886556395,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3641,'127.0.0.1',1490886608429,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886647359,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3642,'127.0.0.1',1490886647640,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886667943,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3643,'127.0.0.1',1490886668173,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886691151,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3644,'127.0.0.1',1490886691403,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886712302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3645,'127.0.0.1',1490886712577,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490886714336,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3646,'127.0.0.1',1491012800793,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491012803991,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3647,'127.0.0.1',1491012804863,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015026909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3648,'127.0.0.1',1491012805234,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491012806531,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3649,'127.0.0.1',1491012806738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015027017,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3650,'127.0.0.1',1491015027314,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3651,'127.0.0.1',1491015027370,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015029658,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3652,'127.0.0.1',1491015029906,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015817606,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3653,'127.0.0.1',1491015030137,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015034851,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3654,'127.0.0.1',1491015034975,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015817615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3655,'127.0.0.1',1491015817853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015924556,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3656,'127.0.0.1',1491015818097,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015819486,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3657,'127.0.0.1',1491015819675,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015923614,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3658,'127.0.0.1',1491015830664,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015854917,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3659,'127.0.0.1',1491015855105,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015859758,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3660,'127.0.0.1',1491015860079,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3661,'127.0.0.1',1491015860256,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015865047,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3662,'127.0.0.1',1491015865241,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015920213,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3663,'127.0.0.1',1491015865479,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015866762,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3664,'127.0.0.1',1491015866888,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015876273,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3665,'127.0.0.1',1491015876497,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015891078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3666,'127.0.0.1',1491015891326,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015892974,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3667,'127.0.0.1',1491015893077,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015895188,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3668,'127.0.0.1',1491015895328,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015910569,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3669,'127.0.0.1',1491015910854,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015915710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3670,'127.0.0.1',1491015915965,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015920238,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3671,'127.0.0.1',1491015920428,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016014324,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3672,'127.0.0.1',1491015924810,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3673,'127.0.0.1',1491015924817,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015930302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3674,'127.0.0.1',1491015930491,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016384078,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3675,'127.0.0.1',1491015930730,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015931990,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3676,'127.0.0.1',1491015932101,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015934934,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3677,'127.0.0.1',1491015935106,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015975895,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3678,'127.0.0.1',1491015976030,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491015977312,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3679,'127.0.0.1',1491015977462,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3680,'127.0.0.1',1491015979246,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016384106,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3681,'127.0.0.1',1491016020703,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016144704,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3682,'127.0.0.1',1491016033938,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016035846,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3683,'127.0.0.1',1491016160248,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016197153,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3684,'127.0.0.1',1491016197445,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016381507,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3685,'127.0.0.1',1491016384280,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016386821,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3686,'127.0.0.1',1491016387007,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491020787265,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3687,'127.0.0.1',1491016387231,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017826322,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3688,'127.0.0.1',1491016390050,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016672549,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3689,'127.0.0.1',1491016672869,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016831839,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3690,'127.0.0.1',1491016675682,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016678950,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3691,'127.0.0.1',1491016838384,'','/server/logs.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016840676,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3692,'127.0.0.1',1491016840872,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016843811,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3693,'127.0.0.1',1491016844089,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-30.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016845882,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3694,'127.0.0.1',1491016846062,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016854956,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3695,'127.0.0.1',1491016855595,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-26.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016857280,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3696,'127.0.0.1',1491016857430,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491016860622,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3697,'127.0.0.1',1491016860777,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=warn_2017-03-21.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017709121,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3698,'127.0.0.1',1491017709295,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017727887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3699,'127.0.0.1',1491017728031,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-26.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017730245,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3700,'127.0.0.1',1491017730399,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017742570,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3701,'127.0.0.1',1491017742738,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=warn_2017-03-01.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017748258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3702,'127.0.0.1',1491017748422,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017824299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3703,'127.0.0.1',1491017824695,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-25.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021661756,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3704,'127.0.0.1',1491017826450,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017827981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3705,'127.0.0.1',1491017828106,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017830773,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3706,'127.0.0.1',1491017830889,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-02-28.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017832472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3707,'127.0.0.1',1491017832592,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491017837493,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3708,'127.0.0.1',1491017837635,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-28.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491018306008,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3709,'127.0.0.1',1491018306178,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491018309845,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3710,'127.0.0.1',1491018310004,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-30.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491018312168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3711,'127.0.0.1',1491018312259,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491018314634,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3712,'127.0.0.1',1491018314861,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=warn_2017-03-28.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491018767656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3713,'127.0.0.1',1491018767823,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491020785517,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3714,'127.0.0.1',1491020785728,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=warn_2017-03-20.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3715,'127.0.0.1',1491020785818,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=warn_2017-03-20.log','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491020787199,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3716,'127.0.0.1',1491020787437,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3717,'127.0.0.1',1491020787448,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491020788460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3718,'127.0.0.1',1491021661997,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-25.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3719,'127.0.0.1',1491021662932,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-03-25.log','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021666118,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3720,'127.0.0.1',1491021666309,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021741354,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3721,'127.0.0.1',1491021666569,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021668571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3722,'127.0.0.1',1491021668707,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021670353,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3723,'127.0.0.1',1491021670505,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/downlog.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3724,'127.0.0.1',1491021739795,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3725,'127.0.0.1',1491021739863,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021741402,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3726,'127.0.0.1',1491021741532,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3727,'127.0.0.1',1491021741545,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021747950,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3728,'127.0.0.1',1491021748141,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021749795,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3729,'127.0.0.1',1491021748417,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021749866,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3730,'127.0.0.1',1491021750046,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021752277,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3731,'127.0.0.1',1491021752465,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021785522,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3732,'127.0.0.1',1491021752678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021754128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3733,'127.0.0.1',1491021754236,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021757402,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3734,'127.0.0.1',1491021757549,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021771022,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3735,'127.0.0.1',1491021771227,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021775022,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3736,'127.0.0.1',1491021775122,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021777338,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3737,'127.0.0.1',1491021777487,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021779357,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3738,'127.0.0.1',1491021779586,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021785520,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3739,'127.0.0.1',1491021785713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021788676,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3740,'127.0.0.1',1491021788868,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027539730,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3741,'127.0.0.1',1491021789091,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021790236,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3742,'127.0.0.1',1491021790340,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021812651,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3743,'127.0.0.1',1491021792178,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/downlog.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3744,'127.0.0.1',1491021812828,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491021814184,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3745,'127.0.0.1',1491021814305,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-02-28.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027539723,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3746,'127.0.0.1',1491027539933,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3747,'127.0.0.1',1491027539989,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027542913,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3748,'127.0.0.1',1491027543137,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027647807,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3749,'127.0.0.1',1491027543384,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027544532,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3750,'127.0.0.1',1491027544646,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027546686,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3751,'127.0.0.1',1491027546830,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027640200,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3752,'127.0.0.1',1491027640426,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027647837,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3753,'127.0.0.1',1491027647999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027652000,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3754,'127.0.0.1',1491027652201,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027672514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3755,'127.0.0.1',1491027652423,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027653579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3756,'127.0.0.1',1491027653709,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027657726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3757,'127.0.0.1',1491027657880,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027663949,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3758,'127.0.0.1',1491027664158,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027668086,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3759,'127.0.0.1',1491027668196,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027670561,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3760,'127.0.0.1',1491027670816,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=13','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027672530,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3761,'127.0.0.1',1491027672704,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027675151,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3762,'127.0.0.1',1491027675329,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027810654,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3763,'127.0.0.1',1491027675521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027678103,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3764,'127.0.0.1',1491027678219,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027809830,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3765,'127.0.0.1',1491027810832,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3766,'127.0.0.1',1491027810895,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027813210,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3767,'127.0.0.1',1491027813394,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028059386,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3768,'127.0.0.1',1491027813650,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491027816762,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3769,'127.0.0.1',1491027816914,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028059389,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3770,'127.0.0.1',1491028060292,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3771,'127.0.0.1',1491028060386,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028063326,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3772,'127.0.0.1',1491028063521,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028800254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3773,'127.0.0.1',1491028063772,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028066217,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3774,'127.0.0.1',1491028066330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028800239,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3775,'127.0.0.1',1491028800482,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3776,'127.0.0.1',1491028800545,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028803293,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3777,'127.0.0.1',1491028803483,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028970930,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3778,'127.0.0.1',1491028803713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028828155,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3779,'127.0.0.1',1491028828294,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028970928,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3780,'127.0.0.1',1491028971153,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3781,'127.0.0.1',1491028971203,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028973590,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3782,'127.0.0.1',1491028973786,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029041745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3783,'127.0.0.1',1491028974023,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491028975273,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3784,'127.0.0.1',1491028975367,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029041754,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3785,'127.0.0.1',1491029041945,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3786,'127.0.0.1',1491029042009,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029044344,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3787,'127.0.0.1',1491029044533,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029073549,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3788,'127.0.0.1',1491029044776,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029046384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3789,'127.0.0.1',1491029046505,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029073529,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3790,'127.0.0.1',1491029074854,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3791,'127.0.0.1',1491029074922,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029077582,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3792,'127.0.0.1',1491029077783,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029303570,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3793,'127.0.0.1',1491029078025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029079169,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3794,'127.0.0.1',1491029079292,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029303507,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3795,'127.0.0.1',1491029303798,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3796,'127.0.0.1',1491029303850,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029306211,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3797,'127.0.0.1',1491029306405,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029412148,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3798,'127.0.0.1',1491029306636,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029307539,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3799,'127.0.0.1',1491029307659,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029411704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3800,'127.0.0.1',1491029412348,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3801,'127.0.0.1',1491029412413,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029414618,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3802,'127.0.0.1',1491029414809,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029454637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3803,'127.0.0.1',1491029415053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029416038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3804,'127.0.0.1',1491029416153,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029454563,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3805,'127.0.0.1',1491029454844,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3806,'127.0.0.1',1491029454930,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029457862,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3807,'127.0.0.1',1491029458058,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029584819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3808,'127.0.0.1',1491029458325,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029459206,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3809,'127.0.0.1',1491029459331,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3810,'127.0.0.1',1491029586125,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3811,'127.0.0.1',1491029586172,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029588302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3812,'127.0.0.1',1491029588489,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029811203,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3813,'127.0.0.1',1491029588742,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029589717,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3814,'127.0.0.1',1491029589825,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029811108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3815,'127.0.0.1',1491029812019,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3816,'127.0.0.1',1491029812112,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029814756,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3817,'127.0.0.1',1491029814944,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030100910,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3818,'127.0.0.1',1491029815187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029816294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3819,'127.0.0.1',1491029816447,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491029986951,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3820,'127.0.0.1',1491029987169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030100680,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3821,'127.0.0.1',1491030102038,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3822,'127.0.0.1',1491030102125,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030103799,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3823,'127.0.0.1',1491030103986,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030130409,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3824,'127.0.0.1',1491030104241,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030105299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3825,'127.0.0.1',1491030105415,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030130409,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3826,'127.0.0.1',1491030131793,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3827,'127.0.0.1',1491030131871,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030133550,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3828,'127.0.0.1',1491030133752,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030732073,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3829,'127.0.0.1',1491030133995,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030135126,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3830,'127.0.0.1',1491030135227,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030731954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3831,'127.0.0.1',1491030732306,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491031251779,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3832,'127.0.0.1',1491030732547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491030733776,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3833,'127.0.0.1',1491030733891,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491031250902,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3834,'127.0.0.1',1491031252004,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3835,'127.0.0.1',1491031252058,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491031254034,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3836,'127.0.0.1',1491031254361,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491033908217,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3837,'127.0.0.1',1491031254618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491031255692,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3838,'127.0.0.1',1491031255811,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491031265999,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3839,'127.0.0.1',1491031266330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491033908112,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3840,'127.0.0.1',1491033908432,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3841,'127.0.0.1',1491033908442,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491033911536,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3842,'127.0.0.1',1491033911750,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3843,'127.0.0.1',1491033912012,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491033912874,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3844,'127.0.0.1',1491033913005,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491050689966,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3845,'127.0.0.1',1491050690467,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3846,'127.0.0.1',1491050690534,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491050692643,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3847,'127.0.0.1',1491050692928,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056215128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3848,'127.0.0.1',1491050693163,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491050695061,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3849,'127.0.0.1',1491050695205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056213967,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3850,'127.0.0.1',1491056215386,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3851,'127.0.0.1',1491056215487,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056221659,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3852,'127.0.0.1',1491056223078,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056431133,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3853,'127.0.0.1',1491056224284,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056225089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3854,'127.0.0.1',1491056225627,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3855,'127.0.0.1',1491056300420,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056349515,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3856,'127.0.0.1',1491056351527,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056352638,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3857,'127.0.0.1',1491056353162,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3858,'127.0.0.1',1491056436209,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3859,'127.0.0.1',1491056436334,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056447385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3860,'127.0.0.1',1491056447663,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057102320,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3861,'127.0.0.1',1491056447948,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056451783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3862,'127.0.0.1',1491056451938,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491056452722,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3863,'127.0.0.1',1491056453065,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3864,'127.0.0.1',1491056671271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3865,'127.0.0.1',1491056671524,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057102351,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3866,'127.0.0.1',1491057107890,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3867,'127.0.0.1',1491057108037,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057120388,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3868,'127.0.0.1',1491057120678,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057142781,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3869,'127.0.0.1',1491057121047,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057122298,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3870,'127.0.0.1',1491057122514,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057123888,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3871,'127.0.0.1',1491057124285,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3872,'127.0.0.1',1491057143397,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057147292,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3873,'127.0.0.1',1491057147985,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057246560,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3874,'127.0.0.1',1491057148353,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057150413,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3875,'127.0.0.1',1491057150702,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057155905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3876,'127.0.0.1',1491057156422,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057220631,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3877,'127.0.0.1',1491057221564,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057224115,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3878,'127.0.0.1',1491057224570,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057228214,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3879,'127.0.0.1',1491057228439,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057230956,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3880,'127.0.0.1',1491057238812,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057246596,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3881,'127.0.0.1',1491057247101,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057249960,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3882,'127.0.0.1',1491057250672,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057309166,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3883,'127.0.0.1',1491057251008,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057252231,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3884,'127.0.0.1',1491057252389,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057254546,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3885,'127.0.0.1',1491057255704,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3886,'127.0.0.1',1491057255784,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057264599,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3887,'127.0.0.1',1491057264899,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057276936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3888,'127.0.0.1',1491057277936,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3889,'127.0.0.1',1491057278271,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057286781,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3890,'127.0.0.1',1491057287674,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3891,'127.0.0.1',1491057287923,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057309055,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3892,'127.0.0.1',1491057309453,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057313314,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3893,'127.0.0.1',1491057313585,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057339081,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3894,'127.0.0.1',1491057313943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057314857,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3895,'127.0.0.1',1491057315055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057320190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3896,'127.0.0.1',1491057320346,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057335500,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3897,'127.0.0.1',1491057336062,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=44','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057338776,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3898,'127.0.0.1',1491057339349,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057342310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3899,'127.0.0.1',1491057342814,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057344460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3900,'127.0.0.1',1491057344172,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057344645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3901,'127.0.0.1',1491057345292,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057347689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3902,'127.0.0.1',1491057347961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057461884,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3903,'127.0.0.1',1491057349011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057351756,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3904,'127.0.0.1',1491057352214,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057353010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3905,'127.0.0.1',1491057353311,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3906,'127.0.0.1',1491057460135,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3907,'127.0.0.1',1491057460425,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057461961,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3908,'127.0.0.1',1491057462584,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3909,'127.0.0.1',1491057462655,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057465693,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3910,'127.0.0.1',1491057466512,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058088054,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3911,'127.0.0.1',1491057466892,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057468565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3912,'127.0.0.1',1491057468766,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057470923,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3913,'127.0.0.1',1491057471901,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3914,'127.0.0.1',1491057598252,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057599887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3915,'127.0.0.1',1491057601009,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3916,'127.0.0.1',1491057741039,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491057741870,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3917,'127.0.0.1',1491057742120,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058087737,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3918,'127.0.0.1',1491058089164,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3919,'127.0.0.1',1491058089235,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058091719,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3920,'127.0.0.1',1491058091933,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058467676,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3921,'127.0.0.1',1491058092133,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058093358,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3922,'127.0.0.1',1491058093484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058094787,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3923,'127.0.0.1',1491058095036,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058467380,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3924,'127.0.0.1',1491058467880,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3925,'127.0.0.1',1491058467941,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058470434,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3926,'127.0.0.1',1491058470638,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058689477,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3927,'127.0.0.1',1491058470877,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058471772,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3928,'127.0.0.1',1491058471906,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058472701,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3929,'127.0.0.1',1491058472947,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058689168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3930,'127.0.0.1',1491058689690,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3931,'127.0.0.1',1491058689735,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058692322,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3932,'127.0.0.1',1491058692508,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059101732,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3933,'127.0.0.1',1491058692725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058693825,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3934,'127.0.0.1',1491058693995,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491058694800,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3935,'127.0.0.1',1491058695039,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3936,'127.0.0.1',1491059101972,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3937,'127.0.0.1',1491059102051,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059104448,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3938,'127.0.0.1',1491059104728,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059307764,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3939,'127.0.0.1',1491059105349,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059106371,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3940,'127.0.0.1',1491059106993,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059108341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3941,'127.0.0.1',1491059109380,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3942,'127.0.0.1',1491059308065,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3943,'127.0.0.1',1491059308181,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059311260,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3944,'127.0.0.1',1491059311709,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059563585,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3945,'127.0.0.1',1491059311942,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059313758,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3946,'127.0.0.1',1491059314054,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059314981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3947,'127.0.0.1',1491059315492,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059369106,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3948,'127.0.0.1',1491059375886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059563473,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3949,'127.0.0.1',1491059377225,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3950,'127.0.0.1',1491059564181,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3951,'127.0.0.1',1491059564640,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059567108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3952,'127.0.0.1',1491059567848,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060074171,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3953,'127.0.0.1',1491059568240,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491059569114,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3954,'127.0.0.1',1491059569266,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060073580,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3955,'127.0.0.1',1491059571843,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3956,'127.0.0.1',1491059697651,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3957,'127.0.0.1',1491060074751,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3958,'127.0.0.1',1491060075124,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060076929,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3959,'127.0.0.1',1491060077330,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060108522,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3960,'127.0.0.1',1491060077697,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060079604,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3961,'127.0.0.1',1491060079751,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060081487,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3962,'127.0.0.1',1491060081936,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3963,'127.0.0.1',1491060114648,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3964,'127.0.0.1',1491060114703,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060117466,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3965,'127.0.0.1',1491060117644,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060603775,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3966,'127.0.0.1',1491060117854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060119016,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3967,'127.0.0.1',1491060119162,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060603660,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3968,'127.0.0.1',1491060120535,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3969,'127.0.0.1',1491060604004,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3970,'127.0.0.1',1491060604065,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060606227,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3971,'127.0.0.1',1491060606421,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060748264,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3972,'127.0.0.1',1491060606668,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060607737,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3973,'127.0.0.1',1491060607867,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060748155,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3974,'127.0.0.1',1491060609311,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3975,'127.0.0.1',1491060749353,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3976,'127.0.0.1',1491060749427,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060751704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3977,'127.0.0.1',1491060751888,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060868500,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3978,'127.0.0.1',1491060752138,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060753093,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3979,'127.0.0.1',1491060753229,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060754996,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3980,'127.0.0.1',1491060755330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060766881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3981,'127.0.0.1',1491060767017,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060774778,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3982,'127.0.0.1',1491060775078,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-04-01.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060776845,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3983,'127.0.0.1',1491060776999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060868437,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3984,'127.0.0.1',1491060778763,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3985,'127.0.0.1',1491060868719,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060871299,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3986,'127.0.0.1',1491060871538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061091325,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3987,'127.0.0.1',1491060871784,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491060872997,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3988,'127.0.0.1',1491060873112,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061091204,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3989,'127.0.0.1',1491060874067,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3990,'127.0.0.1',1491061091539,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3991,'127.0.0.1',1491061091591,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061093973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3992,'127.0.0.1',1491061094152,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061170847,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3993,'127.0.0.1',1491061094390,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061095853,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3994,'127.0.0.1',1491061095970,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061170744,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3995,'127.0.0.1',1491061097558,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3996,'127.0.0.1',1491061171732,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3997,'127.0.0.1',1491061171801,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061174161,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3998,'127.0.0.1',1491061174337,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (3999,'127.0.0.1',1491061174547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061175673,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4000,'127.0.0.1',1491061175807,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061214110,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4001,'127.0.0.1',1491061177404,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4002,'127.0.0.1',1491061215473,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4003,'127.0.0.1',1491061215551,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061218198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4004,'127.0.0.1',1491061218383,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061379167,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4005,'127.0.0.1',1491061218626,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061219631,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4006,'127.0.0.1',1491061219758,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061379038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4007,'127.0.0.1',1491061221063,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4008,'127.0.0.1',1491061379397,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4009,'127.0.0.1',1491061379451,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061381245,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4010,'127.0.0.1',1491061381458,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4011,'127.0.0.1',1491061381701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061388978,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4012,'127.0.0.1',1491061389095,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491061516135,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4013,'127.0.0.1',1491061394924,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4014,'127.0.0.1',1491061516456,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4015,'127.0.0.1',1491095749412,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491095756099,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4016,'127.0.0.1',1491095756416,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491118974493,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4017,'127.0.0.1',1491095756694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491095760179,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4018,'127.0.0.1',1491095760319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491118974370,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4019,'127.0.0.1',1491095771131,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4020,'127.0.0.1',1491118974719,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4021,'127.0.0.1',1491118974765,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491118978929,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4022,'127.0.0.1',1491118979173,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491120219050,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4023,'127.0.0.1',1491118979427,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491118980576,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4024,'127.0.0.1',1491118980684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491120218918,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4025,'127.0.0.1',1491118981595,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4026,'127.0.0.1',1491120219269,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4027,'127.0.0.1',1491120219312,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491120222777,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4028,'127.0.0.1',1491120223020,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4029,'127.0.0.1',1491120223271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491120224538,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4030,'127.0.0.1',1491120224677,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491120225474,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4031,'127.0.0.1',1491120225742,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4032,'127.0.0.1',1491444726117,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491444851411,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4033,'127.0.0.1',1491444852965,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491444895985,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4034,'127.0.0.1',1491444896249,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491444910707,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4035,'127.0.0.1',1491444920416,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491444952029,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4036,'127.0.0.1',1491444952254,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491444954155,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4037,'127.0.0.1',1491444961289,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445138980,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4038,'127.0.0.1',1491445139235,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445172375,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4039,'127.0.0.1',1491445177377,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445199455,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4040,'127.0.0.1',1491445186286,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445200050,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4041,'127.0.0.1',1491445204866,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445244624,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4042,'127.0.0.1',1491445244949,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445465744,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4043,'127.0.0.1',1491445466054,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445473238,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4044,'127.0.0.1',1491445473662,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445522472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4045,'127.0.0.1',1491445473985,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445522548,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4046,'127.0.0.1',1491445522797,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4047,'127.0.0.1',1491445522824,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445526858,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4048,'127.0.0.1',1491445527081,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4049,'127.0.0.1',1491445527259,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445533887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4050,'127.0.0.1',1491445534066,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4051,'127.0.0.1',1491445563832,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4052,'127.0.0.1',1491445563860,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4053,'127.0.0.1',1491445583372,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445590423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4054,'127.0.0.1',1491445590655,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445806768,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4055,'127.0.0.1',1491445590893,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445804324,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4056,'127.0.0.1',1491445804468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4057,'127.0.0.1',1491445806972,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445896399,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4058,'127.0.0.1',1491445807221,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445808681,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4059,'127.0.0.1',1491445808848,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4060,'127.0.0.1',1491445857458,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445896234,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4061,'127.0.0.1',1491445896585,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445900367,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4062,'127.0.0.1',1491445896789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445897945,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4063,'127.0.0.1',1491445898078,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445900393,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4064,'127.0.0.1',1491445900574,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445907051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4065,'127.0.0.1',1491445900765,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445903273,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4066,'127.0.0.1',1491445903455,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445907102,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4067,'127.0.0.1',1491445907250,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445910478,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4068,'127.0.0.1',1491445910698,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446725315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4069,'127.0.0.1',1491445910891,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491445912013,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4070,'127.0.0.1',1491445912191,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446038989,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4071,'127.0.0.1',1491446039139,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446099341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4072,'127.0.0.1',1491446099662,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446209582,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4073,'127.0.0.1',1491446209835,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446210539,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4074,'127.0.0.1',1491446210713,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446236300,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4075,'127.0.0.1',1491446236613,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446243950,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4076,'127.0.0.1',1491446244061,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446259647,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4077,'127.0.0.1',1491446259901,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446287448,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4078,'127.0.0.1',1491446287592,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446558170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4079,'127.0.0.1',1491446558398,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446564685,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4080,'127.0.0.1',1491446564937,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446586217,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4081,'127.0.0.1',1491446586453,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446594958,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4082,'127.0.0.1',1491446595097,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446595829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4083,'127.0.0.1',1491446595970,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446596516,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4084,'127.0.0.1',1491446596624,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446597315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4085,'127.0.0.1',1491446597638,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446598288,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4086,'127.0.0.1',1491446598478,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446619938,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4087,'127.0.0.1',1491446620053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446620809,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4088,'127.0.0.1',1491446620958,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446621610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4089,'127.0.0.1',1491446621712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446622141,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4090,'127.0.0.1',1491446622298,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446623054,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4091,'127.0.0.1',1491446623160,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446725320,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4092,'127.0.0.1',1491446725515,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4093,'127.0.0.1',1491446725718,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4094,'127.0.0.1',1491446728538,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446731195,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4095,'127.0.0.1',1491446731406,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4096,'127.0.0.1',1491446731587,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446732941,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4097,'127.0.0.1',1491446733084,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446750979,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4098,'127.0.0.1',1491446751121,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446751913,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4099,'127.0.0.1',1491446752027,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446753611,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4100,'127.0.0.1',1491446753730,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446755645,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4101,'127.0.0.1',1491446755774,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446757163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4102,'127.0.0.1',1491446757326,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446760679,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4103,'127.0.0.1',1491446760801,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446915644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4104,'127.0.0.1',1491446915900,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446917567,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4105,'127.0.0.1',1491446917727,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446934588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4106,'127.0.0.1',1491446934778,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491446936797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4107,'127.0.0.1',1491446936966,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491447088285,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4108,'127.0.0.1',1491447088400,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491447091628,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4109,'127.0.0.1',1491447091872,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491447093765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4110,'127.0.0.1',1491447093965,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4111,'127.0.0.1',1491448487908,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448492063,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4112,'127.0.0.1',1491448492277,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448639524,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4113,'127.0.0.1',1491448492463,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448493831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4114,'127.0.0.1',1491448494025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448495763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4115,'127.0.0.1',1491448495896,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448500797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4116,'127.0.0.1',1491448500947,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448512361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4117,'127.0.0.1',1491448513209,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448516029,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4118,'127.0.0.1',1491448516178,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448518250,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4119,'127.0.0.1',1491448518418,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448519283,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4120,'127.0.0.1',1491448519414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448529633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4121,'127.0.0.1',1491448529990,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448639327,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4122,'127.0.0.1',1491448639716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448640624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4123,'127.0.0.1',1491448639924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448640613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4124,'127.0.0.1',1491448640807,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448644006,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4125,'127.0.0.1',1491448644210,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449345839,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4126,'127.0.0.1',1491448644442,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448646135,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4127,'127.0.0.1',1491448646262,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448647571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4128,'127.0.0.1',1491448647717,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491448679558,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4129,'127.0.0.1',1491448679710,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449196600,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4130,'127.0.0.1',1491449196736,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449209110,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4131,'127.0.0.1',1491449209558,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449285343,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4132,'127.0.0.1',1491449285691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449290238,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4133,'127.0.0.1',1491449290500,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449345871,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4134,'127.0.0.1',1491449346038,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449348351,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4135,'127.0.0.1',1491449348571,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450183784,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4136,'127.0.0.1',1491449348771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449349803,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4137,'127.0.0.1',1491449349949,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449352363,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4138,'127.0.0.1',1491449352492,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449358509,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4139,'127.0.0.1',1491449358661,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491449375559,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4140,'127.0.0.1',1491449375717,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450146059,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4141,'127.0.0.1',1491450146330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450179498,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4142,'127.0.0.1',1491450179769,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450181040,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4143,'127.0.0.1',1491450181171,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450181822,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4144,'127.0.0.1',1491450181964,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450182611,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4145,'127.0.0.1',1491450182761,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450183826,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4146,'127.0.0.1',1491450183980,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450186012,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4147,'127.0.0.1',1491450186203,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450200843,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4148,'127.0.0.1',1491450186419,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450187339,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4149,'127.0.0.1',1491450187469,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450200839,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4150,'127.0.0.1',1491450201034,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450203588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4151,'127.0.0.1',1491450203784,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4152,'127.0.0.1',1491450204005,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450205169,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4153,'127.0.0.1',1491450205286,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491450228533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4154,'127.0.0.1',1491450228671,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4155,'127.0.0.1',1491451383665,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451385932,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4156,'127.0.0.1',1491451386176,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451426625,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4157,'127.0.0.1',1491451386332,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451387449,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4158,'127.0.0.1',1491451387723,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451426622,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4159,'127.0.0.1',1491451426845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451429909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4160,'127.0.0.1',1491451430094,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4161,'127.0.0.1',1491451430288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451431168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4162,'127.0.0.1',1491451431303,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451432973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4163,'127.0.0.1',1491451433103,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4164,'127.0.0.1',1491451439721,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451442210,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4165,'127.0.0.1',1491451442434,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475243748,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4166,'127.0.0.1',1491451442627,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451443435,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4167,'127.0.0.1',1491451443614,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451446566,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4168,'127.0.0.1',1491451446715,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451455163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4169,'127.0.0.1',1491451455988,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451461132,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4170,'127.0.0.1',1491451461276,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451464718,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4171,'127.0.0.1',1491451464815,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451467518,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4172,'127.0.0.1',1491451467663,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451472870,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4173,'127.0.0.1',1491451473132,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451529667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4174,'127.0.0.1',1491451529827,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451531428,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4175,'127.0.0.1',1491451531567,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491451533831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4176,'127.0.0.1',1491451534112,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475243778,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4177,'127.0.0.1',1491475243966,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4178,'127.0.0.1',1491475244006,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475247075,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4179,'127.0.0.1',1491475247486,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475379460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4180,'127.0.0.1',1491475247676,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475248600,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4181,'127.0.0.1',1491475248761,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475379341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4182,'127.0.0.1',1491475379644,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4183,'127.0.0.1',1491475379692,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475382504,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4184,'127.0.0.1',1491475382701,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4185,'127.0.0.1',1491475382890,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475384086,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4186,'127.0.0.1',1491475384238,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475388473,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4187,'127.0.0.1',1491475388636,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491475391848,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4188,'127.0.0.1',1491475391970,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4189,'127.0.0.1',1491537248932,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537252113,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4190,'127.0.0.1',1491537252601,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537410202,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4191,'127.0.0.1',1491537252827,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537254551,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4192,'127.0.0.1',1491537254734,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537256829,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4193,'127.0.0.1',1491537258352,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537259859,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4194,'127.0.0.1',1491537260005,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537268423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4195,'127.0.0.1',1491537268621,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537274812,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4196,'127.0.0.1',1491537274964,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537278434,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4197,'127.0.0.1',1491537278521,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537288117,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4198,'127.0.0.1',1491537288562,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537316746,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4199,'127.0.0.1',1491537316857,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537319142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4200,'127.0.0.1',1491537319318,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537320423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4201,'127.0.0.1',1491537320583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537322710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4202,'127.0.0.1',1491537322894,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537331458,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4203,'127.0.0.1',1491537331673,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537333686,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4204,'127.0.0.1',1491537333842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537340817,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4205,'127.0.0.1',1491537340909,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537349991,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4206,'127.0.0.1',1491537350163,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537355889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4207,'127.0.0.1',1491537355995,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537365673,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4208,'127.0.0.1',1491537365793,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537399960,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4209,'127.0.0.1',1491537400103,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537403721,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4210,'127.0.0.1',1491537404087,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537408052,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4211,'127.0.0.1',1491537408173,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4212,'127.0.0.1',1491537408249,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537410245,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4213,'127.0.0.1',1491537410391,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4214,'127.0.0.1',1491537410402,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537413009,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4215,'127.0.0.1',1491537413199,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539148076,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4216,'127.0.0.1',1491537413399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537414702,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4217,'127.0.0.1',1491537414828,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537419263,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4218,'127.0.0.1',1491537419375,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537423833,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4219,'127.0.0.1',1491537423994,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537430902,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4220,'127.0.0.1',1491537431025,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537432989,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4221,'127.0.0.1',1491537433095,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537435274,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4222,'127.0.0.1',1491537435400,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537437199,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4223,'127.0.0.1',1491537437359,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491537437776,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4224,'127.0.0.1',1491537437907,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491538161171,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4225,'127.0.0.1',1491538161307,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539123639,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4226,'127.0.0.1',1491539123960,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539148050,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4227,'127.0.0.1',1491539148279,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4228,'127.0.0.1',1491539148350,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539152438,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4229,'127.0.0.1',1491539152640,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539720799,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4230,'127.0.0.1',1491539152879,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539154235,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4231,'127.0.0.1',1491539154351,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539155491,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4232,'127.0.0.1',1491539155711,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539157496,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4233,'127.0.0.1',1491539157631,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539163170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4234,'127.0.0.1',1491539167897,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539175346,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4235,'127.0.0.1',1491539411578,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539417247,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4236,'127.0.0.1',1491539420098,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539679225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4237,'127.0.0.1',1491539721022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539723044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4238,'127.0.0.1',1491539723282,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491540713495,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4239,'127.0.0.1',1491539723522,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539724416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4240,'127.0.0.1',1491539724543,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539727535,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4241,'127.0.0.1',1491539727659,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539732129,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4242,'127.0.0.1',1491539732280,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539736244,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4243,'127.0.0.1',1491539736359,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539739355,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4244,'127.0.0.1',1491539739512,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539740400,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4245,'127.0.0.1',1491539740529,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539746178,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4246,'127.0.0.1',1491539746312,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539752011,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4247,'127.0.0.1',1491539752163,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539755546,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4248,'127.0.0.1',1491539755687,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539771411,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4249,'127.0.0.1',1491539771548,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491539773627,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4250,'127.0.0.1',1491539773798,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491540713515,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4251,'127.0.0.1',1491568176304,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568180528,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4252,'127.0.0.1',1491568182641,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568769880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4253,'127.0.0.1',1491568183149,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568184496,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4254,'127.0.0.1',1491568185309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568186170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4255,'127.0.0.1',1491568186678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568190734,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4256,'127.0.0.1',1491568190949,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568211595,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4257,'127.0.0.1',1491568212071,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568212940,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4258,'127.0.0.1',1491568213153,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568486051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4259,'127.0.0.1',1491568486703,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568770018,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4260,'127.0.0.1',1491568775147,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4261,'127.0.0.1',1491568775587,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568778513,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4262,'127.0.0.1',1491568779239,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568976952,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4263,'127.0.0.1',1491568779592,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568780832,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4264,'127.0.0.1',1491568780999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568783394,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4265,'127.0.0.1',1491568783939,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568976861,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4266,'127.0.0.1',1491568980880,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4267,'127.0.0.1',1491568981017,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568984562,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4268,'127.0.0.1',1491568985086,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569114154,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4269,'127.0.0.1',1491568986202,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568987130,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4270,'127.0.0.1',1491568987434,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491568989453,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4271,'127.0.0.1',1491568989700,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569114146,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4272,'127.0.0.1',1491569114843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4273,'127.0.0.1',1491569114938,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569117282,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4274,'127.0.0.1',1491569117785,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569284191,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4275,'127.0.0.1',1491569119075,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569119814,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4276,'127.0.0.1',1491569120536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569122589,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4277,'127.0.0.1',1491569122741,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569284749,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4278,'127.0.0.1',1491569285018,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4279,'127.0.0.1',1491569285113,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569288970,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4280,'127.0.0.1',1491569289454,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569553526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4281,'127.0.0.1',1491569290685,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569291571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4282,'127.0.0.1',1491569292215,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569295007,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4283,'127.0.0.1',1491569295214,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569548809,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4284,'127.0.0.1',1491569549436,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569550455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4285,'127.0.0.1',1491569550722,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569553766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4286,'127.0.0.1',1491569554274,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569556866,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4287,'127.0.0.1',1491569557341,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569717969,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4288,'127.0.0.1',1491569558695,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569564190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4289,'127.0.0.1',1491569564677,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4290,'127.0.0.1',1491569570802,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569592646,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4291,'127.0.0.1',1491569594004,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569614593,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4292,'127.0.0.1',1491569614922,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569621640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4293,'127.0.0.1',1491569623067,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569649843,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4294,'127.0.0.1',1491569650530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569657705,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4295,'127.0.0.1',1491569658727,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569689922,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4296,'127.0.0.1',1491569690474,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569694605,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4297,'127.0.0.1',1491569694851,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569697150,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4298,'127.0.0.1',1491569697510,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569702959,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4299,'127.0.0.1',1491569703976,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-02-28.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569714128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4300,'127.0.0.1',1491569708201,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/downlog.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4301,'127.0.0.1',1491569714704,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4302,'127.0.0.1',1491569714790,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569716343,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4303,'127.0.0.1',1491569716744,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4304,'127.0.0.1',1491569717923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569718501,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4305,'127.0.0.1',1491569718689,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4306,'127.0.0.1',1491569718703,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569722453,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4307,'127.0.0.1',1491569722948,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569893629,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4308,'127.0.0.1',1491569723888,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569725681,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4309,'127.0.0.1',1491569725880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569763005,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4310,'127.0.0.1',1491569763297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569767947,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4311,'127.0.0.1',1491569768871,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569772179,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4312,'127.0.0.1',1491569772510,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569781960,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4313,'127.0.0.1',1491569782690,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569784934,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4314,'127.0.0.1',1491569785973,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569787409,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4315,'127.0.0.1',1491569787722,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569803240,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4316,'127.0.0.1',1491569803615,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569893707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4317,'127.0.0.1',1491569894597,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4318,'127.0.0.1',1491569895127,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569897591,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4319,'127.0.0.1',1491569897899,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491570482725,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4320,'127.0.0.1',1491569898526,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569900783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4321,'127.0.0.1',1491569901300,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569924971,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4322,'127.0.0.1',1491569925139,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569926241,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4323,'127.0.0.1',1491569926458,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569927250,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4324,'127.0.0.1',1491569927397,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569928143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4325,'127.0.0.1',1491569928355,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569970242,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4326,'127.0.0.1',1491569970853,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569972850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4327,'127.0.0.1',1491569973432,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569974844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4328,'127.0.0.1',1491569975013,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569976072,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4329,'127.0.0.1',1491569976303,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569981322,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4330,'127.0.0.1',1491569981868,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569993298,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4331,'127.0.0.1',1491569993750,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569994855,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4332,'127.0.0.1',1491569995327,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569996313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4333,'127.0.0.1',1491569996881,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569998538,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4334,'127.0.0.1',1491569998732,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491569999528,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4335,'127.0.0.1',1491569999679,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491570482795,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4336,'127.0.0.1',1491570486877,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4337,'127.0.0.1',1491570487009,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491570490001,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4338,'127.0.0.1',1491570490506,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580918421,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4339,'127.0.0.1',1491570491656,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491570493524,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4340,'127.0.0.1',1491570494015,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491570496283,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4341,'127.0.0.1',1491570496523,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580918469,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4342,'127.0.0.1',1491580920465,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580932127,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4343,'127.0.0.1',1491580933985,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580944496,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4344,'127.0.0.1',1491580934428,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580944562,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4345,'127.0.0.1',1491580936416,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580939309,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4346,'127.0.0.1',1491580967543,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491580979011,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4347,'127.0.0.1',1491581584283,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4348,'127.0.0.1',1491581584386,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491581589551,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4349,'127.0.0.1',1491581602985,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491581661266,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4350,'127.0.0.1',1491581603364,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491581661060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4351,'127.0.0.1',1491581616097,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491581621343,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4352,'127.0.0.1',1491581682479,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491581685648,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4353,'127.0.0.1',1491582115684,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4354,'127.0.0.1',1491582115954,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4355,'127.0.0.1',1491582116011,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4356,'127.0.0.1',1491582116035,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4357,'127.0.0.1',1491582116063,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4358,'127.0.0.1',1491582116093,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4359,'127.0.0.1',1491582116121,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4360,'127.0.0.1',1491582116197,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4361,'127.0.0.1',1491582116224,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4362,'127.0.0.1',1491614430575,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491614449315,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4363,'127.0.0.1',1491614449563,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491614451060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4364,'127.0.0.1',1491614449816,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491614451067,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4365,'127.0.0.1',1491614452897,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4366,'127.0.0.1',1491614452910,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4367,'127.0.0.1',1491614452918,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4368,'127.0.0.1',1491614452925,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4369,'127.0.0.1',1491614452931,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4370,'127.0.0.1',1491614452938,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4371,'127.0.0.1',1491614452944,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4372,'127.0.0.1',1491614452950,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4373,'127.0.0.1',1491614452956,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4374,'127.0.0.1',1491614452962,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4375,'127.0.0.1',1491614452967,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4376,'127.0.0.1',1491614452972,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4377,'127.0.0.1',1491614452978,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4378,'127.0.0.1',1491614452988,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4379,'127.0.0.1',1491614452994,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4380,'127.0.0.1',1491614453042,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4381,'127.0.0.1',1491614453068,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4382,'127.0.0.1',1491614453118,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4383,'127.0.0.1',1491614453125,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4384,'127.0.0.1',1491614453132,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4385,'127.0.0.1',1491614453139,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4386,'127.0.0.1',1491614528279,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4387,'127.0.0.1',1491614574631,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4388,'127.0.0.1',1491614673453,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4389,'127.0.0.1',1491614720063,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4390,'127.0.0.1',1491614773290,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4391,'127.0.0.1',1491615106958,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491615150123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4392,'127.0.0.1',1491615150419,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491615152571,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4393,'127.0.0.1',1491615150654,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491615152512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4394,'127.0.0.1',1491615180517,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4395,'127.0.0.1',1491615198279,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4396,'127.0.0.1',1491615201066,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4397,'127.0.0.1',1491615201552,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4398,'127.0.0.1',1491615201785,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4399,'127.0.0.1',1491615201974,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4400,'127.0.0.1',1491615202348,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4401,'127.0.0.1',1491615202619,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4402,'127.0.0.1',1491615203198,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4403,'127.0.0.1',1491615203416,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4404,'127.0.0.1',1491615203530,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4405,'127.0.0.1',1491615203956,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4406,'127.0.0.1',1491615203989,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4407,'127.0.0.1',1491615204051,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4408,'127.0.0.1',1491615204073,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4409,'127.0.0.1',1491615204125,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4410,'127.0.0.1',1491615204171,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4411,'127.0.0.1',1491615204205,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4412,'127.0.0.1',1491615204296,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4413,'127.0.0.1',1491615204340,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4414,'127.0.0.1',1491615204373,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4415,'127.0.0.1',1491615272051,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4416,'127.0.0.1',1491615272118,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4417,'127.0.0.1',1491615272135,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4418,'127.0.0.1',1491615272159,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4419,'127.0.0.1',1491615272177,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4420,'127.0.0.1',1491615272197,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4421,'127.0.0.1',1491615272215,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4422,'127.0.0.1',1491615272230,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4423,'127.0.0.1',1491615272247,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4424,'127.0.0.1',1491615618793,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4425,'127.0.0.1',1491615647499,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4426,'127.0.0.1',1491615704942,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4427,'127.0.0.1',1491615704998,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4428,'127.0.0.1',1491615705015,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4429,'127.0.0.1',1491615705031,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4430,'127.0.0.1',1491615705049,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4431,'127.0.0.1',1491615705077,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4432,'127.0.0.1',1491615705091,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4433,'127.0.0.1',1491615705105,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4434,'127.0.0.1',1491615705120,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4435,'127.0.0.1',1491615705134,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4436,'127.0.0.1',1491615705158,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4437,'127.0.0.1',1491615705187,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4438,'127.0.0.1',1491615705214,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4439,'127.0.0.1',1491615705234,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4440,'127.0.0.1',1491615705257,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4441,'127.0.0.1',1491615705306,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4442,'127.0.0.1',1491615705350,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4443,'127.0.0.1',1491615705374,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4444,'127.0.0.1',1491615705396,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4445,'127.0.0.1',1491617959814,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491617968289,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4446,'127.0.0.1',1491617968537,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491617981140,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4447,'127.0.0.1',1491617968751,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491617981106,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4448,'127.0.0.1',1491617996041,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4449,'127.0.0.1',1491617996080,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491617999577,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4450,'127.0.0.1',1491617996330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4451,'127.0.0.1',1491618003821,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4452,'127.0.0.1',1491618003841,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491618008687,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4453,'127.0.0.1',1491618004038,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491618008588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4454,'127.0.0.1',1491618040410,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4455,'127.0.0.1',1491618040442,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491618049434,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4456,'127.0.0.1',1491618040716,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491618049401,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4457,'127.0.0.1',1491618051896,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4458,'127.0.0.1',1491618051913,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491618053191,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4459,'127.0.0.1',1491618052238,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491618053176,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4460,'127.0.0.1',1491618053410,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4461,'127.0.0.1',1491618053434,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4462,'127.0.0.1',1491618053449,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4463,'127.0.0.1',1491618053468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4464,'127.0.0.1',1491618053485,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4465,'127.0.0.1',1491618053499,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4466,'127.0.0.1',1491618053513,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4467,'127.0.0.1',1491618053530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4468,'127.0.0.1',1491618053544,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4469,'127.0.0.1',1491618053559,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4470,'127.0.0.1',1491618053609,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4471,'127.0.0.1',1491618053632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4472,'127.0.0.1',1491618053657,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4473,'127.0.0.1',1491618053680,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4474,'127.0.0.1',1491618053705,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4475,'127.0.0.1',1491618053736,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4476,'127.0.0.1',1491618053765,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4477,'127.0.0.1',1491618053808,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4478,'127.0.0.1',1491618053834,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4479,'127.0.0.1',1491618241189,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4480,'127.0.0.1',1491618241306,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4481,'127.0.0.1',1491618241377,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4482,'127.0.0.1',1491618241404,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4483,'127.0.0.1',1491618241424,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4484,'127.0.0.1',1491618241458,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4485,'127.0.0.1',1491618241474,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4486,'127.0.0.1',1491618241489,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4487,'127.0.0.1',1491618241503,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4488,'127.0.0.1',1491618241518,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4489,'127.0.0.1',1491618241542,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4490,'127.0.0.1',1491618241584,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4491,'127.0.0.1',1491618241619,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4492,'127.0.0.1',1491618241650,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4493,'127.0.0.1',1491618241675,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4494,'127.0.0.1',1491618241711,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4495,'127.0.0.1',1491618241768,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4496,'127.0.0.1',1491618241794,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4497,'127.0.0.1',1491618241819,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4498,'127.0.0.1',1491618273576,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4499,'127.0.0.1',1491618273624,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4500,'127.0.0.1',1491618273642,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4501,'127.0.0.1',1491618273659,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4502,'127.0.0.1',1491618273679,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4503,'127.0.0.1',1491618273698,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4504,'127.0.0.1',1491618273716,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4505,'127.0.0.1',1491618273748,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4506,'127.0.0.1',1491618273763,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4507,'127.0.0.1',1491618273778,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4508,'127.0.0.1',1491618273800,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4509,'127.0.0.1',1491618273827,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4510,'127.0.0.1',1491618273858,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4511,'127.0.0.1',1491618273885,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4512,'127.0.0.1',1491618273924,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4513,'127.0.0.1',1491618273954,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4514,'127.0.0.1',1491618273998,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4515,'127.0.0.1',1491618274023,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4516,'127.0.0.1',1491618274052,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4517,'127.0.0.1',1491619060979,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4518,'127.0.0.1',1491619324371,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4519,'127.0.0.1',1491619324433,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619330675,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4520,'127.0.0.1',1491619324651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619330596,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4521,'127.0.0.1',1491619330907,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619628396,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4522,'127.0.0.1',1491619633254,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4523,'127.0.0.1',1491619633326,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619639062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4524,'127.0.0.1',1491619633590,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619639073,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4525,'127.0.0.1',1491619639276,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619681245,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4526,'127.0.0.1',1491619681447,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619689862,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4527,'127.0.0.1',1491619681689,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619689894,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4528,'127.0.0.1',1491619690989,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4529,'127.0.0.1',1491619691029,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619750440,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4530,'127.0.0.1',1491619691217,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491619750338,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4531,'127.0.0.1',1491619844960,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4532,'127.0.0.1',1491619845018,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491621632957,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4533,'127.0.0.1',1491619845200,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491621632838,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4534,'127.0.0.1',1491621634089,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4535,'127.0.0.1',1491621634146,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491621774631,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4536,'127.0.0.1',1491621634352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491621774538,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4537,'127.0.0.1',1491621776523,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4538,'127.0.0.1',1491621776580,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491621896738,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4539,'127.0.0.1',1491621776783,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491621896625,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4540,'127.0.0.1',1491621898618,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4541,'127.0.0.1',1491621898678,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622238224,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4542,'127.0.0.1',1491621899024,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622238271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4543,'127.0.0.1',1491622239550,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4544,'127.0.0.1',1491622239607,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622285360,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4545,'127.0.0.1',1491622239841,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622285293,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4546,'127.0.0.1',1491622286347,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4547,'127.0.0.1',1491622286412,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622327068,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4548,'127.0.0.1',1491622286626,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622326981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4549,'127.0.0.1',1491622328099,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4550,'127.0.0.1',1491622328153,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622609733,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4551,'127.0.0.1',1491622328383,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491622609633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4552,'127.0.0.1',1491622611018,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4553,'127.0.0.1',1491622611067,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491624964235,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4554,'127.0.0.1',1491622611266,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491624964136,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4555,'127.0.0.1',1491624965559,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4556,'127.0.0.1',1491624965615,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491625468155,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4557,'127.0.0.1',1491624965784,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491625468022,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4558,'127.0.0.1',1491625469391,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4559,'127.0.0.1',1491625469632,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491625634544,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4560,'127.0.0.1',1491625469993,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491625634586,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4561,'127.0.0.1',1491625636715,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4562,'127.0.0.1',1491625636766,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491625997195,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4563,'127.0.0.1',1491625636943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491625997064,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4564,'127.0.0.1',1491625997443,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626009714,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4565,'127.0.0.1',1491626009944,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626170659,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4566,'127.0.0.1',1491626010199,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626062745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4567,'127.0.0.1',1491626062884,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626081705,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4568,'127.0.0.1',1491626081841,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626093515,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4569,'127.0.0.1',1491626093782,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626122521,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4570,'127.0.0.1',1491626122736,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626124489,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4571,'127.0.0.1',1491626124716,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626156817,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4572,'127.0.0.1',1491626157924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626163624,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4573,'127.0.0.1',1491626163756,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626170686,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4574,'127.0.0.1',1491626170881,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491626295167,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4575,'127.0.0.1',1491626296328,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4576,'127.0.0.1',1491626296384,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4577,'127.0.0.1',1491626296607,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4578,'127.0.0.1',1491629419849,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4579,'127.0.0.1',1491629419869,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491631090394,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4580,'127.0.0.1',1491629420216,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491631090384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4581,'127.0.0.1',1491631093880,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4582,'127.0.0.1',1491631093942,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491631108402,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4583,'127.0.0.1',1491631094148,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491631096032,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4584,'127.0.0.1',1491631096298,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4585,'127.0.0.1',1491631098832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491631108368,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4586,'127.0.0.1',1491631110147,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4587,'127.0.0.1',1491631110173,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4588,'127.0.0.1',1491631110563,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','en','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4589,'127.0.0.1',1491833058506,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833064277,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4590,'127.0.0.1',1491833065139,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833204060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4591,'127.0.0.1',1491833065451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833066222,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4592,'127.0.0.1',1491833066553,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833067592,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4593,'127.0.0.1',1491833067816,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833082024,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4594,'127.0.0.1',1491833082226,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833204208,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4595,'127.0.0.1',1491833204388,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4596,'127.0.0.1',1491833204441,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833206711,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4597,'127.0.0.1',1491833206910,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833565032,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4598,'127.0.0.1',1491833207105,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833208137,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4599,'127.0.0.1',1491833208271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833211977,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4600,'127.0.0.1',1491833212194,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833213937,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4601,'127.0.0.1',1491833214028,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833224152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4602,'127.0.0.1',1491833224354,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833227680,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4603,'127.0.0.1',1491833227828,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833237472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4604,'127.0.0.1',1491833237636,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833565058,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4605,'127.0.0.1',1491833565241,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4606,'127.0.0.1',1491833565343,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833635975,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4607,'127.0.0.1',1491833636208,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833862689,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4608,'127.0.0.1',1491833862935,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491833919471,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4609,'127.0.0.1',1491833919708,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834084883,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4610,'127.0.0.1',1491834085158,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834167942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4611,'127.0.0.1',1491834085405,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834086224,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4612,'127.0.0.1',1491834086369,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834088696,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4613,'127.0.0.1',1491834088883,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834090761,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4614,'127.0.0.1',1491834090862,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834102222,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4615,'127.0.0.1',1491834102392,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834149598,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4616,'127.0.0.1',1491834149758,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834152283,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4617,'127.0.0.1',1491834152381,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834152936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4618,'127.0.0.1',1491834153074,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834153533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4619,'127.0.0.1',1491834153667,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491834167997,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4620,'127.0.0.1',1491834168184,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4621,'127.0.0.1',1491836415701,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4622,'127.0.0.1',1491836429830,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4623,'127.0.0.1',1491836430083,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4624,'127.0.0.1',1491836450701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4625,'127.0.0.1',1491836559370,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4626,'127.0.0.1',1491836559428,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491836583890,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4627,'127.0.0.1',1491836584211,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4628,'127.0.0.1',1491836584445,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491836600522,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4629,'127.0.0.1',1491836600649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4630,'127.0.0.1',1491916551616,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916556149,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4631,'127.0.0.1',1491916556586,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916831886,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4632,'127.0.0.1',1491916556750,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916557782,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4633,'127.0.0.1',1491916558030,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4634,'127.0.0.1',1491916832107,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4635,'127.0.0.1',1491916832161,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916835100,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4636,'127.0.0.1',1491916835329,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916903359,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4637,'127.0.0.1',1491916835553,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916837058,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4638,'127.0.0.1',1491916837163,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4639,'127.0.0.1',1491916904819,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4640,'127.0.0.1',1491916904879,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916907563,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4641,'127.0.0.1',1491916907751,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917076241,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4642,'127.0.0.1',1491916907958,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491916908988,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4643,'127.0.0.1',1491916909133,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4644,'127.0.0.1',1491917076439,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4645,'127.0.0.1',1491917076490,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917078757,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4646,'127.0.0.1',1491917078987,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917283899,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4647,'127.0.0.1',1491917079193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917080020,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4648,'127.0.0.1',1491917080152,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4649,'127.0.0.1',1491917104950,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4650,'127.0.0.1',1491917137840,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4651,'127.0.0.1',1491917284555,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4652,'127.0.0.1',1491917284614,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917286531,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4653,'127.0.0.1',1491917286724,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917503010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4654,'127.0.0.1',1491917286941,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917287936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4655,'127.0.0.1',1491917288041,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4656,'127.0.0.1',1491917504534,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4657,'127.0.0.1',1491917504592,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917506374,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4658,'127.0.0.1',1491917506573,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917779575,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4659,'127.0.0.1',1491917506787,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917507937,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4660,'127.0.0.1',1491917508053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4661,'127.0.0.1',1491917648521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4662,'127.0.0.1',1491917679327,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4663,'127.0.0.1',1491917701424,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4664,'127.0.0.1',1491917779773,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4665,'127.0.0.1',1491917779823,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917782611,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4666,'127.0.0.1',1491917782806,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917923221,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4667,'127.0.0.1',1491917783023,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917783964,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4668,'127.0.0.1',1491917784086,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4669,'127.0.0.1',1491917879366,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4670,'127.0.0.1',1491917924635,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4671,'127.0.0.1',1491917924694,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917926954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4672,'127.0.0.1',1491917927155,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918131785,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4673,'127.0.0.1',1491917927373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917928268,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4674,'127.0.0.1',1491917928391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917940202,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4675,'127.0.0.1',1491917954620,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4676,'127.0.0.1',1491917969631,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491917976674,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4677,'127.0.0.1',1491917984367,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4678,'127.0.0.1',1491918030477,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918033512,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4679,'127.0.0.1',1491918035720,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4680,'127.0.0.1',1491918133257,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4681,'127.0.0.1',1491918133315,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918135660,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4682,'127.0.0.1',1491918135847,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918744906,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4683,'127.0.0.1',1491918136072,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918137098,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4684,'127.0.0.1',1491918137220,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918139530,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4685,'127.0.0.1',1491918146922,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918148943,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4686,'127.0.0.1',1491918149060,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918150779,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4687,'127.0.0.1',1491918150899,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918151990,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4688,'127.0.0.1',1491918152097,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=4','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918153716,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4689,'127.0.0.1',1491918153833,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918154984,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4690,'127.0.0.1',1491918155091,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918744925,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4691,'127.0.0.1',1491918745114,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4692,'127.0.0.1',1491918745171,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918747873,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4693,'127.0.0.1',1491918748075,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918865462,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4694,'127.0.0.1',1491918748277,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918749182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4695,'127.0.0.1',1491918749319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918754866,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4696,'127.0.0.1',1491918754976,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4697,'127.0.0.1',1491918867152,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4698,'127.0.0.1',1491918867218,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918871149,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4699,'127.0.0.1',1491918871399,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919143914,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4700,'127.0.0.1',1491918871633,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918873072,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4701,'127.0.0.1',1491918873255,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491918934259,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4702,'127.0.0.1',1491918934390,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4703,'127.0.0.1',1491919144116,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4704,'127.0.0.1',1491919144183,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919146633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4705,'127.0.0.1',1491919146846,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919237708,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4706,'127.0.0.1',1491919147089,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919147891,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4707,'127.0.0.1',1491919148038,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4708,'127.0.0.1',1491919240473,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4709,'127.0.0.1',1491919240579,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919244193,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4710,'127.0.0.1',1491919244442,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919578227,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4711,'127.0.0.1',1491919244769,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919245687,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4712,'127.0.0.1',1491919245848,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919437761,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4713,'127.0.0.1',1491919583456,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4714,'127.0.0.1',1491919583571,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919734115,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4715,'127.0.0.1',1491919734407,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919862774,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4716,'127.0.0.1',1491919734846,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919735384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4717,'127.0.0.1',1491919735556,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919740499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4718,'127.0.0.1',1491919748968,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4719,'127.0.0.1',1491919863206,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4720,'127.0.0.1',1491919863264,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919866358,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4721,'127.0.0.1',1491919866571,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919975490,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4722,'127.0.0.1',1491919866799,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919867902,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4723,'127.0.0.1',1491919868035,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4724,'127.0.0.1',1491919975684,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4725,'127.0.0.1',1491919975739,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919977707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4726,'127.0.0.1',1491919977922,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920198113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4727,'127.0.0.1',1491919978156,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919979029,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4728,'127.0.0.1',1491919979157,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491919984853,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4729,'127.0.0.1',1491919992609,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4730,'127.0.0.1',1491920199188,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4731,'127.0.0.1',1491920199246,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920201944,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4732,'127.0.0.1',1491920202144,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920407513,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4733,'127.0.0.1',1491920202383,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920203411,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4734,'127.0.0.1',1491920203536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920208332,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4735,'127.0.0.1',1491920221703,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4736,'127.0.0.1',1491920407707,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4737,'127.0.0.1',1491920407756,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920410345,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4738,'127.0.0.1',1491920410557,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920869323,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4739,'127.0.0.1',1491920410778,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920412043,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4740,'127.0.0.1',1491920412155,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920415212,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4741,'127.0.0.1',1491920427290,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920449190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4742,'127.0.0.1',1491920458426,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920869341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4743,'127.0.0.1',1491920869584,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4744,'127.0.0.1',1491920869634,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920871807,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4745,'127.0.0.1',1491920872001,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920884565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4746,'127.0.0.1',1491920872204,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920873153,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4747,'127.0.0.1',1491920873299,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920878899,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4748,'127.0.0.1',1491920879891,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920884574,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4749,'127.0.0.1',1491920884762,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1491920885544,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4750,'127.0.0.1',1492087181359,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087185936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4751,'127.0.0.1',1492087193516,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087622978,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4752,'127.0.0.1',1492087193977,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087197523,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4753,'127.0.0.1',1492087197714,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4754,'127.0.0.1',1492087349560,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4755,'127.0.0.1',1492087627620,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4756,'127.0.0.1',1492087627714,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087630842,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4757,'127.0.0.1',1492087631427,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087705309,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4758,'127.0.0.1',1492087631823,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087632908,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4759,'127.0.0.1',1492087633116,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4760,'127.0.0.1',1492087711733,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4761,'127.0.0.1',1492087711851,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087714787,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4762,'127.0.0.1',1492087715270,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4763,'127.0.0.1',1492087716462,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492087717142,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4764,'127.0.0.1',1492087717714,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4765,'127.0.0.1',1492087888778,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4766,'127.0.0.1',1492088201988,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4767,'127.0.0.1',1492088247398,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4768,'127.0.0.1',1492088416212,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4769,'127.0.0.1',1492088546482,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4770,'127.0.0.1',1492088955279,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4771,'127.0.0.1',1492088955365,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4772,'127.0.0.1',1492088990970,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4773,'127.0.0.1',1492089235472,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4774,'127.0.0.1',1492089443257,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4775,'127.0.0.1',1492089536725,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4776,'127.0.0.1',1492089540795,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492089573786,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4777,'127.0.0.1',1492089627160,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4778,'127.0.0.1',1492089627260,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492089640955,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4779,'127.0.0.1',1492089627750,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492089640939,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4780,'127.0.0.1',1492089641344,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492089643833,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4781,'127.0.0.1',1492090158619,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492090163314,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4782,'127.0.0.1',1492090231065,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4783,'127.0.0.1',1492090231098,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492090232599,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4784,'127.0.0.1',1492090231701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492090232621,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4785,'127.0.0.1',1492090301932,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492090305690,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4786,'127.0.0.1',1492090845677,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492090850091,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4787,'127.0.0.1',1492090851416,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492091308036,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4788,'127.0.0.1',1492090852857,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492090853769,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4789,'127.0.0.1',1492090854373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4790,'127.0.0.1',1492091309984,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4791,'127.0.0.1',1492091310063,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492091321608,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4792,'127.0.0.1',1492091349280,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492092543982,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4793,'127.0.0.1',1492091349515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492091354282,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4794,'127.0.0.1',1492091354422,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4795,'127.0.0.1',1492092548343,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492092550716,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4796,'127.0.0.1',1492092551073,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094767608,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4797,'127.0.0.1',1492092551501,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492092552667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4798,'127.0.0.1',1492092552894,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4799,'127.0.0.1',1492094763650,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4800,'127.0.0.1',1492094765665,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094767636,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4801,'127.0.0.1',1492094768067,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4802,'127.0.0.1',1492094768139,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094771885,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4803,'127.0.0.1',1492094772615,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095007082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4804,'127.0.0.1',1492094773020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094774325,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4805,'127.0.0.1',1492094774806,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094776636,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4806,'127.0.0.1',1492094778059,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094783439,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4807,'127.0.0.1',1492094783974,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094786240,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4808,'127.0.0.1',1492094786723,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492094790418,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4809,'127.0.0.1',1492094790899,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4810,'127.0.0.1',1492095022103,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095026192,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4811,'127.0.0.1',1492095026480,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095335220,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4812,'127.0.0.1',1492095026730,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095035058,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4813,'127.0.0.1',1492095035192,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095045077,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4814,'127.0.0.1',1492095121604,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4815,'127.0.0.1',1492095244587,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4816,'127.0.0.1',1492095338376,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095341463,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4817,'127.0.0.1',1492095341721,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4818,'127.0.0.1',1492095341954,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095343133,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4819,'127.0.0.1',1492095343294,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095344780,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4820,'127.0.0.1',1492095344965,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095345573,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4821,'127.0.0.1',1492095345684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095362528,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4822,'127.0.0.1',1492095362675,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095368828,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4823,'127.0.0.1',1492095368941,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095370302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4824,'127.0.0.1',1492095370431,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095372520,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4825,'127.0.0.1',1492095372651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095381229,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4826,'127.0.0.1',1492095381320,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095386946,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4827,'127.0.0.1',1492095387052,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095389604,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4828,'127.0.0.1',1492095389714,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095396657,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4829,'127.0.0.1',1492095396758,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4830,'127.0.0.1',1492095824805,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4831,'127.0.0.1',1492095824816,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095869375,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4832,'127.0.0.1',1492095825157,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095830216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4833,'127.0.0.1',1492095830435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095836911,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4834,'127.0.0.1',1492095837950,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095842587,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4835,'127.0.0.1',1492095842673,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4836,'127.0.0.1',1492095869696,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4837,'127.0.0.1',1492095869743,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095872619,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4838,'127.0.0.1',1492095872837,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096395460,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4839,'127.0.0.1',1492095873073,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095874155,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4840,'127.0.0.1',1492095874316,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492095878753,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4841,'127.0.0.1',1492095878843,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4842,'127.0.0.1',1492096397748,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096400405,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4843,'127.0.0.1',1492096400656,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096494219,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4844,'127.0.0.1',1492096400907,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096401883,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4845,'127.0.0.1',1492096402010,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096405064,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4846,'127.0.0.1',1492096405192,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4847,'127.0.0.1',1492096495371,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096498933,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4848,'127.0.0.1',1492096499175,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096601816,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4849,'127.0.0.1',1492096499411,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096504313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4850,'127.0.0.1',1492096504457,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096507220,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4851,'127.0.0.1',1492096507382,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4852,'127.0.0.1',1492096603095,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096605886,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4853,'127.0.0.1',1492096606128,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096696844,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4854,'127.0.0.1',1492096606372,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096607445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4855,'127.0.0.1',1492096607585,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096611198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4856,'127.0.0.1',1492096611316,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4857,'127.0.0.1',1492096698177,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096701886,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4858,'127.0.0.1',1492096702129,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096797610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4859,'127.0.0.1',1492096702357,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096703752,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4860,'127.0.0.1',1492096703917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096706089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4861,'127.0.0.1',1492096706209,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4862,'127.0.0.1',1492096798799,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096802009,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4863,'127.0.0.1',1492096802256,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097112465,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4864,'127.0.0.1',1492096802472,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096803465,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4865,'127.0.0.1',1492096803603,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492096806497,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4866,'127.0.0.1',1492096806610,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097112494,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4867,'127.0.0.1',1492097113768,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097117641,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4868,'127.0.0.1',1492097117890,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097197131,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4869,'127.0.0.1',1492097118178,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097119280,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4870,'127.0.0.1',1492097119409,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097122422,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4871,'127.0.0.1',1492097122521,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097197153,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4872,'127.0.0.1',1492097210005,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097213030,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4873,'127.0.0.1',1492097213278,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097297579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4874,'127.0.0.1',1492097213508,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097214525,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4875,'127.0.0.1',1492097214687,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097221791,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4876,'127.0.0.1',1492097224381,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4877,'127.0.0.1',1492097298881,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097301505,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4878,'127.0.0.1',1492097301749,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097377473,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4879,'127.0.0.1',1492097302003,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097303103,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4880,'127.0.0.1',1492097303232,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097306639,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4881,'127.0.0.1',1492097306787,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4882,'127.0.0.1',1492097378650,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097382617,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4883,'127.0.0.1',1492097382870,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097487640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4884,'127.0.0.1',1492097383123,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097384401,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4885,'127.0.0.1',1492097384512,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097387373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4886,'127.0.0.1',1492097387491,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4887,'127.0.0.1',1492097488853,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097492452,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4888,'127.0.0.1',1492097492700,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098424163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4889,'127.0.0.1',1492097492992,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097495656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4890,'127.0.0.1',1492097495774,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097498042,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4891,'127.0.0.1',1492097498150,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492097501499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4892,'127.0.0.1',1492097501592,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098424195,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4893,'127.0.0.1',1492098425858,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098431403,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4894,'127.0.0.1',1492098431642,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098619851,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4895,'127.0.0.1',1492098431902,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098433224,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4896,'127.0.0.1',1492098433349,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098436795,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4897,'127.0.0.1',1492098436905,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098441280,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4898,'127.0.0.1',1492098441396,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098445887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4899,'127.0.0.1',1492098445983,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098457147,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4900,'127.0.0.1',1492098457242,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098619864,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4901,'127.0.0.1',1492098621171,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098625289,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4902,'127.0.0.1',1492098625538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4903,'127.0.0.1',1492098625799,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098636736,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4904,'127.0.0.1',1492098636871,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098642879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4905,'127.0.0.1',1492098643011,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492098656852,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4906,'127.0.0.1',1492098656970,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4907,'127.0.0.1',1492128999632,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129004759,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4908,'127.0.0.1',1492129005059,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129115132,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4909,'127.0.0.1',1492129005259,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129006436,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4910,'127.0.0.1',1492129006600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129009593,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4911,'127.0.0.1',1492129009699,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129013640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4912,'127.0.0.1',1492129013828,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129019212,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4913,'127.0.0.1',1492129019348,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129115169,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4914,'127.0.0.1',1492129116515,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129119936,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4915,'127.0.0.1',1492129120172,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129508452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4916,'127.0.0.1',1492129120385,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129121442,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4917,'127.0.0.1',1492129121617,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129127300,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4918,'127.0.0.1',1492129160872,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129165887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4919,'127.0.0.1',1492129223011,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129442437,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4920,'127.0.0.1',1492129297453,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4921,'127.0.0.1',1492129474468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4922,'127.0.0.1',1492129488510,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4923,'127.0.0.1',1492129510030,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4924,'127.0.0.1',1492129510047,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129735682,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4925,'127.0.0.1',1492129510218,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129511912,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4926,'127.0.0.1',1492129512155,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129517955,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4927,'127.0.0.1',1492129518052,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129525893,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4928,'127.0.0.1',1492129550006,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129639729,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4929,'127.0.0.1',1492129639858,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129643840,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4930,'127.0.0.1',1492129644146,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129649666,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4931,'127.0.0.1',1492129649768,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129652017,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4932,'127.0.0.1',1492129652121,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129654765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4933,'127.0.0.1',1492129654910,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129656648,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4934,'127.0.0.1',1492129656895,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129669186,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4935,'127.0.0.1',1492129669410,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129735696,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4936,'127.0.0.1',1492129738046,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129740786,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4937,'127.0.0.1',1492129741035,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129846808,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4938,'127.0.0.1',1492129741274,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129742445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4939,'127.0.0.1',1492129742582,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129744700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4940,'127.0.0.1',1492129744848,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129755195,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4941,'127.0.0.1',1492129755363,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129779271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4942,'127.0.0.1',1492129779386,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129788850,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4943,'127.0.0.1',1492129789022,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129813823,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4944,'127.0.0.1',1492129813923,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129824794,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4945,'127.0.0.1',1492129845196,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129846783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4946,'127.0.0.1',1492129848608,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129855620,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4947,'127.0.0.1',1492129855798,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129951167,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4948,'127.0.0.1',1492129856037,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129856914,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4949,'127.0.0.1',1492129857087,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129858915,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4950,'127.0.0.1',1492129859053,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129867569,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4951,'127.0.0.1',1492129867716,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129870991,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4952,'127.0.0.1',1492129871114,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129881579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4953,'127.0.0.1',1492129952246,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129954958,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4954,'127.0.0.1',1492129955212,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492130060561,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4955,'127.0.0.1',1492129955438,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129956280,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4956,'127.0.0.1',1492129956418,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129959083,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4957,'127.0.0.1',1492129959214,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129971486,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4958,'127.0.0.1',1492129971636,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492129980964,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4959,'127.0.0.1',1492129981107,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492130060604,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4960,'127.0.0.1',1492130061575,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492130063989,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4961,'127.0.0.1',1492130064242,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134620497,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4962,'127.0.0.1',1492130064484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492130066407,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4963,'127.0.0.1',1492130066522,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492130072094,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4964,'127.0.0.1',1492130222633,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134620497,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4965,'127.0.0.1',1492134621646,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134624732,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4966,'127.0.0.1',1492134625076,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134707157,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4967,'127.0.0.1',1492134625308,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134626534,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4968,'127.0.0.1',1492134626697,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134629471,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4969,'127.0.0.1',1492134629641,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134707196,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4970,'127.0.0.1',1492134707369,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134711064,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4971,'127.0.0.1',1492134711250,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137579193,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4972,'127.0.0.1',1492134711483,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134719663,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4973,'127.0.0.1',1492134719782,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134726559,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4974,'127.0.0.1',1492134741231,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492134743903,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4975,'127.0.0.1',1492137580854,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137585030,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4976,'127.0.0.1',1492137585394,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4977,'127.0.0.1',1492137585610,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137586901,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4978,'127.0.0.1',1492137587062,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137591587,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4979,'127.0.0.1',1492137591770,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137635104,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4980,'127.0.0.1',1492137637042,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137640169,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4981,'127.0.0.1',1492137640387,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137704628,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4982,'127.0.0.1',1492137640615,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137641549,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4983,'127.0.0.1',1492137641705,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137645933,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4984,'127.0.0.1',1492137646112,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137650547,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4985,'127.0.0.1',1492137650695,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137704667,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4986,'127.0.0.1',1492137704877,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4987,'127.0.0.1',1492137704928,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137707892,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4988,'127.0.0.1',1492137708103,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137725816,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4989,'127.0.0.1',1492137708327,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137709401,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4990,'127.0.0.1',1492137709573,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137715564,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4991,'127.0.0.1',1492137715726,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137721045,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4992,'127.0.0.1',1492137721192,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4993,'127.0.0.1',1492137721205,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137725848,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4994,'127.0.0.1',1492137725985,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492137729057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4995,'127.0.0.1',1492137729240,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138281371,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4996,'127.0.0.1',1492138295424,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138297745,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4997,'127.0.0.1',1492138297979,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138316830,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4998,'127.0.0.1',1492138298215,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138299137,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (4999,'127.0.0.1',1492138299281,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138310151,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5000,'127.0.0.1',1492138310327,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138313872,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5001,'127.0.0.1',1492138314019,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5002,'127.0.0.1',1492138314035,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138316881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5003,'127.0.0.1',1492138317003,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5004,'127.0.0.1',1492138317014,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138320094,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5005,'127.0.0.1',1492138320266,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5006,'127.0.0.1',1492138320288,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138333118,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5007,'127.0.0.1',1492138333322,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138426694,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5008,'127.0.0.1',1492138333604,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138334912,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5009,'127.0.0.1',1492138335035,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138426762,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5010,'127.0.0.1',1492138428259,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138431480,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5011,'127.0.0.1',1492138431722,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138734597,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5012,'127.0.0.1',1492138431948,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138432947,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5013,'127.0.0.1',1492138433120,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138437455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5014,'127.0.0.1',1492138437621,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138440159,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5015,'127.0.0.1',1492138440307,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138448266,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5016,'127.0.0.1',1492138448379,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138451130,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5017,'127.0.0.1',1492138451364,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138453997,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5018,'127.0.0.1',1492138454149,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138462297,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5019,'127.0.0.1',1492138462473,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138465360,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5020,'127.0.0.1',1492138465466,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138562416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5021,'127.0.0.1',1492138562516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138565674,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5022,'127.0.0.1',1492138565785,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138567807,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5023,'127.0.0.1',1492138568023,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138575607,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5024,'127.0.0.1',1492138735890,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138738620,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5025,'127.0.0.1',1492138738858,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138834108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5026,'127.0.0.1',1492138739069,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138740229,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5027,'127.0.0.1',1492138740391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138743474,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5028,'127.0.0.1',1492138743714,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138831526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5029,'127.0.0.1',1492138831661,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5030,'127.0.0.1',1492138832403,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138834146,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5031,'127.0.0.1',1492138834275,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5032,'127.0.0.1',1492138834289,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138837101,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5033,'127.0.0.1',1492138837296,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138965307,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5034,'127.0.0.1',1492138837507,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138838851,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5035,'127.0.0.1',1492138838961,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138842792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5036,'127.0.0.1',1492138842895,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138920094,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5037,'127.0.0.1',1492138920246,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138921857,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5038,'127.0.0.1',1492138921975,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5039,'127.0.0.1',1492138940505,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138942173,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5040,'127.0.0.1',1492138942311,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138956977,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5041,'127.0.0.1',1492138957527,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5042,'127.0.0.1',1492138957535,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138965338,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5043,'127.0.0.1',1492138965485,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138968012,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5044,'127.0.0.1',1492138968210,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139068458,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5045,'127.0.0.1',1492138968430,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138969531,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5046,'127.0.0.1',1492138969649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138978644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5047,'127.0.0.1',1492138978853,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138982129,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5048,'127.0.0.1',1492138982215,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492138985000,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5049,'127.0.0.1',1492138985112,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139016649,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5050,'127.0.0.1',1492139064923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5051,'127.0.0.1',1492139065019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139068487,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5052,'127.0.0.1',1492139071642,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139078803,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5053,'127.0.0.1',1492139079007,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139321209,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5054,'127.0.0.1',1492139079243,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139080517,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5055,'127.0.0.1',1492139080651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139088353,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5056,'127.0.0.1',1492139088459,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5057,'127.0.0.1',1492139103128,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139113812,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5058,'127.0.0.1',1492139113996,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139118313,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5059,'127.0.0.1',1492139334466,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139336828,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5060,'127.0.0.1',1492139337082,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139364336,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5061,'127.0.0.1',1492139337324,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139344733,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5062,'127.0.0.1',1492139344870,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139346365,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5063,'127.0.0.1',1492139346501,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139349727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5064,'127.0.0.1',1492139383165,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139385617,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5065,'127.0.0.1',1492139385859,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139467435,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5066,'127.0.0.1',1492139386114,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139387232,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5067,'127.0.0.1',1492139387342,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139389541,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5068,'127.0.0.1',1492139389672,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139391080,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5069,'127.0.0.1',1492139391186,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139396347,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5070,'127.0.0.1',1492139396526,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5071,'127.0.0.1',1492139396538,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5072,'127.0.0.1',1492139467635,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5073,'127.0.0.1',1492139467688,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139470065,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5074,'127.0.0.1',1492139470289,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139491416,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5075,'127.0.0.1',1492139470512,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139471537,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5076,'127.0.0.1',1492139471644,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139474205,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5077,'127.0.0.1',1492139474390,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139478067,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5078,'127.0.0.1',1492139491593,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139524117,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5079,'127.0.0.1',1492139491834,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139493256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5080,'127.0.0.1',1492139493442,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139524138,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5081,'127.0.0.1',1492139524777,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5082,'127.0.0.1',1492139524829,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139527425,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5083,'127.0.0.1',1492139527639,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139577281,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5084,'127.0.0.1',1492139527837,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139529082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5085,'127.0.0.1',1492139529255,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139530981,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5086,'127.0.0.1',1492139531088,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139533881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5087,'127.0.0.1',1492139577460,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5088,'127.0.0.1',1492139577506,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139580058,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5089,'127.0.0.1',1492139580291,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139624269,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5090,'127.0.0.1',1492139580535,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139581458,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5091,'127.0.0.1',1492139581585,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139592386,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5092,'127.0.0.1',1492139592545,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139594056,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5093,'127.0.0.1',1492139594209,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5094,'127.0.0.1',1492139594231,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139624314,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5095,'127.0.0.1',1492139625433,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5096,'127.0.0.1',1492139625486,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139629555,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5097,'127.0.0.1',1492139629771,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139758567,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5098,'127.0.0.1',1492139629999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139631338,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5099,'127.0.0.1',1492139631437,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139633051,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5100,'127.0.0.1',1492139633182,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139634820,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5101,'127.0.0.1',1492139634987,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139668206,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5102,'127.0.0.1',1492139668318,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139689366,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5103,'127.0.0.1',1492139758770,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140072615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5104,'127.0.0.1',1492139759040,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139760493,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5105,'127.0.0.1',1492139760635,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139764952,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5106,'127.0.0.1',1492139765055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139767531,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5107,'127.0.0.1',1492139767686,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139774581,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5108,'127.0.0.1',1492139774753,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492139779186,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5109,'127.0.0.1',1492139779308,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140070792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5110,'127.0.0.1',1492140070953,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5111,'127.0.0.1',1492140071029,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140072528,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5112,'127.0.0.1',1492140072780,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5113,'127.0.0.1',1492140072793,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140075347,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5114,'127.0.0.1',1492140075563,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140556765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5115,'127.0.0.1',1492140075806,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140076673,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5116,'127.0.0.1',1492140076779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140080243,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5117,'127.0.0.1',1492140080380,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140094777,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5118,'127.0.0.1',1492140094949,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140556805,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5119,'127.0.0.1',1492140556979,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141109662,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5120,'127.0.0.1',1492140557204,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140558743,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5121,'127.0.0.1',1492140558903,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140560677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5122,'127.0.0.1',1492140560835,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140597284,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5123,'127.0.0.1',1492140598164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140599734,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5124,'127.0.0.1',1492140599866,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140681838,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5125,'127.0.0.1',1492140681957,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140683475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5126,'127.0.0.1',1492140683601,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140692286,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5127,'127.0.0.1',1492140692666,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492140694976,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5128,'127.0.0.1',1492140695064,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141109691,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5129,'127.0.0.1',1492141111148,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5130,'127.0.0.1',1492141111200,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141113545,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5131,'127.0.0.1',1492141113758,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141218806,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5132,'127.0.0.1',1492141113989,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141114935,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5133,'127.0.0.1',1492141115041,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141117190,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5134,'127.0.0.1',1492141117314,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141121347,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5135,'127.0.0.1',1492141122297,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141124236,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5136,'127.0.0.1',1492141124339,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141218831,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5137,'127.0.0.1',1492141219021,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5138,'127.0.0.1',1492141219080,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141220909,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5139,'127.0.0.1',1492141221142,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141263869,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5140,'127.0.0.1',1492141221389,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141222427,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5141,'127.0.0.1',1492141222536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141222949,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5142,'127.0.0.1',1492141223091,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141224463,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5143,'127.0.0.1',1492141224590,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141229763,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5144,'127.0.0.1',1492141229940,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141263901,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5145,'127.0.0.1',1492141265310,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5146,'127.0.0.1',1492141265372,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141267626,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5147,'127.0.0.1',1492141267845,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141420650,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5148,'127.0.0.1',1492141268094,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141269040,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5149,'127.0.0.1',1492141269154,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141270438,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5150,'127.0.0.1',1492141270602,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141274219,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5151,'127.0.0.1',1492141421706,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5152,'127.0.0.1',1492141421757,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141423842,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5153,'127.0.0.1',1492141424110,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141637717,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5154,'127.0.0.1',1492141424344,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141425210,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5155,'127.0.0.1',1492141425322,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141426606,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5156,'127.0.0.1',1492141426791,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141430637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5157,'127.0.0.1',1492141431596,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141436257,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5158,'127.0.0.1',1492141436414,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/user_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141471633,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5159,'127.0.0.1',1492141471784,'http://localhost:9080/persistence2-web-example/sys/user_detail.jsp?a=ud01&id=38','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141637745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5160,'127.0.0.1',1492141637931,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5161,'127.0.0.1',1492141637987,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141640730,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5162,'127.0.0.1',1492141640973,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141807986,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5163,'127.0.0.1',1492141641210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141642799,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5164,'127.0.0.1',1492141642909,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141662383,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5165,'127.0.0.1',1492141662495,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5166,'127.0.0.1',1492141808743,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5167,'127.0.0.1',1492141808794,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141810984,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5168,'127.0.0.1',1492141811215,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145018960,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5169,'127.0.0.1',1492141811440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141813235,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5170,'127.0.0.1',1492141813350,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141816108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5171,'127.0.0.1',1492141816238,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141818973,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5172,'127.0.0.1',1492141819071,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141822719,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5173,'127.0.0.1',1492141822814,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141825038,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5174,'127.0.0.1',1492141825238,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141827731,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5175,'127.0.0.1',1492141827872,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141917259,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5176,'127.0.0.1',1492141917415,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141920668,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5177,'127.0.0.1',1492141921556,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141923895,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5178,'127.0.0.1',1492141924011,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141926871,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5179,'127.0.0.1',1492141926994,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141930677,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5180,'127.0.0.1',1492141930792,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141933113,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5181,'127.0.0.1',1492141933252,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141937284,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5182,'127.0.0.1',1492141937393,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141939952,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5183,'127.0.0.1',1492141940124,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492141942095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5184,'127.0.0.1',1492141942196,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145016839,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5185,'127.0.0.1',1492145017202,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5186,'127.0.0.1',1492145017261,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145018898,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5187,'127.0.0.1',1492145019119,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5188,'127.0.0.1',1492145019127,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145022521,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5189,'127.0.0.1',1492145022711,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145314691,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5190,'127.0.0.1',1492145022946,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145024015,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5191,'127.0.0.1',1492145024130,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145027576,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5192,'127.0.0.1',1492145027710,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145032379,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5193,'127.0.0.1',1492145032509,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145035966,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5194,'127.0.0.1',1492145036146,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145039176,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5195,'127.0.0.1',1492145039382,'http://localhost:9080/persistence2-web-example/sys/role.jsp?a=r01','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145043707,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5196,'127.0.0.1',1492145043832,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145152373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5197,'127.0.0.1',1492145152517,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145154265,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5198,'127.0.0.1',1492145154657,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145157001,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5199,'127.0.0.1',1492145157130,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145159584,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5200,'127.0.0.1',1492145159874,'http://localhost:9080/persistence2-web-example/sys/role.jsp?a=r02&id=13','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145163644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5201,'127.0.0.1',1492145163821,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145175216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5202,'127.0.0.1',1492145175383,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145177666,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5203,'127.0.0.1',1492145177817,'http://localhost:9080/persistence2-web-example/sys/role.jsp?a=r01','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145186200,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5204,'127.0.0.1',1492145186301,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145189384,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5205,'127.0.0.1',1492145189615,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145193748,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5206,'127.0.0.1',1492145193932,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145313103,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5207,'127.0.0.1',1492145313221,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5208,'127.0.0.1',1492145313295,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145314726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5209,'127.0.0.1',1492145314861,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5210,'127.0.0.1',1492145314883,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145317935,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5211,'127.0.0.1',1492145318138,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145406003,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5212,'127.0.0.1',1492145318395,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145319923,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5213,'127.0.0.1',1492145320044,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145321350,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5214,'127.0.0.1',1492145321480,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145324148,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5215,'127.0.0.1',1492145324332,'http://localhost:9080/persistence2-web-example/sys/role.jsp?a=r01','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145326907,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5216,'127.0.0.1',1492145326997,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145329220,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5217,'127.0.0.1',1492145329397,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145332430,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5218,'127.0.0.1',1492145332588,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145336628,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5219,'127.0.0.1',1492145336748,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145339056,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5220,'127.0.0.1',1492145339270,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145341810,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5221,'127.0.0.1',1492145341893,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145344311,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5222,'127.0.0.1',1492145344526,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145347109,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5223,'127.0.0.1',1492145347263,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145351332,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5224,'127.0.0.1',1492145351420,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145353576,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5225,'127.0.0.1',1492145353764,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145356046,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5226,'127.0.0.1',1492145356215,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145406035,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5227,'127.0.0.1',1492145406198,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5228,'127.0.0.1',1492145406215,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145408427,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5229,'127.0.0.1',1492145408617,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145743792,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5230,'127.0.0.1',1492145408879,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145410062,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5231,'127.0.0.1',1492145410162,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145479797,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5232,'127.0.0.1',1492145479898,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145562714,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5233,'127.0.0.1',1492145562876,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145565065,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5234,'127.0.0.1',1492145565372,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145628643,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5235,'127.0.0.1',1492145628781,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145630157,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5236,'127.0.0.1',1492145630276,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145639312,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5237,'127.0.0.1',1492145639561,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145646503,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5238,'127.0.0.1',1492145646625,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145742077,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5239,'127.0.0.1',1492145742253,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5240,'127.0.0.1',1492145742419,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145743817,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5241,'127.0.0.1',1492145743949,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5242,'127.0.0.1',1492145743962,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145746161,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5243,'127.0.0.1',1492145746382,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5244,'127.0.0.1',1492145746662,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145747549,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5245,'127.0.0.1',1492145747665,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145752438,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5246,'127.0.0.1',1492145752565,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145758063,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5247,'127.0.0.1',1492145758187,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145760609,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5248,'127.0.0.1',1492145760724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145763774,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5249,'127.0.0.1',1492145764014,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145768339,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5250,'127.0.0.1',1492145768468,'http://localhost:9080/persistence2-web-example/sys/users_detail.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145770075,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5251,'127.0.0.1',1492145770183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145776779,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5252,'127.0.0.1',1492145776891,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145781880,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5253,'127.0.0.1',1492145782008,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145784082,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5254,'127.0.0.1',1492145784177,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145814579,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5255,'127.0.0.1',1492145814685,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145820840,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5256,'127.0.0.1',1492145820955,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145823425,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5257,'127.0.0.1',1492145823614,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145826473,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5258,'127.0.0.1',1492145826566,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145864996,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5259,'127.0.0.1',1492145865111,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145866940,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5260,'127.0.0.1',1492145867079,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145876367,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5261,'127.0.0.1',1492145941580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145943925,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5262,'127.0.0.1',1492145944079,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492145945588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5263,'127.0.0.1',1492145945685,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5264,'127.0.0.1',1492146447350,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146449658,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5265,'127.0.0.1',1492146449929,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146591126,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5266,'127.0.0.1',1492146450166,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146451824,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5267,'127.0.0.1',1492146451953,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146459407,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5268,'127.0.0.1',1492146459581,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146461198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5269,'127.0.0.1',1492146461305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146462710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5270,'127.0.0.1',1492146462869,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146465382,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5271,'127.0.0.1',1492146465535,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146466879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5272,'127.0.0.1',1492146466984,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146469884,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5273,'127.0.0.1',1492146470089,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146474958,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5274,'127.0.0.1',1492146475048,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146477187,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5275,'127.0.0.1',1492146477338,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146480017,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5276,'127.0.0.1',1492146480141,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146482340,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5277,'127.0.0.1',1492146482536,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146485170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5278,'127.0.0.1',1492146485321,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146589254,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5279,'127.0.0.1',1492146589413,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5280,'127.0.0.1',1492146589485,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146591152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5281,'127.0.0.1',1492146591295,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5282,'127.0.0.1',1492146591310,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146594044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5283,'127.0.0.1',1492146594232,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146725093,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5284,'127.0.0.1',1492146594440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146607256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5285,'127.0.0.1',1492146607387,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146608552,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5286,'127.0.0.1',1492146608693,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146610396,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5287,'127.0.0.1',1492146610520,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146612380,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5288,'127.0.0.1',1492146612522,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146616565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5289,'127.0.0.1',1492146616704,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146618856,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5290,'127.0.0.1',1492146619023,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146621916,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5291,'127.0.0.1',1492146622066,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146625551,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5292,'127.0.0.1',1492146625694,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146627411,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5293,'127.0.0.1',1492146627580,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146630679,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5294,'127.0.0.1',1492146630866,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146639304,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5295,'127.0.0.1',1492146639438,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146642910,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5296,'127.0.0.1',1492146643046,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146725115,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5297,'127.0.0.1',1492146725309,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5298,'127.0.0.1',1492146725365,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146726878,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5299,'127.0.0.1',1492146727109,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147068275,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5300,'127.0.0.1',1492146727325,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146729647,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5301,'127.0.0.1',1492146729765,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146737560,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5302,'127.0.0.1',1492146737778,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146748445,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5303,'127.0.0.1',1492146749412,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146877934,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5304,'127.0.0.1',1492146878052,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146889012,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5305,'127.0.0.1',1492146889237,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=38','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146893216,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5306,'127.0.0.1',1492146893311,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146898913,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5307,'127.0.0.1',1492146899041,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146903397,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5308,'127.0.0.1',1492146903510,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146976359,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5309,'127.0.0.1',1492146976471,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146978889,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5310,'127.0.0.1',1492146979008,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146981032,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5311,'127.0.0.1',1492146981151,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146983918,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5312,'127.0.0.1',1492146984080,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146985879,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5313,'127.0.0.1',1492146985975,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146987878,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5314,'127.0.0.1',1492146988043,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146990732,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5315,'127.0.0.1',1492146990833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492146993514,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5316,'127.0.0.1',1492146993681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147068311,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5317,'127.0.0.1',1492147068532,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5318,'127.0.0.1',1492147068588,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147071187,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5319,'127.0.0.1',1492147071419,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147073547,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5320,'127.0.0.1',1492147071649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147073550,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5321,'127.0.0.1',1492147073736,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147075727,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5322,'127.0.0.1',1492147075916,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147676613,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5323,'127.0.0.1',1492147076111,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147077710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5324,'127.0.0.1',1492147077826,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147406128,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5325,'127.0.0.1',1492147081734,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5326,'127.0.0.1',1492147406291,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147407745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5327,'127.0.0.1',1492147407982,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147411954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5328,'127.0.0.1',1492147412997,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147419497,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5329,'127.0.0.1',1492147428946,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147431871,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5330,'127.0.0.1',1492147431970,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147433637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5331,'127.0.0.1',1492147433752,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147435327,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5332,'127.0.0.1',1492147435443,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147438432,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5333,'127.0.0.1',1492147438624,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147444772,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5334,'127.0.0.1',1492147444863,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147446843,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5335,'127.0.0.1',1492147446983,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147449330,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5336,'127.0.0.1',1492147449440,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147480555,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5337,'127.0.0.1',1492147480698,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147482631,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5338,'127.0.0.1',1492147482744,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147484123,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5339,'127.0.0.1',1492147484270,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147485818,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5340,'127.0.0.1',1492147485926,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147487085,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5341,'127.0.0.1',1492147487218,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147676616,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5342,'127.0.0.1',1492147676793,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148131145,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5343,'127.0.0.1',1492147677020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147678590,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5344,'127.0.0.1',1492147678727,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147684644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5345,'127.0.0.1',1492147685034,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147686846,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5346,'127.0.0.1',1492147686973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147688536,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5347,'127.0.0.1',1492147688645,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147704804,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5348,'127.0.0.1',1492147704937,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147735449,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5349,'127.0.0.1',1492147735791,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147739778,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5350,'127.0.0.1',1492147740117,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147823987,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5351,'127.0.0.1',1492147824140,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147827225,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5352,'127.0.0.1',1492147827486,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492147829055,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5353,'127.0.0.1',1492147829180,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148036618,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5354,'127.0.0.1',1492148036734,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148042148,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5355,'127.0.0.1',1492148042503,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148131192,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5356,'127.0.0.1',1492148131368,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5357,'127.0.0.1',1492148131415,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148132782,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5358,'127.0.0.1',1492148132984,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157146083,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5359,'127.0.0.1',1492148133226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148134043,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5360,'127.0.0.1',1492148134148,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148135926,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5361,'127.0.0.1',1492148136054,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148141683,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5362,'127.0.0.1',1492148141869,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148145881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5363,'127.0.0.1',1492148146029,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148149153,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5364,'127.0.0.1',1492148149334,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148151783,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5365,'127.0.0.1',1492148151922,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148154766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5366,'127.0.0.1',1492148154964,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148157475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5367,'127.0.0.1',1492148157632,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148160619,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5368,'127.0.0.1',1492148160745,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148163501,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5369,'127.0.0.1',1492148163651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148165198,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5370,'127.0.0.1',1492148165344,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148167302,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5371,'127.0.0.1',1492148167404,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148168926,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5372,'127.0.0.1',1492148169092,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148171207,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5373,'127.0.0.1',1492148171363,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148174087,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5374,'127.0.0.1',1492148174234,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148211101,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5375,'127.0.0.1',1492148211203,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148213558,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5376,'127.0.0.1',1492148213674,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148215458,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5377,'127.0.0.1',1492148215578,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492148217456,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5378,'127.0.0.1',1492148217567,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157146118,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5379,'127.0.0.1',1492157146290,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5380,'127.0.0.1',1492157146297,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157147969,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5381,'127.0.0.1',1492157148303,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157339861,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5382,'127.0.0.1',1492157148552,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157149634,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5383,'127.0.0.1',1492157149743,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157153492,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5384,'127.0.0.1',1492157153624,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157154565,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5385,'127.0.0.1',1492157154685,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157155387,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5386,'127.0.0.1',1492157155505,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157156161,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5387,'127.0.0.1',1492157156305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157162849,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5388,'127.0.0.1',1492157162999,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157171214,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5389,'127.0.0.1',1492157171394,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5390,'127.0.0.1',1492157340060,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5391,'127.0.0.1',1492157340108,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157343122,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5392,'127.0.0.1',1492157343407,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158452656,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5393,'127.0.0.1',1492157343643,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157344746,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5394,'127.0.0.1',1492157344852,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157346962,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5395,'127.0.0.1',1492157347095,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157351239,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5396,'127.0.0.1',1492157419958,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157424685,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5397,'127.0.0.1',1492157424836,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157472314,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5398,'127.0.0.1',1492157472415,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157474160,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5399,'127.0.0.1',1492157474255,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157485069,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5400,'127.0.0.1',1492157715507,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492157728870,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5401,'127.0.0.1',1492157729027,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158007616,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5402,'127.0.0.1',1492158007714,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158451640,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5403,'127.0.0.1',1492158452828,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5404,'127.0.0.1',1492158452890,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158456043,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5405,'127.0.0.1',1492158456267,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158594203,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5406,'127.0.0.1',1492158460933,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158463409,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5407,'127.0.0.1',1492158463542,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158473874,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5408,'127.0.0.1',1492158474010,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158475455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5409,'127.0.0.1',1492158599152,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5410,'127.0.0.1',1492158599218,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158601344,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5411,'127.0.0.1',1492158601589,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158982361,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5412,'127.0.0.1',1492158601849,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158602956,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5413,'127.0.0.1',1492158603083,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158605345,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5414,'127.0.0.1',1492158605498,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158607621,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5415,'127.0.0.1',1492158612363,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158617661,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5416,'127.0.0.1',1492158617821,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158619510,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5417,'127.0.0.1',1492158619676,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158623429,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5418,'127.0.0.1',1492158623576,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158628085,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5419,'127.0.0.1',1492158980913,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5420,'127.0.0.1',1492158980981,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158982396,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5421,'127.0.0.1',1492158982543,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5422,'127.0.0.1',1492158982559,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158988990,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5423,'127.0.0.1',1492158989220,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5424,'127.0.0.1',1492158989460,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158990626,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5425,'127.0.0.1',1492158990743,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158994373,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5426,'127.0.0.1',1492158994475,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492158998341,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5427,'127.0.0.1',1492159022841,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159212406,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5428,'127.0.0.1',1492159212593,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5429,'127.0.0.1',1492159212641,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159214475,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5430,'127.0.0.1',1492159214676,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159449971,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5431,'127.0.0.1',1492159214879,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159216152,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5432,'127.0.0.1',1492159216259,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159218521,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5433,'127.0.0.1',1492159218659,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159221095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5434,'127.0.0.1',1492159221285,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159223887,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5435,'127.0.0.1',1492159224002,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159226827,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5436,'127.0.0.1',1492159227011,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159229910,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5437,'127.0.0.1',1492159230061,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159232335,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5438,'127.0.0.1',1492159232486,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159235244,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5439,'127.0.0.1',1492159235402,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159241745,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5440,'127.0.0.1',1492159241840,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159245288,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5441,'127.0.0.1',1492159245455,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159251146,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5442,'127.0.0.1',1492159251299,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159252256,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5443,'127.0.0.1',1492159252371,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159253135,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5444,'127.0.0.1',1492159253267,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159253825,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5445,'127.0.0.1',1492159253939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159255942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5446,'127.0.0.1',1492159256057,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159257679,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5447,'127.0.0.1',1492159257801,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159261209,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5448,'127.0.0.1',1492159261316,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159263203,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5449,'127.0.0.1',1492159263355,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159264995,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5450,'127.0.0.1',1492159265114,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159266766,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5451,'127.0.0.1',1492159266927,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159268004,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5452,'127.0.0.1',1492159268122,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159269819,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5453,'127.0.0.1',1492159269941,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159271237,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5454,'127.0.0.1',1492159271340,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159272952,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5455,'127.0.0.1',1492159273058,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159275326,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5456,'127.0.0.1',1492159275429,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159449975,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5457,'127.0.0.1',1492159451198,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5458,'127.0.0.1',1492159451247,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159452597,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5459,'127.0.0.1',1492159452833,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159847585,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5460,'127.0.0.1',1492159453073,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159454224,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5461,'127.0.0.1',1492159454332,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159456456,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5462,'127.0.0.1',1492159457487,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159459010,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5463,'127.0.0.1',1492159459102,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159460502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5464,'127.0.0.1',1492159460633,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159464316,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5465,'127.0.0.1',1492159464433,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159467570,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5466,'127.0.0.1',1492159467690,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159470003,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5467,'127.0.0.1',1492159470181,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159472089,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5468,'127.0.0.1',1492159472183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159473168,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5469,'127.0.0.1',1492159473296,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159474799,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5470,'127.0.0.1',1492159474914,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/role.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159477643,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5471,'127.0.0.1',1492159477852,'http://localhost:9080/persistence2-web-example/sys/role.jsp?a=r01','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159480644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5472,'127.0.0.1',1492159480792,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159483066,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5473,'127.0.0.1',1492159483297,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159484776,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5474,'127.0.0.1',1492159484869,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159489676,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5475,'127.0.0.1',1492159489868,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159491694,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5476,'127.0.0.1',1492159491792,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159494726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5477,'127.0.0.1',1492159494844,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159498349,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5478,'127.0.0.1',1492159498534,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159500661,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5479,'127.0.0.1',1492159500749,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159503644,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5480,'127.0.0.1',1492159503810,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159507312,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5481,'127.0.0.1',1492159507492,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159510155,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5482,'127.0.0.1',1492159510246,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159513942,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5483,'127.0.0.1',1492159514129,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=39','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159516906,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5484,'127.0.0.1',1492159517012,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159519170,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5485,'127.0.0.1',1492159519349,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159521021,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5486,'127.0.0.1',1492159521128,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159523244,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5487,'127.0.0.1',1492159523395,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159526025,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5488,'127.0.0.1',1492159526167,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159527702,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5489,'127.0.0.1',1492159527863,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159530637,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5490,'127.0.0.1',1492159530806,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159538472,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5491,'127.0.0.1',1492159538563,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159540294,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5492,'127.0.0.1',1492159540403,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159544705,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5493,'127.0.0.1',1492159544814,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159546386,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5494,'127.0.0.1',1492159546565,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159548385,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5495,'127.0.0.1',1492159548472,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159551578,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5496,'127.0.0.1',1492159551752,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159621526,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5497,'127.0.0.1',1492159621677,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159847615,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5498,'127.0.0.1',1492159847789,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5499,'127.0.0.1',1492159847832,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159850710,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5500,'127.0.0.1',1492159850938,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159859753,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5501,'127.0.0.1',1492159851170,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159853484,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5502,'127.0.0.1',1492159853600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159856375,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5503,'127.0.0.1',1492159856548,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159859775,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5504,'127.0.0.1',1492159874378,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159876864,0,0,0,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5505,'127.0.0.1',1492159877106,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160010700,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5506,'127.0.0.1',1492159877348,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159878380,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5507,'127.0.0.1',1492159878517,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492159881271,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5508,'127.0.0.1',1492160011025,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5509,'127.0.0.1',1492160011076,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160013230,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5510,'127.0.0.1',1492160013446,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160028521,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5511,'127.0.0.1',1492160013688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160015111,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5512,'127.0.0.1',1492160015222,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160018428,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5513,'127.0.0.1',1492160018617,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160022182,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5514,'127.0.0.1',1492160022292,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160026691,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5515,'127.0.0.1',1492160026815,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160028548,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5516,'127.0.0.1',1492160028713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160089092,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5517,'127.0.0.1',1492160089290,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160096072,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5518,'127.0.0.1',1492160089532,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160096095,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5519,'127.0.0.1',1492160096279,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160098547,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5520,'127.0.0.1',1492160098730,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160111060,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5521,'127.0.0.1',1492160098947,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160101044,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5522,'127.0.0.1',1492160101161,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160105120,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5523,'127.0.0.1',1492160105266,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160109108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5524,'127.0.0.1',1492160109343,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160111077,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5525,'127.0.0.1',1492160111250,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160113466,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5526,'127.0.0.1',1492160113648,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5527,'127.0.0.1',1492160113853,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5528,'127.0.0.1',1492160553350,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5529,'127.0.0.1',1492160553433,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160555014,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5530,'127.0.0.1',1492160555212,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160558502,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5531,'127.0.0.1',1492160555447,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160556930,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5532,'127.0.0.1',1492160557043,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160558506,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5533,'127.0.0.1',1492160558691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160563651,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5534,'127.0.0.1',1492160563843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160705936,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5535,'127.0.0.1',1492160564045,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160566039,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5536,'127.0.0.1',1492160566166,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160567971,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5537,'127.0.0.1',1492160568094,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160576304,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5538,'127.0.0.1',1492160577213,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160582452,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5539,'127.0.0.1',1492160596266,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160598843,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5540,'127.0.0.1',1492160706128,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5541,'127.0.0.1',1492160706179,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160708047,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5542,'127.0.0.1',1492160708269,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160853954,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5543,'127.0.0.1',1492160708520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160710559,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5544,'127.0.0.1',1492160710670,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160714999,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5545,'127.0.0.1',1492160774206,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160775674,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5546,'127.0.0.1',1492160776702,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160779324,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5547,'127.0.0.1',1492160779508,'http://localhost:9080/persistence2-web-example/safe/blackword.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160783057,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5548,'127.0.0.1',1492160783208,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160786423,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5549,'127.0.0.1',1492160786573,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160790920,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5550,'127.0.0.1',1492160791057,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160854003,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5551,'127.0.0.1',1492160854167,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5552,'127.0.0.1',1492160854212,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160856028,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5553,'127.0.0.1',1492160856252,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161551214,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5554,'127.0.0.1',1492160856487,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160858692,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5555,'127.0.0.1',1492160858810,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160862351,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5556,'127.0.0.1',1492160862517,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160865540,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5557,'127.0.0.1',1492160865685,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160871308,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5558,'127.0.0.1',1492160871454,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160873471,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5559,'127.0.0.1',1492160873573,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160875031,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5560,'127.0.0.1',1492160876048,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160880552,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5561,'127.0.0.1',1492160880730,'http://localhost:9080/persistence2-web-example/safe/whiteip.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160884047,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5562,'127.0.0.1',1492160884195,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160886862,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5563,'127.0.0.1',1492160887012,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160894836,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5564,'127.0.0.1',1492160894991,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160897317,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5565,'127.0.0.1',1492160897411,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160901134,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5566,'127.0.0.1',1492160901502,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160911881,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5567,'127.0.0.1',1492160912206,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160915726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5568,'127.0.0.1',1492160915864,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160919808,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5569,'127.0.0.1',1492160919950,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160921305,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5570,'127.0.0.1',1492160921385,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160928019,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5571,'127.0.0.1',1492160928219,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160931765,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5572,'127.0.0.1',1492160931906,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160934386,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5573,'127.0.0.1',1492160934479,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160934724,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5574,'127.0.0.1',1492160934832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160935206,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5575,'127.0.0.1',1492160935343,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160936329,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5576,'127.0.0.1',1492160936440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160937163,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5577,'127.0.0.1',1492160937272,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160937895,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5578,'127.0.0.1',1492160938019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160938454,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5579,'127.0.0.1',1492160938584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160938905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5580,'127.0.0.1',1492160939020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160939583,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5581,'127.0.0.1',1492160939706,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160940075,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5582,'127.0.0.1',1492160940179,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160940429,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5583,'127.0.0.1',1492160940535,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160941115,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5584,'127.0.0.1',1492160941226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160944858,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5585,'127.0.0.1',1492160944968,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160946541,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5586,'127.0.0.1',1492160946685,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp?a=redirect03&id=4&source_url=1.jsp&target_url=xxx&status=0','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160950704,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5587,'127.0.0.1',1492160950855,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160953035,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5588,'127.0.0.1',1492160953132,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160953721,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5589,'127.0.0.1',1492160953825,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160957207,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5590,'127.0.0.1',1492160957326,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160958588,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5591,'127.0.0.1',1492160958748,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160968533,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5592,'127.0.0.1',1492160968677,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160971767,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5593,'127.0.0.1',1492160971912,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/log.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160973030,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5594,'127.0.0.1',1492160973191,'http://localhost:9080/persistence2-web-example/server/log.jsp?f=error_2017-02-28.log','/server/logs.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492160979310,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5595,'127.0.0.1',1492160974851,'http://localhost:9080/persistence2-web-example/server/logs.jsp','/server/downlog.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5596,'127.0.0.1',1492160979428,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/dbinfo.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161083885,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5597,'127.0.0.1',1492161057278,'http://localhost:9080/persistence2-web-example/server/dbinfo.jsp','/server/dbbackup.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5598,'127.0.0.1',1492161084328,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161090130,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5599,'127.0.0.1',1492161090390,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161107101,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5600,'127.0.0.1',1492161107360,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161109777,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5601,'127.0.0.1',1492161109941,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161110726,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5602,'127.0.0.1',1492161110947,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161115610,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5603,'127.0.0.1',1492161115800,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1&resname=jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161122028,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5604,'127.0.0.1',1492161122318,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161131901,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5605,'127.0.0.1',1492161132083,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161270144,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5606,'127.0.0.1',1492161270382,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5607,'127.0.0.1',1492161361421,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161379587,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5608,'127.0.0.1',1492161379898,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161410627,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5609,'127.0.0.1',1492161410751,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161418499,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5610,'127.0.0.1',1492161418638,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161434546,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5611,'127.0.0.1',1492161434743,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161551258,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5612,'127.0.0.1',1492161551967,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5613,'127.0.0.1',1492161552018,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161554327,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5614,'127.0.0.1',1492161554529,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161646455,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5615,'127.0.0.1',1492161554766,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161563108,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5616,'127.0.0.1',1492161563225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161575651,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5617,'127.0.0.1',1492161575785,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161587770,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5618,'127.0.0.1',1492161588056,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161601374,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5619,'127.0.0.1',1492161601527,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161646489,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5620,'127.0.0.1',1492161646655,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5621,'127.0.0.1',1492161646707,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161649212,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5622,'127.0.0.1',1492161649425,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5623,'127.0.0.1',1492161649636,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161652376,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5624,'127.0.0.1',1492161652529,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492161668504,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5625,'127.0.0.1',1492161668638,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492162009143,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5626,'127.0.0.1',1492162009432,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5627,'127.0.0.1',1492162009484,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492162011599,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5628,'127.0.0.1',1492162011820,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5629,'127.0.0.1',1492162012050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492162014328,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5630,'127.0.0.1',1492162014466,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1492162019905,0,0,1,'');
insert into access_info(id,ip,vtime,source_url,target_url,country,source_domain,target_domain,browser,language,os,session_id,user_id,user_agent,ltime,new_visitor,mobile,source_type,search_engine) values (5631,'127.0.0.1',1492162020030,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');


#
# Data for the `safe_ip_black_list` table
#

insert into safe_ip_black_list(id,ip,status) values (1,'127.0.0.1',0);
insert into safe_ip_black_list(id,ip,status) values (7,'192.168.1.100',0);


#
# Data for the `safe_ip_white_list` table
#

insert into safe_ip_white_list(id,ip,status) values (3,'111.232.*.111',1);


#
# Data for the `safe_redirect` table
#

insert into safe_redirect(id,source_url,target_url,status) values (2,'/login.jsp','/404.xml',0);


#
# Data for the `safe_verification_code` table
#

insert into safe_verification_code(id,level,max_failed_login,status) values (1,1,5,0);


#
# Data for the `safe_word_black_list` table
#

insert into safe_word_black_list(id,word,status) values (3,'xixi',0);


#
# Data for the `sys_functions` table
#

insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (9,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','setLeaveTime','access02','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (10,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','add','access01','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (11,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','sourceAnalysis','access03','../access/source.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (12,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','targetAnalysis','access04','../access/target.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (13,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','visitorAnalysis','access05','../access/visitor.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (14,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','saveSetting','access06','../access/set.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (15,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','getAccessInfoDetail','access07','../access/detail.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (16,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','add','blackip02','../safe/blackip.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (17,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','delete','blackip03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (18,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','open','blackip04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (19,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','close','blackip05','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (20,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','query','blackip01','../safe/blacklist.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (21,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','add','whiteip02','../safe/whiteip.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (22,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','delete','whiteip03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (23,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','open','whiteip04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (24,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','close','whiteip05','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (25,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','query','whiteip01','../safe/whitelist.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (26,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','add','blackword02','../safe/blackword.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (27,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','delete','blackword03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (28,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','open','blackword04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (29,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','close','blackword05','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (30,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','query','blackword01','../safe/wordblacklist.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (31,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','add','redirect02','../safe/redirect.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (32,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','update','redirect03','../safe/redirect.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (33,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','delete','redirect04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (34,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','open','redirect05','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (35,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','close','redirect06','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (36,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','query','redirect01','../safe/redirectlist.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (37,'v_code_action','com.nonesole.web.platform.safe.verificationcode.IVerificationCode','com.nonesole.web.platform.safe.verificationcode.CodeAction','saveConfig','code01','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (38,'v_code_action','com.nonesole.web.platform.safe.verificationcode.IVerificationCode','com.nonesole.web.platform.safe.verificationcode.CodeAction','getConfig','code02','../safe/code.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (39,'server_action','','','','','../server/info.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (40,'server_action','','','','','../server/logs.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (41,'server_action','','','','','../server/log.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (42,'server_action','','','','','../server/downlog.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (43,'server_action','com.nonesole.web.platform.sys.database.IDatabase','com.nonesole.web.platform.sys.database.DatabaseAction','getDatabaseInfo','database01','../server/dbinfo.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (44,'server_action','com.nonesole.web.platform.sys.database.IDatabase','com.nonesole.web.platform.sys.database.DatabaseAction','fullBackup','database02','../server/dbbackup.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (48,'src_cms_project_action','com.nonesole.domi.project.IProject','com.nonesole.domi.project.ProjectAction','save','pro02','../src_cms/projects.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (49,'src_cms_project_action','com.nonesole.domi.project.IProject','com.nonesole.domi.project.ProjectAction','update','pro03','../src_cms/projects.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (50,'src_cms_project_action','com.nonesole.domi.project.IProject','com.nonesole.domi.project.ProjectAction','delete','pro04','../src_cms/projects.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (51,'src_cms_project_action','com.nonesole.domi.project.IProject','com.nonesole.domi.project.ProjectAction','findObjectById','pro05','../src_cms/project.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (52,'src_cms_project_action','com.nonesole.domi.project.IProject','com.nonesole.domi.project.ProjectAction','query','pro01','../src_cms/projects.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (53,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','save','propage02','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (54,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','update','propage03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (55,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','delete','propage04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (56,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','findObjectById','propage05','../src_cms/page.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (57,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','query','propage01','../src_cms/pages.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (58,'src_cms_template_action','com.nonesole.domi.template.ITemplate','com.nonesole.domi.template.TemplateAction','save','temp02','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (59,'src_cms_template_action','com.nonesole.domi.template.ITemplate','com.nonesole.domi.template.TemplateAction','update','temp03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (60,'src_cms_template_action','com.nonesole.domi.template.ITemplate','com.nonesole.domi.template.TemplateAction','delete','temp04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (61,'src_cms_template_action','com.nonesole.domi.template.ITemplate','com.nonesole.domi.template.TemplateAction','findObjectById','temp05','../src_cms/template.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (62,'src_cms_template_action','com.nonesole.domi.template.ITemplate','com.nonesole.domi.template.TemplateAction','query','temp01','../src_cms/templates.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (63,'src_cms_text_action','com.nonesole.domi.text.IText','com.nonesole.domi.text.TextAction','save','text02','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (64,'src_cms_text_action','com.nonesole.domi.text.IText','com.nonesole.domi.text.TextAction','update','text03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (65,'src_cms_text_action','com.nonesole.domi.text.IText','com.nonesole.domi.text.TextAction','delete','text04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (66,'src_cms_text_action','com.nonesole.domi.text.IText','com.nonesole.domi.text.TextAction','findObjectById','text05','../src_cms/text.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (67,'src_cms_text_action','com.nonesole.domi.text.IText','com.nonesole.domi.text.TextAction','query','text01','../src_cms/texts.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (68,'src_cms_log_action','com.nonesole.domi.log.ILog','com.nonesole.domi.basic.BasicAction','query','srclog01','../src_cms/logs.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (69,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','findPagesForProject','propage06','../src_cms/project2pages.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (70,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','savePagesForProject','propage07','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (71,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','findSelectedPages','propage08','../src_cms/page_index.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (72,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','updatePageIndex','propage09','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (73,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','findTextForProject','propage10','../src_cms/page2text.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (74,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','saveTextForPage','propage11','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (75,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','findSelectedText','propage12','../src_cms/text_index.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (76,'src_cms_page_action','com.nonesole.domi.page.IPage','com.nonesole.domi.page.PageAction','updateTextIndex','propage13','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (77,'src_cms_html_action','com.nonesole.domi.html.IHtml','com.nonesole.domi.html.HtmlAction','findPagesGroupByProject','html01','../src_cms/pages_for_html.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (78,'src_cms_template_action','com.nonesole.domi.template.ITemplate','com.nonesole.domi.template.TemplateAction','findTemplateByUserId','temp06','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (79,'src_cms_html_action','com.nonesole.domi.html.IHtml','com.nonesole.domi.html.HtmlAction','create','html02','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (80,'src_cms_file_action','com.nonesole.domi.file.IFile','com.nonesole.domi.file.FileAction','query','file01','../src_cms/files.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (81,'src_cms_file_action','com.nonesole.domi.file.IFile','com.nonesole.domi.file.FileAction','upload','file02','../src_cms/file_select.jsp');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (82,'src_cms_file_action','com.nonesole.domi.file.IFile','com.nonesole.domi.file.FileAction','download','file03','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (83,'src_cms_file_action','com.nonesole.domi.file.IFile','com.nonesole.domi.file.FileAction','delete','file04','');
insert into sys_functions(id,name,interface_name,class_name,method_name,parameter_name,page_url) values (84,'src_cms_file_action','','','','','../src_cms/file_upload.jsp');


#
# Data for the `sys_menu` table
#

insert into sys_menu(id,name,url,pid,ico) values (2,'系统管理','',0,'../img/3006.png');
insert into sys_menu(id,name,url,pid,ico) values (16,'访问统计','',0,'');
insert into sys_menu(id,name,url,pid,ico) values (17,'来源分析','../access/source.jsp',16,'');
insert into sys_menu(id,name,url,pid,ico) values (11,'服务器信息','../server/info.jsp',2,'../img/3008.png');
insert into sys_menu(id,name,url,pid,ico) values (12,'日志管理','../server/logs.jsp',2,'../img/file01.png');
insert into sys_menu(id,name,url,pid,ico) values (13,'数据库管理','../server/dbinfo.jsp',2,'../img/3009.png');
insert into sys_menu(id,name,url,pid,ico) values (40,'开源项目','',0,'');
insert into sys_menu(id,name,url,pid,ico) values (29,'配置管理','../access/set.jsp',16,'');
insert into sys_menu(id,name,url,pid,ico) values (28,'访客分析','../access/visitor.jsp',16,'');
insert into sys_menu(id,name,url,pid,ico) values (27,'受访分析','../access/target.jsp',16,'');
insert into sys_menu(id,name,url,pid,ico) values (31,'系统安全','',0,'');
insert into sys_menu(id,name,url,pid,ico) values (32,'黑名单管理','../safe/blacklist.jsp',31,'');
insert into sys_menu(id,name,url,pid,ico) values (30,'访问明细','../access/detail.jsp',16,'');
insert into sys_menu(id,name,url,pid,ico) values (33,'白名单管理','../safe/whitelist.jsp',31,'');
insert into sys_menu(id,name,url,pid,ico) values (34,'屏蔽词管理','../safe/wordblacklist.jsp',31,'');
insert into sys_menu(id,name,url,pid,ico) values (35,'入口保护','../safe/redirectlist.jsp',31,'');
insert into sys_menu(id,name,url,pid,ico) values (36,'验证码设置','../safe/code.jsp',31,'');
insert into sys_menu(id,name,url,pid,ico) values (41,'项目管理','../src_cms/projects.jsp',40,'');
insert into sys_menu(id,name,url,pid,ico) values (42,'页面管理','../src_cms/pages.jsp',40,'');
insert into sys_menu(id,name,url,pid,ico) values (43,'模板管理','../src_cms/templates.jsp',40,'');
insert into sys_menu(id,name,url,pid,ico) values (44,'内容管理','../src_cms/texts.jsp',40,'');
insert into sys_menu(id,name,url,pid,ico) values (45,'文件管理','../src_cms/files.jsp',40,'');
insert into sys_menu(id,name,url,pid,ico) values (46,'日志查看','../src_cms/logs.jsp',40,'');
insert into sys_menu(id,name,url,pid,ico) values (47,'HTML生成','../src_cms/pages_for_html.jsp',40,'');


#
# Data for the `sys_menu_functions` table
#

insert into sys_menu_functions(menu_id,function_id) values (29,9);
insert into sys_menu_functions(menu_id,function_id) values (17,9);
insert into sys_menu_functions(menu_id,function_id) values (30,9);
insert into sys_menu_functions(menu_id,function_id) values (16,9);
insert into sys_menu_functions(menu_id,function_id) values (27,9);
insert into sys_menu_functions(menu_id,function_id) values (28,9);
insert into sys_menu_functions(menu_id,function_id) values (29,10);
insert into sys_menu_functions(menu_id,function_id) values (17,10);
insert into sys_menu_functions(menu_id,function_id) values (30,10);
insert into sys_menu_functions(menu_id,function_id) values (16,10);
insert into sys_menu_functions(menu_id,function_id) values (13,44);
insert into sys_menu_functions(menu_id,function_id) values (12,42);
insert into sys_menu_functions(menu_id,function_id) values (32,20);
insert into sys_menu_functions(menu_id,function_id) values (32,19);
insert into sys_menu_functions(menu_id,function_id) values (32,18);
insert into sys_menu_functions(menu_id,function_id) values (34,30);
insert into sys_menu_functions(menu_id,function_id) values (34,29);
insert into sys_menu_functions(menu_id,function_id) values (34,28);
insert into sys_menu_functions(menu_id,function_id) values (34,27);
insert into sys_menu_functions(menu_id,function_id) values (34,26);
insert into sys_menu_functions(menu_id,function_id) values (33,25);
insert into sys_menu_functions(menu_id,function_id) values (33,24);
insert into sys_menu_functions(menu_id,function_id) values (33,23);
insert into sys_menu_functions(menu_id,function_id) values (33,22);
insert into sys_menu_functions(menu_id,function_id) values (33,21);
insert into sys_menu_functions(menu_id,function_id) values (32,17);
insert into sys_menu_functions(menu_id,function_id) values (32,16);
insert into sys_menu_functions(menu_id,function_id) values (31,20);
insert into sys_menu_functions(menu_id,function_id) values (31,19);
insert into sys_menu_functions(menu_id,function_id) values (31,18);
insert into sys_menu_functions(menu_id,function_id) values (31,17);
insert into sys_menu_functions(menu_id,function_id) values (35,36);
insert into sys_menu_functions(menu_id,function_id) values (31,16);
insert into sys_menu_functions(menu_id,function_id) values (36,38);
insert into sys_menu_functions(menu_id,function_id) values (36,37);
insert into sys_menu_functions(menu_id,function_id) values (35,35);
insert into sys_menu_functions(menu_id,function_id) values (35,34);
insert into sys_menu_functions(menu_id,function_id) values (35,33);
insert into sys_menu_functions(menu_id,function_id) values (35,32);
insert into sys_menu_functions(menu_id,function_id) values (35,31);
insert into sys_menu_functions(menu_id,function_id) values (27,10);
insert into sys_menu_functions(menu_id,function_id) values (28,10);
insert into sys_menu_functions(menu_id,function_id) values (29,11);
insert into sys_menu_functions(menu_id,function_id) values (17,11);
insert into sys_menu_functions(menu_id,function_id) values (30,11);
insert into sys_menu_functions(menu_id,function_id) values (16,11);
insert into sys_menu_functions(menu_id,function_id) values (27,11);
insert into sys_menu_functions(menu_id,function_id) values (28,11);
insert into sys_menu_functions(menu_id,function_id) values (29,12);
insert into sys_menu_functions(menu_id,function_id) values (17,12);
insert into sys_menu_functions(menu_id,function_id) values (30,12);
insert into sys_menu_functions(menu_id,function_id) values (16,12);
insert into sys_menu_functions(menu_id,function_id) values (27,12);
insert into sys_menu_functions(menu_id,function_id) values (28,12);
insert into sys_menu_functions(menu_id,function_id) values (29,13);
insert into sys_menu_functions(menu_id,function_id) values (17,13);
insert into sys_menu_functions(menu_id,function_id) values (30,13);
insert into sys_menu_functions(menu_id,function_id) values (16,13);
insert into sys_menu_functions(menu_id,function_id) values (27,13);
insert into sys_menu_functions(menu_id,function_id) values (28,13);
insert into sys_menu_functions(menu_id,function_id) values (29,14);
insert into sys_menu_functions(menu_id,function_id) values (17,14);
insert into sys_menu_functions(menu_id,function_id) values (30,14);
insert into sys_menu_functions(menu_id,function_id) values (16,14);
insert into sys_menu_functions(menu_id,function_id) values (27,14);
insert into sys_menu_functions(menu_id,function_id) values (28,14);
insert into sys_menu_functions(menu_id,function_id) values (29,15);
insert into sys_menu_functions(menu_id,function_id) values (17,15);
insert into sys_menu_functions(menu_id,function_id) values (30,15);
insert into sys_menu_functions(menu_id,function_id) values (16,15);
insert into sys_menu_functions(menu_id,function_id) values (27,15);
insert into sys_menu_functions(menu_id,function_id) values (28,15);
insert into sys_menu_functions(menu_id,function_id) values (42,57);
insert into sys_menu_functions(menu_id,function_id) values (11,39);
insert into sys_menu_functions(menu_id,function_id) values (12,41);
insert into sys_menu_functions(menu_id,function_id) values (13,43);
insert into sys_menu_functions(menu_id,function_id) values (12,40);
insert into sys_menu_functions(menu_id,function_id) values (41,50);
insert into sys_menu_functions(menu_id,function_id) values (42,56);
insert into sys_menu_functions(menu_id,function_id) values (12,46);
insert into sys_menu_functions(menu_id,function_id) values (41,52);
insert into sys_menu_functions(menu_id,function_id) values (13,46);
insert into sys_menu_functions(menu_id,function_id) values (41,51);
insert into sys_menu_functions(menu_id,function_id) values (11,46);
insert into sys_menu_functions(menu_id,function_id) values (42,55);
insert into sys_menu_functions(menu_id,function_id) values (41,48);
insert into sys_menu_functions(menu_id,function_id) values (42,54);
insert into sys_menu_functions(menu_id,function_id) values (41,49);
insert into sys_menu_functions(menu_id,function_id) values (42,53);
insert into sys_menu_functions(menu_id,function_id) values (42,74);
insert into sys_menu_functions(menu_id,function_id) values (42,75);
insert into sys_menu_functions(menu_id,function_id) values (42,76);
insert into sys_menu_functions(menu_id,function_id) values (43,62);
insert into sys_menu_functions(menu_id,function_id) values (40,84);
insert into sys_menu_functions(menu_id,function_id) values (43,61);
insert into sys_menu_functions(menu_id,function_id) values (41,71);
insert into sys_menu_functions(menu_id,function_id) values (43,60);
insert into sys_menu_functions(menu_id,function_id) values (40,83);
insert into sys_menu_functions(menu_id,function_id) values (43,59);
insert into sys_menu_functions(menu_id,function_id) values (41,72);
insert into sys_menu_functions(menu_id,function_id) values (43,58);
insert into sys_menu_functions(menu_id,function_id) values (40,82);
insert into sys_menu_functions(menu_id,function_id) values (44,67);
insert into sys_menu_functions(menu_id,function_id) values (41,69);
insert into sys_menu_functions(menu_id,function_id) values (44,66);
insert into sys_menu_functions(menu_id,function_id) values (40,81);
insert into sys_menu_functions(menu_id,function_id) values (44,65);
insert into sys_menu_functions(menu_id,function_id) values (41,70);
insert into sys_menu_functions(menu_id,function_id) values (44,64);
insert into sys_menu_functions(menu_id,function_id) values (46,68);
insert into sys_menu_functions(menu_id,function_id) values (44,63);
insert into sys_menu_functions(menu_id,function_id) values (40,80);
insert into sys_menu_functions(menu_id,function_id) values (45,84);
insert into sys_menu_functions(menu_id,function_id) values (42,73);
insert into sys_menu_functions(menu_id,function_id) values (45,83);
insert into sys_menu_functions(menu_id,function_id) values (47,77);
insert into sys_menu_functions(menu_id,function_id) values (45,82);
insert into sys_menu_functions(menu_id,function_id) values (42,78);
insert into sys_menu_functions(menu_id,function_id) values (45,81);
insert into sys_menu_functions(menu_id,function_id) values (47,79);
insert into sys_menu_functions(menu_id,function_id) values (45,80);


#
# Data for the `sys_roles` table
#

insert into sys_roles(id,name) values (1,'admin');
insert into sys_roles(id,name) values (2,'普通用户');
insert into sys_roles(id,name) values (5,'高级用户');
insert into sys_roles(id,name) values (6,'VIP用户');
insert into sys_roles(id,name) values (7,'管理员');
insert into sys_roles(id,name) values (17,'开源项目管理员');


#
# Data for the `sys_roles_menu` table
#

insert into sys_roles_menu(role_id,menu_id) values (7,2);
insert into sys_roles_menu(role_id,menu_id) values (2,33);
insert into sys_roles_menu(role_id,menu_id) values (7,31);
insert into sys_roles_menu(role_id,menu_id) values (7,11);
insert into sys_roles_menu(role_id,menu_id) values (7,32);
insert into sys_roles_menu(role_id,menu_id) values (17,42);
insert into sys_roles_menu(role_id,menu_id) values (7,29);
insert into sys_roles_menu(role_id,menu_id) values (7,36);
insert into sys_roles_menu(role_id,menu_id) values (6,16);
insert into sys_roles_menu(role_id,menu_id) values (7,34);
insert into sys_roles_menu(role_id,menu_id) values (6,29);
insert into sys_roles_menu(role_id,menu_id) values (7,35);
insert into sys_roles_menu(role_id,menu_id) values (6,30);
insert into sys_roles_menu(role_id,menu_id) values (7,12);
insert into sys_roles_menu(role_id,menu_id) values (6,28);
insert into sys_roles_menu(role_id,menu_id) values (17,41);
insert into sys_roles_menu(role_id,menu_id) values (7,27);
insert into sys_roles_menu(role_id,menu_id) values (7,16);
insert into sys_roles_menu(role_id,menu_id) values (7,13);
insert into sys_roles_menu(role_id,menu_id) values (7,33);
insert into sys_roles_menu(role_id,menu_id) values (6,27);
insert into sys_roles_menu(role_id,menu_id) values (7,17);
insert into sys_roles_menu(role_id,menu_id) values (7,28);
insert into sys_roles_menu(role_id,menu_id) values (6,17);
insert into sys_roles_menu(role_id,menu_id) values (17,47);
insert into sys_roles_menu(role_id,menu_id) values (17,43);
insert into sys_roles_menu(role_id,menu_id) values (17,44);
insert into sys_roles_menu(role_id,menu_id) values (17,45);
insert into sys_roles_menu(role_id,menu_id) values (17,40);
insert into sys_roles_menu(role_id,menu_id) values (17,46);
insert into sys_roles_menu(role_id,menu_id) values (7,30);


#
# Data for the `sys_users_info` table
#

insert into sys_users_info(id,nick_name,birthday,age,email,cell_phone_number,address,tel,tax,qq_number,wechat_name,weibo_url) values (1,'管理员',0,30,'','','','','','','','');
insert into sys_users_info(id,nick_name,birthday,age,email,cell_phone_number,address,tel,tax,qq_number,wechat_name,weibo_url) values (2,'jerry',0,0,'','','','','','','','');
insert into sys_users_info(id,nick_name,birthday,age,email,cell_phone_number,address,tel,tax,qq_number,wechat_name,weibo_url) values (9,'å¥½å¥½å­¦ä¹ ',2,1,'1@1.com','1113333','å¤§åå®¶å°ä½å','','8890012','12387837','weixin000','http://www.xxx.com');
insert into sys_users_info(id,nick_name,birthday,age,email,cell_phone_number,address,tel,tax,qq_number,wechat_name,weibo_url) values (19,'2222',0,0,'111','','','','','','','');


#
# Data for the `sys_users_login` table
#

insert into sys_users_login(id,login_name,login_email,login_cell_phone_number,login_key,status) values (1,'admin','admin@1.com','13811110000','-78703492656118554854272571946195123045',0);
insert into sys_users_login(id,login_name,login_email,login_cell_phone_number,login_key,status) values (7,'tom','1@1.com','1','-78703492656118554854272571946195123045',0);
insert into sys_users_login(id,login_name,login_email,login_cell_phone_number,login_key,status) values (8,'jack','jack@2','2','-78703492656118554854272571946195123045',0);


#
# Data for the `sys_users_roles` table
#

insert into sys_users_roles(user_id,role_id) values (1,1);
insert into sys_users_roles(user_id,role_id) values (19,5);
insert into sys_users_roles(user_id,role_id) values (27,7);
insert into sys_users_roles(user_id,role_id) values (20,5);
insert into sys_users_roles(user_id,role_id) values (27,6);
insert into sys_users_roles(user_id,role_id) values (10,9);
insert into sys_users_roles(user_id,role_id) values (14,5);
insert into sys_users_roles(user_id,role_id) values (8,7);
insert into sys_users_roles(user_id,role_id) values (27,2);
insert into sys_users_roles(user_id,role_id) values (27,5);
insert into sys_users_roles(user_id,role_id) values (16,7);
insert into sys_users_roles(user_id,role_id) values (7,17);
insert into sys_users_roles(user_id,role_id) values (40,2);
insert into sys_users_roles(user_id,role_id) values (38,14);


