# 2017-03-26 Make by Jack
﻿# SQL Manager 2007 Lite for MySQL 4.5.0.7
# ---------------------------------------
# Host     : localhost
# Port     : 3306
# Database : platform


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

SET FOREIGN_KEY_CHECKS=0;

DROP DATABASE IF EXISTS `platform`;

CREATE DATABASE `platform`
    CHARACTER SET 'utf8'
    COLLATE 'utf8_general_ci';

USE `platform`;

#
# Structure for the `access_info` table : 
#

CREATE TABLE `access_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(15) NOT NULL,
  `vtime` bigint(20) NOT NULL COMMENT '访问时间',
  `source_url` varchar(2000) DEFAULT NULL COMMENT '来路链接',
  `target_url` varchar(2000) DEFAULT NULL COMMENT '访问链接',
  `country` varchar(20) DEFAULT NULL COMMENT '国家和地区',
  `source_domain` varchar(100) DEFAULT NULL COMMENT '来路域名',
  `target_domain` varchar(100) DEFAULT NULL COMMENT '访问域名',
  `browser` varchar(200) DEFAULT NULL COMMENT '浏览器',
  `language` varchar(200) DEFAULT NULL COMMENT '客户端使用语言',
  `os` varchar(20) DEFAULT NULL COMMENT '客户端操作系统',
  `session_id` varchar(50) DEFAULT NULL COMMENT 'Cookie默认期限为1年',
  `user_id` int(11) DEFAULT NULL COMMENT '登录用户记录该ID',
  `user_agent` varchar(200) DEFAULT NULL COMMENT 'user-agent',
  `ltime` bigint(20) DEFAULT NULL COMMENT '跳出页面时间',
  `new_visitor` int(11) DEFAULT NULL COMMENT '1表示新访客，0表示老访客',
  `mobile` int(11) DEFAULT NULL COMMENT '1表示移动终端，0表示PC终端',
  `source_type` int(11) DEFAULT NULL COMMENT '来源类型，0表示直接访问，1表示外部链接，2表示搜索引擎',
  `search_engine` varchar(20) DEFAULT NULL COMMENT '搜索引擎名称',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2724 DEFAULT CHARSET=utf8;

#
# Structure for the `safe_ip_black_list` table : 
#

CREATE TABLE `safe_ip_black_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL COMMENT '需要被屏蔽的IP地址，可以使用通配符',
  `status` int(11) NOT NULL COMMENT '0为不启用当前配置，1为启用当前配置',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

#
# Structure for the `safe_ip_white_list` table : 
#

CREATE TABLE `safe_ip_white_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL COMMENT 'IP白名单用于系统维护和管理员入口管制',
  `status` int(11) DEFAULT NULL COMMENT '0为不启用当前配置，1为启用当前配置',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

#
# Structure for the `safe_redirect` table : 
#

CREATE TABLE `safe_redirect` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source_url` varchar(1000) NOT NULL COMMENT '入口URL，需要被隐藏起来的URL',
  `target_url` varchar(1000) NOT NULL COMMENT '真正对外显示的URL',
  `status` int(11) NOT NULL COMMENT '0为不启用当前配置，1为启用当前配置',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

#
# Structure for the `safe_verification_code` table : 
#

CREATE TABLE `safe_verification_code` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `level` int(11) NOT NULL COMMENT '验证码级别，用于衡量验证码的复杂度',
  `max_failed_login` int(11) NOT NULL COMMENT '启用验证码的登录失败次数',
  `status` int(11) NOT NULL COMMENT '0为不启用当前配置，1为启用当前配置',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

#
# Structure for the `safe_word_black_list` table : 
#

CREATE TABLE `safe_word_black_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `word` varchar(20) NOT NULL COMMENT '被屏蔽的敏感词，不允许提交',
  `status` int(11) DEFAULT NULL COMMENT '0为不启用当前配置，1为启用当前配置',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

#
# Structure for the `sys_functions` table : 
#

CREATE TABLE `sys_functions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '功能名称，用于缓存映射的KEY，之后的字段是VALUE。',
  `interface_name` varchar(100) DEFAULT NULL COMMENT '接口名，用于反射调用',
  `class_name` varchar(100) DEFAULT NULL COMMENT '接口实现类名，用于反射调用',
  `method_name` varchar(100) DEFAULT NULL COMMENT '接口中的方法名，用于反射调用',
  `parameter_name` varchar(100) DEFAULT NULL COMMENT '全局唯一，提交数据时用于识别Action的参数名',
  `page_url` varchar(500) DEFAULT NULL COMMENT '功能页面，可以为空。',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;

#
# Structure for the `sys_menu` table : 
#

CREATE TABLE `sys_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `url` varchar(500) DEFAULT NULL,
  `pid` int(11) NOT NULL COMMENT 'parent node id',
  `ico` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=utf8;

#
# Structure for the `sys_menu_functions` table : 
#

CREATE TABLE `sys_menu_functions` (
  `menu_id` int(11) NOT NULL,
  `function_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Structure for the `sys_roles` table : 
#

CREATE TABLE `sys_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

#
# Structure for the `sys_roles_menu` table : 
#

CREATE TABLE `sys_roles_menu` (
  `role_id` int(11) NOT NULL,
  `menu_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Structure for the `sys_users_info` table : 
#

CREATE TABLE `sys_users_info` (
  `id` int(11) NOT NULL,
  `nick_name` varchar(20) DEFAULT NULL,
  `birthday` bigint(20) DEFAULT NULL,
  `age` int(11) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `cell_phone_number` varchar(20) DEFAULT NULL,
  `address` varchar(100) DEFAULT NULL,
  `tel` varchar(20) DEFAULT NULL,
  `tax` varchar(20) DEFAULT NULL,
  `qq_number` varchar(20) DEFAULT NULL,
  `wechat_name` varchar(20) DEFAULT NULL,
  `weibo_url` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Structure for the `sys_users_login` table : 
#

CREATE TABLE `sys_users_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login_name` varchar(20) NOT NULL,
  `login_email` varchar(30) NOT NULL,
  `login_cell_phone_number` varchar(20) NOT NULL,
  `login_key` varchar(50) NOT NULL,
  `status` int(11) NOT NULL COMMENT '0,common;1,locked;2,deleted;',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;

#
# Structure for the `sys_users_roles` table : 
#

CREATE TABLE `sys_users_roles` (
  `user_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Structure for the `tmp` table : 
#

CREATE TABLE `tmp` (
  `id` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Data for the `access_info` table  (LIMIT 0,500)
#

INSERT INTO `access_info` (`id`, `ip`, `vtime`, `source_url`, `target_url`, `country`, `source_domain`, `target_domain`, `browser`, `language`, `os`, `session_id`, `user_id`, `user_agent`, `ltime`, `new_visitor`, `mobile`, `source_type`, `search_engine`) VALUES 
  (2,'127.0.0.1',1486173612979,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173620452,0,0,0,NULL),
  (10,'127.0.0.1',1486873974757,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873979365,0,0,1,''),
  (11,'127.0.0.1',1486873987781,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874003677,0,0,1,''),
  (12,'127.0.0.1',1488295568371,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295579071,0,0,1,''),
  (13,'127.0.0.1',1488456469296,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456471878,0,0,1,''),
  (16,'127.0.0.1',1486173737348,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173744438,0,0,0,NULL),
  (27,'127.0.0.1',1488295535805,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295558525,0,0,1,''),
  (211,'127.0.0.1',1486126880382,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486126881651,0,0,0,NULL),
  (225,'127.0.0.1',1486130149682,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130151725,0,0,0,NULL),
  (226,'127.0.0.1',1486130150113,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130151596,0,0,0,NULL),
  (227,'127.0.0.1',1486130165388,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130188931,0,0,0,NULL),
  (228,'127.0.0.1',1486130189360,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130200306,0,0,0,NULL),
  (229,'127.0.0.1',1486130200748,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,NULL),
  (230,'127.0.0.1',1486130255989,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,NULL),
  (231,'127.0.0.1',1486130256042,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','12222',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130259386,0,0,1,NULL),
  (232,'127.0.0.1',1486130259834,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','11111','11111','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130344458,0,0,1,NULL),
  (233,'127.0.0.1',1486130260251,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','11111','1111111','傲游','zh','Windows','12222',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130344319,0,0,1,NULL),
  (234,'127.0.0.1',1486130673826,'','/bindex.jsp','本机地址','www.xxxx.com','http://localhost:9080/','傲游','zh','Windows','3333',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130688447,0,0,1,NULL),
  (235,'127.0.0.1',1486130674316,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130680108,0,0,1,NULL),
  (236,'127.0.0.1',1486130680601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130688466,0,0,0,NULL),
  (237,'127.0.0.1',1486130688920,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486130699377,0,0,0,NULL),
  (238,'127.0.0.1',1486131677451,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,NULL),
  (239,'127.0.0.1',1486131677499,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486131685841,0,0,0,NULL),
  (240,'127.0.0.1',1486131688060,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,NULL),
  (241,'127.0.0.1',1486131690460,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,NULL),
  (242,'127.0.0.1',1486173550019,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,NULL),
  (243,'127.0.0.1',1486173550155,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173553742,0,0,0,NULL),
  (244,'127.0.0.1',1486173554092,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173985926,0,0,0,NULL),
  (245,'127.0.0.1',1486173554494,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173555456,0,0,0,NULL),
  (246,'127.0.0.1',1486173555943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173557834,0,0,0,NULL),
  (247,'127.0.0.1',1486173558087,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173558803,0,0,0,NULL),
  (248,'127.0.0.1',1486173559185,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173564195,0,0,0,NULL),
  (249,'127.0.0.1',1486173564446,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173567152,0,0,0,NULL),
  (250,'127.0.0.1',1486173567511,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173585073,0,0,0,NULL),
  (251,'127.0.0.1',1486173585381,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173612712,0,0,0,NULL),
  (252,'127.0.0.1',1486173620797,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=2','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173639412,0,0,0,NULL),
  (253,'127.0.0.1',1486173639642,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173653983,0,0,0,NULL),
  (254,'127.0.0.1',1486173654224,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173737076,0,0,0,NULL),
  (255,'127.0.0.1',1486173744716,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=16','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173985881,0,0,1,NULL),
  (256,'127.0.0.1',1486173986228,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,NULL),
  (257,'127.0.0.1',1486173986293,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173990055,0,0,1,NULL),
  (258,'127.0.0.1',1486173990444,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,NULL),
  (259,'127.0.0.1',1486173990728,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486173992927,0,0,1,NULL),
  (260,'127.0.0.1',1486173993309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174113474,0,0,1,NULL),
  (261,'127.0.0.1',1486174113766,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174115597,0,0,1,NULL),
  (262,'127.0.0.1',1486174115923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174118023,0,0,1,NULL),
  (263,'127.0.0.1',1486174118321,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174119925,0,0,1,NULL),
  (264,'127.0.0.1',1486174120233,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174121314,0,0,1,NULL),
  (265,'127.0.0.1',1486174121606,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174127528,0,0,1,NULL),
  (266,'127.0.0.1',1486174127803,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174278044,0,0,1,NULL),
  (267,'127.0.0.1',1486174137799,'','/sys/users.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174315862,0,0,1,NULL),
  (268,'127.0.0.1',1486174278366,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174279021,0,0,1,NULL),
  (269,'127.0.0.1',1486174279314,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174280249,0,0,1,NULL),
  (270,'127.0.0.1',1486174280516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174542688,0,0,1,NULL),
  (271,'127.0.0.1',1486174287489,'','/sys/roles.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174314779,0,0,1,NULL),
  (272,'127.0.0.1',1486174466757,'','/sys/users.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174531035,0,0,1,NULL),
  (273,'127.0.0.1',1486174531361,'','/sys/users.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174538613,0,0,1,NULL),
  (274,'127.0.0.1',1486174542969,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174544276,0,0,2,'百度'),
  (275,'127.0.0.1',1486174544536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486174546447,0,0,2,'百度'),
  (276,'127.0.0.1',1486174546725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'百度'),
  (277,'127.0.0.1',1486191530874,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'百度'),
  (278,'127.0.0.1',1486191531187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486191537892,0,0,2,'百度'),
  (279,'127.0.0.1',1486191542820,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194585079,0,0,2,'百度'),
  (280,'127.0.0.1',1486191544421,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486191546774,0,0,2,'百度'),
  (281,'127.0.0.1',1486191548691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194585026,0,0,2,'百度'),
  (282,'127.0.0.1',1486194586588,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194591733,0,0,2,'百度'),
  (283,'127.0.0.1',1486194593199,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,NULL,NULL),
  (284,'127.0.0.1',1486194594235,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194595758,0,0,NULL,NULL),
  (285,'127.0.0.1',1486194596205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194598413,0,0,NULL,NULL),
  (286,'127.0.0.1',1486194602618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194965128,0,0,NULL,NULL),
  (287,'127.0.0.1',1486194965701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486194983043,0,0,NULL,NULL),
  (288,'127.0.0.1',1486194984971,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486195068749,0,0,NULL,NULL),
  (289,'127.0.0.1',1486195070530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486195104970,0,0,NULL,NULL),
  (290,'127.0.0.1',1486195106858,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486195206106,0,0,NULL,NULL),
  (291,'127.0.0.1',1486195207799,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486197775954,0,0,NULL,NULL),
  (292,'127.0.0.1',1486197776619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,NULL,NULL),
  (293,'127.0.0.1',1486873737107,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (294,'127.0.0.1',1486873737408,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873740644,0,0,0,''),
  (295,'127.0.0.1',1486873741774,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (296,'127.0.0.1',1486873889143,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873933403,0,0,1,''),
  (297,'127.0.0.1',1486873891363,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873896250,0,0,1,''),
  (298,'127.0.0.1',1486873897450,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873934177,0,0,1,''),
  (299,'127.0.0.1',1486873935466,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873938945,0,0,1,''),
  (300,'127.0.0.1',1486873940056,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874008109,0,0,1,''),
  (301,'127.0.0.1',1486873941126,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873942417,0,0,1,''),
  (302,'127.0.0.1',1486873943497,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873951376,0,0,1,''),
  (303,'127.0.0.1',1486873952532,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873966355,0,0,1,''),
  (304,'127.0.0.1',1486873967603,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486873973976,0,0,1,''),
  (305,'127.0.0.1',1486874004804,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=11','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874008149,0,0,1,''),
  (306,'127.0.0.1',1486874009186,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874012361,0,0,1,''),
  (307,'127.0.0.1',1486874013435,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876456123,0,0,1,''),
  (308,'127.0.0.1',1486874014487,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486874016120,0,0,1,''),
  (309,'127.0.0.1',1486874017358,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876456133,0,0,1,''),
  (310,'127.0.0.1',1486876457249,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (311,'127.0.0.1',1486876457319,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876460150,0,0,1,''),
  (312,'127.0.0.1',1486876461220,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876735969,0,0,1,''),
  (313,'127.0.0.1',1486876462271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876465463,0,0,1,''),
  (314,'127.0.0.1',1486876466598,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876735953,0,0,1,''),
  (315,'127.0.0.1',1486876737051,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (316,'127.0.0.1',1486876748871,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876754010,0,0,1,''),
  (317,'127.0.0.1',1486876765961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486877018514,0,0,1,''),
  (318,'127.0.0.1',1486876767240,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486876792802,0,0,1,''),
  (319,'127.0.0.1',1486876794849,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (320,'127.0.0.1',1486877019813,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (321,'127.0.0.1',1486877022709,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486877028642,0,0,1,''),
  (322,'127.0.0.1',1486877047117,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886195916,0,0,1,''),
  (323,'127.0.0.1',1486877049658,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486884303334,0,0,1,''),
  (324,'127.0.0.1',1486877055401,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (325,'127.0.0.1',1486884306225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (326,'127.0.0.1',1486886198476,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (327,'127.0.0.1',1486886208627,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886221230,0,0,1,''),
  (328,'127.0.0.1',1486886265029,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (329,'127.0.0.1',1486886266193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886276501,0,0,1,''),
  (330,'127.0.0.1',1486886277642,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886362447,0,0,1,''),
  (331,'127.0.0.1',1486886553473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886569483,0,0,1,''),
  (332,'127.0.0.1',1486886581812,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486886904583,0,0,1,''),
  (333,'127.0.0.1',1486886905849,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (334,'127.0.0.1',1486889202605,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (335,'127.0.0.1',1486889202695,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (336,'127.0.0.1',1486889318778,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (337,'127.0.0.1',1486889318849,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486889322182,0,0,0,''),
  (338,'127.0.0.1',1486889535387,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890159869,0,0,1,''),
  (339,'127.0.0.1',1486889536513,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486889539169,0,0,1,''),
  (340,'127.0.0.1',1486889540380,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (341,'127.0.0.1',1486890161001,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (342,'127.0.0.1',1486890161086,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890169401,0,0,1,''),
  (343,'127.0.0.1',1486890170727,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890360468,0,0,1,''),
  (344,'127.0.0.1',1486890171889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890173907,0,0,1,''),
  (345,'127.0.0.1',1486890175037,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890360487,0,0,1,''),
  (346,'127.0.0.1',1486890361628,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (347,'127.0.0.1',1486890361701,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890364635,0,0,1,''),
  (348,'127.0.0.1',1486890365733,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890460914,0,0,1,''),
  (349,'127.0.0.1',1486890366845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890368720,0,0,1,''),
  (350,'127.0.0.1',1486890369870,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890385720,0,0,1,''),
  (351,'127.0.0.1',1486890386834,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890460850,0,0,1,''),
  (352,'127.0.0.1',1486890462010,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (353,'127.0.0.1',1486890462077,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890465859,0,0,1,''),
  (354,'127.0.0.1',1486890467005,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890611238,0,0,1,''),
  (355,'127.0.0.1',1486890468168,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890470437,0,0,1,''),
  (356,'127.0.0.1',1486890471559,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890611224,0,0,1,''),
  (357,'127.0.0.1',1486890612373,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (358,'127.0.0.1',1486890612437,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890637444,0,0,1,''),
  (359,'127.0.0.1',1486890638565,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892337764,0,0,1,''),
  (360,'127.0.0.1',1486890640659,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486890641905,0,0,1,''),
  (361,'127.0.0.1',1486890644115,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892338632,0,0,1,''),
  (362,'127.0.0.1',1486892339815,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (363,'127.0.0.1',1486892339896,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892348191,0,0,1,''),
  (364,'127.0.0.1',1486892349366,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486894128343,0,0,1,''),
  (365,'127.0.0.1',1486892350481,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486892361336,0,0,1,''),
  (366,'127.0.0.1',1486892362508,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486893984504,0,0,1,''),
  (367,'127.0.0.1',1486894129480,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (368,'127.0.0.1',1486894129554,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486894143121,0,0,1,''),
  (369,'127.0.0.1',1486894144253,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896250594,0,0,1,''),
  (370,'127.0.0.1',1486894145370,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486894147989,0,0,1,''),
  (371,'127.0.0.1',1486894149126,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896250561,0,0,1,''),
  (372,'127.0.0.1',1486896003512,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (373,'127.0.0.1',1486896237747,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896248141,0,0,0,''),
  (374,'127.0.0.1',1486896249264,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896259963,0,0,1,''),
  (375,'127.0.0.1',1486896250418,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486896259904,0,0,1,''),
  (376,'127.0.0.1',1486896255022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (377,'127.0.0.1',1486896261074,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486897608719,0,0,0,''),
  (378,'127.0.0.1',1486897617471,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486897622317,0,0,0,''),
  (379,'127.0.0.1',1486897676767,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898119982,0,0,0,''),
  (380,'127.0.0.1',1486898943397,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (381,'127.0.0.1',1486898943467,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898946494,0,0,0,''),
  (382,'127.0.0.1',1486898947683,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898949829,0,0,1,''),
  (383,'127.0.0.1',1486898948844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898949766,0,0,1,''),
  (384,'127.0.0.1',1486898952430,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486898958001,0,0,0,''),
  (385,'127.0.0.1',1486898998589,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (386,'127.0.0.1',1486899521200,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (387,'127.0.0.1',1486899521269,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486899524316,0,0,0,''),
  (388,'127.0.0.1',1486899529786,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486900065699,0,0,1,''),
  (389,'127.0.0.1',1486899530961,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486900065644,0,0,1,''),
  (390,'127.0.0.1',1486899534265,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486899596548,0,0,0,''),
  (391,'127.0.0.1',1486899612856,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (392,'127.0.0.1',1486900066891,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (393,'127.0.0.1',1486900066986,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486900071319,0,0,1,''),
  (394,'127.0.0.1',1486900072581,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486902407644,0,0,1,''),
  (395,'127.0.0.1',1486900073868,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486902407533,0,0,1,''),
  (396,'127.0.0.1',1486900077428,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (397,'127.0.0.1',1486902408954,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (398,'127.0.0.1',1486902409033,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486902412160,0,0,1,''),
  (399,'127.0.0.1',1486902413336,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903321482,0,0,1,''),
  (400,'127.0.0.1',1486902414520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903321426,0,0,1,''),
  (401,'127.0.0.1',1486902418265,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903332986,0,0,0,''),
  (402,'127.0.0.1',1486903324654,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (403,'127.0.0.1',1486903324793,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903334791,0,0,1,''),
  (404,'127.0.0.1',1486903336730,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903405393,0,0,1,''),
  (405,'127.0.0.1',1486903338657,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903405230,0,0,1,''),
  (406,'127.0.0.1',1486903340927,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (407,'127.0.0.1',1486903408062,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (408,'127.0.0.1',1486903408467,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903416271,0,0,1,''),
  (409,'127.0.0.1',1486903418337,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903734644,0,0,1,''),
  (410,'127.0.0.1',1486903420370,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903734516,0,0,1,''),
  (411,'127.0.0.1',1486903425421,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (412,'127.0.0.1',1486903736661,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (413,'127.0.0.1',1486903736815,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486903742472,0,0,1,''),
  (414,'127.0.0.1',1486903744998,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904754226,0,0,1,''),
  (415,'127.0.0.1',1486903748540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904754871,0,0,1,''),
  (416,'127.0.0.1',1486903752047,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904726075,0,0,0,''),
  (417,'127.0.0.1',1486904757797,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (418,'127.0.0.1',1486904758043,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486904761475,0,0,1,''),
  (419,'127.0.0.1',1486904766178,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906386996,0,0,1,''),
  (420,'127.0.0.1',1486904769854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906388189,0,0,1,''),
  (421,'127.0.0.1',1486904775664,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486905235709,0,0,0,''),
  (422,'127.0.0.1',1486905245055,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486905290001,0,0,0,''),
  (423,'127.0.0.1',1486905299405,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486905381630,0,0,0,''),
  (424,'127.0.0.1',1486905400416,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (425,'127.0.0.1',1486906375927,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (426,'127.0.0.1',1486906383483,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906410054,0,0,0,''),
  (427,'127.0.0.1',1486906390607,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (428,'127.0.0.1',1486906390747,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906400587,0,0,1,''),
  (429,'127.0.0.1',1486906404941,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907228430,0,0,1,''),
  (430,'127.0.0.1',1486906407539,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486906416773,0,0,1,''),
  (431,'127.0.0.1',1486906419449,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907219351,0,0,1,''),
  (432,'127.0.0.1',1486906503205,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907242101,0,0,0,''),
  (433,'127.0.0.1',1486907231008,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (434,'127.0.0.1',1486907231144,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486907235941,0,0,1,''),
  (435,'127.0.0.1',1486907237290,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909120804,0,0,1,''),
  (436,'127.0.0.1',1486907239012,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909120247,0,0,1,''),
  (437,'127.0.0.1',1486907247657,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909175878,0,0,0,''),
  (438,'127.0.0.1',1486909122726,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (439,'127.0.0.1',1486909122911,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909127087,0,0,1,''),
  (440,'127.0.0.1',1486909128928,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (441,'127.0.0.1',1486909130921,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909402485,0,0,1,''),
  (442,'127.0.0.1',1486909177727,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909422108,0,0,0,''),
  (443,'127.0.0.1',1486909406842,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (444,'127.0.0.1',1486909407235,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909412061,0,0,1,''),
  (445,'127.0.0.1',1486909415272,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909622116,0,0,1,''),
  (446,'127.0.0.1',1486909417285,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909619728,0,0,1,''),
  (447,'127.0.0.1',1486909424541,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909500783,0,0,0,''),
  (448,'127.0.0.1',1486909504460,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909659492,0,0,0,''),
  (449,'127.0.0.1',1486909624309,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (450,'127.0.0.1',1486909624522,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909628518,0,0,1,''),
  (451,'127.0.0.1',1486909632052,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909817189,0,0,1,''),
  (452,'127.0.0.1',1486909635908,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909817688,0,0,1,''),
  (453,'127.0.0.1',1486909661644,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (454,'127.0.0.1',1486909822558,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (455,'127.0.0.1',1486909823056,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909833335,0,0,1,''),
  (456,'127.0.0.1',1486909837218,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909905023,0,0,1,''),
  (457,'127.0.0.1',1486909839403,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909902592,0,0,1,''),
  (458,'127.0.0.1',1486909849160,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909948565,0,0,0,''),
  (459,'127.0.0.1',1486909907602,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (460,'127.0.0.1',1486909908211,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909935518,0,0,1,''),
  (461,'127.0.0.1',1486909938532,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910139431,0,0,1,''),
  (462,'127.0.0.1',1486909941469,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910137740,0,0,1,''),
  (463,'127.0.0.1',1486909951238,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909962011,0,0,0,''),
  (464,'127.0.0.1',1486909978386,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486909981441,0,0,0,''),
  (465,'127.0.0.1',1486909985809,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910168971,0,0,0,''),
  (466,'127.0.0.1',1486910146619,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (467,'127.0.0.1',1486910146801,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910150615,0,0,1,''),
  (468,'127.0.0.1',1486910155181,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912247111,0,0,1,''),
  (469,'127.0.0.1',1486910158649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912245982,0,0,1,''),
  (470,'127.0.0.1',1486910172367,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486910353638,0,0,0,''),
  (471,'127.0.0.1',1486910358234,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912257291,0,0,0,''),
  (472,'127.0.0.1',1486912252849,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (473,'127.0.0.1',1486912253601,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912257353,0,0,1,''),
  (474,'127.0.0.1',1486912258637,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912482078,0,0,1,''),
  (475,'127.0.0.1',1486912259904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912482029,0,0,1,''),
  (476,'127.0.0.1',1486912264180,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912510288,0,0,0,''),
  (477,'127.0.0.1',1486912483327,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (478,'127.0.0.1',1486912483402,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912490688,0,0,1,''),
  (479,'127.0.0.1',1486912491940,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912935618,0,0,1,''),
  (480,'127.0.0.1',1486912493165,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912935557,0,0,1,''),
  (481,'127.0.0.1',1486912512842,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912943282,0,0,0,''),
  (482,'127.0.0.1',1486912936845,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (483,'127.0.0.1',1486912936949,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912939951,0,0,1,''),
  (484,'127.0.0.1',1486912941181,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913302671,0,0,1,''),
  (485,'127.0.0.1',1486912942415,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913302613,0,0,1,''),
  (486,'127.0.0.1',1486912945481,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486912956943,0,0,0,''),
  (487,'127.0.0.1',1486913049282,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913124097,0,0,0,''),
  (488,'127.0.0.1',1486913128211,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913291955,0,0,0,''),
  (489,'127.0.0.1',1486913303885,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (490,'127.0.0.1',1486913303947,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913306844,0,0,1,''),
  (491,'127.0.0.1',1486913308072,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913951898,0,0,1,''),
  (492,'127.0.0.1',1486913309324,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913951889,0,0,1,''),
  (493,'127.0.0.1',1486913313737,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913960953,0,0,0,''),
  (494,'127.0.0.1',1486913953167,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (495,'127.0.0.1',1486913953219,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486913955829,0,0,1,''),
  (496,'127.0.0.1',1486913957050,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914586339,0,0,1,''),
  (497,'127.0.0.1',1486913958247,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914586263,0,0,1,''),
  (498,'127.0.0.1',1486913962216,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914596818,0,0,0,''),
  (499,'127.0.0.1',1486914587560,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (500,'127.0.0.1',1486914587644,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914591670,0,0,1,''),
  (501,'127.0.0.1',1486914593133,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914824987,0,0,1,''),
  (502,'127.0.0.1',1486914595053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914824689,0,0,1,''),
  (503,'127.0.0.1',1486914598069,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (504,'127.0.0.1',1486914826919,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (505,'127.0.0.1',1486914827065,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1486914830984,0,0,1,''),
  (506,'127.0.0.1',1486914834364,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (507,'127.0.0.1',1486914838417,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (508,'127.0.0.1',1486914844356,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (509,'127.0.0.1',1488295409549,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (510,'127.0.0.1',1488295410016,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295419231,0,0,0,''),
  (511,'127.0.0.1',1488295419807,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295603891,0,0,1,''),
  (512,'127.0.0.1',1488295420427,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295421615,0,0,1,''),
  (513,'127.0.0.1',1488295422191,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295460398,0,0,1,''),
  (514,'127.0.0.1',1488295460928,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295514718,0,0,1,''),
  (515,'127.0.0.1',1488295515389,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295524588,0,0,1,''),
  (516,'127.0.0.1',1488295524978,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295535342,0,0,1,''),
  (517,'127.0.0.1',1488295559080,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295561303,0,0,1,''),
  (518,'127.0.0.1',1488295561665,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295567985,0,0,1,''),
  (519,'127.0.0.1',1488295579486,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295599973,0,0,1,''),
  (520,'127.0.0.1',1488295602915,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295603953,0,0,1,''),
  (521,'127.0.0.1',1488295604388,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295607828,0,0,1,''),
  (522,'127.0.0.1',1488295608301,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295929456,0,0,1,''),
  (523,'127.0.0.1',1488295608771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295612553,0,0,1,''),
  (524,'127.0.0.1',1488295613059,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295927561,0,0,1,''),
  (525,'127.0.0.1',1488295640472,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295691361,0,0,0,''),
  (526,'127.0.0.1',1488295691843,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295696039,0,0,0,''),
  (527,'127.0.0.1',1488295696898,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295706649,0,0,1,''),
  (528,'127.0.0.1',1488295707107,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295724254,0,0,1,''),
  (529,'127.0.0.1',1488295724742,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295735275,0,0,1,''),
  (530,'127.0.0.1',1488295735741,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295738421,0,0,1,''),
  (531,'127.0.0.1',1488295738901,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295741184,0,0,1,''),
  (532,'127.0.0.1',1488295741657,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295803416,0,0,1,''),
  (533,'127.0.0.1',1488295804045,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295964621,0,0,1,''),
  (534,'127.0.0.1',1488295929967,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (535,'127.0.0.1',1488295932637,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295938142,0,0,1,''),
  (536,'127.0.0.1',1488295938545,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297095507,0,0,1,''),
  (537,'127.0.0.1',1488295938962,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295942006,0,0,1,''),
  (538,'127.0.0.1',1488295942497,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297087203,0,0,1,''),
  (539,'127.0.0.1',1488295965055,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488295975027,0,0,1,''),
  (540,'127.0.0.1',1488295975462,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488296317189,0,0,1,''),
  (541,'127.0.0.1',1488296317717,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488296321512,0,0,1,''),
  (542,'127.0.0.1',1488296322925,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297108476,0,0,1,''),
  (543,'127.0.0.1',1488297095961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (544,'127.0.0.1',1488297096043,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297100084,0,0,1,''),
  (545,'127.0.0.1',1488297100490,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297504451,0,0,1,''),
  (546,'127.0.0.1',1488297100904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297103573,0,0,1,''),
  (547,'127.0.0.1',1488297104058,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297504447,0,0,1,''),
  (548,'127.0.0.1',1488297108924,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297111398,0,0,1,''),
  (549,'127.0.0.1',1488297111833,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297118307,0,0,1,''),
  (550,'127.0.0.1',1488297118822,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297125601,0,0,1,''),
  (551,'127.0.0.1',1488297126049,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297146226,0,0,1,''),
  (552,'127.0.0.1',1488297146672,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297149105,0,0,1,''),
  (553,'127.0.0.1',1488297149523,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297152255,0,0,1,''),
  (554,'127.0.0.1',1488297152713,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297158472,0,0,1,''),
  (555,'127.0.0.1',1488297158900,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297182468,0,0,1,''),
  (556,'127.0.0.1',1488297182943,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297193489,0,0,1,''),
  (557,'127.0.0.1',1488297193918,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297207781,0,0,1,''),
  (558,'127.0.0.1',1488297208202,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297259612,0,0,1,''),
  (559,'127.0.0.1',1488297260059,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297320658,0,0,1,''),
  (560,'127.0.0.1',1488297321132,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (561,'127.0.0.1',1488297504915,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (562,'127.0.0.1',1488297505007,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297508615,0,0,1,''),
  (563,'127.0.0.1',1488297509037,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297656307,0,0,1,''),
  (564,'127.0.0.1',1488297509446,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297512010,0,0,1,''),
  (565,'127.0.0.1',1488297512473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297515083,0,0,1,''),
  (566,'127.0.0.1',1488297516340,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297521743,0,0,1,''),
  (567,'127.0.0.1',1488297522166,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297533766,0,0,1,''),
  (568,'127.0.0.1',1488297553924,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297562953,0,0,1,''),
  (569,'127.0.0.1',1488297563298,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (570,'127.0.0.1',1488297656757,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (571,'127.0.0.1',1488297656836,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297660286,0,0,1,''),
  (572,'127.0.0.1',1488297660737,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297884149,0,0,1,''),
  (573,'127.0.0.1',1488297661158,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297664550,0,0,1,''),
  (574,'127.0.0.1',1488297665022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297669669,0,0,1,''),
  (575,'127.0.0.1',1488297670070,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297674594,0,0,1,''),
  (576,'127.0.0.1',1488297675006,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297685680,0,0,1,''),
  (577,'127.0.0.1',1488297702665,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297871733,0,0,1,''),
  (578,'127.0.0.1',1488297743550,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297957746,0,0,0,''),
  (579,'127.0.0.1',1488297884594,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (580,'127.0.0.1',1488297884686,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297888231,0,0,1,''),
  (581,'127.0.0.1',1488297888688,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298370790,0,0,1,''),
  (582,'127.0.0.1',1488297889100,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297891405,0,0,1,''),
  (583,'127.0.0.1',1488297891890,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297894246,0,0,1,''),
  (584,'127.0.0.1',1488297895636,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297902485,0,0,1,''),
  (585,'127.0.0.1',1488297902863,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298370762,0,0,1,''),
  (586,'127.0.0.1',1488297965592,'','/access/source.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488297967871,0,0,0,''),
  (587,'127.0.0.1',1488297968318,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298066199,0,0,1,''),
  (588,'127.0.0.1',1488298066708,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (589,'127.0.0.1',1488298371277,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (590,'127.0.0.1',1488298371355,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298378114,0,0,1,''),
  (591,'127.0.0.1',1488298378579,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298488755,0,0,1,''),
  (592,'127.0.0.1',1488298379022,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298381502,0,0,1,''),
  (593,'127.0.0.1',1488298381983,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298385253,0,0,1,''),
  (594,'127.0.0.1',1488298385691,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298411761,0,0,1,''),
  (595,'127.0.0.1',1488298420353,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298436848,0,0,1,''),
  (596,'127.0.0.1',1488298437254,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298488752,0,0,1,''),
  (597,'127.0.0.1',1488298489213,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (598,'127.0.0.1',1488298489287,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298492675,0,0,1,''),
  (599,'127.0.0.1',1488298493151,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299010612,0,0,1,''),
  (600,'127.0.0.1',1488298493587,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298496321,0,0,1,''),
  (601,'127.0.0.1',1488298496842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298498536,0,0,1,''),
  (602,'127.0.0.1',1488298498956,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298503383,0,0,1,''),
  (603,'127.0.0.1',1488298503800,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298586886,0,0,1,''),
  (604,'127.0.0.1',1488298587331,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298649963,0,0,1,''),
  (605,'127.0.0.1',1488298650376,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298660520,0,0,1,''),
  (606,'127.0.0.1',1488298660906,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488298996104,0,0,1,''),
  (607,'127.0.0.1',1488298996497,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299010586,0,0,1,''),
  (608,'127.0.0.1',1488299011038,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (609,'127.0.0.1',1488299011149,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299014545,0,0,1,''),
  (610,'127.0.0.1',1488299015068,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299062719,0,0,1,''),
  (611,'127.0.0.1',1488299015586,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299018596,0,0,1,''),
  (612,'127.0.0.1',1488299019132,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299021143,0,0,1,''),
  (613,'127.0.0.1',1488299021621,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299062768,0,0,1,''),
  (614,'127.0.0.1',1488299063227,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (615,'127.0.0.1',1488299063345,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299070509,0,0,1,''),
  (616,'127.0.0.1',1488299071012,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299204290,0,0,1,''),
  (617,'127.0.0.1',1488299071468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299074108,0,0,1,''),
  (618,'127.0.0.1',1488299074670,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299076676,0,0,1,''),
  (619,'127.0.0.1',1488299077129,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299081845,0,0,1,''),
  (620,'127.0.0.1',1488299082322,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299204313,0,0,1,''),
  (621,'127.0.0.1',1488299204763,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (622,'127.0.0.1',1488299204871,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299207801,0,0,1,''),
  (623,'127.0.0.1',1488299208318,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299287949,0,0,1,''),
  (624,'127.0.0.1',1488299208798,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299209978,0,0,1,''),
  (625,'127.0.0.1',1488299210491,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299211880,0,0,1,''),
  (626,'127.0.0.1',1488299217392,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299219549,0,0,1,''),
  (627,'127.0.0.1',1488299220007,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299226939,0,0,1,''),
  (628,'127.0.0.1',1488299227421,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299287920,0,0,1,''),
  (629,'127.0.0.1',1488299289925,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (630,'127.0.0.1',1488299290030,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299293246,0,0,1,''),
  (631,'127.0.0.1',1488299293819,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299599020,0,0,1,''),
  (632,'127.0.0.1',1488299294269,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299296103,0,0,1,''),
  (633,'127.0.0.1',1488299296700,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299298520,0,0,1,''),
  (634,'127.0.0.1',1488299298978,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299301832,0,0,1,''),
  (635,'127.0.0.1',1488299302302,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299420738,0,0,1,''),
  (636,'127.0.0.1',1488299421279,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299599038,0,0,1,''),
  (637,'127.0.0.1',1488299599497,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (638,'127.0.0.1',1488299599588,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299602526,0,0,1,''),
  (639,'127.0.0.1',1488299602974,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299675472,0,0,1,''),
  (640,'127.0.0.1',1488299603389,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299605223,0,0,1,''),
  (641,'127.0.0.1',1488299605738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299675461,0,0,1,''),
  (642,'127.0.0.1',1488299675938,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (643,'127.0.0.1',1488299676031,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299678619,0,0,1,''),
  (644,'127.0.0.1',1488299679129,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (645,'127.0.0.1',1488299679532,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488299681722,0,0,1,''),
  (646,'127.0.0.1',1488299682205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (647,'127.0.0.1',1488337410058,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (648,'127.0.0.1',1488337410167,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337413835,0,0,0,''),
  (649,'127.0.0.1',1488337414487,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337692315,0,0,1,''),
  (650,'127.0.0.1',1488337415101,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337417684,0,0,1,''),
  (651,'127.0.0.1',1488337418297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337429783,0,0,1,''),
  (652,'127.0.0.1',1488337430353,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337692368,0,0,1,''),
  (653,'127.0.0.1',1488337697498,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (654,'127.0.0.1',1488337697580,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337700951,0,0,1,''),
  (655,'127.0.0.1',1488337701557,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337821481,0,0,1,''),
  (656,'127.0.0.1',1488337702144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337704783,0,0,1,''),
  (657,'127.0.0.1',1488337705414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337711017,0,0,1,''),
  (658,'127.0.0.1',1488337711529,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337712706,0,0,1,''),
  (659,'127.0.0.1',1488337713202,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337715315,0,0,1,''),
  (660,'127.0.0.1',1488337715857,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337738062,0,0,1,''),
  (661,'127.0.0.1',1488337738598,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337821490,0,0,1,''),
  (662,'127.0.0.1',1488337822103,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (663,'127.0.0.1',1488337822223,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337829276,0,0,1,''),
  (664,'127.0.0.1',1488337829844,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338099281,0,0,1,''),
  (665,'127.0.0.1',1488337830375,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337836028,0,0,1,''),
  (666,'127.0.0.1',1488337836601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337838298,0,0,1,''),
  (667,'127.0.0.1',1488337838846,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488337845442,0,0,1,''),
  (668,'127.0.0.1',1488337845981,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338099262,0,0,1,''),
  (669,'127.0.0.1',1488338099853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (670,'127.0.0.1',1488338099946,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338102838,0,0,1,''),
  (671,'127.0.0.1',1488338103411,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338857183,0,0,1,''),
  (672,'127.0.0.1',1488338103999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338105726,0,0,1,''),
  (673,'127.0.0.1',1488338106345,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338110643,0,0,1,''),
  (674,'127.0.0.1',1488338111239,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338123718,0,0,1,''),
  (675,'127.0.0.1',1488338124197,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (676,'127.0.0.1',1488338857781,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (677,'127.0.0.1',1488338857890,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338861885,0,0,1,''),
  (678,'127.0.0.1',1488338862439,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339847673,0,0,1,''),
  (679,'127.0.0.1',1488338862962,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338865866,0,0,1,''),
  (680,'127.0.0.1',1488338866465,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338868099,0,0,1,''),
  (681,'127.0.0.1',1488338868621,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338891174,0,0,1,''),
  (682,'127.0.0.1',1488338905455,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338977527,0,0,1,''),
  (683,'127.0.0.1',1488338978077,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338985337,0,0,1,''),
  (684,'127.0.0.1',1488338985791,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488338993689,0,0,1,''),
  (685,'127.0.0.1',1488338994167,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=0','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339078197,0,0,1,''),
  (686,'127.0.0.1',1488339078692,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (687,'127.0.0.1',1488339848214,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (688,'127.0.0.1',1488339848311,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339851485,0,0,1,''),
  (689,'127.0.0.1',1488339852025,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339900854,0,0,1,''),
  (690,'127.0.0.1',1488339852626,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339854514,0,0,1,''),
  (691,'127.0.0.1',1488339855159,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339871301,0,0,1,''),
  (692,'127.0.0.1',1488339871818,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339877788,0,0,1,''),
  (693,'127.0.0.1',1488339878265,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (694,'127.0.0.1',1488339903068,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (695,'127.0.0.1',1488339903142,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339907207,0,0,1,''),
  (696,'127.0.0.1',1488339907746,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340115011,0,0,1,''),
  (697,'127.0.0.1',1488339908277,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339910055,0,0,1,''),
  (698,'127.0.0.1',1488339910618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339924838,0,0,1,''),
  (699,'127.0.0.1',1488339925354,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339953826,0,0,1,''),
  (700,'127.0.0.1',1488339961759,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=7','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488339976342,0,0,1,''),
  (701,'127.0.0.1',1488339976921,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340011937,0,0,1,''),
  (702,'127.0.0.1',1488340012431,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (703,'127.0.0.1',1488340115576,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (704,'127.0.0.1',1488340115667,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340118548,0,0,1,''),
  (705,'127.0.0.1',1488340119143,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (706,'127.0.0.1',1488340119660,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340121754,0,0,1,''),
  (707,'127.0.0.1',1488340122351,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340132285,0,0,1,''),
  (708,'127.0.0.1',1488340132812,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340137162,0,0,1,''),
  (709,'127.0.0.1',1488340137647,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=-1','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340140458,0,0,1,''),
  (710,'127.0.0.1',1488340140985,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340197870,0,0,1,''),
  (711,'127.0.0.1',1488340198473,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (712,'127.0.0.1',1488340198591,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340202042,0,0,1,''),
  (713,'127.0.0.1',1488340202670,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352900628,0,0,1,''),
  (714,'127.0.0.1',1488340203180,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340204810,0,0,1,''),
  (715,'127.0.0.1',1488340205443,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340396105,0,0,1,''),
  (716,'127.0.0.1',1488340396630,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340398845,0,0,1,'');
COMMIT;

#
# Data for the `access_info` table  (LIMIT 500,500)
#

INSERT INTO `access_info` (`id`, `ip`, `vtime`, `source_url`, `target_url`, `country`, `source_domain`, `target_domain`, `browser`, `language`, `os`, `session_id`, `user_id`, `user_agent`, `ltime`, `new_visitor`, `mobile`, `source_type`, `search_engine`) VALUES 
  (717,'127.0.0.1',1488340400725,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340405632,0,0,1,''),
  (718,'127.0.0.1',1488340406155,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340409252,0,0,1,''),
  (719,'127.0.0.1',1488340409816,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=7','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340778905,0,0,1,''),
  (720,'127.0.0.1',1488340779511,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340840192,0,0,1,''),
  (721,'127.0.0.1',1488340840696,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488340907139,0,0,1,''),
  (722,'127.0.0.1',1488340907588,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488341379800,0,0,1,''),
  (723,'127.0.0.1',1488341380318,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488341416618,0,0,1,''),
  (724,'127.0.0.1',1488341417158,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488341504572,0,0,1,''),
  (725,'127.0.0.1',1488341505117,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352900625,0,0,1,''),
  (726,'127.0.0.1',1488352901194,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (727,'127.0.0.1',1488352901303,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352904730,0,0,1,''),
  (728,'127.0.0.1',1488352905361,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354869224,0,0,1,''),
  (729,'127.0.0.1',1488352905951,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352908060,0,0,1,''),
  (730,'127.0.0.1',1488352908644,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488352968760,0,0,1,''),
  (731,'127.0.0.1',1488352970282,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353053597,0,0,1,''),
  (732,'127.0.0.1',1488353054451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353071326,0,0,1,''),
  (733,'127.0.0.1',1488353072181,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353081530,0,0,1,''),
  (734,'127.0.0.1',1488353082362,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353098805,0,0,1,''),
  (735,'127.0.0.1',1488353099650,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353210379,0,0,1,''),
  (736,'127.0.0.1',1488353211210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353296197,0,0,1,''),
  (737,'127.0.0.1',1488353296962,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353530608,0,0,1,''),
  (738,'127.0.0.1',1488353531455,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353540308,0,0,1,''),
  (739,'127.0.0.1',1488353541071,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353583038,0,0,1,''),
  (740,'127.0.0.1',1488353583558,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1&resname=jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488353590481,0,0,1,''),
  (741,'127.0.0.1',1488353590988,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354172887,0,0,1,''),
  (742,'127.0.0.1',1488354173515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354178348,0,0,1,''),
  (743,'127.0.0.1',1488354179078,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354186447,0,0,1,''),
  (744,'127.0.0.1',1488354186970,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354252010,0,0,1,''),
  (745,'127.0.0.1',1488354252569,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354254936,0,0,1,''),
  (746,'127.0.0.1',1488354255533,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354276569,0,0,1,''),
  (747,'127.0.0.1',1488354277386,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354280727,0,0,1,''),
  (748,'127.0.0.1',1488354281424,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354285586,0,0,1,''),
  (749,'127.0.0.1',1488354286077,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=0&resname=zip','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354286942,0,0,1,''),
  (750,'127.0.0.1',1488354287434,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=-1&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354291557,0,0,1,''),
  (751,'127.0.0.1',1488354292050,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=30&resname=html','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354295310,0,0,1,''),
  (752,'127.0.0.1',1488354295802,'http://localhost:9080/persistence2-web-example/access/target.jsp?dt=30&resname=zip','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (753,'127.0.0.1',1488354870148,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (754,'127.0.0.1',1488354870211,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354894811,0,0,1,''),
  (755,'127.0.0.1',1488354895437,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366045575,0,0,1,''),
  (756,'127.0.0.1',1488354895999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488354898892,0,0,1,''),
  (757,'127.0.0.1',1488354899557,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355074045,0,0,1,''),
  (758,'127.0.0.1',1488355074636,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355181483,0,0,1,''),
  (759,'127.0.0.1',1488355185720,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355197636,0,0,1,''),
  (760,'127.0.0.1',1488355198173,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355208754,0,0,1,''),
  (761,'127.0.0.1',1488355209342,'http://localhost:9080/persistence2-web-example/access/source.jsp?dt=30','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355216024,0,0,1,''),
  (762,'127.0.0.1',1488355216544,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355218859,0,0,1,''),
  (763,'127.0.0.1',1488355219390,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355219648,0,0,1,''),
  (764,'127.0.0.1',1488355220157,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488355221807,0,0,1,''),
  (765,'127.0.0.1',1488355222309,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366045524,0,0,1,''),
  (766,'127.0.0.1',1488366046241,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (767,'127.0.0.1',1488366046348,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366050052,0,0,1,''),
  (768,'127.0.0.1',1488366050847,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367793291,0,0,1,''),
  (769,'127.0.0.1',1488366051468,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366053614,0,0,1,''),
  (770,'127.0.0.1',1488366054328,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488366334366,0,0,1,''),
  (771,'127.0.0.1',1488366335380,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367793178,0,0,1,''),
  (772,'127.0.0.1',1488367793973,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (773,'127.0.0.1',1488367794110,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367799271,0,0,1,''),
  (774,'127.0.0.1',1488367799961,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (775,'127.0.0.1',1488367800596,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367811141,0,0,1,''),
  (776,'127.0.0.1',1488367811856,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367824886,0,0,1,''),
  (777,'127.0.0.1',1488367825603,'http://localhost:9080/persistence2-web-example/access/target.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367853595,0,0,1,''),
  (778,'127.0.0.1',1488367854295,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367892093,0,0,1,''),
  (779,'127.0.0.1',1488367892795,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367895040,0,0,1,''),
  (780,'127.0.0.1',1488367895632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367896350,0,0,1,''),
  (781,'127.0.0.1',1488367897014,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488367897090,0,0,1,''),
  (782,'127.0.0.1',1488367897756,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (783,'127.0.0.1',1488456345013,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (784,'127.0.0.1',1488456345602,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456352253,0,0,1,''),
  (785,'127.0.0.1',1488456353753,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456487109,0,0,1,''),
  (786,'127.0.0.1',1488456355564,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456362283,0,0,1,''),
  (787,'127.0.0.1',1488456364444,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456369953,0,0,1,''),
  (788,'127.0.0.1',1488456370339,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456371436,0,0,1,''),
  (789,'127.0.0.1',1488456371763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456376514,0,0,1,''),
  (790,'127.0.0.1',1488456376877,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456408014,0,0,1,''),
  (791,'127.0.0.1',1488456408350,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456454152,0,0,1,''),
  (792,'127.0.0.1',1488456454634,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456458879,0,0,1,''),
  (793,'127.0.0.1',1488456459140,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456459912,0,0,1,''),
  (794,'127.0.0.1',1488456460187,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456466540,0,0,1,''),
  (795,'127.0.0.1',1488456466845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456468973,0,0,1,''),
  (796,'127.0.0.1',1488456472220,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456488354,0,0,1,''),
  (797,'127.0.0.1',1488456488621,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456491578,0,0,1,''),
  (798,'127.0.0.1',1488456491946,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456816319,0,0,1,''),
  (799,'127.0.0.1',1488456492248,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456494942,0,0,1,''),
  (800,'127.0.0.1',1488456495325,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456815176,0,0,1,''),
  (801,'127.0.0.1',1488456519148,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456828483,0,0,0,''),
  (802,'127.0.0.1',1488456816659,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (803,'127.0.0.1',1488456816727,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456819525,0,0,1,''),
  (804,'127.0.0.1',1488456819894,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457125060,0,0,1,''),
  (805,'127.0.0.1',1488456820207,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488456822742,0,0,1,''),
  (806,'127.0.0.1',1488456823150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457124317,0,0,1,''),
  (807,'127.0.0.1',1488456828814,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457134897,0,0,0,''),
  (808,'127.0.0.1',1488457125408,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (809,'127.0.0.1',1488457125474,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457127803,0,0,1,''),
  (810,'127.0.0.1',1488457128128,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457169763,0,0,1,''),
  (811,'127.0.0.1',1488457128460,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457130792,0,0,1,''),
  (812,'127.0.0.1',1488457131189,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457169797,0,0,1,''),
  (813,'127.0.0.1',1488457135275,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457199937,0,0,0,''),
  (814,'127.0.0.1',1488457170146,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (815,'127.0.0.1',1488457170223,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457172564,0,0,1,''),
  (816,'127.0.0.1',1488457172916,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458191221,0,0,1,''),
  (817,'127.0.0.1',1488457173245,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457175037,0,0,1,''),
  (818,'127.0.0.1',1488457175423,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458191249,0,0,1,''),
  (819,'127.0.0.1',1488457200298,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457289812,0,0,0,''),
  (820,'127.0.0.1',1488457290978,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457305671,0,0,0,''),
  (821,'127.0.0.1',1488457306162,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457398613,0,0,0,''),
  (822,'127.0.0.1',1488457399120,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457434857,0,0,0,''),
  (823,'127.0.0.1',1488457435371,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457485220,0,0,0,''),
  (824,'127.0.0.1',1488457485689,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457499889,0,0,0,''),
  (825,'127.0.0.1',1488457500357,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488457513700,0,0,0,''),
  (826,'127.0.0.1',1488457514209,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458259327,0,0,0,''),
  (827,'127.0.0.1',1488458191562,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (828,'127.0.0.1',1488458191631,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458194657,0,0,1,''),
  (829,'127.0.0.1',1488458195002,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458764735,0,0,1,''),
  (830,'127.0.0.1',1488458195335,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458197246,0,0,1,''),
  (831,'127.0.0.1',1488458197605,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458311580,0,0,1,''),
  (832,'127.0.0.1',1488458259887,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458303728,0,0,0,''),
  (833,'127.0.0.1',1488458304234,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458412487,0,0,0,''),
  (834,'127.0.0.1',1488458312778,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458470876,0,0,1,''),
  (835,'127.0.0.1',1488458413027,'','/access/visitor.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458417341,0,0,0,''),
  (836,'127.0.0.1',1488458417978,'http://localhost:9080/persistence2-web-example/access/visitor.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458420908,0,0,1,''),
  (837,'127.0.0.1',1488458421293,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=-1','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458426399,0,0,1,''),
  (838,'127.0.0.1',1488458426772,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=7','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458469284,0,0,1,''),
  (839,'127.0.0.1',1488458471164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458764545,0,0,1,''),
  (840,'127.0.0.1',1488458777788,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (841,'127.0.0.1',1488458778152,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458782995,0,0,1,''),
  (842,'127.0.0.1',1488458784616,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458835078,0,0,1,''),
  (843,'127.0.0.1',1488458786597,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458789830,0,0,1,''),
  (844,'127.0.0.1',1488458791799,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458797635,0,0,1,''),
  (845,'127.0.0.1',1488458799105,'http://localhost:9080/persistence2-web-example/access/visitor.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458802725,0,0,1,''),
  (846,'127.0.0.1',1488458803917,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=-1','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458808536,0,0,1,''),
  (847,'127.0.0.1',1488458809743,'http://localhost:9080/persistence2-web-example/access/visitor.jsp?dt=7','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488458835701,0,0,1,''),
  (848,'127.0.0.1',1488458837011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (849,'127.0.0.1',1488595664906,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (850,'127.0.0.1',1488595664982,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595668190,0,0,1,''),
  (851,'127.0.0.1',1488595668740,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596131507,0,0,1,''),
  (852,'127.0.0.1',1488595669259,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595717951,0,0,1,''),
  (853,'127.0.0.1',1488595672392,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595709689,0,0,0,''),
  (854,'127.0.0.1',1488595710245,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595765203,0,0,0,''),
  (855,'127.0.0.1',1488595718562,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595729349,0,0,1,''),
  (856,'127.0.0.1',1488595729848,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595864727,0,0,1,''),
  (857,'127.0.0.1',1488595766574,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488595800991,0,0,0,''),
  (858,'127.0.0.1',1488595801651,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600506161,0,0,0,''),
  (859,'127.0.0.1',1488595865419,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596131531,0,0,1,''),
  (860,'127.0.0.1',1488596132048,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (861,'127.0.0.1',1488596132131,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596134730,0,0,1,''),
  (862,'127.0.0.1',1488596135315,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600426633,0,0,1,''),
  (863,'127.0.0.1',1488596135866,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596137385,0,0,1,''),
  (864,'127.0.0.1',1488596137954,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596171805,0,0,1,''),
  (865,'127.0.0.1',1488596173060,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596176391,0,0,1,''),
  (866,'127.0.0.1',1488596176925,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596179099,0,0,1,''),
  (867,'127.0.0.1',1488596179681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596194605,0,0,1,''),
  (868,'127.0.0.1',1488596195182,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596196493,0,0,1,''),
  (869,'127.0.0.1',1488596197034,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488596197507,0,0,1,''),
  (870,'127.0.0.1',1488596198058,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600426652,0,0,1,''),
  (871,'127.0.0.1',1488600427198,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (872,'127.0.0.1',1488600427276,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600430698,0,0,1,''),
  (873,'127.0.0.1',1488600431253,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (874,'127.0.0.1',1488600431782,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600434606,0,0,1,''),
  (875,'127.0.0.1',1488600435201,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600441707,0,0,1,''),
  (876,'127.0.0.1',1488600447497,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (877,'127.0.0.1',1488600506934,'','/access/set.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600520732,0,0,0,''),
  (878,'127.0.0.1',1488600606522,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600609639,0,0,0,''),
  (879,'127.0.0.1',1488600610236,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600658946,0,0,1,''),
  (880,'127.0.0.1',1488600610817,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600612559,0,0,1,''),
  (881,'127.0.0.1',1488600613182,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600623455,0,0,1,''),
  (882,'127.0.0.1',1488600624075,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600654311,0,0,1,''),
  (883,'127.0.0.1',1488600654884,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600659027,0,0,1,''),
  (884,'127.0.0.1',1488600659533,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600662507,0,0,1,''),
  (885,'127.0.0.1',1488600663059,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602359145,0,0,1,''),
  (886,'127.0.0.1',1488600663617,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600665639,0,0,1,''),
  (887,'127.0.0.1',1488600666246,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600671615,0,0,1,''),
  (888,'127.0.0.1',1488600860105,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600876931,0,0,1,''),
  (889,'127.0.0.1',1488600877497,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601090242,0,0,1,''),
  (890,'127.0.0.1',1488600878056,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488600880909,0,0,1,''),
  (891,'127.0.0.1',1488600881538,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601090276,0,0,1,''),
  (892,'127.0.0.1',1488601090830,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (893,'127.0.0.1',1488601090897,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601093861,0,0,1,''),
  (894,'127.0.0.1',1488601094407,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601137777,0,0,1,''),
  (895,'127.0.0.1',1488601094944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601096752,0,0,1,''),
  (896,'127.0.0.1',1488601097358,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601107690,0,0,1,''),
  (897,'127.0.0.1',1488601136168,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601137831,0,0,1,''),
  (898,'127.0.0.1',1488601138307,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (899,'127.0.0.1',1488601138340,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601143027,0,0,1,''),
  (900,'127.0.0.1',1488601143598,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601151598,0,0,1,''),
  (901,'127.0.0.1',1488601144144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (902,'127.0.0.1',1488601149975,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (903,'127.0.0.1',1488601150010,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601151639,0,0,1,''),
  (904,'127.0.0.1',1488601152147,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (905,'127.0.0.1',1488601152173,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601161523,0,0,1,''),
  (906,'127.0.0.1',1488601162097,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601324291,0,0,1,''),
  (907,'127.0.0.1',1488601162616,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601164057,0,0,1,''),
  (908,'127.0.0.1',1488601164699,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601171861,0,0,1,''),
  (909,'127.0.0.1',1488601322451,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601324328,0,0,1,''),
  (910,'127.0.0.1',1488601324837,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (911,'127.0.0.1',1488601324851,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (912,'127.0.0.1',1488601337380,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601397358,0,0,1,''),
  (913,'127.0.0.1',1488601337975,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601342482,0,0,1,''),
  (914,'127.0.0.1',1488601343057,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601349089,0,0,1,''),
  (915,'127.0.0.1',1488601397918,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (916,'127.0.0.1',1488601397965,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601400749,0,0,1,''),
  (917,'127.0.0.1',1488601401306,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (918,'127.0.0.1',1488601401836,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601408484,0,0,1,''),
  (919,'127.0.0.1',1488601409102,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','�8','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601467482,0,0,1,''),
  (920,'127.0.0.1',1488601684992,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (921,'127.0.0.1',1488601690040,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601699131,0,0,2,'必应'),
  (922,'127.0.0.1',1488601705510,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601970729,0,0,2,'必应'),
  (923,'127.0.0.1',1488601711901,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601716744,0,0,2,'必应'),
  (924,'127.0.0.1',1488601720498,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601726690,0,0,2,'必应'),
  (925,'127.0.0.1',1488601977142,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (926,'127.0.0.1',1488601977200,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601982609,0,0,2,'必应'),
  (927,'127.0.0.1',1488601983206,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602063028,0,0,2,'必应'),
  (928,'127.0.0.1',1488601983742,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601988863,0,0,2,'必应'),
  (929,'127.0.0.1',1488601989472,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488601997468,0,0,2,'必应'),
  (930,'127.0.0.1',1488601997963,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602060877,0,0,2,'必应'),
  (931,'127.0.0.1',1488602061391,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (932,'127.0.0.1',1488602061422,'http://localhost:9080/persistence2-web-example/access/set.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602063092,0,0,2,'必应'),
  (933,'127.0.0.1',1488602063614,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (934,'127.0.0.1',1488602063633,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602071997,0,0,2,'必应'),
  (935,'127.0.0.1',1488602072567,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (936,'127.0.0.1',1488602073087,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602075003,0,0,2,'必应'),
  (937,'127.0.0.1',1488602075642,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602080007,0,0,2,'必应'),
  (938,'127.0.0.1',1488602080501,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (939,'127.0.0.1',1488602359726,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (940,'127.0.0.1',1488602359794,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602362600,0,0,2,'必应'),
  (941,'127.0.0.1',1488602363151,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602459943,0,0,2,'必应'),
  (942,'127.0.0.1',1488602363674,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602365657,0,0,2,'必应'),
  (943,'127.0.0.1',1488602366250,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602372996,0,0,2,'必应'),
  (944,'127.0.0.1',1488602373515,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602459963,0,0,2,'必应'),
  (945,'127.0.0.1',1488602455783,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,2,'必应'),
  (946,'127.0.0.1',1488602460485,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602464965,0,0,2,'必应'),
  (947,'127.0.0.1',1488602474024,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602777707,0,0,2,'必应'),
  (948,'127.0.0.1',1488602474563,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602476885,0,0,2,'必应'),
  (949,'127.0.0.1',1488602477481,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602489577,0,0,2,'必应'),
  (950,'127.0.0.1',1488602490107,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602692633,0,0,2,'必应'),
  (951,'127.0.0.1',1488602778259,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (952,'127.0.0.1',1488602778325,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602782163,0,0,1,''),
  (953,'127.0.0.1',1488602782748,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602849149,0,0,1,''),
  (954,'127.0.0.1',1488602783319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602785235,0,0,1,''),
  (955,'127.0.0.1',1488602785826,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602799404,0,0,1,''),
  (956,'127.0.0.1',1488602799945,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602849202,0,0,1,''),
  (957,'127.0.0.1',1488602849715,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (958,'127.0.0.1',1488602849777,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602852651,0,0,1,''),
  (959,'127.0.0.1',1488602853212,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604631541,0,0,1,''),
  (960,'127.0.0.1',1488602853736,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602856001,0,0,1,''),
  (961,'127.0.0.1',1488602856608,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488602858866,0,0,1,''),
  (962,'127.0.0.1',1488602859379,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604631566,0,0,1,''),
  (963,'127.0.0.1',1488604632106,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (964,'127.0.0.1',1488604632168,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604634842,0,0,1,''),
  (965,'127.0.0.1',1488604635409,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605067277,0,0,1,''),
  (966,'127.0.0.1',1488604635958,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604637624,0,0,1,''),
  (967,'127.0.0.1',1488604638226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604644594,0,0,1,''),
  (968,'127.0.0.1',1488604645128,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488604889588,0,0,1,''),
  (969,'127.0.0.1',1488604890092,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605003775,0,0,1,''),
  (970,'127.0.0.1',1488605005018,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605006967,0,0,1,''),
  (971,'127.0.0.1',1488605007530,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605009302,0,0,1,''),
  (972,'127.0.0.1',1488605009844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605014355,0,0,1,''),
  (973,'127.0.0.1',1488605014886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605025610,0,0,1,''),
  (974,'127.0.0.1',1488605026226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605030429,0,0,1,''),
  (975,'127.0.0.1',1488605030999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605031881,0,0,1,''),
  (976,'127.0.0.1',1488605032402,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605033484,0,0,1,''),
  (977,'127.0.0.1',1488605034024,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605034692,0,0,1,''),
  (978,'127.0.0.1',1488605035204,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605040737,0,0,1,''),
  (979,'127.0.0.1',1488605041279,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605061085,0,0,1,''),
  (980,'127.0.0.1',1488605065343,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (981,'127.0.0.1',1488605065420,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605067324,0,0,1,''),
  (982,'127.0.0.1',1488605067838,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (983,'127.0.0.1',1488605067846,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605072459,0,0,1,''),
  (984,'127.0.0.1',1488605073036,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (985,'127.0.0.1',1488605073580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1488605075256,0,0,1,''),
  (986,'127.0.0.1',1489289004446,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (987,'127.0.0.1',1489289004684,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289034338,0,0,0,''),
  (988,'127.0.0.1',1489289034794,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289113976,0,0,1,''),
  (989,'127.0.0.1',1489289035237,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289036352,0,0,1,''),
  (990,'127.0.0.1',1489289036839,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289038637,0,0,1,''),
  (991,'127.0.0.1',1489289039057,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289048179,0,0,1,''),
  (992,'127.0.0.1',1489289048563,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289088365,0,0,1,''),
  (993,'127.0.0.1',1489289095207,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289102506,0,0,1,''),
  (994,'127.0.0.1',1489289102817,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289104850,0,0,1,''),
  (995,'127.0.0.1',1489289105375,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=15','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289114020,0,0,1,''),
  (996,'127.0.0.1',1489289114356,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289117072,0,0,1,''),
  (997,'127.0.0.1',1489289117446,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289126220,0,0,1,''),
  (998,'127.0.0.1',1489289117822,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289126137,0,0,1,''),
  (999,'127.0.0.1',1489289126584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289129400,0,0,1,''),
  (1000,'127.0.0.1',1489289129792,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289190394,0,0,1,''),
  (1001,'127.0.0.1',1489289130183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289133661,0,0,1,''),
  (1002,'127.0.0.1',1489289134071,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289142370,0,0,1,''),
  (1003,'127.0.0.1',1489289142750,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289172475,0,0,1,''),
  (1004,'127.0.0.1',1489289173933,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289190460,0,0,1,''),
  (1005,'127.0.0.1',1489289190782,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289193756,0,0,1,''),
  (1006,'127.0.0.1',1489289194157,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289365372,0,0,1,''),
  (1007,'127.0.0.1',1489289194502,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289197812,0,0,1,''),
  (1008,'127.0.0.1',1489289198234,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1009,'127.0.0.1',1489289198234,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1010,'127.0.0.1',1489289215200,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1011,'127.0.0.1',1489289215200,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1012,'127.0.0.1',1489289338744,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1013,'127.0.0.1',1489289338744,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1014,'127.0.0.1',1489289356025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1015,'127.0.0.1',1489289356025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1016,'127.0.0.1',1489289365738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289368844,0,0,1,''),
  (1017,'127.0.0.1',1489289369252,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290691219,0,0,1,''),
  (1018,'127.0.0.1',1489289369614,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289371646,0,0,1,''),
  (1019,'127.0.0.1',1489289372050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1020,'127.0.0.1',1489289372050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1021,'127.0.0.1',1489289427651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1022,'127.0.0.1',1489289427651,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1023,'127.0.0.1',1489289481334,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289513313,0,0,1,''),
  (1024,'127.0.0.1',1489289481334,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289513313,0,0,1,''),
  (1025,'127.0.0.1',1489289513882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289524237,0,0,1,''),
  (1026,'127.0.0.1',1489289513882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289524237,0,0,1,''),
  (1027,'127.0.0.1',1489289524771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289580096,0,0,1,''),
  (1028,'127.0.0.1',1489289524771,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289580096,0,0,1,''),
  (1029,'127.0.0.1',1489289580622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289632297,0,0,1,''),
  (1030,'127.0.0.1',1489289580622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289632297,0,0,1,''),
  (1031,'127.0.0.1',1489289632832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289692742,0,0,1,''),
  (1032,'127.0.0.1',1489289632832,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289692742,0,0,1,''),
  (1033,'127.0.0.1',1489289693288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289757141,0,0,1,''),
  (1034,'127.0.0.1',1489289693288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289757141,0,0,1,''),
  (1035,'127.0.0.1',1489289757689,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289759159,0,0,1,''),
  (1036,'127.0.0.1',1489289757689,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289759159,0,0,1,''),
  (1037,'127.0.0.1',1489289759632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289805991,0,0,1,''),
  (1038,'127.0.0.1',1489289759632,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289805991,0,0,1,''),
  (1039,'127.0.0.1',1489289806337,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289849939,0,0,1,''),
  (1040,'127.0.0.1',1489289806337,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289849939,0,0,1,''),
  (1041,'127.0.0.1',1489289850435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289909699,0,0,1,''),
  (1042,'127.0.0.1',1489289850435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289909699,0,0,1,''),
  (1043,'127.0.0.1',1489289910131,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289911984,0,0,1,''),
  (1044,'127.0.0.1',1489289910131,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489289911984,0,0,1,''),
  (1045,'127.0.0.1',1489289912470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290199143,0,0,1,''),
  (1046,'127.0.0.1',1489289912470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290199143,0,0,1,''),
  (1047,'127.0.0.1',1489289919647,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290047775,0,0,0,''),
  (1048,'127.0.0.1',1489289919647,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290047775,0,0,0,''),
  (1049,'127.0.0.1',1489290048179,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290062270,0,0,0,''),
  (1050,'127.0.0.1',1489290048179,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290062270,0,0,0,''),
  (1051,'127.0.0.1',1489290062819,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290139081,0,0,0,''),
  (1052,'127.0.0.1',1489290062819,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290139081,0,0,0,''),
  (1053,'127.0.0.1',1489290139640,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290173012,0,0,0,''),
  (1054,'127.0.0.1',1489290139640,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290173012,0,0,0,''),
  (1055,'127.0.0.1',1489290173501,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290186262,0,0,0,''),
  (1056,'127.0.0.1',1489290173501,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290186262,0,0,0,''),
  (1057,'127.0.0.1',1489290186675,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290804307,0,0,0,''),
  (1058,'127.0.0.1',1489290186675,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290804307,0,0,0,''),
  (1059,'127.0.0.1',1489290199520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290237299,0,0,1,''),
  (1060,'127.0.0.1',1489290199520,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290237299,0,0,1,''),
  (1061,'127.0.0.1',1489290237638,'http://localhost:9080/persistence2-web-example/bindex.jsp','/server/info.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290266361,0,0,1,''),
  (1062,'127.0.0.1',1489290270583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290299411,0,0,1,''),
  (1063,'127.0.0.1',1489290270583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290299411,0,0,1,''),
  (1064,'127.0.0.1',1489290299743,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290353312,0,0,1,''),
  (1065,'127.0.0.1',1489290299743,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290353312,0,0,1,''),
  (1066,'127.0.0.1',1489290353789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290366031,0,0,1,''),
  (1067,'127.0.0.1',1489290353789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290366031,0,0,1,''),
  (1068,'127.0.0.1',1489290366448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290431345,0,0,1,''),
  (1069,'127.0.0.1',1489290366448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290431345,0,0,1,''),
  (1070,'127.0.0.1',1489290431880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290548030,0,0,1,''),
  (1071,'127.0.0.1',1489290431880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290548030,0,0,1,''),
  (1072,'127.0.0.1',1489290548494,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290565858,0,0,1,''),
  (1073,'127.0.0.1',1489290548494,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290565858,0,0,1,''),
  (1074,'127.0.0.1',1489290566297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290613990,0,0,1,''),
  (1075,'127.0.0.1',1489290566297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290613990,0,0,1,''),
  (1076,'127.0.0.1',1489290614477,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290639723,0,0,1,''),
  (1077,'127.0.0.1',1489290614477,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290639723,0,0,1,''),
  (1078,'127.0.0.1',1489290640106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290650896,0,0,1,''),
  (1079,'127.0.0.1',1489290640106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290650896,0,0,1,''),
  (1080,'127.0.0.1',1489290651367,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290691128,0,0,1,''),
  (1081,'127.0.0.1',1489290651367,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290691128,0,0,1,''),
  (1082,'127.0.0.1',1489290691581,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290695202,0,0,1,''),
  (1083,'127.0.0.1',1489290695598,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290741038,0,0,1,''),
  (1084,'127.0.0.1',1489290695974,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290698499,0,0,1,''),
  (1085,'127.0.0.1',1489290698917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290707323,0,0,1,''),
  (1086,'127.0.0.1',1489290707689,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290714565,0,0,1,''),
  (1087,'127.0.0.1',1489290714932,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290716736,0,0,1,''),
  (1088,'127.0.0.1',1489290717094,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290724535,0,0,1,''),
  (1089,'127.0.0.1',1489290724860,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290729590,0,0,1,''),
  (1090,'127.0.0.1',1489290729885,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290733455,0,0,1,''),
  (1091,'127.0.0.1',1489290733839,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290741109,0,0,1,''),
  (1092,'127.0.0.1',1489290741424,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290749973,0,0,1,''),
  (1093,'127.0.0.1',1489290750375,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290809445,0,0,1,''),
  (1094,'127.0.0.1',1489290750713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290754225,0,0,1,''),
  (1095,'127.0.0.1',1489290754684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290809452,0,0,1,''),
  (1096,'127.0.0.1',1489290754684,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290809452,0,0,1,''),
  (1097,'127.0.0.1',1489290804802,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290811956,0,0,0,''),
  (1098,'127.0.0.1',1489290804802,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290811956,0,0,0,''),
  (1099,'127.0.0.1',1489290809779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290817370,0,0,1,''),
  (1100,'127.0.0.1',1489290812322,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (1101,'127.0.0.1',1489290812322,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,0,''),
  (1102,'127.0.0.1',1489290812337,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290821774,0,0,0,''),
  (1103,'127.0.0.1',1489290817781,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291385478,0,0,1,''),
  (1104,'127.0.0.1',1489290818169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290826168,0,0,1,''),
  (1105,'127.0.0.1',1489290822100,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290823692,0,0,0,''),
  (1106,'127.0.0.1',1489290826600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290840872,0,0,1,''),
  (1107,'127.0.0.1',1489290826600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489290840872,0,0,1,''),
  (1108,'127.0.0.1',1489291393752,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1109,'127.0.0.1',1489291397025,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291407560,0,0,1,''),
  (1110,'127.0.0.1',1489291407946,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291434346,0,0,1,''),
  (1111,'127.0.0.1',1489291408312,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291412510,0,0,1,''),
  (1112,'127.0.0.1',1489291412943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291417206,0,0,1,''),
  (1113,'127.0.0.1',1489291417557,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291420031,0,0,1,''),
  (1114,'127.0.0.1',1489291420447,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291425569,0,0,1,''),
  (1115,'127.0.0.1',1489291425876,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',1,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291434390,0,0,1,''),
  (1116,'127.0.0.1',1489291438090,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291441398,0,0,1,''),
  (1117,'127.0.0.1',1489291441766,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299699249,0,0,1,''),
  (1118,'127.0.0.1',1489291442150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489291449196,0,0,1,''),
  (1119,'127.0.0.1',1489291591635,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299699286,0,0,1,''),
  (1120,'127.0.0.1',1489291591635,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299699286,0,0,1,''),
  (1121,'127.0.0.1',1489299704496,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1122,'127.0.0.1',1489299704562,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299708519,0,0,1,''),
  (1123,'127.0.0.1',1489299708952,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300127228,0,0,1,''),
  (1124,'127.0.0.1',1489299709440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489299717423,0,0,1,''),
  (1125,'127.0.0.1',1489299804470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1126,'127.0.0.1',1489299804470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1127,'127.0.0.1',1489299807490,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300127319,0,0,1,''),
  (1128,'127.0.0.1',1489300127723,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1129,'127.0.0.1',1489300127761,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300131980,0,0,1,''),
  (1130,'127.0.0.1',1489300132442,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300146712,0,0,1,''),
  (1131,'127.0.0.1',1489300262183,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300275784,0,0,1,''),
  (1132,'127.0.0.1',1489300276457,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489300294071,0,0,1,''),
  (1133,'127.0.0.1',1489306741085,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1134,'127.0.0.1',1489306741232,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489306758026,0,0,1,''),
  (1135,'127.0.0.1',1489306758619,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1136,'127.0.0.1',1489306758640,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',0,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',1489307474217,0,0,1,''),
  (1137,'127.0.0.1',1489307474690,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1138,'127.0.0.1',1489307510694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','1F03E06683910276C5CB8BC338034D23',8,'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.0 Chrome/30.0.1599.101 Safari/537.36',0,0,0,1,''),
  (1139,'127.0.0.1',1489989916146,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1140,'127.0.0.1',1489989916353,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990037284,0,0,0,''),
  (1141,'127.0.0.1',1489990037602,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990047666,0,0,1,''),
  (1142,'127.0.0.1',1489990038061,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990039647,0,0,1,''),
  (1143,'127.0.0.1',1489990039783,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990047797,0,0,1,''),
  (1144,'127.0.0.1',1489990048055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990050485,0,0,1,''),
  (1145,'127.0.0.1',1489990050742,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990064787,0,0,1,''),
  (1146,'127.0.0.1',1489990051098,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990054371,0,0,1,''),
  (1147,'127.0.0.1',1489990054492,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990056662,0,0,1,''),
  (1148,'127.0.0.1',1489990056845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1149,'127.0.0.1',1489990056845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1150,'127.0.0.1',1489990056922,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990064819,0,0,1,''),
  (1151,'127.0.0.1',1489990064996,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990068104,0,0,1,''),
  (1152,'127.0.0.1',1489990068307,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990347943,0,0,1,''),
  (1153,'127.0.0.1',1489990068638,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990072142,0,0,1,''),
  (1154,'127.0.0.1',1489990072272,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990074800,0,0,1,''),
  (1155,'127.0.0.1',1489990074988,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990080552,0,0,1,''),
  (1156,'127.0.0.1',1489990081834,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990086677,0,0,1,''),
  (1157,'127.0.0.1',1489990086924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990091389,0,0,1,''),
  (1158,'127.0.0.1',1489990091501,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990093923,0,0,1,''),
  (1159,'127.0.0.1',1489990094050,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990342356,0,0,1,''),
  (1160,'127.0.0.1',1489990342517,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990344645,0,0,1,''),
  (1161,'127.0.0.1',1489990344820,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990347978,0,0,1,''),
  (1162,'127.0.0.1',1489990348162,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990352423,0,0,1,''),
  (1163,'127.0.0.1',1489990352638,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490004906958,0,0,1,''),
  (1164,'127.0.0.1',1489990352911,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1489990355321,0,0,1,''),
  (1165,'127.0.0.1',1489990355437,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490004906980,0,0,1,''),
  (1166,'127.0.0.1',1489990355437,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490004906980,0,0,1,''),
  (1167,'127.0.0.1',1490004907162,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1168,'127.0.0.1',1490004907170,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005180974,0,0,1,''),
  (1169,'127.0.0.1',1490005181397,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006196773,0,0,1,''),
  (1170,'127.0.0.1',1490005181787,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005190483,0,0,1,''),
  (1171,'127.0.0.1',1490005190619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005284252,0,0,1,''),
  (1172,'127.0.0.1',1490005190619,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005284252,0,0,1,''),
  (1173,'127.0.0.1',1490005284581,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005538494,0,0,1,''),
  (1174,'127.0.0.1',1490005284581,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005538494,0,0,1,''),
  (1175,'127.0.0.1',1490005538763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005782069,0,0,1,''),
  (1176,'127.0.0.1',1490005538763,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490005782069,0,0,1,''),
  (1177,'127.0.0.1',1490005782407,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006196687,0,0,1,''),
  (1178,'127.0.0.1',1490005782407,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006196687,0,0,1,''),
  (1179,'127.0.0.1',1490006197065,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1180,'127.0.0.1',1490006197106,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006199895,0,0,1,''),
  (1181,'127.0.0.1',1490006200162,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006457234,0,0,1,''),
  (1182,'127.0.0.1',1490006200516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006202624,0,0,1,''),
  (1183,'127.0.0.1',1490006202776,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006248726,0,0,1,''),
  (1184,'127.0.0.1',1490006202776,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006248726,0,0,1,''),
  (1185,'127.0.0.1',1490006248860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006456483,0,0,1,''),
  (1186,'127.0.0.1',1490006248860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006456483,0,0,1,''),
  (1187,'127.0.0.1',1490006362569,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1188,'127.0.0.1',1490006362569,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1189,'127.0.0.1',1490006459822,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1190,'127.0.0.1',1490006459882,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006462688,0,0,1,''),
  (1191,'127.0.0.1',1490006462926,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009828438,0,0,1,''),
  (1192,'127.0.0.1',1490006463206,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490006465225,0,0,1,''),
  (1193,'127.0.0.1',1490006465352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007374752,0,0,1,''),
  (1194,'127.0.0.1',1490006465352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007374752,0,0,1,''),
  (1195,'127.0.0.1',1490007374889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007390718,0,0,1,''),
  (1196,'127.0.0.1',1490007374889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007390718,0,0,1,''),
  (1197,'127.0.0.1',1490007392100,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007407225,0,0,1,''),
  (1198,'127.0.0.1',1490007392100,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007407225,0,0,1,''),
  (1199,'127.0.0.1',1490007407399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007444059,0,0,1,''),
  (1200,'127.0.0.1',1490007407399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490007444059,0,0,1,''),
  (1201,'127.0.0.1',1490007444649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008005469,0,0,1,''),
  (1202,'127.0.0.1',1490007444649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008005469,0,0,1,''),
  (1203,'127.0.0.1',1490008005939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008249491,0,0,1,''),
  (1204,'127.0.0.1',1490008005939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490008249491,0,0,1,''),
  (1205,'127.0.0.1',1490008252768,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009360696,0,0,1,''),
  (1206,'127.0.0.1',1490008252768,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009360696,0,0,1,''),
  (1207,'127.0.0.1',1490009360854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009362404,0,0,1,''),
  (1208,'127.0.0.1',1490009360854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009362404,0,0,1,''),
  (1209,'127.0.0.1',1490009826336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1210,'127.0.0.1',1490009826336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1211,'127.0.0.1',1490009826506,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009828398,0,0,1,''),
  (1212,'127.0.0.1',1490009828678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009831821,0,0,1,''),
  (1213,'127.0.0.1',1490009832481,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010013101,0,0,1,''),
  (1214,'127.0.0.1',1490009833449,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009835156,0,0,1,''),
  (1215,'127.0.0.1',1490009835305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009849728,0,0,1,''),
  (1216,'127.0.0.1',1490009835305,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490009849728,0,0,1,'');
COMMIT;

#
# Data for the `access_info` table  (LIMIT 1000,500)
#

INSERT INTO `access_info` (`id`, `ip`, `vtime`, `source_url`, `target_url`, `country`, `source_domain`, `target_domain`, `browser`, `language`, `os`, `session_id`, `user_id`, `user_agent`, `ltime`, `new_visitor`, `mobile`, `source_type`, `search_engine`) VALUES 
  (1217,'127.0.0.1',1490010011701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1218,'127.0.0.1',1490010011701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1219,'127.0.0.1',1490010011808,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010013632,0,0,1,''),
  (1220,'127.0.0.1',1490010014228,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010017152,0,0,1,''),
  (1221,'127.0.0.1',1490010017925,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010145956,0,0,1,''),
  (1222,'127.0.0.1',1490010018429,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010021347,0,0,1,''),
  (1223,'127.0.0.1',1490010021510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010060630,0,0,1,''),
  (1224,'127.0.0.1',1490010021510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010060630,0,0,1,''),
  (1225,'127.0.0.1',1490010146572,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1226,'127.0.0.1',1490010147000,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010149430,0,0,1,''),
  (1227,'127.0.0.1',1490010149737,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010555367,0,0,1,''),
  (1228,'127.0.0.1',1490010150207,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010152512,0,0,1,''),
  (1229,'127.0.0.1',1490010152678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010154413,0,0,1,''),
  (1230,'127.0.0.1',1490010152678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010154413,0,0,1,''),
  (1231,'127.0.0.1',1490010468336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010555394,0,0,1,''),
  (1232,'127.0.0.1',1490010468336,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010555394,0,0,1,''),
  (1233,'127.0.0.1',1490010475000,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022945888,0,0,0,''),
  (1234,'127.0.0.1',1490010475000,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022945888,0,0,0,''),
  (1235,'127.0.0.1',1490010555688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010559088,0,0,1,''),
  (1236,'127.0.0.1',1490010559468,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010975640,0,0,1,''),
  (1237,'127.0.0.1',1490010559995,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010563481,0,0,1,''),
  (1238,'127.0.0.1',1490010563649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010565581,0,0,1,''),
  (1239,'127.0.0.1',1490010563649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010565581,0,0,1,''),
  (1240,'127.0.0.1',1490010976006,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1241,'127.0.0.1',1490010976089,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010978492,0,0,1,''),
  (1242,'127.0.0.1',1490010978812,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011482148,0,0,1,''),
  (1243,'127.0.0.1',1490010979249,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010981505,0,0,1,''),
  (1244,'127.0.0.1',1490010981706,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010982875,0,0,1,''),
  (1245,'127.0.0.1',1490010981706,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490010982875,0,0,1,''),
  (1246,'127.0.0.1',1490011482843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1247,'127.0.0.1',1490011482952,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011485755,0,0,1,''),
  (1248,'127.0.0.1',1490011486130,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011763057,0,0,1,''),
  (1249,'127.0.0.1',1490011486541,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011488498,0,0,1,''),
  (1250,'127.0.0.1',1490011488715,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011491656,0,0,1,''),
  (1251,'127.0.0.1',1490011488715,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011491656,0,0,1,''),
  (1252,'127.0.0.1',1490011492491,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011732034,0,0,1,''),
  (1253,'127.0.0.1',1490011492491,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011732034,0,0,1,''),
  (1254,'127.0.0.1',1490011732210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011733272,0,0,1,''),
  (1255,'127.0.0.1',1490011732210,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011733272,0,0,1,''),
  (1256,'127.0.0.1',1490011735699,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011750988,0,0,1,''),
  (1257,'127.0.0.1',1490011735699,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011750988,0,0,1,''),
  (1258,'127.0.0.1',1490011751110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011763080,0,0,1,''),
  (1259,'127.0.0.1',1490011751110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011763080,0,0,1,''),
  (1260,'127.0.0.1',1490011764649,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1261,'127.0.0.1',1490011764747,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011767494,0,0,1,''),
  (1262,'127.0.0.1',1490011767843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013612775,0,0,1,''),
  (1263,'127.0.0.1',1490011768276,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011770205,0,0,1,''),
  (1264,'127.0.0.1',1490011770362,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011771765,0,0,1,''),
  (1265,'127.0.0.1',1490011770362,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011771765,0,0,1,''),
  (1266,'127.0.0.1',1490011771914,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011773461,0,0,1,''),
  (1267,'127.0.0.1',1490011771914,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490011773461,0,0,1,''),
  (1268,'127.0.0.1',1490011773858,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013612440,0,0,1,''),
  (1269,'127.0.0.1',1490011773858,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013612440,0,0,1,''),
  (1270,'127.0.0.1',1490013613406,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1271,'127.0.0.1',1490013613535,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013616556,0,0,1,''),
  (1272,'127.0.0.1',1490013616850,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013925113,0,0,1,''),
  (1273,'127.0.0.1',1490013617213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013619599,0,0,1,''),
  (1274,'127.0.0.1',1490013619753,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013624401,0,0,1,''),
  (1275,'127.0.0.1',1490013619753,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013624401,0,0,1,''),
  (1276,'127.0.0.1',1490013624594,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013628335,0,0,1,''),
  (1277,'127.0.0.1',1490013624594,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013628335,0,0,1,''),
  (1278,'127.0.0.1',1490013628515,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013648182,0,0,1,''),
  (1279,'127.0.0.1',1490013628515,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013648182,0,0,1,''),
  (1280,'127.0.0.1',1490013648323,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013881044,0,0,1,''),
  (1281,'127.0.0.1',1490013648323,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013881044,0,0,1,''),
  (1282,'127.0.0.1',1490013881194,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013925132,0,0,1,''),
  (1283,'127.0.0.1',1490013881194,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013925132,0,0,1,''),
  (1284,'127.0.0.1',1490013964237,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1285,'127.0.0.1',1490013964345,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013969060,0,0,1,''),
  (1286,'127.0.0.1',1490013969746,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015682650,0,0,1,''),
  (1287,'127.0.0.1',1490013971242,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013973159,0,0,1,''),
  (1288,'127.0.0.1',1490013973712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013976522,0,0,1,''),
  (1289,'127.0.0.1',1490013973712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013976522,0,0,1,''),
  (1290,'127.0.0.1',1490013976913,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013993020,0,0,1,''),
  (1291,'127.0.0.1',1490013976913,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490013993020,0,0,1,''),
  (1292,'127.0.0.1',1490013993485,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014030687,0,0,1,''),
  (1293,'127.0.0.1',1490013993485,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014030687,0,0,1,''),
  (1294,'127.0.0.1',1490014030827,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014036780,0,0,1,''),
  (1295,'127.0.0.1',1490014030827,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490014036780,0,0,1,''),
  (1296,'127.0.0.1',1490014092832,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015665269,0,0,1,''),
  (1297,'127.0.0.1',1490015683411,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1298,'127.0.0.1',1490015683483,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015685896,0,0,1,''),
  (1299,'127.0.0.1',1490015686465,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016144221,0,0,1,''),
  (1300,'127.0.0.1',1490015686870,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015689405,0,0,1,''),
  (1301,'127.0.0.1',1490015689551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490015707424,0,0,1,''),
  (1302,'127.0.0.1',1490015708076,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016143946,0,0,1,''),
  (1303,'127.0.0.1',1490016144560,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1304,'127.0.0.1',1490016144622,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016147194,0,0,1,''),
  (1305,'127.0.0.1',1490016147537,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016352839,0,0,1,''),
  (1306,'127.0.0.1',1490016148025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016152683,0,0,1,''),
  (1307,'127.0.0.1',1490016150850,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1308,'127.0.0.1',1490016152853,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016161437,0,0,1,''),
  (1309,'127.0.0.1',1490016176761,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016352693,0,0,1,''),
  (1310,'127.0.0.1',1490016353164,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1311,'127.0.0.1',1490016353238,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016355610,0,0,1,''),
  (1312,'127.0.0.1',1490016355924,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016377901,0,0,1,''),
  (1313,'127.0.0.1',1490016356313,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016359344,0,0,1,''),
  (1314,'127.0.0.1',1490016359484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016366360,0,0,1,''),
  (1315,'127.0.0.1',1490016367094,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1316,'127.0.0.1',1490016367148,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016377954,0,0,1,''),
  (1317,'127.0.0.1',1490016378191,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016419972,0,0,1,''),
  (1318,'127.0.0.1',1490016420544,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1319,'127.0.0.1',1490016448895,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016473368,0,0,1,''),
  (1320,'127.0.0.1',1490016449373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016463785,0,0,1,''),
  (1321,'127.0.0.1',1490016464031,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016471056,0,0,1,''),
  (1322,'127.0.0.1',1490016471725,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1323,'127.0.0.1',1490016471789,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016473492,0,0,1,''),
  (1324,'127.0.0.1',1490016473659,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1325,'127.0.0.1',1490016473670,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016685369,0,0,1,''),
  (1326,'127.0.0.1',1490016685640,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016759158,0,0,1,''),
  (1327,'127.0.0.1',1490016686037,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016688165,0,0,1,''),
  (1328,'127.0.0.1',1490016688297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016695189,0,0,1,''),
  (1329,'127.0.0.1',1490016695841,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016701231,0,0,1,''),
  (1330,'127.0.0.1',1490016701670,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016722695,0,0,1,''),
  (1331,'127.0.0.1',1490016723021,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016759030,0,0,1,''),
  (1332,'127.0.0.1',1490016759461,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1333,'127.0.0.1',1490016759539,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016762194,0,0,1,''),
  (1334,'127.0.0.1',1490016762538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016817891,0,0,1,''),
  (1335,'127.0.0.1',1490016762924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016764751,0,0,1,''),
  (1336,'127.0.0.1',1490016764906,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1337,'127.0.0.1',1490016821008,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1338,'127.0.0.1',1490016821376,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016824735,0,0,1,''),
  (1339,'127.0.0.1',1490016825425,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016912339,0,0,1,''),
  (1340,'127.0.0.1',1490016825830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016829640,0,0,1,''),
  (1341,'127.0.0.1',1490016829791,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1342,'127.0.0.1',1490016912609,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1343,'127.0.0.1',1490016912663,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016915569,0,0,1,''),
  (1344,'127.0.0.1',1490016915797,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017516232,0,0,1,''),
  (1345,'127.0.0.1',1490016916123,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490016917916,0,0,1,''),
  (1346,'127.0.0.1',1490016918077,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017516020,0,0,1,''),
  (1347,'127.0.0.1',1490017516464,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1348,'127.0.0.1',1490017516548,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017518866,0,0,1,''),
  (1349,'127.0.0.1',1490017519140,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017572335,0,0,1,''),
  (1350,'127.0.0.1',1490017519551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017520876,0,0,1,''),
  (1351,'127.0.0.1',1490017521020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017572344,0,0,1,''),
  (1352,'127.0.0.1',1490017572594,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1353,'127.0.0.1',1490017572682,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017575254,0,0,1,''),
  (1354,'127.0.0.1',1490017575495,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017931934,0,0,1,''),
  (1355,'127.0.0.1',1490017575897,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017577443,0,0,1,''),
  (1356,'127.0.0.1',1490017577568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017931917,0,0,1,''),
  (1357,'127.0.0.1',1490017932183,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018012929,0,0,1,''),
  (1358,'127.0.0.1',1490017932640,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490017934955,0,0,1,''),
  (1359,'127.0.0.1',1490017935203,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018012994,0,0,1,''),
  (1360,'127.0.0.1',1490018017342,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1361,'127.0.0.1',1490018017435,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018025302,0,0,1,''),
  (1362,'127.0.0.1',1490018025554,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018616792,0,0,1,''),
  (1363,'127.0.0.1',1490018025924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018027385,0,0,1,''),
  (1364,'127.0.0.1',1490018027533,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018031498,0,0,1,''),
  (1365,'127.0.0.1',1490018031741,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018034113,0,0,1,''),
  (1366,'127.0.0.1',1490018034278,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018037063,0,0,1,''),
  (1367,'127.0.0.1',1490018037174,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018045382,0,0,1,''),
  (1368,'127.0.0.1',1490018045525,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=4','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018055246,0,0,1,''),
  (1369,'127.0.0.1',1490018055401,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018365431,0,0,1,''),
  (1370,'127.0.0.1',1490018365601,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018616829,0,0,1,''),
  (1371,'127.0.0.1',1490018617445,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019415316,0,0,1,''),
  (1372,'127.0.0.1',1490018618923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490018621333,0,0,1,''),
  (1373,'127.0.0.1',1490018621510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019108729,0,0,1,''),
  (1374,'127.0.0.1',1490019108939,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1375,'127.0.0.1',1490019418640,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1376,'127.0.0.1',1490019418730,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019421856,0,0,1,''),
  (1377,'127.0.0.1',1490019422163,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019554049,0,0,1,''),
  (1378,'127.0.0.1',1490019422568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019424277,0,0,1,''),
  (1379,'127.0.0.1',1490019424409,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019429369,0,0,1,''),
  (1380,'127.0.0.1',1490019429762,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019439147,0,0,1,''),
  (1381,'127.0.0.1',1490019439708,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019553579,0,0,1,''),
  (1382,'127.0.0.1',1490019556496,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1383,'127.0.0.1',1490019556591,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019559252,0,0,1,''),
  (1384,'127.0.0.1',1490019559526,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019681764,0,0,1,''),
  (1385,'127.0.0.1',1490019559840,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019561603,0,0,1,''),
  (1386,'127.0.0.1',1490019561746,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019567346,0,0,1,''),
  (1387,'127.0.0.1',1490019567486,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490019681770,0,0,1,''),
  (1388,'127.0.0.1',1490019681953,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020105423,0,0,1,''),
  (1389,'127.0.0.1',1490019682312,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020105493,0,0,1,''),
  (1390,'127.0.0.1',1490020105893,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1391,'127.0.0.1',1490020106296,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020110321,0,0,1,''),
  (1392,'127.0.0.1',1490020111137,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020446089,0,0,1,''),
  (1393,'127.0.0.1',1490020111568,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020114332,0,0,1,''),
  (1394,'127.0.0.1',1490020114502,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020119074,0,0,1,''),
  (1395,'127.0.0.1',1490020122001,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020126820,0,0,1,''),
  (1396,'127.0.0.1',1490020127093,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020445700,0,0,1,''),
  (1397,'127.0.0.1',1490020449629,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1398,'127.0.0.1',1490020449722,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020453185,0,0,1,''),
  (1399,'127.0.0.1',1490020453465,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020507084,0,0,1,''),
  (1400,'127.0.0.1',1490020453886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020455735,0,0,1,''),
  (1401,'127.0.0.1',1490020455880,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020505936,0,0,1,''),
  (1402,'127.0.0.1',1490020510647,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1403,'127.0.0.1',1490020511015,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020513527,0,0,1,''),
  (1404,'127.0.0.1',1490020514240,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020642088,0,0,1,''),
  (1405,'127.0.0.1',1490020514639,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020516046,0,0,1,''),
  (1406,'127.0.0.1',1490020516190,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020522901,0,0,1,''),
  (1407,'127.0.0.1',1490020523081,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020529091,0,0,1,''),
  (1408,'127.0.0.1',1490020529274,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020554007,0,0,1,''),
  (1409,'127.0.0.1',1490020554541,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020559803,0,0,1,''),
  (1410,'127.0.0.1',1490020559962,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020628211,0,0,1,''),
  (1411,'127.0.0.1',1490020628367,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490020642114,0,0,1,''),
  (1412,'127.0.0.1',1490020642390,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021014304,0,0,1,''),
  (1413,'127.0.0.1',1490021015030,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021103476,0,0,1,''),
  (1414,'127.0.0.1',1490021015578,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021017095,0,0,1,''),
  (1415,'127.0.0.1',1490021017319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021035884,0,0,1,''),
  (1416,'127.0.0.1',1490021046476,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1417,'127.0.0.1',1490021107121,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1418,'127.0.0.1',1490021107210,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021110020,0,0,1,''),
  (1419,'127.0.0.1',1490021110628,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021354020,0,0,1,''),
  (1420,'127.0.0.1',1490021110990,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021112459,0,0,1,''),
  (1421,'127.0.0.1',1490021112618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021118635,0,0,1,''),
  (1422,'127.0.0.1',1490021118897,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021134592,0,0,1,''),
  (1423,'127.0.0.1',1490021134981,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021139060,0,0,1,''),
  (1424,'127.0.0.1',1490021139236,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021353645,0,0,1,''),
  (1425,'127.0.0.1',1490021354315,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1426,'127.0.0.1',1490021354393,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021356909,0,0,1,''),
  (1427,'127.0.0.1',1490021357207,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021413699,0,0,1,''),
  (1428,'127.0.0.1',1490021358399,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021360492,0,0,1,''),
  (1429,'127.0.0.1',1490021360969,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021366311,0,0,1,''),
  (1430,'127.0.0.1',1490021366521,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021413513,0,0,1,''),
  (1431,'127.0.0.1',1490021414179,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021416690,0,0,1,''),
  (1432,'127.0.0.1',1490021417024,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021501704,0,0,1,''),
  (1433,'127.0.0.1',1490021417547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021418863,0,0,1,''),
  (1434,'127.0.0.1',1490021418999,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021425615,0,0,1,''),
  (1435,'127.0.0.1',1490021425863,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021501742,0,0,1,''),
  (1436,'127.0.0.1',1490021504529,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1437,'127.0.0.1',1490021504845,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021508652,0,0,1,''),
  (1438,'127.0.0.1',1490021509397,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021828667,0,0,1,''),
  (1439,'127.0.0.1',1490021509822,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021511743,0,0,1,''),
  (1440,'127.0.0.1',1490021511913,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021515205,0,0,1,''),
  (1441,'127.0.0.1',1490021515859,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021523911,0,0,1,''),
  (1442,'127.0.0.1',1490021524056,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021533207,0,0,1,''),
  (1443,'127.0.0.1',1490021533362,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021538492,0,0,1,''),
  (1444,'127.0.0.1',1490021538665,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021828294,0,0,1,''),
  (1445,'127.0.0.1',1490021829354,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1446,'127.0.0.1',1490021829846,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021833506,0,0,1,''),
  (1447,'127.0.0.1',1490021834220,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021907167,0,0,1,''),
  (1448,'127.0.0.1',1490021834489,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021847514,0,0,1,''),
  (1449,'127.0.0.1',1490021847644,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021859392,0,0,1,''),
  (1450,'127.0.0.1',1490021859536,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021865067,0,0,1,''),
  (1451,'127.0.0.1',1490021865207,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021907198,0,0,1,''),
  (1452,'127.0.0.1',1490021907389,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1453,'127.0.0.1',1490021907430,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021910368,0,0,1,''),
  (1454,'127.0.0.1',1490021910589,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021959688,0,0,1,''),
  (1455,'127.0.0.1',1490021910845,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021912763,0,0,1,''),
  (1456,'127.0.0.1',1490021912902,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021917311,0,0,1,''),
  (1457,'127.0.0.1',1490021917444,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021952923,0,0,1,''),
  (1458,'127.0.0.1',1490021953081,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021956226,0,0,1,''),
  (1459,'127.0.0.1',1490021957173,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021959678,0,0,1,''),
  (1460,'127.0.0.1',1490021959885,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021980460,0,0,1,''),
  (1461,'127.0.0.1',1490021960150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021962239,0,0,1,''),
  (1462,'127.0.0.1',1490021962352,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021965541,0,0,1,''),
  (1463,'127.0.0.1',1490021965679,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021980443,0,0,1,''),
  (1464,'127.0.0.1',1490021980666,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1465,'127.0.0.1',1490021980733,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021983503,0,0,1,''),
  (1466,'127.0.0.1',1490021983716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022139258,0,0,1,''),
  (1467,'127.0.0.1',1490021983981,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021985564,0,0,1,''),
  (1468,'127.0.0.1',1490021985688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490021988516,0,0,1,''),
  (1469,'127.0.0.1',1490021988659,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022002389,0,0,1,''),
  (1470,'127.0.0.1',1490022002597,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022012071,0,0,1,''),
  (1471,'127.0.0.1',1490022012201,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022032104,0,0,1,''),
  (1472,'127.0.0.1',1490022032226,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022036452,0,0,1,''),
  (1473,'127.0.0.1',1490022037437,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022040415,0,0,1,''),
  (1474,'127.0.0.1',1490022040544,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022042668,0,0,1,''),
  (1475,'127.0.0.1',1490022042790,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022046724,0,0,1,''),
  (1476,'127.0.0.1',1490022046868,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&ip=1','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022050050,0,0,1,''),
  (1477,'127.0.0.1',1490022050196,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022054248,0,0,1,''),
  (1478,'127.0.0.1',1490022054391,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022133566,0,0,1,''),
  (1479,'127.0.0.1',1490022056173,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022059948,0,0,1,''),
  (1480,'127.0.0.1',1490022139462,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1481,'127.0.0.1',1490022139810,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1482,'127.0.0.1',1490022148757,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022151079,0,0,1,''),
  (1483,'127.0.0.1',1490022151337,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022284552,0,0,1,''),
  (1484,'127.0.0.1',1490022151601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022153814,0,0,1,''),
  (1485,'127.0.0.1',1490022153931,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022173044,0,0,1,''),
  (1486,'127.0.0.1',1490022173189,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022284537,0,0,1,''),
  (1487,'127.0.0.1',1490022284781,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1488,'127.0.0.1',1490022284843,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022292808,0,0,1,''),
  (1489,'127.0.0.1',1490022293048,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022397320,0,0,1,''),
  (1490,'127.0.0.1',1490022293313,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022295529,0,0,1,''),
  (1491,'127.0.0.1',1490022295653,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022303394,0,0,1,''),
  (1492,'127.0.0.1',1490022303529,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022307637,0,0,1,''),
  (1493,'127.0.0.1',1490022307768,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022313453,0,0,1,''),
  (1494,'127.0.0.1',1490022313608,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&os=Windows&browser=%E5%82%B2%E6%B8%B8&ip=127','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022325470,0,0,1,''),
  (1495,'127.0.0.1',1490022325589,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022352859,0,0,1,''),
  (1496,'127.0.0.1',1490022352997,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&os=Windows&browser=%E5%82%B2%E6%B8%B8&ip=127','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022358368,0,0,1,''),
  (1497,'127.0.0.1',1490022358526,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022397328,0,0,1,''),
  (1498,'127.0.0.1',1490022397527,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022399917,0,0,1,''),
  (1499,'127.0.0.1',1490022400329,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022437370,0,0,1,''),
  (1500,'127.0.0.1',1490022400643,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022401954,0,0,1,''),
  (1501,'127.0.0.1',1490022402055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022403751,0,0,1,''),
  (1502,'127.0.0.1',1490022403968,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022411122,0,0,1,''),
  (1503,'127.0.0.1',1490022411279,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022413253,0,0,1,''),
  (1504,'127.0.0.1',1490022414167,'http://localhost:9080/persistence2-web-example/sys/user.jsp?a=u01','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022427696,0,0,1,''),
  (1505,'127.0.0.1',1490022427783,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022428676,0,0,1,''),
  (1506,'127.0.0.1',1490022428858,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022429525,0,0,1,''),
  (1507,'127.0.0.1',1490022429696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022430965,0,0,1,''),
  (1508,'127.0.0.1',1490022431129,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022432950,0,0,1,''),
  (1509,'127.0.0.1',1490022433130,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022437361,0,0,1,''),
  (1510,'127.0.0.1',1490022437570,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022440238,0,0,1,''),
  (1511,'127.0.0.1',1490022440454,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022854399,0,0,1,''),
  (1512,'127.0.0.1',1490022440725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022442985,0,0,1,''),
  (1513,'127.0.0.1',1490022443106,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022854396,0,0,1,''),
  (1514,'127.0.0.1',1490022854612,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1515,'127.0.0.1',1490022854655,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022856955,0,0,1,''),
  (1516,'127.0.0.1',1490022857177,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023038430,0,0,1,''),
  (1517,'127.0.0.1',1490022857438,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022859181,0,0,1,''),
  (1518,'127.0.0.1',1490022859315,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022863065,0,0,1,''),
  (1519,'127.0.0.1',1490022863194,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022866373,0,0,1,''),
  (1520,'127.0.0.1',1490022866516,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022947969,0,0,1,''),
  (1521,'127.0.0.1',1490022948139,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022956244,0,0,1,''),
  (1522,'127.0.0.1',1490022956369,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022963089,0,0,1,''),
  (1523,'127.0.0.1',1490022963252,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022967879,0,0,1,''),
  (1524,'127.0.0.1',1490022967983,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&mobile=PC%E7%AB%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022971261,0,0,1,''),
  (1525,'127.0.0.1',1490022971407,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&mobile=PC%C3%A7%C2%AB%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022976956,0,0,1,''),
  (1526,'127.0.0.1',1490022977081,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=4&mobile=PC%C3%83%C2%A7%C3%82%C2%AB%C3%82%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490022990937,0,0,1,''),
  (1527,'127.0.0.1',1490022991128,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&mobile=PC%C3%83%C2%83%C3%82%C2%A7%C3%83%C2%82%C3%82%C2%AB%C3%83%C2%82%C3%82%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023003488,0,0,1,''),
  (1528,'127.0.0.1',1490023003617,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&mobile=PC%C3%83%C2%83%C3%82%C2%83%C3%83%C2%82%C3%82%C2%A7%C3%83%C2%83%C3%82%C2%82%C3%83%C2%82%C3%82%C2%AB%C3%83%C2%83%C3%82%C2%82%C3%83%C2%82%C3%82%C2%AF','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023008141,0,0,1,''),
  (1529,'127.0.0.1',1490023008251,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023038417,0,0,1,''),
  (1530,'127.0.0.1',1490023038650,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1531,'127.0.0.1',1490023038695,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023043491,0,0,1,''),
  (1532,'127.0.0.1',1490023043725,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023371738,0,0,1,''),
  (1533,'127.0.0.1',1490023043986,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023045693,0,0,1,''),
  (1534,'127.0.0.1',1490023045828,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023051868,0,0,1,''),
  (1535,'127.0.0.1',1490023061719,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023069500,0,0,1,''),
  (1536,'127.0.0.1',1490023078232,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023083305,0,0,1,''),
  (1537,'127.0.0.1',1490023110479,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023144045,0,0,1,''),
  (1538,'127.0.0.1',1490023251458,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1539,'127.0.0.1',1490023371946,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1540,'127.0.0.1',1490023371991,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023374549,0,0,1,''),
  (1541,'127.0.0.1',1490023374776,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023475619,0,0,1,''),
  (1542,'127.0.0.1',1490023375065,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023376568,0,0,1,''),
  (1543,'127.0.0.1',1490023376696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023380731,0,0,1,''),
  (1544,'127.0.0.1',1490023380865,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023386128,0,0,1,''),
  (1545,'127.0.0.1',1490023394199,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023475645,0,0,1,''),
  (1546,'127.0.0.1',1490023476527,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1547,'127.0.0.1',1490023476600,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023479142,0,0,1,''),
  (1548,'127.0.0.1',1490023479349,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1549,'127.0.0.1',1490023479618,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023481189,0,0,1,''),
  (1550,'127.0.0.1',1490023481361,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023486179,0,0,1,''),
  (1551,'127.0.0.1',1490023489987,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023493790,0,0,1,''),
  (1552,'127.0.0.1',1490023497401,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023503420,0,0,1,''),
  (1553,'127.0.0.1',1490023509876,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023577178,0,0,1,''),
  (1554,'127.0.0.1',1490023526977,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1555,'127.0.0.1',1490023587091,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1556,'127.0.0.1',1490023693506,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023701444,0,0,0,''),
  (1557,'127.0.0.1',1490023718536,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490023766800,0,0,1,''),
  (1558,'127.0.0.1',1490023724762,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1559,'127.0.0.1',1490023769739,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1560,'127.0.0.1',1490023839383,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1561,'127.0.0.1',1490063478304,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490063480996,0,0,0,''),
  (1562,'127.0.0.1',1490063481575,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064403649,0,0,1,''),
  (1563,'127.0.0.1',1490063481842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490063484365,0,0,1,''),
  (1564,'127.0.0.1',1490063484528,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064214177,0,0,1,''),
  (1565,'127.0.0.1',1490063536178,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064123370,0,0,0,''),
  (1566,'127.0.0.1',1490064123548,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064129831,0,0,1,''),
  (1567,'127.0.0.1',1490064130162,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=135','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064131983,0,0,1,''),
  (1568,'127.0.0.1',1490064132135,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=134','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064138311,0,0,1,''),
  (1569,'127.0.0.1',1490064138483,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=133','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064382543,0,0,1,''),
  (1570,'127.0.0.1',1490064225219,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064229444,0,0,1,''),
  (1571,'127.0.0.1',1490064229791,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064233020,0,0,1,''),
  (1572,'127.0.0.1',1490064233254,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064239855,0,0,1,''),
  (1573,'127.0.0.1',1490064240024,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064266278,0,0,1,''),
  (1574,'127.0.0.1',1490064266532,'http://localhost:9080/persistence2-web-example/access/set.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064268008,0,0,1,''),
  (1575,'127.0.0.1',1490064268159,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064269854,0,0,1,''),
  (1576,'127.0.0.1',1490064269940,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064270889,0,0,1,''),
  (1577,'127.0.0.1',1490064271009,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064271677,0,0,1,''),
  (1578,'127.0.0.1',1490064271904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064273163,0,0,1,''),
  (1579,'127.0.0.1',1490064273271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064403675,0,0,1,''),
  (1580,'127.0.0.1',1490064382742,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=132','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1581,'127.0.0.1',1490064382824,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=132','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064793021,0,0,1,''),
  (1582,'127.0.0.1',1490064403897,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064406274,0,0,1,''),
  (1583,'127.0.0.1',1490064406505,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065478350,0,0,1,''),
  (1584,'127.0.0.1',1490064406712,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064408850,0,0,1,''),
  (1585,'127.0.0.1',1490064409009,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064586063,0,0,1,''),
  (1586,'127.0.0.1',1490064586193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064594580,0,0,1,''),
  (1587,'127.0.0.1',1490064595678,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064602931,0,0,1,''),
  (1588,'127.0.0.1',1490064603063,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064757759,0,0,1,''),
  (1589,'127.0.0.1',1490064757969,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490064763122,0,0,1,''),
  (1590,'127.0.0.1',1490064763471,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065478374,0,0,1,''),
  (1591,'127.0.0.1',1490064793275,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065214635,0,0,0,''),
  (1592,'127.0.0.1',1490065214804,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065218081,0,0,0,''),
  (1593,'127.0.0.1',1490065218654,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065235029,0,0,1,''),
  (1594,'127.0.0.1',1490065235210,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065487095,0,0,1,''),
  (1595,'127.0.0.1',1490065478556,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1596,'127.0.0.1',1490065478594,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065482173,0,0,1,''),
  (1597,'127.0.0.1',1490065482403,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066141238,0,0,1,''),
  (1598,'127.0.0.1',1490065482648,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066141256,0,0,1,''),
  (1599,'127.0.0.1',1490065487276,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065492422,0,0,1,''),
  (1600,'127.0.0.1',1490065493413,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065583910,0,0,1,''),
  (1601,'127.0.0.1',1490065584086,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490065591349,0,0,1,''),
  (1602,'127.0.0.1',1490065591816,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066151287,0,0,1,''),
  (1603,'127.0.0.1',1490066141442,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1604,'127.0.0.1',1490066141513,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066145528,0,0,1,''),
  (1605,'127.0.0.1',1490066145852,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066514891,0,0,1,''),
  (1606,'127.0.0.1',1490066146079,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066147767,0,0,1,''),
  (1607,'127.0.0.1',1490066147889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066514037,0,0,1,''),
  (1608,'127.0.0.1',1490066151460,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066155267,0,0,1,''),
  (1609,'127.0.0.1',1490066155421,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066158626,0,0,1,''),
  (1610,'127.0.0.1',1490066158795,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066162277,0,0,1,''),
  (1611,'127.0.0.1',1490066162452,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066165151,0,0,1,''),
  (1612,'127.0.0.1',1490066165310,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=4&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066168558,0,0,1,''),
  (1613,'127.0.0.1',1490066168724,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=6&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066170399,0,0,1,''),
  (1614,'127.0.0.1',1490066170559,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=5&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066173168,0,0,1,''),
  (1615,'127.0.0.1',1490066173340,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066176096,0,0,1,''),
  (1616,'127.0.0.1',1490066176255,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066179198,0,0,1,''),
  (1617,'127.0.0.1',1490066179349,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066192070,0,0,1,''),
  (1618,'127.0.0.1',1490066192235,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066523565,0,0,1,''),
  (1619,'127.0.0.1',1490066515099,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1620,'127.0.0.1',1490066515169,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066517180,0,0,1,''),
  (1621,'127.0.0.1',1490066517376,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071521863,0,0,1,''),
  (1622,'127.0.0.1',1490066517611,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066519769,0,0,1,''),
  (1623,'127.0.0.1',1490066519868,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066573964,0,0,1,''),
  (1624,'127.0.0.1',1490066523769,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=1&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066527152,0,0,1,''),
  (1625,'127.0.0.1',1490066527333,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066531384,0,0,1,''),
  (1626,'127.0.0.1',1490066531589,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066535704,0,0,1,''),
  (1627,'127.0.0.1',1490066535893,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066537912,0,0,1,''),
  (1628,'127.0.0.1',1490066538080,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071527456,0,0,1,''),
  (1629,'127.0.0.1',1490066575048,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490066575934,0,0,1,''),
  (1630,'127.0.0.1',1490066576055,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071521873,0,0,1,''),
  (1631,'127.0.0.1',1490071522041,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1632,'127.0.0.1',1490071522134,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071524863,0,0,1,''),
  (1633,'127.0.0.1',1490071525254,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074630595,0,0,1,''),
  (1634,'127.0.0.1',1490071525462,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074630581,0,0,1,''),
  (1635,'127.0.0.1',1490071527637,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071552318,0,0,1,''),
  (1636,'127.0.0.1',1490071552524,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=3&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490071563352,0,0,1,''),
  (1637,'127.0.0.1',1490072452150,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=139&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072456139,0,0,1,''),
  (1638,'127.0.0.1',1490072456332,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=140&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072731019,0,0,1,''),
  (1639,'127.0.0.1',1490072731194,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=140&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072732975,0,0,1,''),
  (1640,'127.0.0.1',1490072733201,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=138&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490072734959,0,0,1,''),
  (1641,'127.0.0.1',1490072735105,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074456095,0,0,1,''),
  (1642,'127.0.0.1',1490074456324,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074486638,0,0,1,''),
  (1643,'127.0.0.1',1490074486990,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1644,'127.0.0.1',1490074630796,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074633395,0,0,1,''),
  (1645,'127.0.0.1',1490074633628,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075039593,0,0,1,''),
  (1646,'127.0.0.1',1490074633833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074635837,0,0,1,''),
  (1647,'127.0.0.1',1490074635974,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074644665,0,0,1,''),
  (1648,'127.0.0.1',1490074648497,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074655677,0,0,1,''),
  (1649,'127.0.0.1',1490074657098,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074666483,0,0,1,''),
  (1650,'127.0.0.1',1490074866558,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=139&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074872646,0,0,1,''),
  (1651,'127.0.0.1',1490074878481,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=138&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074886680,0,0,1,''),
  (1652,'127.0.0.1',1490074886887,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=135&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490074941847,0,0,1,''),
  (1653,'127.0.0.1',1490074941995,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075036892,0,0,1,''),
  (1654,'127.0.0.1',1490074960056,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1655,'127.0.0.1',1490075039787,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1656,'127.0.0.1',1490075039855,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075042032,0,0,1,''),
  (1657,'127.0.0.1',1490075042221,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076598415,0,0,1,''),
  (1658,'127.0.0.1',1490075042417,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075044428,0,0,1,''),
  (1659,'127.0.0.1',1490075044583,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075056023,0,0,1,''),
  (1660,'127.0.0.1',1490075062816,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075070550,0,0,1,''),
  (1661,'127.0.0.1',1490075070681,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=145','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075073059,0,0,1,''),
  (1662,'127.0.0.1',1490075073224,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075075871,0,0,1,''),
  (1663,'127.0.0.1',1490075076011,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075082218,0,0,1,''),
  (1664,'127.0.0.1',1490075082320,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=142&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075083954,0,0,1,''),
  (1665,'127.0.0.1',1490075084116,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075085704,0,0,1,''),
  (1666,'127.0.0.1',1490075085842,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=140&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075087412,0,0,1,''),
  (1667,'127.0.0.1',1490075087521,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=139&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075089293,0,0,1,''),
  (1668,'127.0.0.1',1490075089462,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=138&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075091056,0,0,1,''),
  (1669,'127.0.0.1',1490075091168,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=137&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075094664,0,0,1,''),
  (1670,'127.0.0.1',1490075094855,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=133&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490075096209,0,0,1,''),
  (1671,'127.0.0.1',1490075096327,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=129&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1672,'127.0.0.1',1490076598630,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1673,'127.0.0.1',1490076598675,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076601960,0,0,1,''),
  (1674,'127.0.0.1',1490076602271,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093436235,0,0,1,''),
  (1675,'127.0.0.1',1490076602518,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076604863,0,0,1,''),
  (1676,'127.0.0.1',1490076605001,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490077468948,0,0,1,''),
  (1677,'127.0.0.1',1490076626384,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490076808863,0,0,0,''),
  (1678,'127.0.0.1',1490076809080,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093958145,0,0,0,''),
  (1679,'127.0.0.1',1490077469904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093435930,0,0,1,''),
  (1680,'127.0.0.1',1490093436453,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1681,'127.0.0.1',1490093436495,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093439658,0,0,1,''),
  (1682,'127.0.0.1',1490093439913,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093880117,0,0,1,''),
  (1683,'127.0.0.1',1490093440160,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093442081,0,0,1,''),
  (1684,'127.0.0.1',1490093442205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093465354,0,0,1,''),
  (1685,'127.0.0.1',1490093466381,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093496172,0,0,1,''),
  (1686,'127.0.0.1',1490093496322,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093880131,0,0,1,''),
  (1687,'127.0.0.1',1490093880331,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094157080,0,0,1,''),
  (1688,'127.0.0.1',1490093880711,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093883009,0,0,1,''),
  (1689,'127.0.0.1',1490093883144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093930600,0,0,1,''),
  (1690,'127.0.0.1',1490093930881,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094157181,0,0,1,''),
  (1691,'127.0.0.1',1490093958579,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093964030,0,0,0,''),
  (1692,'127.0.0.1',1490093964204,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=141&os=Windows&browser=%E5%82%B2%E6%B8%B8','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490093971713,0,0,1,''),
  (1693,'127.0.0.1',1490093971914,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094045435,0,0,1,''),
  (1694,'127.0.0.1',1490093979420,'','/access/detail.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1695,'127.0.0.1',1490094045618,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094113894,0,0,1,''),
  (1696,'127.0.0.1',1490094114078,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094149346,0,0,1,''),
  (1697,'127.0.0.1',1490094149586,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094187038,0,0,1,''),
  (1698,'127.0.0.1',1490094157365,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1699,'127.0.0.1',1490094157413,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094161132,0,0,1,''),
  (1700,'127.0.0.1',1490094161362,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094914509,0,0,1,''),
  (1701,'127.0.0.1',1490094161612,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094164416,0,0,1,''),
  (1702,'127.0.0.1',1490094164540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094897745,0,0,1,''),
  (1703,'127.0.0.1',1490094187232,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094226121,0,0,1,''),
  (1704,'127.0.0.1',1490094226317,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094787812,0,0,1,''),
  (1705,'127.0.0.1',1490094914712,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1706,'127.0.0.1',1490094914769,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094916959,0,0,1,''),
  (1707,'127.0.0.1',1490094917287,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095009482,0,0,1,''),
  (1708,'127.0.0.1',1490094917545,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095009494,0,0,1,''),
  (1709,'127.0.0.1',1490094919358,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094944402,0,0,1,''),
  (1710,'127.0.0.1',1490094945478,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490094963123,0,0,1,''),
  (1711,'127.0.0.1',1490094963320,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095247635,0,0,1,''),
  (1712,'127.0.0.1',1490095009669,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1713,'127.0.0.1',1490095009749,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095012676,0,0,1,''),
  (1714,'127.0.0.1',1490095012881,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095065127,0,0,1,''),
  (1715,'127.0.0.1',1490095013137,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095016638,0,0,1,''),
  (1716,'127.0.0.1',1490095016765,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
COMMIT;

#
# Data for the `access_info` table  (LIMIT 1500,500)
#

INSERT INTO `access_info` (`id`, `ip`, `vtime`, `source_url`, `target_url`, `country`, `source_domain`, `target_domain`, `browser`, `language`, `os`, `session_id`, `user_id`, `user_agent`, `ltime`, `new_visitor`, `mobile`, `source_type`, `search_engine`) VALUES 
  (1717,'127.0.0.1',1490095065335,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1718,'127.0.0.1',1490095065381,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095067657,0,0,1,''),
  (1719,'127.0.0.1',1490095067881,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095228018,0,0,1,''),
  (1720,'127.0.0.1',1490095068143,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095069873,0,0,1,''),
  (1721,'127.0.0.1',1490095069997,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095085356,0,0,1,''),
  (1722,'127.0.0.1',1490095103791,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1723,'127.0.0.1',1490095228217,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1724,'127.0.0.1',1490095228259,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095230402,0,0,1,''),
  (1725,'127.0.0.1',1490095230592,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095669639,0,0,1,''),
  (1726,'127.0.0.1',1490095230844,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095232519,0,0,1,''),
  (1727,'127.0.0.1',1490095232641,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095663626,0,0,1,''),
  (1728,'127.0.0.1',1490095247838,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095261427,0,0,1,''),
  (1729,'127.0.0.1',1490095263017,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095282891,0,0,1,''),
  (1730,'127.0.0.1',1490095341216,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095660028,0,0,1,''),
  (1731,'127.0.0.1',1490095353691,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095359018,0,0,1,''),
  (1732,'127.0.0.1',1490095669839,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1733,'127.0.0.1',1490095669883,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095672518,0,0,1,''),
  (1734,'127.0.0.1',1490095672724,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095738868,0,0,1,''),
  (1735,'127.0.0.1',1490095672966,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095674747,0,0,1,''),
  (1736,'127.0.0.1',1490095674881,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095738872,0,0,1,''),
  (1737,'127.0.0.1',1490095678222,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095687715,0,0,1,''),
  (1738,'127.0.0.1',1490095687892,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095745573,0,0,1,''),
  (1739,'127.0.0.1',1490095739056,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1740,'127.0.0.1',1490095739103,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095741254,0,0,1,''),
  (1741,'127.0.0.1',1490095741432,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1742,'127.0.0.1',1490095741733,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095743300,0,0,1,''),
  (1743,'127.0.0.1',1490095743413,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095862550,0,0,1,''),
  (1744,'127.0.0.1',1490095745771,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095748710,0,0,1,''),
  (1745,'127.0.0.1',1490095748900,'http://localhost:9080/persistence2-web-example/access/detail.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095753688,0,0,1,''),
  (1746,'127.0.0.1',1490095753864,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=2&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095756034,0,0,1,''),
  (1747,'127.0.0.1',1490095756224,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=16&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095758359,0,0,1,''),
  (1748,'127.0.0.1',1490095758528,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=15&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095767278,0,0,1,''),
  (1749,'127.0.0.1',1490095767500,'http://localhost:9080/persistence2-web-example/access/detail.jsp?p=14&stime=2017-03-11%2019:20&etime=2017-03-19%2001:05','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095771926,0,0,1,''),
  (1750,'127.0.0.1',1490095862690,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095864105,0,0,1,''),
  (1751,'127.0.0.1',1490095864271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095865293,0,0,1,''),
  (1752,'127.0.0.1',1490095865482,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095866383,0,0,1,''),
  (1753,'127.0.0.1',1490095866513,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095877929,0,0,1,''),
  (1754,'127.0.0.1',1490095878072,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095878787,0,0,1,''),
  (1755,'127.0.0.1',1490095878923,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095879945,0,0,1,''),
  (1756,'127.0.0.1',1490095880051,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095885842,0,0,1,''),
  (1757,'127.0.0.1',1490095885967,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095887321,0,0,1,''),
  (1758,'127.0.0.1',1490095887467,'http://localhost:9080/persistence2-web-example/access/source.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095889000,0,0,1,''),
  (1759,'127.0.0.1',1490095889232,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095889797,0,0,1,''),
  (1760,'127.0.0.1',1490095889994,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095890862,0,0,1,''),
  (1761,'127.0.0.1',1490095890968,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490095891610,0,0,1,''),
  (1762,'127.0.0.1',1490095891754,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1763,'127.0.0.1',1490344175230,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344177208,0,0,0,''),
  (1764,'127.0.0.1',1490344177746,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344182082,0,0,0,''),
  (1765,'127.0.0.1',1490344182506,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344187073,0,0,1,''),
  (1766,'127.0.0.1',1490344182843,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344187119,0,0,1,''),
  (1767,'127.0.0.1',1490344187366,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344190925,0,0,1,''),
  (1768,'127.0.0.1',1490344191130,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344228908,0,0,1,''),
  (1769,'127.0.0.1',1490344191376,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344193310,0,0,1,''),
  (1770,'127.0.0.1',1490344195273,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344199693,0,0,1,''),
  (1771,'127.0.0.1',1490344199923,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344208752,0,0,1,''),
  (1772,'127.0.0.1',1490344208960,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344216742,0,0,1,''),
  (1773,'127.0.0.1',1490344216893,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344248034,0,0,1,''),
  (1774,'127.0.0.1',1490344248205,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344254211,0,0,1,''),
  (1775,'127.0.0.1',1490344254307,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344266783,0,0,1,''),
  (1776,'127.0.0.1',1490344266960,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344270658,0,0,1,''),
  (1777,'127.0.0.1',1490344270815,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344292704,0,0,1,''),
  (1778,'127.0.0.1',1490344292869,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344296881,0,0,1,''),
  (1779,'127.0.0.1',1490344296992,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344337754,0,0,1,''),
  (1780,'127.0.0.1',1490344337920,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344342164,0,0,1,''),
  (1781,'127.0.0.1',1490344342257,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344360238,0,0,1,''),
  (1782,'127.0.0.1',1490344360446,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344368580,0,0,1,''),
  (1783,'127.0.0.1',1490344368692,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344373091,0,0,1,''),
  (1784,'127.0.0.1',1490344397848,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344433310,0,0,1,''),
  (1785,'127.0.0.1',1490344433510,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490344438700,0,0,1,''),
  (1786,'127.0.0.1',1490346664448,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346667134,0,0,0,''),
  (1787,'127.0.0.1',1490346667319,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346694620,0,0,1,''),
  (1788,'127.0.0.1',1490346667600,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346669492,0,0,1,''),
  (1789,'127.0.0.1',1490346669624,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346683694,0,0,1,''),
  (1790,'127.0.0.1',1490346683819,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346685018,0,0,1,''),
  (1791,'127.0.0.1',1490346685145,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346688680,0,0,1,''),
  (1792,'127.0.0.1',1490346688935,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346691803,0,0,1,''),
  (1793,'127.0.0.1',1490346692169,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346694659,0,0,1,''),
  (1794,'127.0.0.1',1490346694810,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346697486,0,0,1,''),
  (1795,'127.0.0.1',1490346697853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346784638,0,0,1,''),
  (1796,'127.0.0.1',1490346698284,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346702367,0,0,1,''),
  (1797,'127.0.0.1',1490346702476,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1798,'127.0.0.1',1490346785026,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1799,'127.0.0.1',1490346785074,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346791867,0,0,1,''),
  (1800,'127.0.0.1',1490346792056,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346839718,0,0,1,''),
  (1801,'127.0.0.1',1490346792288,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346794122,0,0,1,''),
  (1802,'127.0.0.1',1490346794233,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1803,'127.0.0.1',1490346839912,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1804,'127.0.0.1',1490346839954,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346842541,0,0,1,''),
  (1805,'127.0.0.1',1490346842726,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347192861,0,0,1,''),
  (1806,'127.0.0.1',1490346842945,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346844196,0,0,1,''),
  (1807,'127.0.0.1',1490346844311,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346894029,0,0,1,''),
  (1808,'127.0.0.1',1490346894238,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346944351,0,0,1,''),
  (1809,'127.0.0.1',1490346944641,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346951826,0,0,1,''),
  (1810,'127.0.0.1',1490346951953,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346991404,0,0,1,''),
  (1811,'127.0.0.1',1490346991560,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346994604,0,0,1,''),
  (1812,'127.0.0.1',1490346994711,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490346997160,0,0,1,''),
  (1813,'127.0.0.1',1490346997507,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=16','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347001293,0,0,1,''),
  (1814,'127.0.0.1',1490347001419,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347031116,0,0,1,''),
  (1815,'127.0.0.1',1490347031267,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347034480,0,0,1,''),
  (1816,'127.0.0.1',1490347034610,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347157455,0,0,1,''),
  (1817,'127.0.0.1',1490347157596,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347164483,0,0,1,''),
  (1818,'127.0.0.1',1490347164616,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347189917,0,0,1,''),
  (1819,'127.0.0.1',1490347190110,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347192884,0,0,1,''),
  (1820,'127.0.0.1',1490347193041,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347196269,0,0,1,''),
  (1821,'127.0.0.1',1490347196455,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348547004,0,0,1,''),
  (1822,'127.0.0.1',1490347196681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490347198507,0,0,1,''),
  (1823,'127.0.0.1',1490347198622,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1824,'127.0.0.1',1490347249593,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1825,'127.0.0.1',1490348547207,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1826,'127.0.0.1',1490348547252,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348560128,0,0,1,''),
  (1827,'127.0.0.1',1490348560367,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1828,'127.0.0.1',1490348560416,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348569498,0,0,1,''),
  (1829,'127.0.0.1',1490348569679,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348931830,0,0,1,''),
  (1830,'127.0.0.1',1490348569930,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348571713,0,0,1,''),
  (1831,'127.0.0.1',1490348571885,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1832,'127.0.0.1',1490348586691,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1833,'127.0.0.1',1490348602085,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1834,'127.0.0.1',1490348718235,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1835,'127.0.0.1',1490348835768,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1836,'127.0.0.1',1490348932284,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1837,'127.0.0.1',1490348932339,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348934635,0,0,1,''),
  (1838,'127.0.0.1',1490348934843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349087875,0,0,1,''),
  (1839,'127.0.0.1',1490348935086,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348936531,0,0,1,''),
  (1840,'127.0.0.1',1490348936672,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490348945662,0,0,1,''),
  (1841,'127.0.0.1',1490348946584,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1842,'127.0.0.1',1490348946676,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349087893,0,0,1,''),
  (1843,'127.0.0.1',1490349088051,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1844,'127.0.0.1',1490349088105,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349094708,0,0,1,''),
  (1845,'127.0.0.1',1490349094925,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349097134,0,0,1,''),
  (1846,'127.0.0.1',1490349095175,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349097039,0,0,1,''),
  (1847,'127.0.0.1',1490349096616,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1848,'127.0.0.1',1490349197781,'','/bindex.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (1849,'127.0.0.1',1490349197831,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349204615,0,0,0,''),
  (1850,'127.0.0.1',1490349204829,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349294240,0,0,1,''),
  (1851,'127.0.0.1',1490349205225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349207044,0,0,1,''),
  (1852,'127.0.0.1',1490349207255,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349212254,0,0,1,''),
  (1853,'127.0.0.1',1490349212492,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349239694,0,0,1,''),
  (1854,'127.0.0.1',1490349239847,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349294251,0,0,1,''),
  (1855,'127.0.0.1',1490349294491,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349297631,0,0,1,''),
  (1856,'127.0.0.1',1490349297818,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349378062,0,0,1,''),
  (1857,'127.0.0.1',1490349298110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349300274,0,0,1,''),
  (1858,'127.0.0.1',1490349300391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349301683,0,0,1,''),
  (1859,'127.0.0.1',1490349301831,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1860,'127.0.0.1',1490349301931,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349378095,0,0,1,''),
  (1861,'127.0.0.1',1490349378284,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1862,'127.0.0.1',1490349378299,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349380725,0,0,1,''),
  (1863,'127.0.0.1',1490349381079,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349395293,0,0,1,''),
  (1864,'127.0.0.1',1490349381470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349383454,0,0,1,''),
  (1865,'127.0.0.1',1490349383580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349389296,0,0,1,''),
  (1866,'127.0.0.1',1490349386379,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1867,'127.0.0.1',1490349386449,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349389485,0,0,1,''),
  (1868,'127.0.0.1',1490349395544,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1869,'127.0.0.1',1490349395555,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349402174,0,0,1,''),
  (1870,'127.0.0.1',1490349402436,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350826782,0,0,1,''),
  (1871,'127.0.0.1',1490349402814,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350826831,0,0,1,''),
  (1872,'127.0.0.1',1490349404546,'','/safe/blacklist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490349410057,0,0,0,''),
  (1873,'127.0.0.1',1490349410255,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1874,'127.0.0.1',1490349410309,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1875,'127.0.0.1',1490350827458,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1876,'127.0.0.1',1490350827506,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350830441,0,0,1,''),
  (1877,'127.0.0.1',1490350831886,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351036705,0,0,1,''),
  (1878,'127.0.0.1',1490350832244,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350979666,0,0,1,''),
  (1879,'127.0.0.1',1490350979830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490350983036,0,0,1,''),
  (1880,'127.0.0.1',1490350983173,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351033187,0,0,1,''),
  (1881,'127.0.0.1',1490351033369,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m01','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351036792,0,0,1,''),
  (1882,'127.0.0.1',1490351036944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351040571,0,0,1,''),
  (1883,'127.0.0.1',1490351040765,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351402055,0,0,1,''),
  (1884,'127.0.0.1',1490351041009,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351047384,0,0,1,''),
  (1885,'127.0.0.1',1490351047503,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351048259,0,0,1,''),
  (1886,'127.0.0.1',1490351048377,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1887,'127.0.0.1',1490351048437,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351400477,0,0,1,''),
  (1888,'127.0.0.1',1490351400584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1889,'127.0.0.1',1490351400664,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351402061,0,0,1,''),
  (1890,'127.0.0.1',1490351402201,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1891,'127.0.0.1',1490351402212,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351404615,0,0,1,''),
  (1892,'127.0.0.1',1490351404823,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351419821,0,0,1,''),
  (1893,'127.0.0.1',1490351405110,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351407033,0,0,1,''),
  (1894,'127.0.0.1',1490351407169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1895,'127.0.0.1',1490351407256,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351419855,0,0,1,''),
  (1896,'127.0.0.1',1490351420060,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351422322,0,0,1,''),
  (1897,'127.0.0.1',1490351422593,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351458313,0,0,1,''),
  (1898,'127.0.0.1',1490351423857,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351425720,0,0,1,''),
  (1899,'127.0.0.1',1490351426225,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351427718,0,0,1,''),
  (1900,'127.0.0.1',1490351427961,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351429824,0,0,1,''),
  (1901,'127.0.0.1',1490351429979,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351443757,0,0,1,''),
  (1902,'127.0.0.1',1490351444326,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351448318,0,0,1,''),
  (1903,'127.0.0.1',1490351448492,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351454802,0,0,1,''),
  (1904,'127.0.0.1',1490351455839,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351458334,0,0,1,''),
  (1905,'127.0.0.1',1490351458854,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351461833,0,0,1,''),
  (1906,'127.0.0.1',1490351462356,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354479453,0,0,1,''),
  (1907,'127.0.0.1',1490351463756,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351466044,0,0,1,''),
  (1908,'127.0.0.1',1490351466528,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490351467441,0,0,1,''),
  (1909,'127.0.0.1',1490351467573,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354479914,0,0,1,''),
  (1910,'127.0.0.1',1490354480213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354484701,0,0,1,''),
  (1911,'127.0.0.1',1490354485375,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1912,'127.0.0.1',1490354485724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354486620,0,0,1,''),
  (1913,'127.0.0.1',1490354486816,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354514143,0,0,1,''),
  (1914,'127.0.0.1',1490354514342,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354519166,0,0,1,''),
  (1915,'127.0.0.1',1490354519348,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354520981,0,0,1,''),
  (1916,'127.0.0.1',1490354521506,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354571136,0,0,1,''),
  (1917,'127.0.0.1',1490354571395,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354574858,0,0,1,''),
  (1918,'127.0.0.1',1490354575504,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354870613,0,0,1,''),
  (1919,'127.0.0.1',1490354870790,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490354875844,0,0,1,''),
  (1920,'127.0.0.1',1490354876038,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1921,'127.0.0.1',1490370369344,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370375198,0,0,0,''),
  (1922,'127.0.0.1',1490370375449,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370378946,0,0,1,''),
  (1923,'127.0.0.1',1490370375659,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370378882,0,0,1,''),
  (1924,'127.0.0.1',1490370379146,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370381336,0,0,1,''),
  (1925,'127.0.0.1',1490370381510,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370531605,0,0,1,''),
  (1926,'127.0.0.1',1490370381700,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370383953,0,0,1,''),
  (1927,'127.0.0.1',1490370384067,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370385665,0,0,1,''),
  (1928,'127.0.0.1',1490370385883,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370388408,0,0,1,''),
  (1929,'127.0.0.1',1490370389540,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370398897,0,0,1,''),
  (1930,'127.0.0.1',1490370399019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370402196,0,0,1,''),
  (1931,'127.0.0.1',1490370402474,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370405431,0,0,1,''),
  (1932,'127.0.0.1',1490370405585,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370410289,0,0,1,''),
  (1933,'127.0.0.1',1490370410444,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=20','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370413216,0,0,1,''),
  (1934,'127.0.0.1',1490370413307,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370414989,0,0,1,''),
  (1935,'127.0.0.1',1490370415122,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370422800,0,0,1,''),
  (1936,'127.0.0.1',1490370422936,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370427787,0,0,1,''),
  (1937,'127.0.0.1',1490370427947,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=16','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370529720,0,0,1,''),
  (1938,'127.0.0.1',1490370529849,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1939,'127.0.0.1',1490370529902,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370531627,0,0,1,''),
  (1940,'127.0.0.1',1490370531765,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1941,'127.0.0.1',1490370531777,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370534153,0,0,1,''),
  (1942,'127.0.0.1',1490370534355,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372941563,0,0,1,''),
  (1943,'127.0.0.1',1490370534556,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370535862,0,0,1,''),
  (1944,'127.0.0.1',1490370535993,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370538489,0,0,1,''),
  (1945,'127.0.0.1',1490370538616,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370544508,0,0,1,''),
  (1946,'127.0.0.1',1490370544707,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=20','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370548385,0,0,1,''),
  (1947,'127.0.0.1',1490370548473,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370569441,0,0,1,''),
  (1948,'127.0.0.1',1490370569585,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370607579,0,0,1,''),
  (1949,'127.0.0.1',1490370607741,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372937981,0,0,1,''),
  (1950,'127.0.0.1',1490370609514,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/user.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490370611143,0,0,1,''),
  (1951,'127.0.0.1',1490372941740,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1952,'127.0.0.1',1490372941782,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372945589,0,0,1,''),
  (1953,'127.0.0.1',1490372946008,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373200624,0,0,1,''),
  (1954,'127.0.0.1',1490372946220,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372951201,0,0,1,''),
  (1955,'127.0.0.1',1490372951320,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372957214,0,0,1,''),
  (1956,'127.0.0.1',1490372957401,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372961857,0,0,1,''),
  (1957,'127.0.0.1',1490372962328,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490372969185,0,0,1,''),
  (1958,'127.0.0.1',1490372969308,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1959,'127.0.0.1',1490373201186,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1960,'127.0.0.1',1490373201256,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373203986,0,0,1,''),
  (1961,'127.0.0.1',1490373204160,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373488682,0,0,1,''),
  (1962,'127.0.0.1',1490373204363,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373206023,0,0,1,''),
  (1963,'127.0.0.1',1490373206159,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373208078,0,0,1,''),
  (1964,'127.0.0.1',1490373208216,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373211787,0,0,1,''),
  (1965,'127.0.0.1',1490373211937,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1966,'127.0.0.1',1490373245616,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373249584,0,0,1,''),
  (1967,'127.0.0.1',1490373249694,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373252775,0,0,1,''),
  (1968,'127.0.0.1',1490373252901,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373488494,0,0,1,''),
  (1969,'127.0.0.1',1490373488853,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1970,'127.0.0.1',1490373488903,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373492424,0,0,1,''),
  (1971,'127.0.0.1',1490373492678,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1972,'127.0.0.1',1490373492921,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373494248,0,0,1,''),
  (1973,'127.0.0.1',1490373494373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373495427,0,0,1,''),
  (1974,'127.0.0.1',1490373495545,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373499449,0,0,1,''),
  (1975,'127.0.0.1',1490373499587,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373508575,0,0,1,''),
  (1976,'127.0.0.1',1490373508775,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=32','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373513706,0,0,1,''),
  (1977,'127.0.0.1',1490373513798,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373517113,0,0,1,''),
  (1978,'127.0.0.1',1490373517326,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=32','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373523289,0,0,1,''),
  (1979,'127.0.0.1',1490373523387,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373526435,0,0,1,''),
  (1980,'127.0.0.1',1490373526637,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=32','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490373584002,0,0,1,''),
  (1981,'127.0.0.1',1490373584114,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1982,'127.0.0.1',1490411042166,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411051470,0,0,0,''),
  (1983,'127.0.0.1',1490411051806,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411141228,0,0,1,''),
  (1984,'127.0.0.1',1490411052091,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411053530,0,0,1,''),
  (1985,'127.0.0.1',1490411053682,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411062767,0,0,1,''),
  (1986,'127.0.0.1',1490411062933,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411067831,0,0,1,''),
  (1987,'127.0.0.1',1490411068047,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411071328,0,0,1,''),
  (1988,'127.0.0.1',1490411071458,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411077398,0,0,1,''),
  (1989,'127.0.0.1',1490411077573,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411085539,0,0,1,''),
  (1990,'127.0.0.1',1490411085663,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411089316,0,0,1,''),
  (1991,'127.0.0.1',1490411089484,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411093920,0,0,1,''),
  (1992,'127.0.0.1',1490411094081,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411105457,0,0,1,''),
  (1993,'127.0.0.1',1490411105581,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (1994,'127.0.0.1',1490411107703,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411111880,0,0,1,''),
  (1995,'127.0.0.1',1490411112127,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411116350,0,0,1,''),
  (1996,'127.0.0.1',1490411116469,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411119071,0,0,1,''),
  (1997,'127.0.0.1',1490411119262,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411124258,0,0,1,''),
  (1998,'127.0.0.1',1490411124365,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411128457,0,0,1,''),
  (1999,'127.0.0.1',1490411128643,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411135614,0,0,1,''),
  (2000,'127.0.0.1',1490411135777,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411137553,0,0,1,''),
  (2001,'127.0.0.1',1490411137657,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411138556,0,0,1,''),
  (2002,'127.0.0.1',1490411138681,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411141258,0,0,1,''),
  (2003,'127.0.0.1',1490411141451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411144117,0,0,1,''),
  (2004,'127.0.0.1',1490411144310,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411148656,0,0,1,''),
  (2005,'127.0.0.1',1490411144537,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411145709,0,0,1,''),
  (2006,'127.0.0.1',1490411145833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2007,'127.0.0.1',1490411145876,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411148695,0,0,1,''),
  (2008,'127.0.0.1',1490411148842,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411151745,0,0,1,''),
  (2009,'127.0.0.1',1490411151936,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2010,'127.0.0.1',1490411152136,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411156557,0,0,1,''),
  (2011,'127.0.0.1',1490411156678,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490411160764,0,0,1,''),
  (2012,'127.0.0.1',1490411176883,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2013,'127.0.0.1',1490413013163,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2014,'127.0.0.1',1490413013213,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413021564,0,0,1,''),
  (2015,'127.0.0.1',1490413021767,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413113188,0,0,1,''),
  (2016,'127.0.0.1',1490413022001,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413025024,0,0,1,''),
  (2017,'127.0.0.1',1490413025169,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413026855,0,0,1,''),
  (2018,'127.0.0.1',1490413026954,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413032376,0,0,1,''),
  (2019,'127.0.0.1',1490413040074,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413113228,0,0,1,''),
  (2020,'127.0.0.1',1490413113435,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413116874,0,0,1,''),
  (2021,'127.0.0.1',1490413117115,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413288613,0,0,1,''),
  (2022,'127.0.0.1',1490413117361,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413125582,0,0,1,''),
  (2023,'127.0.0.1',1490413125696,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413129574,0,0,1,''),
  (2024,'127.0.0.1',1490413139658,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413147610,0,0,1,''),
  (2025,'127.0.0.1',1490413200628,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413210889,0,0,1,''),
  (2026,'127.0.0.1',1490413211019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413212059,0,0,1,''),
  (2027,'127.0.0.1',1490413212160,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413236549,0,0,1,''),
  (2028,'127.0.0.1',1490413236690,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413288647,0,0,1,''),
  (2029,'127.0.0.1',1490413242141,'','/safe/blackip.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413249035,0,0,0,''),
  (2030,'127.0.0.1',1490413288822,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2031,'127.0.0.1',1490413288875,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413291496,0,0,1,''),
  (2032,'127.0.0.1',1490413291716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413296493,0,0,1,''),
  (2033,'127.0.0.1',1490413291972,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413296509,0,0,1,''),
  (2034,'127.0.0.1',1490413296682,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413298712,0,0,1,''),
  (2035,'127.0.0.1',1490413298890,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413347046,0,0,1,''),
  (2036,'127.0.0.1',1490413299102,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413300827,0,0,1,''),
  (2037,'127.0.0.1',1490413300952,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413302629,0,0,1,''),
  (2038,'127.0.0.1',1490413302749,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413342156,0,0,1,''),
  (2039,'127.0.0.1',1490413347243,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2040,'127.0.0.1',1490413347290,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413349873,0,0,1,''),
  (2041,'127.0.0.1',1490413350072,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413362114,0,0,1,''),
  (2042,'127.0.0.1',1490413350340,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413359778,0,0,1,''),
  (2043,'127.0.0.1',1490413353929,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413425136,0,0,1,''),
  (2044,'127.0.0.1',1490413359902,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2045,'127.0.0.1',1490413359957,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413362154,0,0,1,''),
  (2046,'127.0.0.1',1490413362281,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2047,'127.0.0.1',1490413362299,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413364651,0,0,1,''),
  (2048,'127.0.0.1',1490413364832,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413417385,0,0,1,''),
  (2049,'127.0.0.1',1490413365057,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413369422,0,0,1,''),
  (2050,'127.0.0.1',1490413369560,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413370777,0,0,1,''),
  (2051,'127.0.0.1',1490413370887,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413374819,0,0,1,''),
  (2052,'127.0.0.1',1490413374981,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413417420,0,0,1,''),
  (2053,'127.0.0.1',1490413418729,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2054,'127.0.0.1',1490413418815,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413421025,0,0,1,''),
  (2055,'127.0.0.1',1490413421241,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413562503,0,0,1,''),
  (2056,'127.0.0.1',1490413421493,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413562527,0,0,1,''),
  (2057,'127.0.0.1',1490413425320,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413527497,0,0,1,''),
  (2058,'127.0.0.1',1490413562716,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2059,'127.0.0.1',1490413562755,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490413565213,0,0,1,''),
  (2060,'127.0.0.1',1490413565430,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414968744,0,0,1,''),
  (2061,'127.0.0.1',1490413565674,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414968766,0,0,1,''),
  (2062,'127.0.0.1',1490413568256,'http://localhost:9080/persistence2-web-example/safe/blackip.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417042729,0,0,1,''),
  (2063,'127.0.0.1',1490414972639,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2064,'127.0.0.1',1490414972769,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414975763,0,0,1,''),
  (2065,'127.0.0.1',1490414976047,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415039743,0,0,1,''),
  (2066,'127.0.0.1',1490414976488,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414978688,0,0,1,''),
  (2067,'127.0.0.1',1490414978860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490414994282,0,0,1,''),
  (2068,'127.0.0.1',1490415025742,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2069,'127.0.0.1',1490415026083,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415039526,0,0,1,''),
  (2070,'127.0.0.1',1490415039983,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2071,'127.0.0.1',1490415040000,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415081082,0,0,1,''),
  (2072,'127.0.0.1',1490415081345,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415239724,0,0,1,''),
  (2073,'127.0.0.1',1490415081720,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415083184,0,0,1,''),
  (2074,'127.0.0.1',1490415083331,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415088557,0,0,1,''),
  (2075,'127.0.0.1',1490415240010,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2076,'127.0.0.1',1490415240065,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415242313,0,0,1,''),
  (2077,'127.0.0.1',1490415242576,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415419545,0,0,1,''),
  (2078,'127.0.0.1',1490415242890,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415244524,0,0,1,''),
  (2079,'127.0.0.1',1490415244675,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415247949,0,0,1,''),
  (2080,'127.0.0.1',1490415419818,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2081,'127.0.0.1',1490415419890,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415422113,0,0,1,''),
  (2082,'127.0.0.1',1490415422379,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415432271,0,0,1,''),
  (2083,'127.0.0.1',1490415422738,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415424430,0,0,1,''),
  (2084,'127.0.0.1',1490415424569,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2085,'127.0.0.1',1490415424649,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2086,'127.0.0.1',1490415424671,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415432332,0,0,1,''),
  (2087,'127.0.0.1',1490415432536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415613607,0,0,1,''),
  (2088,'127.0.0.1',1490415617471,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415619727,0,0,1,''),
  (2089,'127.0.0.1',1490415620103,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416729214,0,0,1,''),
  (2090,'127.0.0.1',1490415620551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415622151,0,0,1,''),
  (2091,'127.0.0.1',1490415622388,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490415624683,0,0,1,''),
  (2092,'127.0.0.1',1490415627727,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416729274,0,0,1,''),
  (2093,'127.0.0.1',1490416731841,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2094,'127.0.0.1',1490416731937,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416734795,0,0,1,''),
  (2095,'127.0.0.1',1490416735255,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417565447,0,0,1,''),
  (2096,'127.0.0.1',1490416735627,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416737291,0,0,1,''),
  (2097,'127.0.0.1',1490416737516,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416739949,0,0,1,''),
  (2098,'127.0.0.1',1490416740565,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490416746044,0,0,1,''),
  (2099,'127.0.0.1',1490416746202,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2100,'127.0.0.1',1490417570196,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2101,'127.0.0.1',1490417570300,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417909935,0,0,1,''),
  (2102,'127.0.0.1',1490417910486,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419009232,0,0,1,''),
  (2103,'127.0.0.1',1490417911775,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417914109,0,0,1,''),
  (2104,'127.0.0.1',1490417914716,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417918234,0,0,1,''),
  (2105,'127.0.0.1',1490417918461,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417922714,0,0,1,''),
  (2106,'127.0.0.1',1490417922870,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490417926262,0,0,1,''),
  (2107,'127.0.0.1',1490417926464,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419009752,0,0,1,''),
  (2108,'127.0.0.1',1490419010037,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2109,'127.0.0.1',1490419010140,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419012661,0,0,1,''),
  (2110,'127.0.0.1',1490419013293,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419282148,0,0,1,''),
  (2111,'127.0.0.1',1490419014379,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419015877,0,0,1,''),
  (2112,'127.0.0.1',1490419016039,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419018273,0,0,1,''),
  (2113,'127.0.0.1',1490419282924,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2114,'127.0.0.1',1490419283000,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419285315,0,0,1,''),
  (2115,'127.0.0.1',1490419285557,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423432461,0,0,1,''),
  (2116,'127.0.0.1',1490419285882,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419287416,0,0,1,''),
  (2117,'127.0.0.1',1490419287593,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490419289861,0,0,1,''),
  (2118,'127.0.0.1',1490419297677,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423067928,0,0,1,''),
  (2119,'127.0.0.1',1490423365380,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423432287,0,0,1,''),
  (2120,'127.0.0.1',1490423432704,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2121,'127.0.0.1',1490423432828,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423435035,0,0,1,''),
  (2122,'127.0.0.1',1490423435304,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424054184,0,0,1,''),
  (2123,'127.0.0.1',1490423435686,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423437249,0,0,1,''),
  (2124,'127.0.0.1',1490423437381,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490423439370,0,0,1,''),
  (2125,'127.0.0.1',1490423449521,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424054195,0,0,1,''),
  (2126,'127.0.0.1',1490424057460,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2127,'127.0.0.1',1490424057649,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424060306,0,0,1,''),
  (2128,'127.0.0.1',1490424060629,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425988447,0,0,1,''),
  (2129,'127.0.0.1',1490424060987,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424062578,0,0,1,''),
  (2130,'127.0.0.1',1490424062789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490424065086,0,0,1,''),
  (2131,'127.0.0.1',1490424068885,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425988501,0,0,1,''),
  (2132,'127.0.0.1',1490425989120,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2133,'127.0.0.1',1490425989556,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425991793,0,0,1,''),
  (2134,'127.0.0.1',1490425992225,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426167603,0,0,1,''),
  (2135,'127.0.0.1',1490425992515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490425994276,0,0,1,''),
  (2136,'127.0.0.1',1490425994393,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426002145,0,0,1,''),
  (2137,'127.0.0.1',1490426170921,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2138,'127.0.0.1',1490426171011,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426177290,0,0,1,''),
  (2139,'127.0.0.1',1490426177546,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427187548,0,0,1,''),
  (2140,'127.0.0.1',1490426177899,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426179274,0,0,1,''),
  (2141,'127.0.0.1',1490426179442,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426183163,0,0,1,''),
  (2142,'127.0.0.1',1490426183287,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426188429,0,0,1,''),
  (2143,'127.0.0.1',1490426188580,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490426193672,0,0,1,''),
  (2144,'127.0.0.1',1490426194235,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427082245,0,0,1,''),
  (2145,'127.0.0.1',1490427082450,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427134063,0,0,1,''),
  (2146,'127.0.0.1',1490427134360,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427187633,0,0,1,''),
  (2147,'127.0.0.1',1490427198480,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2148,'127.0.0.1',1490427198558,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427204249,0,0,1,''),
  (2149,'127.0.0.1',1490427204450,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427551801,0,0,1,''),
  (2150,'127.0.0.1',1490427204705,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427206671,0,0,1,''),
  (2151,'127.0.0.1',1490427206779,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427211764,0,0,1,''),
  (2152,'127.0.0.1',1490427211954,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427551845,0,0,1,''),
  (2153,'127.0.0.1',1490427552012,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2154,'127.0.0.1',1490427552055,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427555071,0,0,1,''),
  (2155,'127.0.0.1',1490427555269,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427784136,0,0,1,''),
  (2156,'127.0.0.1',1490427555528,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427557080,0,0,1,''),
  (2157,'127.0.0.1',1490427557197,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427559208,0,0,1,''),
  (2158,'127.0.0.1',1490427559394,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427784173,0,0,1,''),
  (2159,'127.0.0.1',1490427784362,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2160,'127.0.0.1',1490427784476,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427787224,0,0,1,''),
  (2161,'127.0.0.1',1490427787512,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427846090,0,0,1,''),
  (2162,'127.0.0.1',1490427787887,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427789654,0,0,1,''),
  (2163,'127.0.0.1',1490427789826,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427846117,0,0,1,''),
  (2164,'127.0.0.1',1490427846972,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2165,'127.0.0.1',1490427847126,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427863452,0,0,1,''),
  (2166,'127.0.0.1',1490427865520,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427869769,0,0,1,''),
  (2167,'127.0.0.1',1490427866067,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2168,'127.0.0.1',1490427866145,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427870014,0,0,1,''),
  (2169,'127.0.0.1',1490427870249,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2170,'127.0.0.1',1490427870260,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427873524,0,0,1,''),
  (2171,'127.0.0.1',1490427873786,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428055126,0,0,1,''),
  (2172,'127.0.0.1',1490427874152,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427876182,0,0,1,''),
  (2173,'127.0.0.1',1490427876345,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427878348,0,0,1,''),
  (2174,'127.0.0.1',1490427878560,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490427954872,0,0,1,''),
  (2175,'127.0.0.1',1490428055408,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2176,'127.0.0.1',1490428055491,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428058072,0,0,1,''),
  (2177,'127.0.0.1',1490428058330,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428189835,0,0,1,''),
  (2178,'127.0.0.1',1490428058981,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428060186,0,0,1,''),
  (2179,'127.0.0.1',1490428060713,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428062577,0,0,1,''),
  (2180,'127.0.0.1',1490428070381,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428076026,0,0,1,''),
  (2181,'127.0.0.1',1490428079511,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428189889,0,0,1,''),
  (2182,'127.0.0.1',1490428190092,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428198886,0,0,1,''),
  (2183,'127.0.0.1',1490428190470,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428192795,0,0,1,''),
  (2184,'127.0.0.1',1490428192944,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428198494,0,0,1,''),
  (2185,'127.0.0.1',1490428199488,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428202993,0,0,1,''),
  (2186,'127.0.0.1',1490428203752,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428386384,0,0,1,''),
  (2187,'127.0.0.1',1490428204107,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428205008,0,0,1,''),
  (2188,'127.0.0.1',1490428205186,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428215747,0,0,1,''),
  (2189,'127.0.0.1',1490428240069,'http://localhost:9080/persistence2-web-example/sys/users.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428267636,0,0,1,''),
  (2190,'127.0.0.1',1490428284319,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428291530,0,0,1,''),
  (2191,'127.0.0.1',1490428311051,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428357820,0,0,1,''),
  (2192,'127.0.0.1',1490428386679,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428389334,0,0,1,''),
  (2193,'127.0.0.1',1490428389667,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428469541,0,0,1,''),
  (2194,'127.0.0.1',1490428390053,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428391850,0,0,1,''),
  (2195,'127.0.0.1',1490428391971,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428396097,0,0,1,''),
  (2196,'127.0.0.1',1490428470019,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2197,'127.0.0.1',1490428470136,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428472761,0,0,1,''),
  (2198,'127.0.0.1',1490428473035,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428502939,0,0,1,''),
  (2199,'127.0.0.1',1490428473414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428475356,0,0,1,''),
  (2200,'127.0.0.1',1490428475531,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428478449,0,0,1,''),
  (2201,'127.0.0.1',1490428507295,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2202,'127.0.0.1',1490428507829,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428511004,0,0,1,''),
  (2203,'127.0.0.1',1490428511858,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2204,'127.0.0.1',1490428512241,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428514326,0,0,1,''),
  (2205,'127.0.0.1',1490428514500,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428517191,0,0,1,''),
  (2206,'127.0.0.1',1490428526325,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490428566361,0,0,1,''),
  (2207,'127.0.0.1',1490428592889,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2208,'127.0.0.1',1490429358369,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2209,'127.0.0.1',1490429358426,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429361465,0,0,1,''),
  (2210,'127.0.0.1',1490429386002,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429653396,0,0,1,''),
  (2211,'127.0.0.1',1490429386247,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429390545,0,0,1,''),
  (2212,'127.0.0.1',1490429390668,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429392599,0,0,1,''),
  (2213,'127.0.0.1',1490429486047,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429500306,0,0,1,''),
  (2214,'127.0.0.1',1490429653620,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2215,'127.0.0.1',1490429653669,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429659792,0,0,1,''),
  (2216,'127.0.0.1',1490429660017,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429841071,0,0,1,'');
COMMIT;

#
# Data for the `access_info` table  (LIMIT 2000,500)
#

INSERT INTO `access_info` (`id`, `ip`, `vtime`, `source_url`, `target_url`, `country`, `source_domain`, `target_domain`, `browser`, `language`, `os`, `session_id`, `user_id`, `user_agent`, `ltime`, `new_visitor`, `mobile`, `source_type`, `search_engine`) VALUES 
  (2217,'127.0.0.1',1490429660266,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429662488,0,0,1,''),
  (2218,'127.0.0.1',1490429662601,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429676722,0,0,1,''),
  (2219,'127.0.0.1',1490429752268,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429786977,0,0,1,''),
  (2220,'127.0.0.1',1490429790937,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429841092,0,0,1,''),
  (2221,'127.0.0.1',1490429841544,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2222,'127.0.0.1',1490429841616,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429844339,0,0,1,''),
  (2223,'127.0.0.1',1490429844601,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441303917,0,0,1,''),
  (2224,'127.0.0.1',1490429844833,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429846627,0,0,1,''),
  (2225,'127.0.0.1',1490429846797,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429849344,0,0,1,''),
  (2226,'127.0.0.1',1490429859770,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490429923747,0,0,1,''),
  (2227,'127.0.0.1',1490441298661,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2228,'127.0.0.1',1490441298682,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441303797,0,0,1,''),
  (2229,'127.0.0.1',1490441304086,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2230,'127.0.0.1',1490441304099,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441307528,0,0,1,''),
  (2231,'127.0.0.1',1490441307721,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443270156,0,0,1,''),
  (2232,'127.0.0.1',1490441307937,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441309561,0,0,1,''),
  (2233,'127.0.0.1',1490441309701,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490441312588,0,0,1,''),
  (2234,'127.0.0.1',1490441312768,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443270191,0,0,1,''),
  (2235,'127.0.0.1',1490443270414,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443272966,0,0,1,''),
  (2236,'127.0.0.1',1490443273390,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444624372,0,0,1,''),
  (2237,'127.0.0.1',1490443273741,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443274825,0,0,1,''),
  (2238,'127.0.0.1',1490443275019,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443276360,0,0,1,''),
  (2239,'127.0.0.1',1490443276536,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443285154,0,0,1,''),
  (2240,'127.0.0.1',1490443285431,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443294316,0,0,1,''),
  (2241,'127.0.0.1',1490443294517,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490443296431,0,0,1,''),
  (2242,'127.0.0.1',1490443296578,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444499837,0,0,1,''),
  (2243,'127.0.0.1',1490444500027,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444505247,0,0,1,''),
  (2244,'127.0.0.1',1490444505515,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=20','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444508192,0,0,1,''),
  (2245,'127.0.0.1',1490444508334,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444515366,0,0,1,''),
  (2246,'127.0.0.1',1490444515937,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=19','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444519415,0,0,1,''),
  (2247,'127.0.0.1',1490444519566,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444524512,0,0,1,''),
  (2248,'127.0.0.1',1490444525077,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=18','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444527900,0,0,1,''),
  (2249,'127.0.0.1',1490444528055,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444533442,0,0,1,''),
  (2250,'127.0.0.1',1490444533990,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=17','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444539317,0,0,1,''),
  (2251,'127.0.0.1',1490444539466,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444543599,0,0,1,''),
  (2252,'127.0.0.1',1490444543814,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=16','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444624443,0,0,1,''),
  (2253,'127.0.0.1',1490444624642,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2254,'127.0.0.1',1490444624723,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444628690,0,0,1,''),
  (2255,'127.0.0.1',1490444628966,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446724136,0,0,1,''),
  (2256,'127.0.0.1',1490444629263,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444630256,0,0,1,''),
  (2257,'127.0.0.1',1490444630409,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490444634791,0,0,1,''),
  (2258,'127.0.0.1',1490444634948,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445114572,0,0,1,''),
  (2259,'127.0.0.1',1490445114944,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445471079,0,0,1,''),
  (2260,'127.0.0.1',1490445471469,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445496700,0,0,1,''),
  (2261,'127.0.0.1',1490445497228,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445507147,0,0,1,''),
  (2262,'127.0.0.1',1490445507619,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490445541398,0,0,1,''),
  (2263,'127.0.0.1',1490445541647,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446151116,0,0,1,''),
  (2264,'127.0.0.1',1490446151289,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446170722,0,0,1,''),
  (2265,'127.0.0.1',1490446171261,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446183089,0,0,1,''),
  (2266,'127.0.0.1',1490446183575,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446203262,0,0,1,''),
  (2267,'127.0.0.1',1490446203525,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446212325,0,0,1,''),
  (2268,'127.0.0.1',1490446212470,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446217870,0,0,1,''),
  (2269,'127.0.0.1',1490446218123,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=21','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446724161,0,0,1,''),
  (2270,'127.0.0.1',1490446724416,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446727143,0,0,1,''),
  (2271,'127.0.0.1',1490446727410,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446735212,0,0,1,''),
  (2272,'127.0.0.1',1490446727800,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446729294,0,0,1,''),
  (2273,'127.0.0.1',1490446729451,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446732322,0,0,1,''),
  (2274,'127.0.0.1',1490446735464,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446737769,0,0,1,''),
  (2275,'127.0.0.1',1490446738024,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446807273,0,0,1,''),
  (2276,'127.0.0.1',1490446738408,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446739747,0,0,1,''),
  (2277,'127.0.0.1',1490446740025,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446744430,0,0,1,''),
  (2278,'127.0.0.1',1490446745173,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446748306,0,0,1,''),
  (2279,'127.0.0.1',1490446748518,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446749460,0,0,1,''),
  (2280,'127.0.0.1',1490446749824,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446754251,0,0,1,''),
  (2281,'127.0.0.1',1490446754415,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446757864,0,0,1,''),
  (2282,'127.0.0.1',1490446758602,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446760917,0,0,1,''),
  (2283,'127.0.0.1',1490446761094,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446771739,0,0,1,''),
  (2284,'127.0.0.1',1490446772277,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446782509,0,0,1,''),
  (2285,'127.0.0.1',1490446783031,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=33','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446785946,0,0,1,''),
  (2286,'127.0.0.1',1490446786521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446790885,0,0,1,''),
  (2287,'127.0.0.1',1490446791034,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446794045,0,0,1,''),
  (2288,'127.0.0.1',1490446794647,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446797672,0,0,1,''),
  (2289,'127.0.0.1',1490446797802,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446801982,0,0,1,''),
  (2290,'127.0.0.1',1490446802563,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446807283,0,0,1,''),
  (2291,'127.0.0.1',1490446807527,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446810574,0,0,1,''),
  (2292,'127.0.0.1',1490446811068,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446992900,0,0,1,''),
  (2293,'127.0.0.1',1490446812398,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446813952,0,0,1,''),
  (2294,'127.0.0.1',1490446814424,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446815134,0,0,1,''),
  (2295,'127.0.0.1',1490446815304,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2296,'127.0.0.1',1490446995754,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2297,'127.0.0.1',1490446996101,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490446999924,0,0,1,''),
  (2298,'127.0.0.1',1490447000622,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447089201,0,0,1,''),
  (2299,'127.0.0.1',1490447000987,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447002602,0,0,1,''),
  (2300,'127.0.0.1',1490447002747,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2301,'127.0.0.1',1490447094129,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2302,'127.0.0.1',1490447094273,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447097557,0,0,1,''),
  (2303,'127.0.0.1',1490447097837,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447130642,0,0,1,''),
  (2304,'127.0.0.1',1490447098205,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447099690,0,0,1,''),
  (2305,'127.0.0.1',1490447099863,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447101260,0,0,1,''),
  (2306,'127.0.0.1',1490447101857,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2307,'127.0.0.1',1490447130904,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447133809,0,0,1,''),
  (2308,'127.0.0.1',1490447134436,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447272654,0,0,1,''),
  (2309,'127.0.0.1',1490447134818,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447135836,0,0,1,''),
  (2310,'127.0.0.1',1490447135973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447141231,0,0,1,''),
  (2311,'127.0.0.1',1490447141422,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447188123,0,0,1,''),
  (2312,'127.0.0.1',1490447188311,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447272358,0,0,1,''),
  (2313,'127.0.0.1',1490447273242,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2314,'127.0.0.1',1490447273709,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447276045,0,0,1,''),
  (2315,'127.0.0.1',1490447276476,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457372782,0,0,1,''),
  (2316,'127.0.0.1',1490447276830,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447278640,0,0,1,''),
  (2317,'127.0.0.1',1490447278788,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447281543,0,0,1,''),
  (2318,'127.0.0.1',1490447281686,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447290881,0,0,1,''),
  (2319,'127.0.0.1',1490447292382,'http://localhost:9080/persistence2-web-example/safe/whiteip.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447297476,0,0,1,''),
  (2320,'127.0.0.1',1490447297975,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447302341,0,0,1,''),
  (2321,'127.0.0.1',1490447302469,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447308942,0,0,1,''),
  (2322,'127.0.0.1',1490447309171,'http://localhost:9080/persistence2-web-example/safe/whiteip.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447313732,0,0,1,''),
  (2323,'127.0.0.1',1490447313847,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447318203,0,0,1,''),
  (2324,'127.0.0.1',1490447318429,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490447328700,0,0,1,''),
  (2325,'127.0.0.1',1490447328857,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457372527,0,0,1,''),
  (2326,'127.0.0.1',1490457373065,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2327,'127.0.0.1',1490457373122,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457375381,0,0,1,''),
  (2328,'127.0.0.1',1490457375621,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457376964,0,0,1,''),
  (2329,'127.0.0.1',1490457375874,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457376986,0,0,1,''),
  (2330,'127.0.0.1',1490457377150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457379439,0,0,1,''),
  (2331,'127.0.0.1',1490457379617,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457703054,0,0,1,''),
  (2332,'127.0.0.1',1490457379838,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457381083,0,0,1,''),
  (2333,'127.0.0.1',1490457381203,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457483158,0,0,1,''),
  (2334,'127.0.0.1',1490457483331,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457606895,0,0,1,''),
  (2335,'127.0.0.1',1490457607059,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457703082,0,0,1,''),
  (2336,'127.0.0.1',1490457703249,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2337,'127.0.0.1',1490457703296,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457705810,0,0,1,''),
  (2338,'127.0.0.1',1490457706030,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458754472,0,0,1,''),
  (2339,'127.0.0.1',1490457706283,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457707333,0,0,1,''),
  (2340,'127.0.0.1',1490457707448,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457708998,0,0,1,''),
  (2341,'127.0.0.1',1490457709131,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457741334,0,0,1,''),
  (2342,'127.0.0.1',1490457741517,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457750624,0,0,1,''),
  (2343,'127.0.0.1',1490457750776,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457778425,0,0,1,''),
  (2344,'127.0.0.1',1490457778603,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457782558,0,0,1,''),
  (2345,'127.0.0.1',1490457782666,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457800380,0,0,1,''),
  (2346,'127.0.0.1',1490457800547,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457805176,0,0,1,''),
  (2347,'127.0.0.1',1490457805264,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457823219,0,0,1,''),
  (2348,'127.0.0.1',1490457823401,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457825487,0,0,1,''),
  (2349,'127.0.0.1',1490457825577,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457857313,0,0,1,''),
  (2350,'127.0.0.1',1490457857496,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457869356,0,0,1,''),
  (2351,'127.0.0.1',1490457869455,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457872151,0,0,1,''),
  (2352,'127.0.0.1',1490457872280,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490457874624,0,0,1,''),
  (2353,'127.0.0.1',1490457874735,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458754489,0,0,1,''),
  (2354,'127.0.0.1',1490458754688,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458759926,0,0,1,''),
  (2355,'127.0.0.1',1490458760188,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458797928,0,0,1,''),
  (2356,'127.0.0.1',1490458760521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458761684,0,0,1,''),
  (2357,'127.0.0.1',1490458761811,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458765973,0,0,1,''),
  (2358,'127.0.0.1',1490458766169,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458770076,0,0,1,''),
  (2359,'127.0.0.1',1490458770255,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458772757,0,0,1,''),
  (2360,'127.0.0.1',1490458772886,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458777694,0,0,1,''),
  (2361,'127.0.0.1',1490458777814,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458780694,0,0,1,''),
  (2362,'127.0.0.1',1490458781037,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458783605,0,0,1,''),
  (2363,'127.0.0.1',1490458783721,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458790959,0,0,1,''),
  (2364,'127.0.0.1',1490458791078,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458795346,0,0,1,''),
  (2365,'127.0.0.1',1490458795602,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=34','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458797967,0,0,1,''),
  (2366,'127.0.0.1',1490458798148,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458800867,0,0,1,''),
  (2367,'127.0.0.1',1490458801111,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458958131,0,0,1,''),
  (2368,'127.0.0.1',1490458801440,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458804455,0,0,1,''),
  (2369,'127.0.0.1',1490458804565,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458809276,0,0,1,''),
  (2370,'127.0.0.1',1490458810293,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458814865,0,0,1,''),
  (2371,'127.0.0.1',1490458815014,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458821847,0,0,1,''),
  (2372,'127.0.0.1',1490458822010,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458958089,0,0,1,''),
  (2373,'127.0.0.1',1490458958358,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2374,'127.0.0.1',1490458958408,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458960499,0,0,1,''),
  (2375,'127.0.0.1',1490458960702,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2376,'127.0.0.1',1490458960966,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458962841,0,0,1,''),
  (2377,'127.0.0.1',1490458962952,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490458971428,0,0,1,''),
  (2378,'127.0.0.1',1490458971545,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459019407,0,0,1,''),
  (2379,'127.0.0.1',1490459019547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459020652,0,0,1,''),
  (2380,'127.0.0.1',1490459021573,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459043834,0,0,1,''),
  (2381,'127.0.0.1',1490459044092,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459044996,0,0,1,''),
  (2382,'127.0.0.1',1490459045170,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459049780,0,0,1,''),
  (2383,'127.0.0.1',1490459050031,'http://localhost:9080/persistence2-web-example/safe/blackword.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459053887,0,0,1,''),
  (2384,'127.0.0.1',1490459054047,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459058277,0,0,1,''),
  (2385,'127.0.0.1',1490459058428,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490459061848,0,0,1,''),
  (2386,'127.0.0.1',1490459061996,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2387,'127.0.0.1',1490505036307,'','/login.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505039562,0,0,0,''),
  (2388,'127.0.0.1',1490505039843,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505353368,0,0,1,''),
  (2389,'127.0.0.1',1490505040048,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505041239,0,0,1,''),
  (2390,'127.0.0.1',1490505041395,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505047617,0,0,1,''),
  (2391,'127.0.0.1',1490505047731,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505126430,0,0,1,''),
  (2392,'127.0.0.1',1490505126613,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505129600,0,0,1,''),
  (2393,'127.0.0.1',1490505129722,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505157099,0,0,1,''),
  (2394,'127.0.0.1',1490505157276,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505160102,0,0,1,''),
  (2395,'127.0.0.1',1490505160223,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505184333,0,0,1,''),
  (2396,'127.0.0.1',1490505184495,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505186342,0,0,1,''),
  (2397,'127.0.0.1',1490505186461,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505188593,0,0,1,''),
  (2398,'127.0.0.1',1490505188704,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505191103,0,0,1,''),
  (2399,'127.0.0.1',1490505191195,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505252033,0,0,1,''),
  (2400,'127.0.0.1',1490505252236,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505255657,0,0,1,''),
  (2401,'127.0.0.1',1490505255778,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505272220,0,0,1,''),
  (2402,'127.0.0.1',1490505272393,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505274404,0,0,1,''),
  (2403,'127.0.0.1',1490505274531,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505307252,0,0,1,''),
  (2404,'127.0.0.1',1490505307402,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505316961,0,0,1,''),
  (2405,'127.0.0.1',1490505317072,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505326337,0,0,1,''),
  (2406,'127.0.0.1',1490505326490,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505331320,0,0,1,''),
  (2407,'127.0.0.1',1490505331463,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505333939,0,0,1,''),
  (2408,'127.0.0.1',1490505334167,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505337463,0,0,1,''),
  (2409,'127.0.0.1',1490505337566,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505339299,0,0,1,''),
  (2410,'127.0.0.1',1490505339426,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505342499,0,0,1,''),
  (2411,'127.0.0.1',1490505342658,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505345835,0,0,1,''),
  (2412,'127.0.0.1',1490505345957,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505353375,0,0,1,''),
  (2413,'127.0.0.1',1490505353556,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505356709,0,0,1,''),
  (2414,'127.0.0.1',1490505356919,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505822623,0,0,1,''),
  (2415,'127.0.0.1',1490505357127,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505358364,0,0,1,''),
  (2416,'127.0.0.1',1490505358475,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505359844,0,0,1,''),
  (2417,'127.0.0.1',1490505359973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505792909,0,0,1,''),
  (2418,'127.0.0.1',1490505369935,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505779597,0,0,0,''),
  (2419,'127.0.0.1',1490505779804,'','/sys/menus.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505790233,0,0,0,''),
  (2420,'127.0.0.1',1490505793011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505801592,0,0,1,''),
  (2421,'127.0.0.1',1490505801803,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505808236,0,0,1,''),
  (2422,'127.0.0.1',1490505808404,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=35','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505822647,0,0,1,''),
  (2423,'127.0.0.1',1490505822821,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505826356,0,0,1,''),
  (2424,'127.0.0.1',1490505826534,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505957753,0,0,1,''),
  (2425,'127.0.0.1',1490505826742,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505829096,0,0,1,''),
  (2426,'127.0.0.1',1490505829237,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505833670,0,0,1,''),
  (2427,'127.0.0.1',1490505834063,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505904275,0,0,1,''),
  (2428,'127.0.0.1',1490505904515,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505957777,0,0,1,''),
  (2429,'127.0.0.1',1490505958463,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2430,'127.0.0.1',1490505958541,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505961119,0,0,1,''),
  (2431,'127.0.0.1',1490505961317,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507318273,0,0,1,''),
  (2432,'127.0.0.1',1490505961542,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505964626,0,0,1,''),
  (2433,'127.0.0.1',1490505964746,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505970922,0,0,1,''),
  (2434,'127.0.0.1',1490505971076,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490505977821,0,0,1,''),
  (2435,'127.0.0.1',1490505977963,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507318297,0,0,1,''),
  (2436,'127.0.0.1',1490507318473,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2437,'127.0.0.1',1490507318538,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507321133,0,0,1,''),
  (2438,'127.0.0.1',1490507321344,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512256325,0,0,1,''),
  (2439,'127.0.0.1',1490507321580,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507323910,0,0,1,''),
  (2440,'127.0.0.1',1490507324045,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507331350,0,0,1,''),
  (2441,'127.0.0.1',1490507331483,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507333817,0,0,1,''),
  (2442,'127.0.0.1',1490507333943,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490507444881,0,0,1,''),
  (2443,'127.0.0.1',1490507445071,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512256364,0,0,1,''),
  (2444,'127.0.0.1',1490512256538,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2445,'127.0.0.1',1490512256546,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512259850,0,0,1,''),
  (2446,'127.0.0.1',1490512260191,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512467656,0,0,1,''),
  (2447,'127.0.0.1',1490512260387,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512262671,0,0,1,''),
  (2448,'127.0.0.1',1490512262824,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512264953,0,0,1,''),
  (2449,'127.0.0.1',1490512265085,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512267653,0,0,1,''),
  (2450,'127.0.0.1',1490512267841,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512467687,0,0,1,''),
  (2451,'127.0.0.1',1490512467870,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2452,'127.0.0.1',1490512467914,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512470865,0,0,1,''),
  (2453,'127.0.0.1',1490512471064,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512648825,0,0,1,''),
  (2454,'127.0.0.1',1490512471297,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512473176,0,0,1,''),
  (2455,'127.0.0.1',1490512473302,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512475594,0,0,1,''),
  (2456,'127.0.0.1',1490512475783,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512479022,0,0,1,''),
  (2457,'127.0.0.1',1490512479173,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512488574,0,0,1,''),
  (2458,'127.0.0.1',1490512488730,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512492012,0,0,1,''),
  (2459,'127.0.0.1',1490512492113,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512500514,0,0,1,''),
  (2460,'127.0.0.1',1490512500691,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512505079,0,0,1,''),
  (2461,'127.0.0.1',1490512505206,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512523032,0,0,1,''),
  (2462,'127.0.0.1',1490512523176,'http://localhost:9080/persistence2-web-example/safe/redirect.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512529915,0,0,1,''),
  (2463,'127.0.0.1',1490512530074,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512648859,0,0,1,''),
  (2464,'127.0.0.1',1490512649277,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2465,'127.0.0.1',1490512649355,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512651926,0,0,1,''),
  (2466,'127.0.0.1',1490512652134,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512726590,0,0,1,''),
  (2467,'127.0.0.1',1490512652348,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512654211,0,0,1,''),
  (2468,'127.0.0.1',1490512654359,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512657264,0,0,1,''),
  (2469,'127.0.0.1',1490512658228,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2470,'127.0.0.1',1490512658289,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490512726622,0,0,1,''),
  (2471,'127.0.0.1',1490512726796,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2472,'127.0.0.1',1490512726812,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513414077,0,0,1,''),
  (2473,'127.0.0.1',1490513414274,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513425426,0,0,1,''),
  (2474,'127.0.0.1',1490513414543,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513417363,0,0,1,''),
  (2475,'127.0.0.1',1490513417484,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513420479,0,0,1,''),
  (2476,'127.0.0.1',1490513420598,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2477,'127.0.0.1',1490513420655,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513425510,0,0,1,''),
  (2478,'127.0.0.1',1490513425664,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513428188,0,0,1,''),
  (2479,'127.0.0.1',1490513428386,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513446137,0,0,1,''),
  (2480,'127.0.0.1',1490513428602,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513430120,0,0,1,''),
  (2481,'127.0.0.1',1490513430286,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513435761,0,0,1,''),
  (2482,'127.0.0.1',1490513435889,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513440120,0,0,1,''),
  (2483,'127.0.0.1',1490513440257,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513446116,0,0,1,''),
  (2484,'127.0.0.1',1490513446330,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513449925,0,0,1,''),
  (2485,'127.0.0.1',1490513450135,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513492899,0,0,1,''),
  (2486,'127.0.0.1',1490513450350,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513452125,0,0,1,''),
  (2487,'127.0.0.1',1490513452228,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513474583,0,0,1,''),
  (2488,'127.0.0.1',1490513461592,'','/safe/redirectlist.jsp','本机地址','','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,0,''),
  (2489,'127.0.0.1',1490513474693,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2490,'127.0.0.1',1490513474756,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513492921,0,0,1,''),
  (2491,'127.0.0.1',1490513493102,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2492,'127.0.0.1',1490513493112,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513495210,0,0,1,''),
  (2493,'127.0.0.1',1490513495408,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514424294,0,0,1,''),
  (2494,'127.0.0.1',1490513495639,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513497539,0,0,1,''),
  (2495,'127.0.0.1',1490513497693,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490513500155,0,0,1,''),
  (2496,'127.0.0.1',1490513500475,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514424306,0,0,1,''),
  (2497,'127.0.0.1',1490514424500,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2498,'127.0.0.1',1490514424544,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514427299,0,0,1,''),
  (2499,'127.0.0.1',1490514427552,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514474930,0,0,1,''),
  (2500,'127.0.0.1',1490514427789,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514429668,0,0,1,''),
  (2501,'127.0.0.1',1490514429797,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514432891,0,0,1,''),
  (2502,'127.0.0.1',1490514433030,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514474950,0,0,1,''),
  (2503,'127.0.0.1',1490514475164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514477748,0,0,1,''),
  (2504,'127.0.0.1',1490514477958,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514562763,0,0,1,''),
  (2505,'127.0.0.1',1490514478194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514479367,0,0,1,''),
  (2506,'127.0.0.1',1490514479498,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514562762,0,0,1,''),
  (2507,'127.0.0.1',1490514562973,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514566012,0,0,1,''),
  (2508,'127.0.0.1',1490514566204,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514777048,0,0,1,''),
  (2509,'127.0.0.1',1490514566439,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514568413,0,0,1,''),
  (2510,'127.0.0.1',1490514568551,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514576854,0,0,1,''),
  (2511,'127.0.0.1',1490514576989,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514777036,0,0,1,''),
  (2512,'127.0.0.1',1490514777259,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2513,'127.0.0.1',1490514777319,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514779809,0,0,1,''),
  (2514,'127.0.0.1',1490514780147,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515237092,0,0,1,''),
  (2515,'127.0.0.1',1490514780458,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514783105,0,0,1,''),
  (2516,'127.0.0.1',1490514783273,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514790944,0,0,1,''),
  (2517,'127.0.0.1',1490514791074,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490514803853,0,0,1,''),
  (2518,'127.0.0.1',1490514938197,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2519,'127.0.0.1',1490515237547,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2520,'127.0.0.1',1490515237618,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515239868,0,0,1,''),
  (2521,'127.0.0.1',1490515240071,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515391171,0,0,1,''),
  (2522,'127.0.0.1',1490515240323,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515242211,0,0,1,''),
  (2523,'127.0.0.1',1490515242328,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515244225,0,0,1,''),
  (2524,'127.0.0.1',1490515244341,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515327708,0,0,1,''),
  (2525,'127.0.0.1',1490515327853,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515391111,0,0,1,''),
  (2526,'127.0.0.1',1490515392046,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2527,'127.0.0.1',1490515392129,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515394709,0,0,1,''),
  (2528,'127.0.0.1',1490515394918,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2529,'127.0.0.1',1490515395165,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515397127,0,0,1,''),
  (2530,'127.0.0.1',1490515397268,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515415969,0,0,1,''),
  (2531,'127.0.0.1',1490515416093,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515467096,0,0,1,''),
  (2532,'127.0.0.1',1490515639055,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490515646073,0,0,1,''),
  (2533,'127.0.0.1',1490515873742,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2534,'127.0.0.1',1490516378867,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2535,'127.0.0.1',1490516378919,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2536,'127.0.0.1',1490516381472,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2537,'127.0.0.1',1490516394424,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490516485220,0,0,1,''),
  (2538,'127.0.0.1',1490516485487,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534329345,0,0,1,''),
  (2539,'127.0.0.1',1490516485822,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490516488797,0,0,1,''),
  (2540,'127.0.0.1',1490516488914,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490516490886,0,0,1,''),
  (2541,'127.0.0.1',1490516490997,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534329387,0,0,1,''),
  (2542,'127.0.0.1',1490534329591,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2543,'127.0.0.1',1490534329614,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534331719,0,0,1,''),
  (2544,'127.0.0.1',1490534331968,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534464430,0,0,1,''),
  (2545,'127.0.0.1',1490534332194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534333641,0,0,1,''),
  (2546,'127.0.0.1',1490534333767,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534337123,0,0,1,''),
  (2547,'127.0.0.1',1490534337305,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534390542,0,0,1,''),
  (2548,'127.0.0.1',1490534390716,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534393576,0,0,1,''),
  (2549,'127.0.0.1',1490534393670,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534431294,0,0,1,''),
  (2550,'127.0.0.1',1490534431474,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f01','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534434078,0,0,1,''),
  (2551,'127.0.0.1',1490534434210,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534443294,0,0,1,''),
  (2552,'127.0.0.1',1490534443448,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=37','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534445120,0,0,1,''),
  (2553,'127.0.0.1',1490534445213,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534449880,0,0,1,''),
  (2554,'127.0.0.1',1490534450068,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534453766,0,0,1,''),
  (2555,'127.0.0.1',1490534454036,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534458351,0,0,1,''),
  (2556,'127.0.0.1',1490534458472,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534462328,0,0,1,''),
  (2557,'127.0.0.1',1490534462508,'http://localhost:9080/persistence2-web-example/sys/menu.jsp?a=m02&id=36','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534464448,0,0,1,''),
  (2558,'127.0.0.1',1490534464626,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534469734,0,0,1,''),
  (2559,'127.0.0.1',1490534469932,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534548011,0,0,1,''),
  (2560,'127.0.0.1',1490534470157,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534472367,0,0,1,''),
  (2561,'127.0.0.1',1490534472469,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2562,'127.0.0.1',1490534473142,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/safe/codeconfig.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2563,'127.0.0.1',1490534473150,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534548053,0,0,1,''),
  (2564,'127.0.0.1',1490534548215,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2565,'127.0.0.1',1490534548261,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534551165,0,0,1,''),
  (2566,'127.0.0.1',1490534551358,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534562160,0,0,1,''),
  (2567,'127.0.0.1',1490534551598,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534553360,0,0,1,''),
  (2568,'127.0.0.1',1490534553515,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2569,'127.0.0.1',1490534553547,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2570,'127.0.0.1',1490534553557,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534562201,0,0,1,''),
  (2571,'127.0.0.1',1490534562361,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534564509,0,0,1,''),
  (2572,'127.0.0.1',1490534564706,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534639784,0,0,1,''),
  (2573,'127.0.0.1',1490534564939,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534566201,0,0,1,''),
  (2574,'127.0.0.1',1490534566308,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534639785,0,0,1,''),
  (2575,'127.0.0.1',1490534640010,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2576,'127.0.0.1',1490534640051,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534642223,0,0,1,''),
  (2577,'127.0.0.1',1490534642416,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535411774,0,0,1,''),
  (2578,'127.0.0.1',1490534642628,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534644882,0,0,1,''),
  (2579,'127.0.0.1',1490534645018,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534757205,0,0,1,''),
  (2580,'127.0.0.1',1490534757337,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534793260,0,0,1,''),
  (2581,'127.0.0.1',1490534794148,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534796564,0,0,1,''),
  (2582,'127.0.0.1',1490534796725,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534924114,0,0,1,''),
  (2583,'127.0.0.1',1490534924245,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534952338,0,0,1,''),
  (2584,'127.0.0.1',1490534952607,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534953333,0,0,1,''),
  (2585,'127.0.0.1',1490534953477,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490534976987,0,0,1,''),
  (2586,'127.0.0.1',1490534977108,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535001428,0,0,1,''),
  (2587,'127.0.0.1',1490535001749,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535039294,0,0,1,''),
  (2588,'127.0.0.1',1490535039541,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535053310,0,0,1,''),
  (2589,'127.0.0.1',1490535053541,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535054396,0,0,1,''),
  (2590,'127.0.0.1',1490535054542,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535137226,0,0,1,''),
  (2591,'127.0.0.1',1490535137349,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535138524,0,0,1,''),
  (2592,'127.0.0.1',1490535138640,'http://localhost:9080/persistence2-web-example/safe/blacklist.jsp','/safe/blackip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535139941,0,0,1,''),
  (2593,'127.0.0.1',1490535140163,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535140774,0,0,1,''),
  (2594,'127.0.0.1',1490535141037,'http://localhost:9080/persistence2-web-example/safe/whitelist.jsp','/safe/whiteip.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535142343,0,0,1,''),
  (2595,'127.0.0.1',1490535142535,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535143131,0,0,1,''),
  (2596,'127.0.0.1',1490535143400,'http://localhost:9080/persistence2-web-example/safe/wordblacklist.jsp','/safe/blackword.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535144689,0,0,1,''),
  (2597,'127.0.0.1',1490535144860,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535146186,0,0,1,''),
  (2598,'127.0.0.1',1490535146303,'http://localhost:9080/persistence2-web-example/safe/redirectlist.jsp','/safe/redirect.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535149275,0,0,1,''),
  (2599,'127.0.0.1',1490535149529,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535177581,0,0,1,''),
  (2600,'127.0.0.1',1490535177742,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535411820,0,0,1,''),
  (2601,'127.0.0.1',1490535411978,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2602,'127.0.0.1',1490535412028,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535414663,0,0,1,''),
  (2603,'127.0.0.1',1490535414847,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535558939,0,0,1,''),
  (2604,'127.0.0.1',1490535415081,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535417321,0,0,1,''),
  (2605,'127.0.0.1',1490535417444,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535422888,0,0,1,''),
  (2606,'127.0.0.1',1490535423809,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535442226,0,0,1,''),
  (2607,'127.0.0.1',1490535442373,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535442819,0,0,1,''),
  (2608,'127.0.0.1',1490535442948,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535448660,0,0,1,''),
  (2609,'127.0.0.1',1490535448815,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535451143,0,0,1,''),
  (2610,'127.0.0.1',1490535451261,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535452068,0,0,1,''),
  (2611,'127.0.0.1',1490535452164,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535452606,0,0,1,''),
  (2612,'127.0.0.1',1490535452734,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535455074,0,0,1,''),
  (2613,'127.0.0.1',1490535455245,'http://localhost:9080/persistence2-web-example/safe/code.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535487962,0,0,1,''),
  (2614,'127.0.0.1',1490535488061,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535499844,0,0,1,''),
  (2615,'127.0.0.1',1490535500000,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535523642,0,0,1,''),
  (2616,'127.0.0.1',1490535523751,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535531808,0,0,1,''),
  (2617,'127.0.0.1',1490535532085,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535532948,0,0,1,''),
  (2618,'127.0.0.1',1490535533047,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535533633,0,0,1,''),
  (2619,'127.0.0.1',1490535533792,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535535006,0,0,1,''),
  (2620,'127.0.0.1',1490535535171,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535536166,0,0,1,''),
  (2621,'127.0.0.1',1490535536260,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/blacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535542518,0,0,1,''),
  (2622,'127.0.0.1',1490535542676,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535543119,0,0,1,''),
  (2623,'127.0.0.1',1490535543215,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/redirectlist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535544373,0,0,1,''),
  (2624,'127.0.0.1',1490535544521,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/wordblacklist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535544939,0,0,1,''),
  (2625,'127.0.0.1',1490535545074,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535545789,0,0,1,''),
  (2626,'127.0.0.1',1490535545909,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/whitelist.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535546712,0,0,1,''),
  (2627,'127.0.0.1',1490535546818,'http://localhost:9080/persistence2-web-example/bindex.jsp','/safe/code.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535551064,0,0,1,''),
  (2628,'127.0.0.1',1490535551194,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2629,'127.0.0.1',1490535551480,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535558980,0,0,1,''),
  (2630,'127.0.0.1',1490535559145,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535563216,0,0,1,''),
  (2631,'127.0.0.1',1490535563444,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535594050,0,0,1,''),
  (2632,'127.0.0.1',1490535563680,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535564941,0,0,1,''),
  (2633,'127.0.0.1',1490535565054,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535569382,0,0,1,''),
  (2634,'127.0.0.1',1490535569519,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535575993,0,0,1,''),
  (2635,'127.0.0.1',1490535576232,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535584360,0,0,1,''),
  (2636,'127.0.0.1',1490535584464,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535587139,0,0,1,''),
  (2637,'127.0.0.1',1490535587369,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535594076,0,0,1,''),
  (2638,'127.0.0.1',1490535594233,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535596619,0,0,1,''),
  (2639,'127.0.0.1',1490535596808,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535602533,0,0,1,''),
  (2640,'127.0.0.1',1490535597026,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535599713,0,0,1,''),
  (2641,'127.0.0.1',1490535599835,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2642,'127.0.0.1',1490535599915,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535602566,0,0,1,''),
  (2643,'127.0.0.1',1490535602724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535613497,0,0,1,''),
  (2644,'127.0.0.1',1490535613699,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535757122,0,0,1,''),
  (2645,'127.0.0.1',1490535613917,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535614929,0,0,1,''),
  (2646,'127.0.0.1',1490535615043,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535619618,0,0,1,''),
  (2647,'127.0.0.1',1490535619761,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535628078,0,0,1,''),
  (2648,'127.0.0.1',1490535628193,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535635082,0,0,1,''),
  (2649,'127.0.0.1',1490535635202,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535637495,0,0,1,''),
  (2650,'127.0.0.1',1490535637654,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535639763,0,0,1,''),
  (2651,'127.0.0.1',1490535639867,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=2','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535645758,0,0,1,''),
  (2652,'127.0.0.1',1490535645872,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535649158,0,0,1,''),
  (2653,'127.0.0.1',1490535649272,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535652548,0,0,1,''),
  (2654,'127.0.0.1',1490535652691,'http://localhost:9080/persistence2-web-example/sys/roles.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535655965,0,0,1,''),
  (2655,'127.0.0.1',1490535656090,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535656768,0,0,1,''),
  (2656,'127.0.0.1',1490535656861,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535660414,0,0,1,''),
  (2657,'127.0.0.1',1490535660545,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535668368,0,0,1,''),
  (2658,'127.0.0.1',1490535668478,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535669557,0,0,1,''),
  (2659,'127.0.0.1',1490535669724,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535673976,0,0,1,''),
  (2660,'127.0.0.1',1490535674103,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535682813,0,0,1,''),
  (2661,'127.0.0.1',1490535682924,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535689035,0,0,1,''),
  (2662,'127.0.0.1',1490535689195,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535691131,0,0,1,''),
  (2663,'127.0.0.1',1490535691271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535694305,0,0,1,''),
  (2664,'127.0.0.1',1490535694410,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535707433,0,0,1,''),
  (2665,'127.0.0.1',1490535707613,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535711109,0,0,1,''),
  (2666,'127.0.0.1',1490535711262,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535712027,0,0,1,''),
  (2667,'127.0.0.1',1490535712144,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535717276,0,0,1,''),
  (2668,'127.0.0.1',1490535717391,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535718864,0,0,1,''),
  (2669,'127.0.0.1',1490535719020,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535719596,0,0,1,''),
  (2670,'127.0.0.1',1490535719828,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/users_detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535720730,0,0,1,''),
  (2671,'127.0.0.1',1490535720908,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/roles.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535721679,0,0,1,''),
  (2672,'127.0.0.1',1490535721772,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535722512,0,0,1,''),
  (2673,'127.0.0.1',1490535722648,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535723596,0,0,1,''),
  (2674,'127.0.0.1',1490535723721,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535731667,0,0,1,''),
  (2675,'127.0.0.1',1490535731792,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535733061,0,0,1,''),
  (2676,'127.0.0.1',1490535733212,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535735652,0,0,1,''),
  (2677,'127.0.0.1',1490535735822,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535742416,0,0,1,''),
  (2678,'127.0.0.1',1490535742536,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/rightset.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535746939,0,0,1,''),
  (2679,'127.0.0.1',1490535747151,'http://localhost:9080/persistence2-web-example/sys/rightset.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535749474,0,0,1,''),
  (2680,'127.0.0.1',1490535749584,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535752416,0,0,1,''),
  (2681,'127.0.0.1',1490535752562,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535757142,0,0,1,''),
  (2682,'127.0.0.1',1490535757334,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535768926,0,0,1,''),
  (2683,'127.0.0.1',1490535769154,'http://localhost:9080/persistence2-web-example/login.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535773793,0,0,1,''),
  (2684,'127.0.0.1',1490535774017,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536347439,0,0,1,''),
  (2685,'127.0.0.1',1490535774271,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535775881,0,0,1,''),
  (2686,'127.0.0.1',1490535776011,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490535778167,0,0,1,''),
  (2687,'127.0.0.1',1490535778301,'http://localhost:9080/persistence2-web-example/sys/menus.jsp','/sys/menu.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536065062,0,0,1,''),
  (2688,'127.0.0.1',1490536065206,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536068819,0,0,1,''),
  (2689,'127.0.0.1',1490536068995,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536121475,0,0,1,''),
  (2690,'127.0.0.1',1490536121589,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536139159,0,0,1,''),
  (2691,'127.0.0.1',1490536139353,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=13','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536142744,0,0,1,''),
  (2692,'127.0.0.1',1490536142837,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536149968,0,0,1,''),
  (2693,'127.0.0.1',1490536150076,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536155390,0,0,1,''),
  (2694,'127.0.0.1',1490536155589,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=12','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536157948,0,0,1,''),
  (2695,'127.0.0.1',1490536158050,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536163597,0,0,1,''),
  (2696,'127.0.0.1',1490536163766,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536173607,0,0,1,''),
  (2697,'127.0.0.1',1490536173772,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=11','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536185684,0,0,1,''),
  (2698,'127.0.0.1',1490536185787,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536193453,0,0,1,''),
  (2699,'127.0.0.1',1490536193587,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536196209,0,0,1,''),
  (2700,'127.0.0.1',1490536196341,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536212958,0,0,1,''),
  (2701,'127.0.0.1',1490536213102,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3&condition=access','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536215434,0,0,1,''),
  (2702,'127.0.0.1',1490536215542,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536238448,0,0,1,''),
  (2703,'127.0.0.1',1490536238566,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3&condition=access_action','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536253467,0,0,1,''),
  (2704,'127.0.0.1',1490536253685,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=15','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536255152,0,0,1,''),
  (2705,'127.0.0.1',1490536255410,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536266939,0,0,1,''),
  (2706,'127.0.0.1',1490536267080,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536269504,0,0,1,''),
  (2707,'127.0.0.1',1490536269633,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536320565,0,0,1,''),
  (2708,'127.0.0.1',1490536320693,'http://localhost:9080/persistence2-web-example/sys/functions.jsp?p=3','/sys/function.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536333136,0,0,1,''),
  (2709,'127.0.0.1',1490536333336,'http://localhost:9080/persistence2-web-example/sys/function.jsp?a=f02&id=14','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536335373,0,0,1,''),
  (2710,'127.0.0.1',1490536335475,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/menus.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536347443,0,0,1,''),
  (2711,'127.0.0.1',1490536347652,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536351297,0,0,1,''),
  (2712,'127.0.0.1',1490536351495,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536367712,0,0,1,''),
  (2713,'127.0.0.1',1490536351686,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536353385,0,0,1,''),
  (2714,'127.0.0.1',1490536353519,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/source.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536356289,0,0,1,''),
  (2715,'127.0.0.1',1490536356505,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/target.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536357327,0,0,1,''),
  (2716,'127.0.0.1',1490536357690,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/visitor.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536361350,0,0,1,'');
COMMIT;

#
# Data for the `access_info` table  (LIMIT 2500,500)
#

INSERT INTO `access_info` (`id`, `ip`, `vtime`, `source_url`, `target_url`, `country`, `source_domain`, `target_domain`, `browser`, `language`, `os`, `session_id`, `user_id`, `user_agent`, `ltime`, `new_visitor`, `mobile`, `source_type`, `search_engine`) VALUES 
  (2717,'127.0.0.1',1490536361489,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/set.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536363171,0,0,1,''),
  (2718,'127.0.0.1',1490536363317,'http://localhost:9080/persistence2-web-example/bindex.jsp','/access/detail.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',8,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536367602,0,0,1,''),
  (2719,'127.0.0.1',1490536367905,'http://localhost:9080/persistence2-web-example/bindex.jsp','/login.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',0,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536370614,0,0,1,''),
  (2720,'127.0.0.1',1490536370818,'http://localhost:9080/persistence2-web-example/login.jsp','/bindex.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,''),
  (2721,'127.0.0.1',1490536371029,'http://localhost:9080/persistence2-web-example/bindex.jsp','/bwelcome.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536371902,0,0,1,''),
  (2722,'127.0.0.1',1490536372016,'http://localhost:9080/persistence2-web-example/bindex.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',1490536377255,0,0,1,''),
  (2723,'127.0.0.1',1490536377397,'http://localhost:9080/persistence2-web-example/sys/functions.jsp','/sys/functions.jsp','本机地址','localhost:9080','http://localhost:9080/','傲游','zh','Windows','36F8E15FFEEDCD06D7BDE8672AE264F7',1,'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0.2.2000 Chrome/47.0.2526.73 Safari/537.36',0,0,0,1,'');
COMMIT;

#
# Data for the `safe_ip_black_list` table  (LIMIT 0,500)
#

INSERT INTO `safe_ip_black_list` (`id`, `ip`, `status`) VALUES 
  (1,'127.0.0.1',1),
  (2,'127.0.0.1',1),
  (3,'127.0.0.1',1),
  (4,'127.0.0.1',0);
COMMIT;

#
# Data for the `safe_ip_white_list` table  (LIMIT 0,500)
#

INSERT INTO `safe_ip_white_list` (`id`, `ip`, `status`) VALUES 
  (1,'151.11.0.0',1);
COMMIT;

#
# Data for the `safe_redirect` table  (LIMIT 0,500)
#

INSERT INTO `safe_redirect` (`id`, `source_url`, `target_url`, `status`) VALUES 
  (2,'../sys/login.jsp','../404.xml',0),
  (3,'../sys/bindex.jsp','../405.xml',0);
COMMIT;

#
# Data for the `safe_verification_code` table  (LIMIT 0,500)
#

INSERT INTO `safe_verification_code` (`id`, `level`, `max_failed_login`, `status`) VALUES 
  (1,3,5,0);
COMMIT;

#
# Data for the `sys_functions` table  (LIMIT 0,500)
#

INSERT INTO `sys_functions` (`id`, `name`, `interface_name`, `class_name`, `method_name`, `parameter_name`, `page_url`) VALUES 
  (9,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','setLeaveTime','access02',NULL),
  (10,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','add','access01',NULL),
  (11,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','sourceAnalysis','access03','../access/source.jsp'),
  (12,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','targetAnalysis','access04','../access/target.jsp'),
  (13,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','visitorAnalysis','access05','../access/visitor.jsp'),
  (14,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','saveSetting','access06','../access/set.jsp'),
  (15,'access_action','com.nonesole.web.platform.access.IAccess','com.nonesole.web.platform.access.AccessAction','getAccessInfoDetail','access07','../access/detail.jsp'),
  (16,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','add','blackip02','../safe/blackip.jsp'),
  (17,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','delete','blackip03',''),
  (18,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','open','blackip04',''),
  (19,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','close','blackip05',''),
  (20,'black_action','com.nonesole.web.platform.safe.ipblacklist.IBlackList','com.nonesole.web.platform.safe.ipblacklist.BlackListAction','query','blackip01','../safe/blacklist.jsp'),
  (21,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','add','whiteip02','../safe/whiteip.jsp'),
  (22,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','delete','whiteip03',''),
  (23,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','open','whiteip04',''),
  (24,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','close','whiteip05',''),
  (25,'white_action','com.nonesole.web.platform.safe.ipwhitelist.IWhiteList','com.nonesole.web.platform.safe.ipwhitelist.WhiteListAction','query','whiteip01','../safe/whitelist.jsp'),
  (26,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','add','blackword02','../safe/blackword.jsp'),
  (27,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','delete','blackword03',''),
  (28,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','open','blackword04',''),
  (29,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','close','blackword05',''),
  (30,'word_black_list_action','com.nonesole.web.platform.safe.wordblacklist.IWordBlackList','com.nonesole.web.platform.safe.wordblacklist.WordBlackListAction','query','blackword01','../safe/wordblacklist.jsp'),
  (31,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','add','redirect02','../safe/redirect.jsp'),
  (32,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','update','redirect03','../safe/redirect.jsp'),
  (33,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','delete','redirect04',''),
  (34,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','open','redirect05',''),
  (35,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','close','redirect06',''),
  (36,'redirect_action','com.nonesole.web.platform.safe.redirect.IRedirect','com.nonesole.web.platform.safe.redirect.RedirectAction','query','redirect01','../safe/redirectlist.jsp'),
  (37,'v_code_action','com.nonesole.web.platform.safe.verificationcode.IVerificationCode','com.nonesole.web.platform.safe.verificationcode.CodeAction','saveConfig','code01',''),
  (38,'v_code_action','com.nonesole.web.platform.safe.verificationcode.IVerificationCode','com.nonesole.web.platform.safe.verificationcode.CodeAction','getConfig','code02','../safe/code.jsp');
COMMIT;

#
# Data for the `sys_menu` table  (LIMIT 0,500)
#

INSERT INTO `sys_menu` (`id`, `name`, `url`, `pid`, `ico`) VALUES 
  (2,'系统管理','',0,'../img/3006.png'),
  (11,'服务器信息','../server/info.jsp',2,'../img/3008.png'),
  (12,'日志管理','',2,'../img/file01.png'),
  (13,'数据库管理','',2,'../img/3009.png'),
  (14,'安全工具','../sys/users.jsp',2,'../img/3010.png'),
  (16,'访问统计','',0,''),
  (17,'来源分析','../access/source.jsp',16,''),
  (27,'受访分析','../access/target.jsp',16,''),
  (28,'访客分析','../access/visitor.jsp',16,''),
  (29,'配置管理','../access/set.jsp',16,''),
  (30,'访问明细','../access/detail.jsp',16,''),
  (31,'系统安全','',0,''),
  (32,'黑名单管理','../safe/blacklist.jsp',31,''),
  (33,'白名单管理','../safe/whitelist.jsp',31,''),
  (34,'屏蔽词管理','../safe/wordblacklist.jsp',31,''),
  (35,'入口保护','../safe/redirectlist.jsp',31,''),
  (36,'验证码设置','../safe/code.jsp',31,'');
COMMIT;

#
# Data for the `sys_menu_functions` table  (LIMIT 0,500)
#

INSERT INTO `sys_menu_functions` (`menu_id`, `function_id`) VALUES 
  (31,26),
  (31,25),
  (31,24),
  (31,23),
  (31,22),
  (31,21),
  (31,20),
  (31,19),
  (31,18),
  (31,17),
  (31,16),
  (33,38),
  (33,37),
  (33,36),
  (33,35),
  (33,34),
  (33,33),
  (33,32),
  (33,31),
  (33,30),
  (33,29),
  (29,9),
  (17,9),
  (33,28),
  (33,27),
  (30,9),
  (16,9),
  (27,9),
  (28,9),
  (29,10),
  (17,10),
  (30,10),
  (16,10),
  (33,26),
  (33,25),
  (33,24),
  (33,23),
  (33,22),
  (33,21),
  (33,20),
  (33,19),
  (33,18),
  (33,17),
  (33,16),
  (32,38),
  (32,37),
  (32,36),
  (32,35),
  (32,34),
  (32,33),
  (32,32),
  (32,31),
  (32,30),
  (32,29),
  (32,28),
  (32,27),
  (32,26),
  (32,25),
  (32,24),
  (32,23),
  (32,22),
  (32,21),
  (32,20),
  (32,19),
  (32,18),
  (32,17),
  (32,16),
  (36,38),
  (36,37),
  (36,36),
  (36,35),
  (36,34),
  (36,33),
  (36,32),
  (36,31),
  (36,30),
  (36,29),
  (36,28),
  (36,27),
  (36,26),
  (36,25),
  (36,24),
  (36,23),
  (36,22),
  (36,21),
  (36,20),
  (36,19),
  (36,18),
  (36,17),
  (36,16),
  (35,38),
  (35,37),
  (35,36),
  (35,35),
  (35,34),
  (35,33),
  (35,32),
  (35,31),
  (35,30),
  (35,29),
  (35,28),
  (35,27),
  (35,26),
  (35,25),
  (35,24),
  (35,23),
  (35,22),
  (35,21),
  (35,20),
  (35,19),
  (35,18),
  (35,17),
  (35,16),
  (34,38),
  (34,37),
  (34,36),
  (34,35),
  (34,34),
  (34,33),
  (34,32),
  (34,31),
  (34,30),
  (34,29),
  (34,28),
  (34,27),
  (34,26),
  (34,25),
  (34,24),
  (34,23),
  (34,22),
  (34,21),
  (34,20),
  (34,19),
  (34,18),
  (34,17),
  (34,16),
  (31,27),
  (31,28),
  (31,29),
  (31,30),
  (31,31),
  (31,32),
  (31,33),
  (31,34),
  (31,35),
  (31,36),
  (31,37),
  (31,38),
  (27,10),
  (28,10),
  (29,11),
  (17,11),
  (30,11),
  (16,11),
  (27,11),
  (28,11),
  (29,12),
  (17,12),
  (30,12),
  (16,12),
  (27,12),
  (28,12),
  (29,13),
  (17,13),
  (30,13),
  (16,13),
  (27,13),
  (28,13),
  (29,14),
  (17,14),
  (30,14),
  (16,14),
  (27,14),
  (28,14),
  (29,15),
  (17,15),
  (30,15),
  (16,15),
  (27,15),
  (28,15);
COMMIT;

#
# Data for the `sys_roles` table  (LIMIT 0,500)
#

INSERT INTO `sys_roles` (`id`, `name`) VALUES 
  (1,'admin'),
  (2,'普通用户'),
  (5,'高级用户'),
  (6,'VIP用户'),
  (7,'管理员');
COMMIT;

#
# Data for the `sys_roles_menu` table  (LIMIT 0,500)
#

INSERT INTO `sys_roles_menu` (`role_id`, `menu_id`) VALUES 
  (7,2),
  (7,27),
  (7,14),
  (7,33),
  (7,30),
  (7,35),
  (7,32),
  (6,16),
  (7,17),
  (6,29),
  (7,28),
  (6,30),
  (7,13),
  (6,28),
  (7,29),
  (7,31),
  (7,34),
  (7,16),
  (7,12),
  (6,27),
  (7,11),
  (7,36),
  (6,17);
COMMIT;

#
# Data for the `sys_users_info` table  (LIMIT 0,500)
#

INSERT INTO `sys_users_info` (`id`, `nick_name`, `birthday`, `age`, `email`, `cell_phone_number`, `address`, `tel`, `tax`, `qq_number`, `wechat_name`, `weibo_url`) VALUES 
  (1,'管理员',NULL,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
  (2,'jerry',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
  (9,'å¥½å¥½å­¦ä¹ ',2,1,'1@1.com','1113333','å¤§åå®¶å°ä½å','','8890012','12387837','weixin000','http://www.xxx.com'),
  (19,'2222',0,0,'111','','','','','','','');
COMMIT;

#
# Data for the `sys_users_login` table  (LIMIT 0,500)
#

INSERT INTO `sys_users_login` (`id`, `login_name`, `login_email`, `login_cell_phone_number`, `login_key`, `status`) VALUES 
  (1,'admin','admin@1.com','13811110000','-78703492656118554854272571946195123045',0),
  (7,'tom','1@1.com','1','-78703492656118554854272571946195123045',0),
  (8,'jack','jack@2','2','-78703492656118554854272571946195123045',0);
COMMIT;

#
# Data for the `sys_users_roles` table  (LIMIT 0,500)
#

INSERT INTO `sys_users_roles` (`user_id`, `role_id`) VALUES 
  (1,1),
  (19,5),
  (27,7),
  (20,5),
  (27,6),
  (10,9),
  (14,5),
  (8,7),
  (27,2),
  (27,5),
  (7,6),
  (16,7);
COMMIT;



/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;